/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/views/conversation_mute', [
    'com.voiceworks/ox-messenger/core/session',
    'com.voiceworks/ox-messenger/core/views/disposable',
    'settings!com.voiceworks/ox-messenger',
    'gettext!com.voiceworks/ox-messenger'
], function (Session, DisposableView, settings, gt) {
    'use strict';


    /**
     * Conversation Header View
     */
    var ConversationMuteView = DisposableView.extend({
        className: 'messenger--conversation-list__item__mute',

        initialize: function () {
            DisposableView.prototype.initialize.apply(this, arguments);

            this.listenTo(this.model, 'change', this.render);
        },

        render: function () {
            this.$el.empty();

            if (this.model.isMuted()) {
                this.$el.append(
                    $('<i class="fa fa-bell-slash">')
                );
            }

            return this;
        }
    });

    return ConversationMuteView;
});