/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/views/message_system', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/util',
    'com.voiceworks/ox-messenger/core/session',
    'com.voiceworks/ox-messenger/roster/main',
    'com.voiceworks/ox-messenger/conversation/views/message',
    'gettext!com.voiceworks/ox-messenger',
    'com.voiceworks/ox-messenger/core/vendor/virtual-dom',
], function (ext, Util, Session, Roster, MessageView, gt, vdom) {
    'use strict';

    var h = vdom.h;

    /**
     * System Message View
     * ==========================================
     * this.model = message model
     * this.options.conversation = conversation model
     */
    var SystemMessageView = MessageView.extend({
        className: 'messenger--media__body  messenger--h6',

        template: function () {
            var messageModel = this.model,
                timestamp = messageModel.get('timestamp') || new Date().getTime(),
                timeFormatted = Util.formatTime(timestamp),
                txt = messageModel.get('message') + ' - ' + timeFormatted;

            return h('div.messenger--system-message__sender.messenger--text-wrap',
                [
                    h('i.fa.fa-group'),
                    h('span.messenger--system-message__sender__name', txt)
                ]
            );
        }
    });

    return SystemMessageView;
});
