/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * ? 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/views/messagecontainer_system', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/core/session',
    'com.voiceworks/ox-messenger/conversation/views/message_system',
    'com.voiceworks/ox-messenger/conversation/views/messagecontainer',
    'com.voiceworks/ox-messenger/core/vendor/virtual-dom',
    'gettext!com.voiceworks/ox-messenger'
], function (ext, Session, SystemMessageView, MessageContainerView, vdom, gt) {
    'use strict';

    var h = vdom.h;

    /**
     * System Message Container View
     * this.model = conversation
     * this.options.message = message model
     */
    var SystemMessageContainerView = MessageContainerView.extend({

        initialize: function (options) {
            this.parent = options.parent;
        },

        template: function () {
            return h('div.messenger--media.messenger--media--system-message',
                    this.model.messages.map(function (message) {
                var messageView = new SystemMessageView({
                    model: message,
                    conversation: this.model.conversation
                });

                return messageView.template();
            }, this));
        }
    });

    return SystemMessageContainerView;
});
