/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/history/views/history', [
    'com.voiceworks/ox-messenger/aggregator',
    'com.voiceworks/ox-messenger/core/views/disposable',
    'gettext!com.voiceworks/ox-messenger'
], function (Aggregator, DisposableView, gt) {
    'use strict';

    var HistoryView = DisposableView.extend({

        initialize: function (options) {
            DisposableView.prototype.initialize.apply(this, arguments);

            if (options.listView) {
                this.listView = options.listView;
            }
        },

        events: {
            'click .messenger--btn--close': 'closeHistory'
        },

        render: function () {
            this.$el.empty();
            this.$el.children().remove();
            this.$el.prevObject = null;

            this.$el.append(
                $('<div id="messenger--call-history">').append(
                    $('<h2 class="messenger--call-history__header">').text(gt('Call history')),
                    $('<div class="messenger--call-history__list">').append(
                        this.listView.render().$el
                    ),
                    $('<a class="btn  messenger--btn--close">').text(gt('Close'))
                )
            );

            return this;
        },

        closeHistory: function () {
            this.remove();
            Aggregator.trigger('history:close');
        }
    });

    return HistoryView;
});