define(['io.ox/core/extensions',
        'com.voiceworks/ox-messenger/roster/views/group',
        'com.voiceworks/ox-messenger/roster/models/group',
        'com.voiceworks/ox-messenger/roster/models/groupcollection'],
    function (ext, RosterGroupView, RosterGroupModel) {


    describe('RosterGroupView', function () {
        var roster;

        beforeEach(function () {
            var timestamp = (new Date().getTime()),
                fakemodel = new RosterGroupModel({
                    id: 'fake-RosterGroupModel-id-' + timestamp,
                    title: 'fake-RosterGroupModel-title-' + timestamp
                });
            roster = new RosterGroupView({model: fakemodel});
        });


        it('should invoke an extension point for the header (via RosterGroupHeaderView)', function (done) {
            ext.point('io.ox/messenger/roster/group/header').extend({
                id: 'roster-group-header-test',
                draw: function () { done(); }
            });
            roster.render();
        });

        it('should invoke an extension point for the user (via RosterUserView)', function (done) {
            ext.point('io.ox/messenger/roster/user').extend({
                id: 'roster-group-header-test',
                draw: function () { done(); }
            });
            roster.render();
        });


        it('should contain render itself properly', function () {
            var html = roster.render(),
                hasRightClass = html.$('.messenger--roster__group');
            expect(hasRightClass).to.be.ok;
        });

        /* Sorry, but the header view itself did not have a class to check for */
        it('should contain a group header', function () {
            var html = roster.render(),
                hasRightClass = html.$('.messenger--roster__group-title');
            expect(hasRightClass).to.be.ok;
        });

        it('should contain RosterUserCollectionView', function () {
            var html = roster.render(),
                hasRightClass = html.$('.messenger--roster__list');
            expect(hasRightClass).to.be.ok;
        });

    });

});
