/*
 * UCConnect Client API version 1.0.0
 * Copyright (c) 2014-2015 Voiceworks B.V. <http://www.voiceworks.com>
 * Homepage: http://www.voiceworks.com
 * License: http://www.voiceworks.com/ucconnect/license
 */


(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var WildEmitter = require('wildemitter');

function getMaxVolume (analyser, fftBins) {
  var maxVolume = -Infinity;
  analyser.getFloatFrequencyData(fftBins);

  for(var i=4, ii=fftBins.length; i < ii; i++) {
    if (fftBins[i] > maxVolume && fftBins[i] < 0) {
      maxVolume = fftBins[i];
    }
  };

  return maxVolume;
}


var audioContextType = window.AudioContext || window.webkitAudioContext;
// use a single audio context due to hardware limits
var audioContext = null;
module.exports = function(stream, options) {
  var harker = new WildEmitter();


  // make it not break in non-supported browsers
  if (!audioContextType) return harker;

  //Config
  var options = options || {},
      smoothing = (options.smoothing || 0.1),
      interval = (options.interval || 50),
      threshold = options.threshold,
      play = options.play,
      history = options.history || 10,
      running = true;

  //Setup Audio Context
  if (!audioContext) {
    audioContext = new audioContextType();
  }
  var sourceNode, fftBins, analyser;

  analyser = audioContext.createAnalyser();
  analyser.fftSize = 512;
  analyser.smoothingTimeConstant = smoothing;
  fftBins = new Float32Array(analyser.fftSize);

  if (stream.jquery) stream = stream[0];
  if (stream instanceof HTMLAudioElement || stream instanceof HTMLVideoElement) {
    //Audio Tag
    sourceNode = audioContext.createMediaElementSource(stream);
    if (typeof play === 'undefined') play = true;
    threshold = threshold || -50;
  } else {
    //WebRTC Stream
    sourceNode = audioContext.createMediaStreamSource(stream);
    threshold = threshold || -50;
  }

  sourceNode.connect(analyser);
  if (play) analyser.connect(audioContext.destination);

  harker.speaking = false;

  harker.setThreshold = function(t) {
    threshold = t;
  };

  harker.setInterval = function(i) {
    interval = i;
  };
  
  harker.stop = function() {
    running = false;
    harker.emit('volume_change', -100, threshold);
    if (harker.speaking) {
      harker.speaking = false;
      harker.emit('stopped_speaking');
    }
  };
  harker.speakingHistory = [];
  for (var i = 0; i < history; i++) {
      harker.speakingHistory.push(0);
  }

  // Poll the analyser node to determine if speaking
  // and emit events if changed
  var looper = function() {
    setTimeout(function() {
    
      //check if stop has been called
      if(!running) {
        return;
      }
      
      var currentVolume = getMaxVolume(analyser, fftBins);

      harker.emit('volume_change', currentVolume, threshold);

      var history = 0;
      if (currentVolume > threshold && !harker.speaking) {
        // trigger quickly, short history
        for (var i = harker.speakingHistory.length - 3; i < harker.speakingHistory.length; i++) {
          history += harker.speakingHistory[i];
        }
        if (history >= 2) {
          harker.speaking = true;
          harker.emit('speaking');
        }
      } else if (currentVolume < threshold && harker.speaking) {
        for (var i = 0; i < harker.speakingHistory.length; i++) {
          history += harker.speakingHistory[i];
        }
        if (history == 0) {
          harker.speaking = false;
          harker.emit('stopped_speaking');
        }
      }
      harker.speakingHistory.shift();
      harker.speakingHistory.push(0 + (currentVolume > threshold));

      looper();
    }, interval);
  };
  looper();


  return harker;
}

},{"wildemitter":2}],2:[function(require,module,exports){
/*
WildEmitter.js is a slim little event emitter by @henrikjoreteg largely based 
on @visionmedia's Emitter from UI Kit.

Why? I wanted it standalone.

I also wanted support for wildcard emitters like this:

emitter.on('*', function (eventName, other, event, payloads) {
    
});

emitter.on('somenamespace*', function (eventName, payloads) {
    
});

Please note that callbacks triggered by wildcard registered events also get 
the event name as the first argument.
*/
module.exports = WildEmitter;

function WildEmitter() {
    this.callbacks = {};
}

// Listen on the given `event` with `fn`. Store a group name if present.
WildEmitter.prototype.on = function (event, groupName, fn) {
    var hasGroup = (arguments.length === 3),
        group = hasGroup ? arguments[1] : undefined,
        func = hasGroup ? arguments[2] : arguments[1];
    func._groupName = group;
    (this.callbacks[event] = this.callbacks[event] || []).push(func);
    return this;
};

// Adds an `event` listener that will be invoked a single
// time then automatically removed.
WildEmitter.prototype.once = function (event, groupName, fn) {
    var self = this,
        hasGroup = (arguments.length === 3),
        group = hasGroup ? arguments[1] : undefined,
        func = hasGroup ? arguments[2] : arguments[1];
    function on() {
        self.off(event, on);
        func.apply(this, arguments);
    }
    this.on(event, group, on);
    return this;
};

// Unbinds an entire group
WildEmitter.prototype.releaseGroup = function (groupName) {
    var item, i, len, handlers;
    for (item in this.callbacks) {
        handlers = this.callbacks[item];
        for (i = 0, len = handlers.length; i < len; i++) {
            if (handlers[i]._groupName === groupName) {
                //console.log('removing');
                // remove it and shorten the array we're looping through
                handlers.splice(i, 1);
                i--;
                len--;
            }
        }
    }
    return this;
};

// Remove the given callback for `event` or all
// registered callbacks.
WildEmitter.prototype.off = function (event, fn) {
    var callbacks = this.callbacks[event],
        i;

    if (!callbacks) return this;

    // remove all handlers
    if (arguments.length === 1) {
        delete this.callbacks[event];
        return this;
    }

    // remove specific handler
    i = callbacks.indexOf(fn);
    callbacks.splice(i, 1);
    if (callbacks.length === 0) {
        delete this.callbacks[event];
    }
    return this;
};

/// Emit `event` with the given args.
// also calls any `*` handlers
WildEmitter.prototype.emit = function (event) {
    var args = [].slice.call(arguments, 1),
        callbacks = this.callbacks[event],
        specialCallbacks = this.getWildcardCallbacks(event),
        i,
        len,
        item,
        listeners;

    if (callbacks) {
        listeners = callbacks.slice();
        for (i = 0, len = listeners.length; i < len; ++i) {
            if (listeners[i]) {
                listeners[i].apply(this, args);
            } else {
                break;
            }
        }
    }

    if (specialCallbacks) {
        len = specialCallbacks.length;
        listeners = specialCallbacks.slice();
        for (i = 0, len = listeners.length; i < len; ++i) {
            if (listeners[i]) {
                listeners[i].apply(this, [event].concat(args));
            } else {
                break;
            }
        }
    }

    return this;
};

// Helper for for finding special wildcard event handlers that match the event
WildEmitter.prototype.getWildcardCallbacks = function (eventName) {
    var item,
        split,
        result = [];

    for (item in this.callbacks) {
        split = item.split('*');
        if (item === '*' || (split.length === 2 && eventName.slice(0, split[0].length) === split[0])) {
            result = result.concat(this.callbacks[item]);
        }
    }
    return result;
};

},{}],3:[function(require,module,exports){
module.exports={
  "name": "sip.js",
  "title": "SIP.js",
  "description": "A simple, intuitive, and powerful JavaScript signaling library",
  "version": "0.6.4",
  "main": "src/SIP.js",
  "homepage": "http://sipjs.com",
  "author": {
    "name": "Will Mitchell",
    "email": "will@onsip.com"
  },
  "contributors": [
    {
      "url": "http://sipjs.com/authors/"
    }
  ],
  "repository": {
    "type": "git",
    "url": "https://github.com/onsip/SIP.js.git"
  },
  "keywords": [
    "sip",
    "websocket",
    "webrtc",
    "library",
    "javascript"
  ],
  "devDependencies": {
    "grunt": "~0.4.0",
    "grunt-cli": "~0.1.6",
    "grunt-contrib-jasmine": "~0.6.0",
    "grunt-contrib-jshint": ">0.5.0",
    "grunt-contrib-uglify": "~0.2.0",
    "grunt-peg": "~1.3.1",
    "grunt-trimtrailingspaces": "^0.4.0",
    "node-minify": "~0.7.2",
    "pegjs": "0.8.0",
    "sdp-transform": "~0.4.0",
    "grunt-contrib-copy": "^0.5.0",
    "browserify": "^4.1.8",
    "grunt-browserify": "^2.1.0"
  },
  "engines": {
    "node": ">=0.8"
  },
  "license": "MIT",
  "scripts": {
    "test": "grunt travis --verbose"
  },
  "gitHead": "51d166d02676342a6a2cee9bdcab6e5272e97f43",
  "readme": "# SIP.js\n\n[![Build Status](https://travis-ci.org/onsip/SIP.js.png?branch=master)](https://travis-ci.org/onsip/SIP.js)\n\nA JavaScript SIP stack for WebRTC, instant messaging, and more!\n\n\n## Website and Documentation\n\n* [SIPjs.com](http://sipjs.com)\n* [Mailing List](https://groups.google.com/forum/#!forum/sip_js)\n* [Issue Tracking](https://github.com/onsip/sip.js/issues)\n\n\n## Download\n\n* [sipjs.com/download](http://sipjs.com/download/)\n* Bower: `bower install sip.js`\n* npm: `npm install sip.js`\n\n## Authors\n\n### Will Mitchell\n\n* Lead Developer\n* <will@onsip.com>\n* /wakamoleguy on [GitHub](http://github.com/wakamoleguy), [Twitter](http://twitter.com/wakamoleguy)\n\n### James Criscuolo\n\n* <james@onsip.com>\n\n### Eric Green\n\n* <eric.green@onsip.com>\n\n### Joseph Frazier\n\n* <joseph@onsip.com>\n\n### JsSIP Authors\n\nSIP.js contains substantial portions of the JsSIP software. JsSIP's authors at time of fork are listed below. For up to date information about JsSIP, please visit [jssip.net](http://jssip.net)\n\n* José Luis Millán\n* Iñaki Baz Castillo\n* Saúl Ibarra Corretgé\n\n## License\n\nSIP.js is released under the [MIT license](http://sipjs.com/license).\n\nSIP.js contains substantial portions of the JsSIP software, under the following license:\n\n~~~\nCopyright (c) 2012-2013 José Luis Millán - Versatica <http://www.versatica.com>\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n~~~\n",
  "readmeFilename": "README.md",
  "bugs": {
    "url": "https://github.com/onsip/SIP.js/issues"
  },
  "_id": "sip.js@0.6.4",
  "_shasum": "09ad9626091255a1cdae12b07eb315231abea451",
  "_from": "git://github.com/Voiceworks/SIP.js.git",
  "_resolved": "git://github.com/Voiceworks/SIP.js.git#51d166d02676342a6a2cee9bdcab6e5272e97f43",
  "_fromGithub": true
}

},{}],4:[function(require,module,exports){
module.exports = function (SIP) {
var ClientContext;

ClientContext = function (ua, method, target, options) {
  var params, extraHeaders,
      originalTarget = target,
      events = [
        'progress',
        'accepted',
        'rejected',
        'failed',
        'cancel'
      ];

  if (target === undefined) {
    throw new TypeError('Not enough arguments');
  }

  // Check target validity
  target = ua.normalizeTarget(target);
  if (!target) {
    throw new TypeError('Invalid target: ' + originalTarget);
  }

  this.ua = ua;
  this.logger = ua.getLogger('sip.clientcontext');
  this.method = method;

  params = options && options.params;
  extraHeaders = (options && options.extraHeaders || []).slice();

  if (options && options.body) {
    this.body = options.body;
  }
  if (options && options.contentType) {
    this.contentType = options.contentType;
    extraHeaders.push('Content-Type: ' + this.contentType);
  }

  this.request = new SIP.OutgoingRequest(this.method, target, this.ua, params, extraHeaders);

  this.localIdentity = this.request.from;
  this.remoteIdentity = this.request.to;

  if (this.body) {
    this.request.body = this.body;
  }

  this.data = {};

  this.initEvents(events);
};
ClientContext.prototype = new SIP.EventEmitter();

ClientContext.prototype.send = function () {
  (new SIP.RequestSender(this, this.ua)).send();
  return this;
};

ClientContext.prototype.cancel = function (options) {
  options = options || {};

  var
  status_code = options.status_code,
  reason_phrase = options.reason_phrase,
  cancel_reason;

  if (status_code && status_code < 200 || status_code > 699) {
    throw new TypeError('Invalid status_code: ' + status_code);
  } else if (status_code) {
    reason_phrase = reason_phrase || SIP.C.REASON_PHRASE[status_code] || '';
    cancel_reason = 'SIP ;cause=' + status_code + ' ;text="' + reason_phrase + '"';
  }
  this.request.cancel(cancel_reason);

  this.emit('cancel');
};

ClientContext.prototype.receiveResponse = function (response) {
  var cause = SIP.C.REASON_PHRASE[response.status_code] || '';

  switch(true) {
    case /^1[0-9]{2}$/.test(response.status_code):
      this.emit('progress', response, cause);
      break;

    case /^2[0-9]{2}$/.test(response.status_code):
      if(this.ua.applicants[this]) {
        delete this.ua.applicants[this];
      }
      this.emit('accepted', response, cause);
      break;

    default:
      if(this.ua.applicants[this]) {
        delete this.ua.applicants[this];
      }
      this.emit('rejected', response, cause);
      this.emit('failed', response, cause);
      break;
  }

};

ClientContext.prototype.onRequestTimeout = function () {
  this.emit('failed', null, SIP.C.causes.REQUEST_TIMEOUT);
};

ClientContext.prototype.onTransportError = function () {
  this.emit('failed', null, SIP.C.causes.CONNECTION_ERROR);
};

SIP.ClientContext = ClientContext;
};

},{}],5:[function(require,module,exports){
/**
 * @fileoverview SIP Constants
 */

/**
 * SIP Constants.
 * @augments SIP
 */

module.exports = function (name, version) {
return {
  USER_AGENT: name +'/'+ version,

  // SIP scheme
  SIP:  'sip',
  SIPS: 'sips',

  // End and Failure causes
  causes: {
    // Generic error causes
    CONNECTION_ERROR:         'Connection Error',
    REQUEST_TIMEOUT:          'Request Timeout',
    SIP_FAILURE_CODE:         'SIP Failure Code',
    INTERNAL_ERROR:           'Internal Error',

    // SIP error causes
    BUSY:                     'Busy',
    REJECTED:                 'Rejected',
    REDIRECTED:               'Redirected',
    UNAVAILABLE:              'Unavailable',
    NOT_FOUND:                'Not Found',
    ADDRESS_INCOMPLETE:       'Address Incomplete',
    INCOMPATIBLE_SDP:         'Incompatible SDP',
    AUTHENTICATION_ERROR:     'Authentication Error',
    DIALOG_ERROR:             'Dialog Error',

    // Session error causes
    WEBRTC_NOT_SUPPORTED:     'WebRTC Not Supported',
    WEBRTC_ERROR:             'WebRTC Error',
    CANCELED:                 'Canceled',
    NO_ANSWER:                'No Answer',
    EXPIRES:                  'Expires',
    NO_ACK:                   'No ACK',
    NO_PRACK:                 'No PRACK',
    USER_DENIED_MEDIA_ACCESS: 'User Denied Media Access',
    BAD_MEDIA_DESCRIPTION:    'Bad Media Description',
    RTP_TIMEOUT:              'RTP Timeout'
  },

  supported: {
    UNSUPPORTED:        'none',
    SUPPORTED:          'supported',
    REQUIRED:           'required'
  },

  SIP_ERROR_CAUSES: {
    REDIRECTED: [300,301,302,305,380],
    BUSY: [486,600],
    REJECTED: [403,603],
    NOT_FOUND: [404,604],
    UNAVAILABLE: [480,410,408,430],
    ADDRESS_INCOMPLETE: [484],
    INCOMPATIBLE_SDP: [488,606],
    AUTHENTICATION_ERROR:[401,407]
  },

  // SIP Methods
  ACK:        'ACK',
  BYE:        'BYE',
  CANCEL:     'CANCEL',
  INFO:       'INFO',
  INVITE:     'INVITE',
  MESSAGE:    'MESSAGE',
  NOTIFY:     'NOTIFY',
  OPTIONS:    'OPTIONS',
  REGISTER:   'REGISTER',
  UPDATE:     'UPDATE',
  SUBSCRIBE:  'SUBSCRIBE',
  REFER:      'REFER',
  PRACK:      'PRACK',

  /* SIP Response Reasons
   * DOC: http://www.iana.org/assignments/sip-parameters
   * Copied from https://github.com/versatica/OverSIP/blob/master/lib/oversip/sip/constants.rb#L7
   */
  REASON_PHRASE: {
    100: 'Trying',
    180: 'Ringing',
    181: 'Call Is Being Forwarded',
    182: 'Queued',
    183: 'Session Progress',
    199: 'Early Dialog Terminated',  // draft-ietf-sipcore-199
    200: 'OK',
    202: 'Accepted',  // RFC 3265
    204: 'No Notification',  //RFC 5839
    300: 'Multiple Choices',
    301: 'Moved Permanently',
    302: 'Moved Temporarily',
    305: 'Use Proxy',
    380: 'Alternative Service',
    400: 'Bad Request',
    401: 'Unauthorized',
    402: 'Payment Required',
    403: 'Forbidden',
    404: 'Not Found',
    405: 'Method Not Allowed',
    406: 'Not Acceptable',
    407: 'Proxy Authentication Required',
    408: 'Request Timeout',
    410: 'Gone',
    412: 'Conditional Request Failed',  // RFC 3903
    413: 'Request Entity Too Large',
    414: 'Request-URI Too Long',
    415: 'Unsupported Media Type',
    416: 'Unsupported URI Scheme',
    417: 'Unknown Resource-Priority',  // RFC 4412
    420: 'Bad Extension',
    421: 'Extension Required',
    422: 'Session Interval Too Small',  // RFC 4028
    423: 'Interval Too Brief',
    428: 'Use Identity Header',  // RFC 4474
    429: 'Provide Referrer Identity',  // RFC 3892
    430: 'Flow Failed',  // RFC 5626
    433: 'Anonymity Disallowed',  // RFC 5079
    436: 'Bad Identity-Info',  // RFC 4474
    437: 'Unsupported Certificate',  // RFC 4744
    438: 'Invalid Identity Header',  // RFC 4744
    439: 'First Hop Lacks Outbound Support',  // RFC 5626
    440: 'Max-Breadth Exceeded',  // RFC 5393
    469: 'Bad Info Package',  // draft-ietf-sipcore-info-events
    470: 'Consent Needed',  // RFC 5360
    478: 'Unresolvable Destination',  // Custom code copied from Kamailio.
    480: 'Temporarily Unavailable',
    481: 'Call/Transaction Does Not Exist',
    482: 'Loop Detected',
    483: 'Too Many Hops',
    484: 'Address Incomplete',
    485: 'Ambiguous',
    486: 'Busy Here',
    487: 'Request Terminated',
    488: 'Not Acceptable Here',
    489: 'Bad Event',  // RFC 3265
    491: 'Request Pending',
    493: 'Undecipherable',
    494: 'Security Agreement Required',  // RFC 3329
    500: 'Internal Server Error',
    501: 'Not Implemented',
    502: 'Bad Gateway',
    503: 'Service Unavailable',
    504: 'Server Time-out',
    505: 'Version Not Supported',
    513: 'Message Too Large',
    580: 'Precondition Failure',  // RFC 3312
    600: 'Busy Everywhere',
    603: 'Decline',
    604: 'Does Not Exist Anywhere',
    606: 'Not Acceptable'
  }
};
};

},{}],6:[function(require,module,exports){

/**
 * @fileoverview In-Dialog Request Sender
 */

/**
 * @augments SIP.Dialog
 * @class Class creating an In-dialog request sender.
 * @param {SIP.Dialog} dialog
 * @param {Object} applicant
 * @param {SIP.OutgoingRequest} request
 */
/**
 * @fileoverview in-Dialog Request Sender
 */

module.exports = function (SIP) {
var RequestSender;

RequestSender = function(dialog, applicant, request) {

  this.dialog = dialog;
  this.applicant = applicant;
  this.request = request;

  // RFC3261 14.1 Modifying an Existing Session. UAC Behavior.
  this.reattempt = false;
  this.reattemptTimer = null;
};

RequestSender.prototype = {
  send: function() {
    var self = this,
      request_sender = new SIP.RequestSender(this, this.dialog.owner.ua);

      request_sender.send();

    // RFC3261 14.2 Modifying an Existing Session -UAC BEHAVIOR-
    if (this.request.method === SIP.C.INVITE && request_sender.clientTransaction.state !== SIP.Transactions.C.STATUS_TERMINATED) {
      this.dialog.uac_pending_reply = true;
      request_sender.clientTransaction.on('stateChanged', function stateChanged(){
        if (this.state === SIP.Transactions.C.STATUS_ACCEPTED ||
            this.state === SIP.Transactions.C.STATUS_COMPLETED ||
            this.state === SIP.Transactions.C.STATUS_TERMINATED) {

          this.off('stateChanged', stateChanged);
          self.dialog.uac_pending_reply = false;

          if (self.dialog.uas_pending_reply === false) {
            self.dialog.owner.onReadyToReinvite();
          }
        }
      });
    }
  },

  onRequestTimeout: function() {
    this.applicant.onRequestTimeout();
  },

  onTransportError: function() {
    this.applicant.onTransportError();
  },

  receiveResponse: function(response) {
    var self = this;

    // RFC3261 12.2.1.2 408 or 481 is received for a request within a dialog.
    if (response.status_code === 408 || response.status_code === 481) {
      this.applicant.onDialogError(response);
    } else if (response.method === SIP.C.INVITE && response.status_code === 491) {
      if (this.reattempt) {
        this.applicant.receiveResponse(response);
      } else {
        this.request.cseq.value = this.dialog.local_seqnum += 1;
        this.reattemptTimer = SIP.Timers.setTimeout(
          function() {
            if (self.applicant.owner.status !== SIP.Session.C.STATUS_TERMINATED) {
              self.reattempt = true;
              self.request_sender.send();
            }
          },
          this.getReattemptTimeout()
        );
      }
    } else {
      this.applicant.receiveResponse(response);
    }
  }
};

return RequestSender;
};

},{}],7:[function(require,module,exports){
/**
 * @fileoverview SIP Dialog
 */

/**
 * @augments SIP
 * @class Class creating a SIP dialog.
 * @param {SIP.RTCSession} owner
 * @param {SIP.IncomingRequest|SIP.IncomingResponse} message
 * @param {Enum} type UAC / UAS
 * @param {Enum} state SIP.Dialog.C.STATUS_EARLY / SIP.Dialog.C.STATUS_CONFIRMED
 */
module.exports = function (SIP, RequestSender) {

var Dialog,
  C = {
    // Dialog states
    STATUS_EARLY:       1,
    STATUS_CONFIRMED:   2
  };

// RFC 3261 12.1
Dialog = function(owner, message, type, state) {
  var contact;

  this.uac_pending_reply = false;
  this.uas_pending_reply = false;

  if(!message.hasHeader('contact')) {
    return {
      error: 'unable to create a Dialog without Contact header field'
    };
  }

  if(message instanceof SIP.IncomingResponse) {
    state = (message.status_code < 200) ? C.STATUS_EARLY : C.STATUS_CONFIRMED;
  } else {
    // Create confirmed dialog if state is not defined
    state = state || C.STATUS_CONFIRMED;
  }

  contact = message.parseHeader('contact');

  // RFC 3261 12.1.1
  if(type === 'UAS') {
    this.id = {
      call_id: message.call_id,
      local_tag: message.to_tag,
      remote_tag: message.from_tag,
      toString: function() {
        return this.call_id + this.local_tag + this.remote_tag;
      }
    };
    this.state = state;
    this.remote_seqnum = message.cseq;
    this.local_uri = message.parseHeader('to').uri;
    this.remote_uri = message.parseHeader('from').uri;
    this.remote_target = contact.uri;
    this.route_set = message.getHeaders('record-route');
    this.invite_seqnum = message.cseq;
    this.local_seqnum = message.cseq;
  }
  // RFC 3261 12.1.2
  else if(type === 'UAC') {
    this.id = {
      call_id: message.call_id,
      local_tag: message.from_tag,
      remote_tag: message.to_tag,
      toString: function() {
        return this.call_id + this.local_tag + this.remote_tag;
      }
    };
    this.state = state;
    this.invite_seqnum = message.cseq;
    this.local_seqnum = message.cseq;
    this.local_uri = message.parseHeader('from').uri;
    this.pracked = [];
    this.remote_uri = message.parseHeader('to').uri;
    this.remote_target = contact.uri;
    this.route_set = message.getHeaders('record-route').reverse();

    //RENDERBODY
    if (this.state === C.STATUS_EARLY && (!owner.hasOffer)) {
      this.mediaHandler = owner.mediaHandlerFactory(owner);
    }
  }

  this.logger = owner.ua.getLogger('sip.dialog', this.id.toString());
  this.owner = owner;
  owner.ua.dialogs[this.id.toString()] = this;
  this.logger.log('new ' + type + ' dialog created with status ' + (this.state === C.STATUS_EARLY ? 'EARLY': 'CONFIRMED'));
};

Dialog.prototype = {
  /**
   * @param {SIP.IncomingMessage} message
   * @param {Enum} UAC/UAS
   */
  update: function(message, type) {
    this.state = C.STATUS_CONFIRMED;

    this.logger.log('dialog '+ this.id.toString() +'  changed to CONFIRMED state');

    if(type === 'UAC') {
      // RFC 3261 13.2.2.4
      this.route_set = message.getHeaders('record-route').reverse();
    }
  },

  terminate: function() {
    this.logger.log('dialog ' + this.id.toString() + ' deleted');
    if (this.mediaHandler && this.state !== C.STATUS_CONFIRMED) {
      this.mediaHandler.peerConnection.close();
    }
    delete this.owner.ua.dialogs[this.id.toString()];
  },

  /**
  * @param {String} method request method
  * @param {Object} extraHeaders extra headers
  * @returns {SIP.OutgoingRequest}
  */

  // RFC 3261 12.2.1.1
  createRequest: function(method, extraHeaders, body) {
    var cseq, request;
    extraHeaders = (extraHeaders || []).slice();

    if(!this.local_seqnum) { this.local_seqnum = Math.floor(Math.random() * 10000); }

    cseq = (method === SIP.C.CANCEL || method === SIP.C.ACK) ? this.invite_seqnum : this.local_seqnum += 1;

    request = new SIP.OutgoingRequest(
      method,
      this.remote_target,
      this.owner.ua, {
        'cseq': cseq,
        'call_id': this.id.call_id,
        'from_uri': this.local_uri,
        'from_tag': this.id.local_tag,
        'to_uri': this.remote_uri,
        'to_tag': this.id.remote_tag,
        'route_set': this.route_set
      }, extraHeaders, body);

    request.dialog = this;

    return request;
  },

  /**
  * @param {SIP.IncomingRequest} request
  * @returns {Boolean}
  */

  // RFC 3261 12.2.2
  checkInDialogRequest: function(request) {
    var self = this;

    if(!this.remote_seqnum) {
      this.remote_seqnum = request.cseq;
    } else if(request.cseq < this.remote_seqnum) {
        //Do not try to reply to an ACK request.
        if (request.method !== SIP.C.ACK) {
          request.reply(500);
        }
        if (request.cseq === this.invite_seqnum) {
          return true;
        }
        return false;
    } else if(request.cseq > this.remote_seqnum) {
      this.remote_seqnum = request.cseq;
    }

    switch(request.method) {
      // RFC3261 14.2 Modifying an Existing Session -UAS BEHAVIOR-
      case SIP.C.INVITE:
        if (this.uac_pending_reply === true) {
          request.reply(491);
        } else if (this.uas_pending_reply === true) {
          var retryAfter = (Math.random() * 10 | 0) + 1;
          request.reply(500, null, ['Retry-After:' + retryAfter]);
          return false;
        } else {
          this.uas_pending_reply = true;
          request.server_transaction.on('stateChanged', function stateChanged(){
            if (this.state === SIP.Transactions.C.STATUS_ACCEPTED ||
                this.state === SIP.Transactions.C.STATUS_COMPLETED ||
                this.state === SIP.Transactions.C.STATUS_TERMINATED) {

              this.off('stateChanged', stateChanged);
              self.uas_pending_reply = false;

              if (self.uac_pending_reply === false) {
                self.owner.onReadyToReinvite();
              }
            }
          });
        }

        // RFC3261 12.2.2 Replace the dialog`s remote target URI if the request is accepted
        if(request.hasHeader('contact')) {
          request.server_transaction.on('stateChanged', function(){
            if (this.state === SIP.Transactions.C.STATUS_ACCEPTED) {
              self.remote_target = request.parseHeader('contact').uri;
            }
          });
        }
        break;
      case SIP.C.NOTIFY:
        // RFC6665 3.2 Replace the dialog`s remote target URI if the request is accepted
        if(request.hasHeader('contact')) {
          request.server_transaction.on('stateChanged', function(){
            if (this.state === SIP.Transactions.C.STATUS_COMPLETED) {
              self.remote_target = request.parseHeader('contact').uri;
            }
          });
        }
        break;
    }

    return true;
  },

  sendRequest: function(applicant, method, options) {
    options = options || {};

    var
      extraHeaders = (options.extraHeaders || []).slice(),
      body = options.body || null,
      request = this.createRequest(method, extraHeaders, body),
      request_sender = new RequestSender(this, applicant, request);

    request_sender.send();

    return request;
  },

  /**
  * @param {SIP.IncomingRequest} request
  */
  receiveRequest: function(request) {
    //Check in-dialog request
    if(!this.checkInDialogRequest(request)) {
      return;
    }

    this.owner.receiveRequest(request);
  }
};

Dialog.C = C;
SIP.Dialog = Dialog;
};

},{}],8:[function(require,module,exports){

/**
 * @fileoverview SIP Digest Authentication
 */

/**
 * SIP Digest Authentication.
 * @augments SIP.
 * @function Digest Authentication
 * @param {SIP.UA} ua
 */
module.exports = function (Utils) {
var DigestAuthentication;

DigestAuthentication = function(ua) {
  this.logger = ua.getLogger('sipjs.digestauthentication');
  this.username = ua.configuration.authorizationUser;
  this.password = ua.configuration.password;
  this.cnonce = null;
  this.nc = 0;
  this.ncHex = '00000000';
  this.response = null;
};


/**
* Performs Digest authentication given a SIP request and the challenge
* received in a response to that request.
* Returns true if credentials were successfully generated, false otherwise.
*
* @param {SIP.OutgoingRequest} request
* @param {Object} challenge
*/
DigestAuthentication.prototype.authenticate = function(request, challenge) {
  // Inspect and validate the challenge.

  this.algorithm = challenge.algorithm;
  this.realm = challenge.realm;
  this.nonce = challenge.nonce;
  this.opaque = challenge.opaque;
  this.stale = challenge.stale;

  if (this.algorithm) {
    if (this.algorithm !== 'MD5') {
      this.logger.warn('challenge with Digest algorithm different than "MD5", authentication aborted');
      return false;
    }
  } else {
    this.algorithm = 'MD5';
  }

  if (! this.realm) {
    this.logger.warn('challenge without Digest realm, authentication aborted');
    return false;
  }

  if (! this.nonce) {
    this.logger.warn('challenge without Digest nonce, authentication aborted');
    return false;
  }

  // 'qop' can contain a list of values (Array). Let's choose just one.
  if (challenge.qop) {
    if (challenge.qop.indexOf('auth') > -1) {
      this.qop = 'auth';
    } else if (challenge.qop.indexOf('auth-int') > -1) {
      this.qop = 'auth-int';
    } else {
      // Otherwise 'qop' is present but does not contain 'auth' or 'auth-int', so abort here.
      this.logger.warn('challenge without Digest qop different than "auth" or "auth-int", authentication aborted');
      return false;
    }
  } else {
    this.qop = null;
  }

  // Fill other attributes.

  this.method = request.method;
  this.uri = request.ruri;
  this.cnonce = Utils.createRandomToken(12);
  this.nc += 1;
  this.updateNcHex();

  // nc-value = 8LHEX. Max value = 'FFFFFFFF'.
  if (this.nc === 4294967296) {
    this.nc = 1;
    this.ncHex = '00000001';
  }

  // Calculate the Digest "response" value.
  this.calculateResponse();

  return true;
};


/**
* Generate Digest 'response' value.
* @private
*/
DigestAuthentication.prototype.calculateResponse = function() {
  var ha1, ha2;

  // HA1 = MD5(A1) = MD5(username:realm:password)
  ha1 = Utils.calculateMD5(this.username + ":" + this.realm + ":" + this.password);

  if (this.qop === 'auth') {
    // HA2 = MD5(A2) = MD5(method:digestURI)
    ha2 = Utils.calculateMD5(this.method + ":" + this.uri);
    // response = MD5(HA1:nonce:nonceCount:credentialsNonce:qop:HA2)
    this.response = Utils.calculateMD5(ha1 + ":" + this.nonce + ":" + this.ncHex + ":" + this.cnonce + ":auth:" + ha2);

  } else if (this.qop === 'auth-int') {
    // HA2 = MD5(A2) = MD5(method:digestURI:MD5(entityBody))
    ha2 = Utils.calculateMD5(this.method + ":" + this.uri + ":" + Utils.calculateMD5(this.body ? this.body : ""));
    // response = MD5(HA1:nonce:nonceCount:credentialsNonce:qop:HA2)
    this.response = Utils.calculateMD5(ha1 + ":" + this.nonce + ":" + this.ncHex + ":" + this.cnonce + ":auth-int:" + ha2);

  } else if (this.qop === null) {
    // HA2 = MD5(A2) = MD5(method:digestURI)
    ha2 = Utils.calculateMD5(this.method + ":" + this.uri);
    // response = MD5(HA1:nonce:HA2)
    this.response = Utils.calculateMD5(ha1 + ":" + this.nonce + ":" + ha2);
  }
};


/**
* Return the Proxy-Authorization or WWW-Authorization header value.
*/
DigestAuthentication.prototype.toString = function() {
  var auth_params = [];

  if (! this.response) {
    throw new Error('response field does not exist, cannot generate Authorization header');
  }

  auth_params.push('algorithm=' + this.algorithm);
  auth_params.push('username="' + this.username + '"');
  auth_params.push('realm="' + this.realm + '"');
  auth_params.push('nonce="' + this.nonce + '"');
  auth_params.push('uri="' + this.uri + '"');
  auth_params.push('response="' + this.response + '"');
  if (this.opaque) {
    auth_params.push('opaque="' + this.opaque + '"');
  }
  if (this.qop) {
    auth_params.push('qop=' + this.qop);
    auth_params.push('cnonce="' + this.cnonce + '"');
    auth_params.push('nc=' + this.ncHex);
  }

  return 'Digest ' + auth_params.join(', ');
};


/**
* Generate the 'nc' value as required by Digest in this.ncHex by reading this.nc.
* @private
*/
DigestAuthentication.prototype.updateNcHex = function() {
  var hex = Number(this.nc).toString(16);
  this.ncHex = '00000000'.substr(0, 8-hex.length) + hex;
};

return DigestAuthentication;
};

},{}],9:[function(require,module,exports){
/**
 * @fileoverview EventEmitter
 */

/**
 * @augments SIP
 * @class Class creating an event emitter.
 */
module.exports = function (SIP) {
var
  EventEmitter,
  Event,
  logger = new SIP.LoggerFactory().getLogger('sip.eventemitter'),
  C = {
    MAX_LISTENERS: 10
  };

EventEmitter = function(){};
EventEmitter.prototype = {
  /**
   * Initialize events dictionaries.
   * @param {Array} events
   */
  initEvents: function(events) {
    this.events = {};

    return this.initMoreEvents(events);
  },

  initMoreEvents: function(events) {
    var idx;

    if (!this.logger) {
      this.logger = logger;
    }

    this.maxListeners = C.MAX_LISTENERS;

    for (idx = 0; idx < events.length; idx++) {
      if (!this.events[events[idx]]) {
        this.logger.log('adding event '+ events[idx]);
        this.events[events[idx]] = [];
      } else {
        this.logger.log('skipping event '+ events[idx]+ ' - Event exists');
      }
    }

    return this;
  },

  /**
  * Check whether an event exists or not.
  * @param {String} event
  * @returns {Boolean}
  */
  checkEvent: function(event) {
    return !!(this.events && this.events[event]);
  },

  /**
  * Check whether an event exists and has at least one listener or not.
  * @param {String} event
  * @returns {Boolean}
  */
  checkListener: function(event) {
    return this.checkEvent(event) && this.events[event].length > 0;
  },

  /**
  * Add a listener to the end of the listeners array for the specified event.
  * @param {String} event
  * @param {Function} listener
  */
  on: function(event, listener, bindTarget) {
    if (listener === undefined) {
      return this;
    } else if (typeof listener !== 'function') {
      this.logger.error('listener must be a function');
      return this;
    } else if (!this.checkEvent(event)) {
      this.logger.error('unable to add a listener to a nonexistent event '+ event);
      throw new TypeError('Invalid or uninitialized event: ' + event);
    }

    var listenerObj = { listener: listener };
    if (bindTarget) {
      listenerObj.bindTarget = bindTarget;
    }

    if (this.events[event].length >= this.maxListeners) {
      this.logger.warn('max listeners exceeded for event '+ event);
      return this;
    }

    this.events[event].push(listenerObj);
    this.logger.log('new listener added to event '+ event);
    return this;
  },

  /**
  * Add a one time listener for the specified event.
  * The listener is invoked only the next time the event is fired, then it is removed.
  * @param {String} event
  * @param {Function} listener
  */
  once: function(event, listener, bindTarget) {
    var self = this;
    function listenOnce () {
      listener.apply(this, arguments);
      self.off(event, listenOnce, bindTarget);
    }

    return this.on(event, listenOnce, bindTarget);
  },

  /**
  * Remove a listener from the listener array for the specified event.
  * Note that the order of the array elements will change after removing the listener
  * @param {String} event
  * @param {Function} listener
  */
  off: function(event, listener, bindTarget) {
    var events, length,
      idx = 0;

    if (listener && typeof listener !== 'function') {
      this.logger.error('listener must be a function');
      return this;
    } else if (!event) {
      for (idx in this.events) {
        this.events[idx] = [];
      }
      return this;
    } else if (!this.checkEvent(event)) {
      this.logger.error('unable to remove a listener from a nonexistent event '+ event);
      throw new TypeError('Invalid or uninitialized event: ' + event);
    }

    events = this.events[event];
    length = events.length;

    while (idx < length) {
      if (events[idx] &&
          (!listener || events[idx].listener === listener) &&
          (!bindTarget || events[idx].bindTarget === bindTarget)) {
        events.splice(idx,1);
      } else {
        idx ++;
      }
    }

    return this;
  },

  /**
  * By default EventEmitter will print a warning
  * if more than C.MAX_LISTENERS listeners are added for a particular event.
  * This function allows that limit to be modified.
  * @param {Number} listeners
  */
  setMaxListeners: function(listeners) {
    if (typeof listeners !== 'number' || listeners < 0) {
      this.logger.error('listeners must be a positive number');
      return this;
    }

    this.maxListeners = listeners;
    return this;
  },

  /**
  * Execute each of the listeners in order with the supplied arguments.
  * @param {String} events
  * @param {Array} args
  */
  emit: function(event) {
    if (!this.checkEvent(event)) {
      this.logger.error('unable to emit a nonexistent event '+ event);
      throw new TypeError('Invalid or uninitialized event: ' + event);
    }

    this.logger.log('emitting event '+ event);

    // Fire event listeners
    var args = Array.prototype.slice.call(arguments, 1);
    this.events[event].slice().forEach(function (listener) {
      try {
        listener.listener.apply(listener.bindTarget || this, args);
      } catch(err) {
        this.logger.error(err.stack);
      }
    }, this);

    return this;
  }
};

Event = function(type, sender, data) {
  this.type = type;
  this.sender= sender;
  this.data = data;
};

EventEmitter.C = C;

SIP.EventEmitter = EventEmitter;
SIP.Event = Event;
};

},{}],10:[function(require,module,exports){
/**
 * @fileoverview Exceptions
 */

/**
 * SIP Exceptions.
 * @augments SIP
 */
module.exports = {
  ConfigurationError: (function(){
    var exception = function(parameter, value) {
      this.code = 1;
      this.name = 'CONFIGURATION_ERROR';
      this.parameter = parameter;
      this.value = value;
      this.message = (!this.value)? 'Missing parameter: '+ this.parameter : 'Invalid value '+ JSON.stringify(this.value) +' for parameter "'+ this.parameter +'"';
    };
    exception.prototype = new Error();
    return exception;
  }()),

  InvalidStateError: (function(){
    var exception = function(status) {
      this.code = 2;
      this.name = 'INVALID_STATE_ERROR';
      this.status = status;
      this.message = 'Invalid status: ' + status;
    };
    exception.prototype = new Error();
    return exception;
  }()),

  NotSupportedError: (function(){
    var exception = function(message) {
      this.code = 3;
      this.name = 'NOT_SUPPORTED_ERROR';
      this.message = message;
    };
    exception.prototype = new Error();
    return exception;
  }()),

  NotReadyError: (function(){
    var exception = function(message) {
      this.code = 4;
      this.name = 'NOT_READY_ERROR';
      this.message = message;
    };
    exception.prototype = new Error();
    return exception;
  }())
};

},{}],11:[function(require,module,exports){
/* jshint ignore:start */
module.exports = function(SIP) {
  /*
   * Generated by PEG.js 0.8.0.
   *
   * http://pegjs.majda.cz/
   */

  function peg$subclass(child, parent) {
    function ctor() { this.constructor = child; }
    ctor.prototype = parent.prototype;
    child.prototype = new ctor();
  }

  function SyntaxError(message, expected, found, offset, line, column) {
    this.message  = message;
    this.expected = expected;
    this.found    = found;
    this.offset   = offset;
    this.line     = line;
    this.column   = column;

    this.name     = "SyntaxError";
  }

  peg$subclass(SyntaxError, Error);

  function parse(input) {
    var options = arguments.length > 1 ? arguments[1] : {},

        peg$FAILED = {},

        peg$startRuleIndices = { Contact: 118, Name_Addr_Header: 155, Record_Route: 175, Request_Response: 81, SIP_URI: 45, Subscription_State: 182, Via: 190, absoluteURI: 84, Call_ID: 117, Content_Disposition: 129, Content_Length: 134, Content_Type: 135, CSeq: 145, displayName: 121, Event: 148, From: 150, host: 52, Max_Forwards: 153, Proxy_Authenticate: 156, quoted_string: 40, Refer_To: 177, stun_URI: 209, To: 188, turn_URI: 216, uuid: 219, WWW_Authenticate: 205, challenge: 157 },
        peg$startRuleIndex   = 118,

        peg$consts = [
          "\r\n",
          { type: "literal", value: "\r\n", description: "\"\\r\\n\"" },
          /^[0-9]/,
          { type: "class", value: "[0-9]", description: "[0-9]" },
          /^[a-zA-Z]/,
          { type: "class", value: "[a-zA-Z]", description: "[a-zA-Z]" },
          /^[0-9a-fA-F]/,
          { type: "class", value: "[0-9a-fA-F]", description: "[0-9a-fA-F]" },
          /^[\0-\xFF]/,
          { type: "class", value: "[\\0-\\xFF]", description: "[\\0-\\xFF]" },
          /^["]/,
          { type: "class", value: "[\"]", description: "[\"]" },
          " ",
          { type: "literal", value: " ", description: "\" \"" },
          "\t",
          { type: "literal", value: "\t", description: "\"\\t\"" },
          /^[a-zA-Z0-9]/,
          { type: "class", value: "[a-zA-Z0-9]", description: "[a-zA-Z0-9]" },
          ";",
          { type: "literal", value: ";", description: "\";\"" },
          "/",
          { type: "literal", value: "/", description: "\"/\"" },
          "?",
          { type: "literal", value: "?", description: "\"?\"" },
          ":",
          { type: "literal", value: ":", description: "\":\"" },
          "@",
          { type: "literal", value: "@", description: "\"@\"" },
          "&",
          { type: "literal", value: "&", description: "\"&\"" },
          "=",
          { type: "literal", value: "=", description: "\"=\"" },
          "+",
          { type: "literal", value: "+", description: "\"+\"" },
          "$",
          { type: "literal", value: "$", description: "\"$\"" },
          ",",
          { type: "literal", value: ",", description: "\",\"" },
          "-",
          { type: "literal", value: "-", description: "\"-\"" },
          "_",
          { type: "literal", value: "_", description: "\"_\"" },
          ".",
          { type: "literal", value: ".", description: "\".\"" },
          "!",
          { type: "literal", value: "!", description: "\"!\"" },
          "~",
          { type: "literal", value: "~", description: "\"~\"" },
          "*",
          { type: "literal", value: "*", description: "\"*\"" },
          "'",
          { type: "literal", value: "'", description: "\"'\"" },
          "(",
          { type: "literal", value: "(", description: "\"(\"" },
          ")",
          { type: "literal", value: ")", description: "\")\"" },
          peg$FAILED,
          "%",
          { type: "literal", value: "%", description: "\"%\"" },
          function(escaped) {return escaped.join(''); },
          null,
          [],
          function() {return " "; },
          function() {return ':'; },
          function() {
                              return text(); },
          /^[!-~]/,
          { type: "class", value: "[!-~]", description: "[!-~]" },
          /^[\x80-\uFFFF]/,
          { type: "class", value: "[\\x80-\\uFFFF]", description: "[\\x80-\\uFFFF]" },
          /^[\x80-\xBF]/,
          { type: "class", value: "[\\x80-\\xBF]", description: "[\\x80-\\xBF]" },
          /^[a-f]/,
          { type: "class", value: "[a-f]", description: "[a-f]" },
          "`",
          { type: "literal", value: "`", description: "\"`\"" },
          function() {
                            return text(); },
          "<",
          { type: "literal", value: "<", description: "\"<\"" },
          ">",
          { type: "literal", value: ">", description: "\">\"" },
          "\\",
          { type: "literal", value: "\\", description: "\"\\\\\"" },
          "[",
          { type: "literal", value: "[", description: "\"[\"" },
          "]",
          { type: "literal", value: "]", description: "\"]\"" },
          "{",
          { type: "literal", value: "{", description: "\"{\"" },
          "}",
          { type: "literal", value: "}", description: "\"}\"" },
          function() {return "*"; },
          function() {return "/"; },
          function() {return "="; },
          function() {return "("; },
          function() {return ")"; },
          function() {return ">"; },
          function() {return "<"; },
          function() {return ","; },
          function() {return ";"; },
          function() {return ":"; },
          function() {return "\""; },
          /^[!-']/,
          { type: "class", value: "[!-']", description: "[!-']" },
          /^[*-[]/,
          { type: "class", value: "[*-[]", description: "[*-[]" },
          /^[\]-~]/,
          { type: "class", value: "[\\]-~]", description: "[\\]-~]" },
          function(contents) {
                                  return contents; },
          /^[#-[]/,
          { type: "class", value: "[#-[]", description: "[#-[]" },
          /^[\0-\t]/,
          { type: "class", value: "[\\0-\\t]", description: "[\\0-\\t]" },
          /^[\x0B-\f]/,
          { type: "class", value: "[\\x0B-\\f]", description: "[\\x0B-\\f]" },
          /^[\x0E-]/,
          { type: "class", value: "[\\x0E-]", description: "[\\x0E-]" },
          function() {
                                  data.uri = new SIP.URI(data.scheme, data.user, data.host, data.port);
                                  delete data.scheme;
                                  delete data.user;
                                  delete data.host;
                                  delete data.host_type;
                                  delete data.port;
                                },
          function() {
                                  data.uri = new SIP.URI(data.scheme, data.user, data.host, data.port, data.uri_params, data.uri_headers);
                                  delete data.scheme;
                                  delete data.user;
                                  delete data.host;
                                  delete data.host_type;
                                  delete data.port;
                                  delete data.uri_params;

                                  if (options.startRule === 'SIP_URI') { data = data.uri;}
                                },
          "sips",
          { type: "literal", value: "sips", description: "\"sips\"" },
          "sip",
          { type: "literal", value: "sip", description: "\"sip\"" },
          function(uri_scheme) {
                              data.scheme = uri_scheme.toLowerCase(); },
          function() {
                              data.user = decodeURIComponent(text().slice(0, -1));},
          function() {
                              data.password = text(); },
          function() {
                              data.host = text().toLowerCase();
                              return data.host; },
          function() {
                            data.host_type = 'domain';
                            return text(); },
          /^[a-zA-Z0-9_\-]/,
          { type: "class", value: "[a-zA-Z0-9_\\-]", description: "[a-zA-Z0-9_\\-]" },
          /^[a-zA-Z0-9\-]/,
          { type: "class", value: "[a-zA-Z0-9\\-]", description: "[a-zA-Z0-9\\-]" },
          function() {
                              data.host_type = 'IPv6';
                              return text(); },
          "::",
          { type: "literal", value: "::", description: "\"::\"" },
          function() {
                            data.host_type = 'IPv6';
                            return text(); },
          function() {
                              data.host_type = 'IPv4';
                              return text(); },
          "25",
          { type: "literal", value: "25", description: "\"25\"" },
          /^[0-5]/,
          { type: "class", value: "[0-5]", description: "[0-5]" },
          "2",
          { type: "literal", value: "2", description: "\"2\"" },
          /^[0-4]/,
          { type: "class", value: "[0-4]", description: "[0-4]" },
          "1",
          { type: "literal", value: "1", description: "\"1\"" },
          /^[1-9]/,
          { type: "class", value: "[1-9]", description: "[1-9]" },
          function(port) {
                              port = parseInt(port.join(''));
                              data.port = port;
                              return port; },
          "transport=",
          { type: "literal", value: "transport=", description: "\"transport=\"" },
          "udp",
          { type: "literal", value: "udp", description: "\"udp\"" },
          "tcp",
          { type: "literal", value: "tcp", description: "\"tcp\"" },
          "sctp",
          { type: "literal", value: "sctp", description: "\"sctp\"" },
          "tls",
          { type: "literal", value: "tls", description: "\"tls\"" },
          function(transport) {
                                if(!data.uri_params) data.uri_params={};
                                data.uri_params['transport'] = transport.toLowerCase(); },
          "user=",
          { type: "literal", value: "user=", description: "\"user=\"" },
          "phone",
          { type: "literal", value: "phone", description: "\"phone\"" },
          "ip",
          { type: "literal", value: "ip", description: "\"ip\"" },
          function(user) {
                                if(!data.uri_params) data.uri_params={};
                                data.uri_params['user'] = user.toLowerCase(); },
          "method=",
          { type: "literal", value: "method=", description: "\"method=\"" },
          function(method) {
                                if(!data.uri_params) data.uri_params={};
                                data.uri_params['method'] = method; },
          "ttl=",
          { type: "literal", value: "ttl=", description: "\"ttl=\"" },
          function(ttl) {
                                if(!data.params) data.params={};
                                data.params['ttl'] = ttl; },
          "maddr=",
          { type: "literal", value: "maddr=", description: "\"maddr=\"" },
          function(maddr) {
                                if(!data.uri_params) data.uri_params={};
                                data.uri_params['maddr'] = maddr; },
          "lr",
          { type: "literal", value: "lr", description: "\"lr\"" },
          function() {
                                if(!data.uri_params) data.uri_params={};
                                data.uri_params['lr'] = undefined; },
          function(param, value) {
                                if(!data.uri_params) data.uri_params = {};
                                if (value === null){
                                  value = undefined;
                                }
                                else {
                                  value = value[1];
                                }
                                data.uri_params[param.toLowerCase()] = value && value.toLowerCase();},
          function(pname) {return pname.join(''); },
          function(pvalue) {return pvalue.join(''); },
          function(hname, hvalue) {
                                hname = hname.join('').toLowerCase();
                                hvalue = hvalue.join('');
                                if(!data.uri_headers) data.uri_headers = {};
                                if (!data.uri_headers[hname]) {
                                  data.uri_headers[hname] = [hvalue];
                                } else {
                                  data.uri_headers[hname].push(hvalue);
                                }},
          function() {
                                // lots of tests fail if this isn't guarded...
                                if (options.startRule === 'Refer_To') {
                                  data.uri = new SIP.URI(data.scheme, data.user, data.host, data.port, data.uri_params, data.uri_headers);
                                  delete data.scheme;
                                  delete data.user;
                                  delete data.host;
                                  delete data.host_type;
                                  delete data.port;
                                  delete data.uri_params;
                                }
                              },
          "//",
          { type: "literal", value: "//", description: "\"//\"" },
          function() {
                              data.scheme= text(); },
          { type: "literal", value: "SIP", description: "\"SIP\"" },
          function() {
                              data.sip_version = text(); },
          "INVITE",
          { type: "literal", value: "INVITE", description: "\"INVITE\"" },
          "ACK",
          { type: "literal", value: "ACK", description: "\"ACK\"" },
          "VXACH",
          { type: "literal", value: "VXACH", description: "\"VXACH\"" },
          "OPTIONS",
          { type: "literal", value: "OPTIONS", description: "\"OPTIONS\"" },
          "BYE",
          { type: "literal", value: "BYE", description: "\"BYE\"" },
          "CANCEL",
          { type: "literal", value: "CANCEL", description: "\"CANCEL\"" },
          "REGISTER",
          { type: "literal", value: "REGISTER", description: "\"REGISTER\"" },
          "SUBSCRIBE",
          { type: "literal", value: "SUBSCRIBE", description: "\"SUBSCRIBE\"" },
          "NOTIFY",
          { type: "literal", value: "NOTIFY", description: "\"NOTIFY\"" },
          "REFER",
          { type: "literal", value: "REFER", description: "\"REFER\"" },
          function() {

                              data.method = text();
                              return data.method; },
          function(status_code) {
                            data.status_code = parseInt(status_code.join('')); },
          function() {
                            data.reason_phrase = text(); },
          function() {
                        data = text(); },
          function() {
                                  var idx, length;
                                  length = data.multi_header.length;
                                  for (idx = 0; idx < length; idx++) {
                                    if (data.multi_header[idx].parsed === null) {
                                      data = null;
                                      break;
                                    }
                                  }
                                  if (data !== null) {
                                    data = data.multi_header;
                                  } else {
                                    data = -1;
                                  }},
          function() {
                                  var header;
                                  if(!data.multi_header) data.multi_header = [];
                                  try {
                                    header = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                                    delete data.uri;
                                    delete data.displayName;
                                    delete data.params;
                                  } catch(e) {
                                    header = null;
                                  }
                                  data.multi_header.push( { 'position': peg$currPos,
                                                            'offset': offset(),
                                                            'parsed': header
                                                          });},
          function(displayName) {
                                  displayName = text().trim();
                                  if (displayName[0] === '\"') {
                                    displayName = displayName.substring(1, displayName.length-1);
                                  }
                                  data.displayName = displayName; },
          "q",
          { type: "literal", value: "q", description: "\"q\"" },
          function(q) {
                                  if(!data.params) data.params = {};
                                  data.params['q'] = q; },
          "expires",
          { type: "literal", value: "expires", description: "\"expires\"" },
          function(expires) {
                                  if(!data.params) data.params = {};
                                  data.params['expires'] = expires; },
          function(delta_seconds) {
                                  return parseInt(delta_seconds.join('')); },
          "0",
          { type: "literal", value: "0", description: "\"0\"" },
          function() {
                                  return parseFloat(text()); },
          function(param, value) {
                                  if(!data.params) data.params = {};
                                  if (value === null){
                                    value = undefined;
                                  }
                                  else {
                                    value = value[1];
                                  }
                                  data.params[param.toLowerCase()] = value;},
          "render",
          { type: "literal", value: "render", description: "\"render\"" },
          "session",
          { type: "literal", value: "session", description: "\"session\"" },
          "icon",
          { type: "literal", value: "icon", description: "\"icon\"" },
          "alert",
          { type: "literal", value: "alert", description: "\"alert\"" },
          function() {
                                      if (options.startRule === 'Content_Disposition') {
                                        data.type = text().toLowerCase();
                                      }
                                    },
          "handling",
          { type: "literal", value: "handling", description: "\"handling\"" },
          "optional",
          { type: "literal", value: "optional", description: "\"optional\"" },
          "required",
          { type: "literal", value: "required", description: "\"required\"" },
          function(length) {
                                  data = parseInt(length.join('')); },
          function() {
                                  data = text(); },
          "text",
          { type: "literal", value: "text", description: "\"text\"" },
          "image",
          { type: "literal", value: "image", description: "\"image\"" },
          "audio",
          { type: "literal", value: "audio", description: "\"audio\"" },
          "video",
          { type: "literal", value: "video", description: "\"video\"" },
          "application",
          { type: "literal", value: "application", description: "\"application\"" },
          "message",
          { type: "literal", value: "message", description: "\"message\"" },
          "multipart",
          { type: "literal", value: "multipart", description: "\"multipart\"" },
          "x-",
          { type: "literal", value: "x-", description: "\"x-\"" },
          function(cseq_value) {
                            data.value=parseInt(cseq_value.join('')); },
          function(expires) {data = expires; },
          function(event_type) {
                                 data.event = event_type.toLowerCase(); },
          function() {
                          var tag = data.tag;
                            data = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                            if (tag) {data.setParam('tag',tag)}
                          },
          "tag",
          { type: "literal", value: "tag", description: "\"tag\"" },
          function(tag) {data.tag = tag; },
          function(forwards) {
                            data = parseInt(forwards.join('')); },
          function(min_expires) {data = min_expires; },
          function() {
                                  data = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                                },
          "digest",
          { type: "literal", value: "Digest", description: "\"Digest\"" },
          "realm",
          { type: "literal", value: "realm", description: "\"realm\"" },
          function(realm) { data.realm = realm; },
          "domain",
          { type: "literal", value: "domain", description: "\"domain\"" },
          "nonce",
          { type: "literal", value: "nonce", description: "\"nonce\"" },
          function(nonce) { data.nonce=nonce; },
          "opaque",
          { type: "literal", value: "opaque", description: "\"opaque\"" },
          function(opaque) { data.opaque=opaque; },
          "stale",
          { type: "literal", value: "stale", description: "\"stale\"" },
          "true",
          { type: "literal", value: "true", description: "\"true\"" },
          function() { data.stale=true; },
          "false",
          { type: "literal", value: "false", description: "\"false\"" },
          function() { data.stale=false; },
          "algorithm",
          { type: "literal", value: "algorithm", description: "\"algorithm\"" },
          "md5",
          { type: "literal", value: "MD5", description: "\"MD5\"" },
          "md5-sess",
          { type: "literal", value: "MD5-sess", description: "\"MD5-sess\"" },
          function(algorithm) {
                                data.algorithm=algorithm.toUpperCase(); },
          "qop",
          { type: "literal", value: "qop", description: "\"qop\"" },
          "auth-int",
          { type: "literal", value: "auth-int", description: "\"auth-int\"" },
          "auth",
          { type: "literal", value: "auth", description: "\"auth\"" },
          function(qop_value) {
                                  data.qop || (data.qop=[]);
                                  data.qop.push(qop_value.toLowerCase()); },
          function(rack_value) {
                            data.value=parseInt(rack_value.join('')); },
          function() {
                            var idx, length;
                            length = data.multi_header.length;
                            for (idx = 0; idx < length; idx++) {
                              if (data.multi_header[idx].parsed === null) {
                                data = null;
                                break;
                              }
                            }
                            if (data !== null) {
                              data = data.multi_header;
                            } else {
                              data = -1;
                            }},
          function() {
                            var header;
                            if(!data.multi_header) data.multi_header = [];
                            try {
                              header = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                              delete data.uri;
                              delete data.displayName;
                              delete data.params;
                            } catch(e) {
                              header = null;
                            }
                            data.multi_header.push( { 'position': peg$currPos,
                                                      'offset': offset(),
                                                      'parsed': header
                                                    });},
          function() {
                        data = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                      },
          function(rseq_value) {
                            data.value=parseInt(rseq_value.join('')); },
          "active",
          { type: "literal", value: "active", description: "\"active\"" },
          "pending",
          { type: "literal", value: "pending", description: "\"pending\"" },
          "terminated",
          { type: "literal", value: "terminated", description: "\"terminated\"" },
          function() {
                                  data.state = text(); },
          "reason",
          { type: "literal", value: "reason", description: "\"reason\"" },
          function(reason) {
                                  if (typeof reason !== 'undefined') data.reason = reason; },
          function(expires) {
                                  if (typeof expires !== 'undefined') data.expires = expires; },
          "retry_after",
          { type: "literal", value: "retry_after", description: "\"retry_after\"" },
          function(retry_after) {
                                  if (typeof retry_after !== 'undefined') data.retry_after = retry_after; },
          "deactivated",
          { type: "literal", value: "deactivated", description: "\"deactivated\"" },
          "probation",
          { type: "literal", value: "probation", description: "\"probation\"" },
          "rejected",
          { type: "literal", value: "rejected", description: "\"rejected\"" },
          "timeout",
          { type: "literal", value: "timeout", description: "\"timeout\"" },
          "giveup",
          { type: "literal", value: "giveup", description: "\"giveup\"" },
          "noresource",
          { type: "literal", value: "noresource", description: "\"noresource\"" },
          "invariant",
          { type: "literal", value: "invariant", description: "\"invariant\"" },
          function() {
                        var tag = data.tag;
                          data = new SIP.NameAddrHeader(data.uri, data.displayName, data.params);
                          if (tag) {data.setParam('tag',tag)}
                        },
          "ttl",
          { type: "literal", value: "ttl", description: "\"ttl\"" },
          function(via_ttl_value) {
                                data.ttl = via_ttl_value; },
          "maddr",
          { type: "literal", value: "maddr", description: "\"maddr\"" },
          function(via_maddr) {
                                data.maddr = via_maddr; },
          "received",
          { type: "literal", value: "received", description: "\"received\"" },
          function(via_received) {
                                data.received = via_received; },
          "branch",
          { type: "literal", value: "branch", description: "\"branch\"" },
          function(via_branch) {
                                data.branch = via_branch; },
          "rport",
          { type: "literal", value: "rport", description: "\"rport\"" },
          function() {
                                if(typeof response_port !== 'undefined')
                                  data.rport = response_port.join(''); },
          function(via_protocol) {
                                data.protocol = via_protocol; },
          { type: "literal", value: "UDP", description: "\"UDP\"" },
          { type: "literal", value: "TCP", description: "\"TCP\"" },
          { type: "literal", value: "TLS", description: "\"TLS\"" },
          { type: "literal", value: "SCTP", description: "\"SCTP\"" },
          function(via_transport) {
                                data.transport = via_transport; },
          function() {
                                data.host = text(); },
          function(via_sent_by_port) {
                                data.port = parseInt(via_sent_by_port.join('')); },
          function(ttl) {
                                return parseInt(ttl.join('')); },
          "stuns",
          { type: "literal", value: "stuns", description: "\"stuns\"" },
          "stun",
          { type: "literal", value: "stun", description: "\"stun\"" },
          function(scheme) {
                                data.scheme = scheme; },
          function(host) {
                                data.host = host; },
          function() {
                                return text(); },
          "?transport=",
          { type: "literal", value: "?transport=", description: "\"?transport=\"" },
          "turns",
          { type: "literal", value: "turns", description: "\"turns\"" },
          "turn",
          { type: "literal", value: "turn", description: "\"turn\"" },
          function() {
                                data.transport = transport; },
          function() {
                            data = text(); }
        ],

        peg$bytecode = [
          peg$decode(". \"\"2 3!"),
          peg$decode("0\"\"\"1!3#"),
          peg$decode("0$\"\"1!3%"),
          peg$decode("0&\"\"1!3'"),
          peg$decode("7'*# \"7("),
          peg$decode("0(\"\"1!3)"),
          peg$decode("0*\"\"1!3+"),
          peg$decode(".,\"\"2,3-"),
          peg$decode("..\"\"2.3/"),
          peg$decode("00\"\"1!31"),
          peg$decode(".2\"\"2233*\x89 \".4\"\"2435*} \".6\"\"2637*q \".8\"\"2839*e \".:\"\"2:3;*Y \".<\"\"2<3=*M \".>\"\"2>3?*A \".@\"\"2@3A*5 \".B\"\"2B3C*) \".D\"\"2D3E"),
          peg$decode("7)*# \"7,"),
          peg$decode(".F\"\"2F3G*} \".H\"\"2H3I*q \".J\"\"2J3K*e \".L\"\"2L3M*Y \".N\"\"2N3O*M \".P\"\"2P3Q*A \".R\"\"2R3S*5 \".T\"\"2T3U*) \".V\"\"2V3W"),
          peg$decode("!!.Y\"\"2Y3Z+7$7#+-%7#+#%'#%$## X$\"# X\"# X+' 4!6[!! %"),
          peg$decode("!! ]7$,#&7$\"+-$7 +#%'\"%$\"# X\"# X*# \" \\+@$ ]7$+&$,#&7$\"\"\" X+'%4\"6^\" %$\"# X\"# X"),
          peg$decode("7.*# \" \\"),
          peg$decode("! ]7'*# \"7(,)&7'*# \"7(\"+A$.8\"\"2839+1%7/+'%4#6_# %$## X$\"# X\"# X"),
          peg$decode("! ]72+&$,#&72\"\"\" X+s$ ]! ]7.,#&7.\"+-$72+#%'\"%$\"# X\"# X,@&! ]7.,#&7.\"+-$72+#%'\"%$\"# X\"# X\"+'%4\"6`\" %$\"# X\"# X"),
          peg$decode("0a\"\"1!3b*# \"73"),
          peg$decode("0c\"\"1!3d"),
          peg$decode("0e\"\"1!3f"),
          peg$decode("7!*) \"0g\"\"1!3h"),
          peg$decode("! ]7)*\x95 \".F\"\"2F3G*\x89 \".J\"\"2J3K*} \".L\"\"2L3M*q \".Y\"\"2Y3Z*e \".P\"\"2P3Q*Y \".H\"\"2H3I*M \".@\"\"2@3A*A \".i\"\"2i3j*5 \".R\"\"2R3S*) \".N\"\"2N3O+\x9E$,\x9B&7)*\x95 \".F\"\"2F3G*\x89 \".J\"\"2J3K*} \".L\"\"2L3M*q \".Y\"\"2Y3Z*e \".P\"\"2P3Q*Y \".H\"\"2H3I*M \".@\"\"2@3A*A \".i\"\"2i3j*5 \".R\"\"2R3S*) \".N\"\"2N3O\"\"\" X+& 4!6k! %"),
          peg$decode("! ]7)*\x89 \".F\"\"2F3G*} \".L\"\"2L3M*q \".Y\"\"2Y3Z*e \".P\"\"2P3Q*Y \".H\"\"2H3I*M \".@\"\"2@3A*A \".i\"\"2i3j*5 \".R\"\"2R3S*) \".N\"\"2N3O+\x92$,\x8F&7)*\x89 \".F\"\"2F3G*} \".L\"\"2L3M*q \".Y\"\"2Y3Z*e \".P\"\"2P3Q*Y \".H\"\"2H3I*M \".@\"\"2@3A*A \".i\"\"2i3j*5 \".R\"\"2R3S*) \".N\"\"2N3O\"\"\" X+& 4!6k! %"),
          peg$decode(".T\"\"2T3U*\xE3 \".V\"\"2V3W*\xD7 \".l\"\"2l3m*\xCB \".n\"\"2n3o*\xBF \".:\"\"2:3;*\xB3 \".D\"\"2D3E*\xA7 \".2\"\"2233*\x9B \".8\"\"2839*\x8F \".p\"\"2p3q*\x83 \"7&*} \".4\"\"2435*q \".r\"\"2r3s*e \".t\"\"2t3u*Y \".6\"\"2637*M \".>\"\"2>3?*A \".v\"\"2v3w*5 \".x\"\"2x3y*) \"7'*# \"7("),
          peg$decode("! ]7)*\u012B \".F\"\"2F3G*\u011F \".J\"\"2J3K*\u0113 \".L\"\"2L3M*\u0107 \".Y\"\"2Y3Z*\xFB \".P\"\"2P3Q*\xEF \".H\"\"2H3I*\xE3 \".@\"\"2@3A*\xD7 \".i\"\"2i3j*\xCB \".R\"\"2R3S*\xBF \".N\"\"2N3O*\xB3 \".T\"\"2T3U*\xA7 \".V\"\"2V3W*\x9B \".l\"\"2l3m*\x8F \".n\"\"2n3o*\x83 \".8\"\"2839*w \".p\"\"2p3q*k \"7&*e \".4\"\"2435*Y \".r\"\"2r3s*M \".t\"\"2t3u*A \".6\"\"2637*5 \".v\"\"2v3w*) \".x\"\"2x3y+\u0134$,\u0131&7)*\u012B \".F\"\"2F3G*\u011F \".J\"\"2J3K*\u0113 \".L\"\"2L3M*\u0107 \".Y\"\"2Y3Z*\xFB \".P\"\"2P3Q*\xEF \".H\"\"2H3I*\xE3 \".@\"\"2@3A*\xD7 \".i\"\"2i3j*\xCB \".R\"\"2R3S*\xBF \".N\"\"2N3O*\xB3 \".T\"\"2T3U*\xA7 \".V\"\"2V3W*\x9B \".l\"\"2l3m*\x8F \".n\"\"2n3o*\x83 \".8\"\"2839*w \".p\"\"2p3q*k \"7&*e \".4\"\"2435*Y \".r\"\"2r3s*M \".t\"\"2t3u*A \".6\"\"2637*5 \".v\"\"2v3w*) \".x\"\"2x3y\"\"\" X+& 4!6k! %"),
          peg$decode("!7/+A$.P\"\"2P3Q+1%7/+'%4#6z# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.4\"\"2435+1%7/+'%4#6{# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.>\"\"2>3?+1%7/+'%4#6|# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.T\"\"2T3U+1%7/+'%4#6}# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.V\"\"2V3W+1%7/+'%4#6~# %$## X$\"# X\"# X"),
          peg$decode("!.n\"\"2n3o+1$7/+'%4\"6\" %$\"# X\"# X"),
          peg$decode("!7/+7$.l\"\"2l3m+'%4\"6\x80\" %$\"# X\"# X"),
          peg$decode("!7/+A$.D\"\"2D3E+1%7/+'%4#6\x81# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.2\"\"2233+1%7/+'%4#6\x82# %$## X$\"# X\"# X"),
          peg$decode("!7/+A$.8\"\"2839+1%7/+'%4#6\x83# %$## X$\"# X\"# X"),
          peg$decode("!7/+1$7&+'%4\"6\x84\" %$\"# X\"# X"),
          peg$decode("!7&+1$7/+'%4\"6\x84\" %$\"# X\"# X"),
          peg$decode("!7=+W$ ]7G*) \"7K*# \"7F,/&7G*) \"7K*# \"7F\"+-%7>+#%'#%$## X$\"# X\"# X"),
          peg$decode("0\x85\"\"1!3\x86*A \"0\x87\"\"1!3\x88*5 \"0\x89\"\"1!3\x8A*) \"73*# \"7."),
          peg$decode("!7/+Y$7&+O% ]7J*# \"7K,)&7J*# \"7K\"+1%7&+'%4$6k$ %$$# X$## X$\"# X\"# X"),
          peg$decode("!7/+`$7&+V%! ]7J*# \"7K,)&7J*# \"7K\"+! (%+2%7&+(%4$6\x8B$!!%$$# X$## X$\"# X\"# X"),
          peg$decode("7.*G \".L\"\"2L3M*; \"0\x8C\"\"1!3\x8D*/ \"0\x89\"\"1!3\x8A*# \"73"),
          peg$decode("!.p\"\"2p3q+K$0\x8E\"\"1!3\x8F*5 \"0\x90\"\"1!3\x91*) \"0\x92\"\"1!3\x93+#%'\"%$\"# X\"# X"),
          peg$decode("!7N+Q$.8\"\"2839+A%7O*# \" \\+1%7S+'%4$6\x94$ %$$# X$## X$\"# X\"# X"),
          peg$decode("!7N+k$.8\"\"2839+[%7O*# \" \\+K%7S+A%7_+7%7l*# \" \\+'%4&6\x95& %$&# X$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!/\x96\"\"1$3\x97*) \"/\x98\"\"1#3\x99+' 4!6\x9A!! %"),
          peg$decode("!7P+b$!.8\"\"2839+-$7R+#%'\"%$\"# X\"# X*# \" \\+7%.:\"\"2:3;+'%4#6\x9B# %$## X$\"# X\"# X"),
          peg$decode(" ]7+*) \"7-*# \"7Q+2$,/&7+*) \"7-*# \"7Q\"\"\" X"),
          peg$decode(".<\"\"2<3=*q \".>\"\"2>3?*e \".@\"\"2@3A*Y \".B\"\"2B3C*M \".D\"\"2D3E*A \".2\"\"2233*5 \".6\"\"2637*) \".4\"\"2435"),
          peg$decode("! ]7+*_ \"7-*Y \".<\"\"2<3=*M \".>\"\"2>3?*A \".@\"\"2@3A*5 \".B\"\"2B3C*) \".D\"\"2D3E,e&7+*_ \"7-*Y \".<\"\"2<3=*M \".>\"\"2>3?*A \".@\"\"2@3A*5 \".B\"\"2B3C*) \".D\"\"2D3E\"+& 4!6\x9C! %"),
          peg$decode("!7T+N$!.8\"\"2839+-$7^+#%'\"%$\"# X\"# X*# \" \\+#%'\"%$\"# X\"# X"),
          peg$decode("!7U*) \"7\\*# \"7X+& 4!6\x9D! %"),
          peg$decode("! ]!7V+3$.J\"\"2J3K+#%'\"%$\"# X\"# X,>&!7V+3$.J\"\"2J3K+#%'\"%$\"# X\"# X\"+G$7W+=%.J\"\"2J3K*# \" \\+'%4#6\x9E# %$## X$\"# X\"# X"),
          peg$decode(" ]0\x9F\"\"1!3\xA0+,$,)&0\x9F\"\"1!3\xA0\"\"\" X"),
          peg$decode("!0$\"\"1!3%+A$ ]0\xA1\"\"1!3\xA2,)&0\xA1\"\"1!3\xA2\"+#%'\"%$\"# X\"# X"),
          peg$decode("!.r\"\"2r3s+A$7Y+7%.t\"\"2t3u+'%4#6\xA3# %$## X$\"# X\"# X"),
          peg$decode("!!7Z+\xBF$.8\"\"2839+\xAF%7Z+\xA5%.8\"\"2839+\x95%7Z+\x8B%.8\"\"2839+{%7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'-%$-# X$,# X$+# X$*# X$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0838 \"!.\xA4\"\"2\xA43\xA5+\xAF$7Z+\xA5%.8\"\"2839+\x95%7Z+\x8B%.8\"\"2839+{%7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%',%$,# X$+# X$*# X$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0795 \"!.\xA4\"\"2\xA43\xA5+\x95$7Z+\x8B%.8\"\"2839+{%7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'*%$*# X$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u070C \"!.\xA4\"\"2\xA43\xA5+{$7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'(%$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u069D \"!.\xA4\"\"2\xA43\xA5+a$7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'&%$&# X$%# X$$# X$## X$\"# X\"# X*\u0648 \"!.\xA4\"\"2\xA43\xA5+G$7Z+=%.8\"\"2839+-%7[+#%'$%$$# X$## X$\"# X\"# X*\u060D \"!.\xA4\"\"2\xA43\xA5+-$7[+#%'\"%$\"# X\"# X*\u05EC \"!.\xA4\"\"2\xA43\xA5+-$7Z+#%'\"%$\"# X\"# X*\u05CB \"!7Z+\xA5$.\xA4\"\"2\xA43\xA5+\x95%7Z+\x8B%.8\"\"2839+{%7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'+%$+# X$*# X$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0538 \"!7Z+\xB6$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x8B%.\xA4\"\"2\xA43\xA5+{%7Z+q%.8\"\"2839+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%'*%$*# X$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0494 \"!7Z+\xC7$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x9C%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+q%.\xA4\"\"2\xA43\xA5+a%7Z+W%.8\"\"2839+G%7Z+=%.8\"\"2839+-%7[+#%')%$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u03DF \"!7Z+\xD8$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xAD%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x82%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+W%.\xA4\"\"2\xA43\xA5+G%7Z+=%.8\"\"2839+-%7[+#%'(%$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0319 \"!7Z+\xE9$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xBE%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x93%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+h%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+=%.\xA4\"\"2\xA43\xA5+-%7[+#%''%$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0242 \"!7Z+\u0114$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xE9%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xBE%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x93%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+h%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+=%.\xA4\"\"2\xA43\xA5+-%7Z+#%'(%$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X*\u0140 \"!7Z+\u0135$!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\u010A%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xDF%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\xB4%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+\x89%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+^%!.8\"\"2839+-$7Z+#%'\"%$\"# X\"# X*# \" \\+3%.\xA4\"\"2\xA43\xA5+#%'(%$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X+& 4!6\xA6! %"),
          peg$decode("!7#+S$7#*# \" \\+C%7#*# \" \\+3%7#*# \" \\+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("!7Z+=$.8\"\"2839+-%7Z+#%'#%$## X$\"# X\"# X*# \"7\\"),
          peg$decode("!7]+u$.J\"\"2J3K+e%7]+[%.J\"\"2J3K+K%7]+A%.J\"\"2J3K+1%7]+'%4'6\xA7' %$'# X$&# X$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!.\xA8\"\"2\xA83\xA9+3$0\xAA\"\"1!3\xAB+#%'\"%$\"# X\"# X*\xA0 \"!.\xAC\"\"2\xAC3\xAD+=$0\xAE\"\"1!3\xAF+-%7!+#%'#%$## X$\"# X\"# X*o \"!.\xB0\"\"2\xB03\xB1+7$7!+-%7!+#%'#%$## X$\"# X\"# X*D \"!0\xB2\"\"1!3\xB3+-$7!+#%'\"%$\"# X\"# X*# \"7!"),
          peg$decode("!!7!*# \" \\+c$7!*# \" \\+S%7!*# \" \\+C%7!*# \" \\+3%7!*# \" \\+#%'%%$%# X$$# X$## X$\"# X\"# X+' 4!6\xB4!! %"),
          peg$decode(" ]!.2\"\"2233+-$7`+#%'\"%$\"# X\"# X,>&!.2\"\"2233+-$7`+#%'\"%$\"# X\"# X\""),
          peg$decode("7a*A \"7b*; \"7c*5 \"7d*/ \"7e*) \"7f*# \"7g"),
          peg$decode("!/\xB5\"\"1*3\xB6+b$/\xB7\"\"1#3\xB8*G \"/\xB9\"\"1#3\xBA*; \"/\xBB\"\"1$3\xBC*/ \"/\xBD\"\"1#3\xBE*# \"76+(%4\"6\xBF\"! %$\"# X\"# X"),
          peg$decode("!/\xC0\"\"1%3\xC1+J$/\xC2\"\"1%3\xC3*/ \"/\xC4\"\"1\"3\xC5*# \"76+(%4\"6\xC6\"! %$\"# X\"# X"),
          peg$decode("!/\xC7\"\"1'3\xC8+2$7\x8F+(%4\"6\xC9\"! %$\"# X\"# X"),
          peg$decode("!/\xCA\"\"1$3\xCB+2$7\xEC+(%4\"6\xCC\"! %$\"# X\"# X"),
          peg$decode("!/\xCD\"\"1&3\xCE+2$7T+(%4\"6\xCF\"! %$\"# X\"# X"),
          peg$decode("!/\xD0\"\"1\"3\xD1+R$!.>\"\"2>3?+-$76+#%'\"%$\"# X\"# X*# \" \\+'%4\"6\xD2\" %$\"# X\"# X"),
          peg$decode("!7h+T$!.>\"\"2>3?+-$7i+#%'\"%$\"# X\"# X*# \" \\+)%4\"6\xD3\"\"! %$\"# X\"# X"),
          peg$decode("! ]7j+&$,#&7j\"\"\" X+' 4!6\xD4!! %"),
          peg$decode("! ]7j+&$,#&7j\"\"\" X+' 4!6\xD5!! %"),
          peg$decode("7k*) \"7+*# \"7-"),
          peg$decode(".r\"\"2r3s*e \".t\"\"2t3u*Y \".4\"\"2435*M \".8\"\"2839*A \".<\"\"2<3=*5 \".@\"\"2@3A*) \".B\"\"2B3C"),
          peg$decode("!.6\"\"2637+u$7m+k% ]!.<\"\"2<3=+-$7m+#%'\"%$\"# X\"# X,>&!.<\"\"2<3=+-$7m+#%'\"%$\"# X\"# X\"+#%'#%$## X$\"# X\"# X"),
          peg$decode("!7n+C$.>\"\"2>3?+3%7o+)%4#6\xD6#\"\" %$## X$\"# X\"# X"),
          peg$decode(" ]7p*) \"7+*# \"7-+2$,/&7p*) \"7+*# \"7-\"\"\" X"),
          peg$decode(" ]7p*) \"7+*# \"7-,/&7p*) \"7+*# \"7-\""),
          peg$decode(".r\"\"2r3s*e \".t\"\"2t3u*Y \".4\"\"2435*M \".6\"\"2637*A \".8\"\"2839*5 \".@\"\"2@3A*) \".B\"\"2B3C"),
          peg$decode("7\x90*# \"7r"),
          peg$decode("!7\x8F+K$7'+A%7s+7%7'+-%7\x84+#%'%%$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("7M*# \"7t"),
          peg$decode("!7+G$.8\"\"2839+7%7u*# \"7x+'%4#6\xD7# %$## X$\"# X\"# X"),
          peg$decode("!7v*# \"7w+N$!.6\"\"2637+-$7\x83+#%'\"%$\"# X\"# X*# \" \\+#%'\"%$\"# X\"# X"),
          peg$decode("!.\xD8\"\"2\xD83\xD9+=$7\x80+3%7w*# \" \\+#%'#%$## X$\"# X\"# X"),
          peg$decode("!.4\"\"2435+-$7{+#%'\"%$\"# X\"# X"),
          peg$decode("!7z+5$ ]7y,#&7y\"+#%'\"%$\"# X\"# X"),
          peg$decode("7**) \"7+*# \"7-"),
          peg$decode("7+*\x8F \"7-*\x89 \".2\"\"2233*} \".6\"\"2637*q \".8\"\"2839*e \".:\"\"2:3;*Y \".<\"\"2<3=*M \".>\"\"2>3?*A \".@\"\"2@3A*5 \".B\"\"2B3C*) \".D\"\"2D3E"),
          peg$decode("!7|+k$ ]!.4\"\"2435+-$7|+#%'\"%$\"# X\"# X,>&!.4\"\"2435+-$7|+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("! ]7~,#&7~\"+k$ ]!.2\"\"2233+-$7}+#%'\"%$\"# X\"# X,>&!.2\"\"2233+-$7}+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode(" ]7~,#&7~\""),
          peg$decode("7+*w \"7-*q \".8\"\"2839*e \".:\"\"2:3;*Y \".<\"\"2<3=*M \".>\"\"2>3?*A \".@\"\"2@3A*5 \".B\"\"2B3C*) \".D\"\"2D3E"),
          peg$decode("!7\"+\x8D$ ]7\"*G \"7!*A \".@\"\"2@3A*5 \".F\"\"2F3G*) \".J\"\"2J3K,M&7\"*G \"7!*A \".@\"\"2@3A*5 \".F\"\"2F3G*) \".J\"\"2J3K\"+'%4\"6\xDA\" %$\"# X\"# X"),
          peg$decode("7\x81*# \"7\x82"),
          peg$decode("!!7O+3$.:\"\"2:3;+#%'\"%$\"# X\"# X*# \" \\+-$7S+#%'\"%$\"# X\"# X*# \" \\"),
          peg$decode(" ]7+*\x83 \"7-*} \".B\"\"2B3C*q \".D\"\"2D3E*e \".2\"\"2233*Y \".8\"\"2839*M \".:\"\"2:3;*A \".<\"\"2<3=*5 \".>\"\"2>3?*) \".@\"\"2@3A+\x8C$,\x89&7+*\x83 \"7-*} \".B\"\"2B3C*q \".D\"\"2D3E*e \".2\"\"2233*Y \".8\"\"2839*M \".:\"\"2:3;*A \".<\"\"2<3=*5 \".>\"\"2>3?*) \".@\"\"2@3A\"\"\" X"),
          peg$decode(" ]7y,#&7y\""),
          peg$decode("!/\x98\"\"1#3\xDB+y$.4\"\"2435+i% ]7!+&$,#&7!\"\"\" X+P%.J\"\"2J3K+@% ]7!+&$,#&7!\"\"\" X+'%4%6\xDC% %$%# X$$# X$## X$\"# X\"# X"),
          peg$decode(".\xDD\"\"2\xDD3\xDE"),
          peg$decode(".\xDF\"\"2\xDF3\xE0"),
          peg$decode(".\xE1\"\"2\xE13\xE2"),
          peg$decode(".\xE3\"\"2\xE33\xE4"),
          peg$decode(".\xE5\"\"2\xE53\xE6"),
          peg$decode(".\xE7\"\"2\xE73\xE8"),
          peg$decode(".\xE9\"\"2\xE93\xEA"),
          peg$decode(".\xEB\"\"2\xEB3\xEC"),
          peg$decode(".\xED\"\"2\xED3\xEE"),
          peg$decode(".\xEF\"\"2\xEF3\xF0"),
          peg$decode("!7\x85*S \"7\x86*M \"7\x88*G \"7\x89*A \"7\x8A*; \"7\x8B*5 \"7\x8C*/ \"7\x8D*) \"7\x8E*# \"76+& 4!6\xF1! %"),
          peg$decode("!7\x84+K$7'+A%7\x91+7%7'+-%7\x93+#%'%%$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!7\x92+' 4!6\xF2!! %"),
          peg$decode("!7!+7$7!+-%7!+#%'#%$## X$\"# X\"# X"),
          peg$decode("! ]7**A \"7+*; \"7-*5 \"73*/ \"74*) \"7'*# \"7(,G&7**A \"7+*; \"7-*5 \"73*/ \"74*) \"7'*# \"7(\"+& 4!6\xF3! %"),
          peg$decode("!7\xB5+_$ ]!7A+-$7\xB5+#%'\"%$\"# X\"# X,8&!7A+-$7\xB5+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!79+R$!.:\"\"2:3;+-$79+#%'\"%$\"# X\"# X*# \" \\+'%4\"6\xF4\" %$\"# X\"# X"),
          peg$decode("!7:*j \"!7\x97+_$ ]!7A+-$7\x97+#%'\"%$\"# X\"# X,8&!7A+-$7\x97+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X+& 4!6\xF5! %"),
          peg$decode("!7L*# \"7\x98+c$ ]!7B+-$7\x9A+#%'\"%$\"# X\"# X,8&!7B+-$7\x9A+#%'\"%$\"# X\"# X\"+'%4\"6\xF6\" %$\"# X\"# X"),
          peg$decode("!7\x99*# \" \\+A$7@+7%7M+-%7?+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("!!76+_$ ]!7.+-$76+#%'\"%$\"# X\"# X,8&!7.+-$76+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X*# \"7H+' 4!6\xF7!! %"),
          peg$decode("7\x9B*) \"7\x9C*# \"7\x9F"),
          peg$decode("!/\xF8\"\"1!3\xF9+<$7<+2%7\x9E+(%4#6\xFA#! %$## X$\"# X\"# X"),
          peg$decode("!/\xFB\"\"1'3\xFC+<$7<+2%7\x9D+(%4#6\xFD#! %$## X$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\xFE!! %"),
          peg$decode("!.\xFF\"\"2\xFF3\u0100+x$!.J\"\"2J3K+S$7!*# \" \\+C%7!*# \" \\+3%7!*# \" \\+#%'$%$$# X$## X$\"# X\"# X*# \" \\+'%4\"6\u0101\" %$\"# X\"# X"),
          peg$decode("!76+N$!7<+-$7\xA0+#%'\"%$\"# X\"# X*# \" \\+)%4\"6\u0102\"\"! %$\"# X\"# X"),
          peg$decode("76*) \"7T*# \"7H"),
          peg$decode("!7\xA2+_$ ]!7B+-$7\xA3+#%'\"%$\"# X\"# X,8&!7B+-$7\xA3+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!/\u0103\"\"1&3\u0104*G \"/\u0105\"\"1'3\u0106*; \"/\u0107\"\"1$3\u0108*/ \"/\u0109\"\"1%3\u010A*# \"76+& 4!6\u010B! %"),
          peg$decode("7\xA4*# \"7\x9F"),
          peg$decode("!/\u010C\"\"1(3\u010D+O$7<+E%/\u010E\"\"1(3\u010F*/ \"/\u0110\"\"1(3\u0111*# \"76+#%'#%$## X$\"# X\"# X"),
          peg$decode("!76+_$ ]!7A+-$76+#%'\"%$\"# X\"# X,8&!7A+-$76+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\u0112!! %"),
          peg$decode("!7\xA8+& 4!6\u0113! %"),
          peg$decode("!7\xA9+s$7;+i%7\xAE+_% ]!7B+-$7\xAF+#%'\"%$\"# X\"# X,8&!7B+-$7\xAF+#%'\"%$\"# X\"# X\"+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("7\xAA*# \"7\xAB"),
          peg$decode("/\u0114\"\"1$3\u0115*S \"/\u0116\"\"1%3\u0117*G \"/\u0118\"\"1%3\u0119*; \"/\u011A\"\"1%3\u011B*/ \"/\u011C\"\"1+3\u011D*# \"7\xAC"),
          peg$decode("/\u011E\"\"1'3\u011F*/ \"/\u0120\"\"1)3\u0121*# \"7\xAC"),
          peg$decode("76*# \"7\xAD"),
          peg$decode("!/\u0122\"\"1\"3\u0123+-$76+#%'\"%$\"# X\"# X"),
          peg$decode("7\xAC*# \"76"),
          peg$decode("!76+7$7<+-%7\xB0+#%'#%$## X$\"# X\"# X"),
          peg$decode("76*# \"7H"),
          peg$decode("!7\xB2+7$7.+-%7\x8F+#%'#%$## X$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\u0124!! %"),
          peg$decode("!7\x9D+' 4!6\u0125!! %"),
          peg$decode("!7\xB5+d$ ]!7B+-$7\x9F+#%'\"%$\"# X\"# X,8&!7B+-$7\x9F+#%'\"%$\"# X\"# X\"+(%4\"6\u0126\"!!%$\"# X\"# X"),
          peg$decode("!!77+k$ ]!.J\"\"2J3K+-$77+#%'\"%$\"# X\"# X,>&!.J\"\"2J3K+-$77+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X+! (%"),
          peg$decode("!7L*# \"7\x98+c$ ]!7B+-$7\xB7+#%'\"%$\"# X\"# X,8&!7B+-$7\xB7+#%'\"%$\"# X\"# X\"+'%4\"6\u0127\" %$\"# X\"# X"),
          peg$decode("7\xB8*# \"7\x9F"),
          peg$decode("!/\u0128\"\"1#3\u0129+<$7<+2%76+(%4#6\u012A#! %$## X$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\u012B!! %"),
          peg$decode("!7\x9D+' 4!6\u012C!! %"),
          peg$decode("! ]7\x99,#&7\x99\"+\x81$7@+w%7M+m%7?+c% ]!7B+-$7\x9F+#%'\"%$\"# X\"# X,8&!7B+-$7\x9F+#%'\"%$\"# X\"# X\"+'%4%6\u012D% %$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("7\xBD"),
          peg$decode("!/\u012E\"\"1&3\u012F+s$7.+i%7\xC0+_% ]!7A+-$7\xC0+#%'\"%$\"# X\"# X,8&!7A+-$7\xC0+#%'\"%$\"# X\"# X\"+#%'$%$$# X$## X$\"# X\"# X*# \"7\xBE"),
          peg$decode("!76+s$7.+i%7\xBF+_% ]!7A+-$7\xBF+#%'\"%$\"# X\"# X,8&!7A+-$7\xBF+#%'\"%$\"# X\"# X\"+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("!76+=$7<+3%76*# \"7H+#%'#%$## X$\"# X\"# X"),
          peg$decode("7\xC1*G \"7\xC3*A \"7\xC5*; \"7\xC7*5 \"7\xC8*/ \"7\xC9*) \"7\xCA*# \"7\xBF"),
          peg$decode("!/\u0130\"\"1%3\u0131+7$7<+-%7\xC2+#%'#%$## X$\"# X\"# X"),
          peg$decode("!7I+' 4!6\u0132!! %"),
          peg$decode("!/\u0133\"\"1&3\u0134+\xA5$7<+\x9B%7D+\x91%7\xC4+\x87% ]! ]7'+&$,#&7'\"\"\" X+-$7\xC4+#%'\"%$\"# X\"# X,G&! ]7'+&$,#&7'\"\"\" X+-$7\xC4+#%'\"%$\"# X\"# X\"+-%7E+#%'&%$&# X$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("7t*# \"7w"),
          peg$decode("!/\u0135\"\"1%3\u0136+7$7<+-%7\xC6+#%'#%$## X$\"# X\"# X"),
          peg$decode("!7I+' 4!6\u0137!! %"),
          peg$decode("!/\u0138\"\"1&3\u0139+<$7<+2%7I+(%4#6\u013A#! %$## X$\"# X\"# X"),
          peg$decode("!/\u013B\"\"1%3\u013C+_$7<+U%!/\u013D\"\"1$3\u013E+& 4!6\u013F! %*4 \"!/\u0140\"\"1%3\u0141+& 4!6\u0142! %+#%'#%$## X$\"# X\"# X"),
          peg$decode("!/\u0143\"\"1)3\u0144+T$7<+J%/\u0145\"\"1#3\u0146*/ \"/\u0147\"\"1(3\u0148*# \"76+(%4#6\u0149#! %$## X$\"# X\"# X"),
          peg$decode("!/\u014A\"\"1#3\u014B+\x9E$7<+\x94%7D+\x8A%!7\xCB+k$ ]!.D\"\"2D3E+-$7\xCB+#%'\"%$\"# X\"# X,>&!.D\"\"2D3E+-$7\xCB+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X+-%7E+#%'%%$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!/\u014C\"\"1(3\u014D*/ \"/\u014E\"\"1$3\u014F*# \"76+' 4!6\u0150!! %"),
          peg$decode("!76+_$ ]!7A+-$76+#%'\"%$\"# X\"# X,8&!7A+-$76+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!7\xCE+K$7.+A%7\xCE+7%7.+-%7\x8F+#%'%%$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\u0151!! %"),
          peg$decode("!7\xD0+c$ ]!7A+-$7\xD0+#%'\"%$\"# X\"# X,8&!7A+-$7\xD0+#%'\"%$\"# X\"# X\"+'%4\"6\u0152\" %$\"# X\"# X"),
          peg$decode("!7\x98+c$ ]!7B+-$7\x9F+#%'\"%$\"# X\"# X,8&!7B+-$7\x9F+#%'\"%$\"# X\"# X\"+'%4\"6\u0153\" %$\"# X\"# X"),
          peg$decode("!7L*) \"7\x98*# \"7t+c$ ]!7B+-$7\x9F+#%'\"%$\"# X\"# X,8&!7B+-$7\x9F+#%'\"%$\"# X\"# X\"+'%4\"6\u0154\" %$\"# X\"# X"),
          peg$decode("!76+_$ ]!7A+-$76+#%'\"%$\"# X\"# X,8&!7A+-$76+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!7\xD4+_$ ]!7A+-$7\xD4+#%'\"%$\"# X\"# X,8&!7A+-$7\xD4+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!7\x98+_$ ]!7B+-$7\x9F+#%'\"%$\"# X\"# X,8&!7B+-$7\x9F+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("! ]7!+&$,#&7!\"\"\" X+' 4!6\u0155!! %"),
          peg$decode("!7\xD7+_$ ]!7B+-$7\xD8+#%'\"%$\"# X\"# X,8&!7B+-$7\xD8+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!/\u0156\"\"1&3\u0157*; \"/\u0158\"\"1'3\u0159*/ \"/\u015A\"\"1*3\u015B*# \"76+& 4!6\u015C! %"),
          peg$decode("!/\u015D\"\"1&3\u015E+<$7<+2%7\xD9+(%4#6\u015F#! %$## X$\"# X\"# X*\x83 \"!/\xFB\"\"1'3\xFC+<$7<+2%7\x9D+(%4#6\u0160#! %$## X$\"# X\"# X*S \"!/\u0161\"\"1+3\u0162+<$7<+2%7\x9D+(%4#6\u0163#! %$## X$\"# X\"# X*# \"7\x9F"),
          peg$decode("/\u0164\"\"1+3\u0165*k \"/\u0166\"\"1)3\u0167*_ \"/\u0168\"\"1(3\u0169*S \"/\u016A\"\"1'3\u016B*G \"/\u016C\"\"1&3\u016D*; \"/\u016E\"\"1*3\u016F*/ \"/\u0170\"\"1)3\u0171*# \"76"),
          peg$decode("71*# \" \\"),
          peg$decode("!76+_$ ]!7A+-$76+#%'\"%$\"# X\"# X,8&!7A+-$76+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X*# \" \\"),
          peg$decode("!7L*# \"7\x98+c$ ]!7B+-$7\xDD+#%'\"%$\"# X\"# X,8&!7B+-$7\xDD+#%'\"%$\"# X\"# X\"+'%4\"6\u0172\" %$\"# X\"# X"),
          peg$decode("7\xB8*# \"7\x9F"),
          peg$decode("!7\xDF+_$ ]!7A+-$7\xDF+#%'\"%$\"# X\"# X,8&!7A+-$7\xDF+#%'\"%$\"# X\"# X\"+#%'\"%$\"# X\"# X"),
          peg$decode("!7\xE6+s$7.+i%7\xE9+_% ]!7B+-$7\xE0+#%'\"%$\"# X\"# X,8&!7B+-$7\xE0+#%'\"%$\"# X\"# X\"+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("7\xE1*; \"7\xE2*5 \"7\xE3*/ \"7\xE4*) \"7\xE5*# \"7\x9F"),
          peg$decode("!/\u0173\"\"1#3\u0174+<$7<+2%7\xEC+(%4#6\u0175#! %$## X$\"# X\"# X"),
          peg$decode("!/\u0176\"\"1%3\u0177+<$7<+2%7T+(%4#6\u0178#! %$## X$\"# X\"# X"),
          peg$decode("!/\u0179\"\"1(3\u017A+B$7<+8%7\\*# \"7Y+(%4#6\u017B#! %$## X$\"# X\"# X"),
          peg$decode("!/\u017C\"\"1&3\u017D+<$7<+2%76+(%4#6\u017E#! %$## X$\"# X\"# X"),
          peg$decode("!/\u017F\"\"1%3\u0180+T$!7<+5$ ]7!,#&7!\"+#%'\"%$\"# X\"# X*# \" \\+'%4\"6\u0181\" %$\"# X\"# X"),
          peg$decode("!7\xE7+K$7;+A%76+7%7;+-%7\xE8+#%'%%$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!/\x98\"\"1#3\xDB*# \"76+' 4!6\u0182!! %"),
          peg$decode("!/\xB7\"\"1#3\u0183*G \"/\xB9\"\"1#3\u0184*; \"/\xBD\"\"1#3\u0185*/ \"/\xBB\"\"1$3\u0186*# \"76+' 4!6\u0187!! %"),
          peg$decode("!7\xEA+H$!7C+-$7\xEB+#%'\"%$\"# X\"# X*# \" \\+#%'\"%$\"# X\"# X"),
          peg$decode("!7U*) \"7\\*# \"7X+& 4!6\u0188! %"),
          peg$decode("!!7!*# \" \\+c$7!*# \" \\+S%7!*# \" \\+C%7!*# \" \\+3%7!*# \" \\+#%'%%$%# X$$# X$## X$\"# X\"# X+' 4!6\u0189!! %"),
          peg$decode("!!7!+C$7!*# \" \\+3%7!*# \" \\+#%'#%$## X$\"# X\"# X+' 4!6\u018A!! %"),
          peg$decode("7\xBD"),
          peg$decode("!76+7$70+-%7\xEF+#%'#%$## X$\"# X\"# X"),
          peg$decode(" ]72*) \"74*# \"7.,/&72*) \"74*# \"7.\""),
          peg$decode(" ]7%,#&7%\""),
          peg$decode("!7\xF2+=$.8\"\"2839+-%7\xF3+#%'#%$## X$\"# X\"# X"),
          peg$decode("!/\u018B\"\"1%3\u018C*) \"/\u018D\"\"1$3\u018E+' 4!6\u018F!! %"),
          peg$decode("!7\xF4+N$!.8\"\"2839+-$7^+#%'\"%$\"# X\"# X*# \" \\+#%'\"%$\"# X\"# X"),
          peg$decode("!7\\*) \"7X*# \"7\x82+' 4!6\u0190!! %"),
          peg$decode("! ]7\xF6*) \"7-*# \"7\xF7,/&7\xF6*) \"7-*# \"7\xF7\"+& 4!6\u0191! %"),
          peg$decode("7\"*S \"7!*M \".F\"\"2F3G*A \".J\"\"2J3K*5 \".H\"\"2H3I*) \".N\"\"2N3O"),
          peg$decode(".L\"\"2L3M*\x95 \".B\"\"2B3C*\x89 \".<\"\"2<3=*} \".R\"\"2R3S*q \".T\"\"2T3U*e \".V\"\"2V3W*Y \".P\"\"2P3Q*M \".@\"\"2@3A*A \".D\"\"2D3E*5 \".2\"\"2233*) \".>\"\"2>3?"),
          peg$decode("!7\xF9+h$.8\"\"2839+X%7\xF3+N%!.\u0192\"\"2\u01923\u0193+-$7\xE8+#%'\"%$\"# X\"# X*# \" \\+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("!/\u0194\"\"1%3\u0195*) \"/\u0196\"\"1$3\u0197+' 4!6\u018F!! %"),
          peg$decode("!7\xE8+Q$/\xB7\"\"1#3\xB8*7 \"/\xB9\"\"1#3\xBA*+ \" ]7+,#&7+\"+'%4\"6\u0198\" %$\"# X\"# X"),
          peg$decode("!7\xFD+\x8F$.F\"\"2F3G+%7\xFC+u%.F\"\"2F3G+e%7\xFC+[%.F\"\"2F3G+K%7\xFC+A%.F\"\"2F3G+1%7\xFE+'%4)6\u0199) %$)# X$(# X$'# X$&# X$%# X$$# X$## X$\"# X\"# X"),
          peg$decode("!7#+A$7#+7%7#+-%7#+#%'$%$$# X$## X$\"# X\"# X"),
          peg$decode("!7\xFC+-$7\xFC+#%'\"%$\"# X\"# X"),
          peg$decode("!7\xFC+7$7\xFC+-%7\xFC+#%'#%$## X$\"# X\"# X")
        ],

        peg$currPos          = 0,
        peg$reportedPos      = 0,
        peg$cachedPos        = 0,
        peg$cachedPosDetails = { line: 1, column: 1, seenCR: false },
        peg$maxFailPos       = 0,
        peg$maxFailExpected  = [],
        peg$silentFails      = 0,

        peg$result;

    if ("startRule" in options) {
      if (!(options.startRule in peg$startRuleIndices)) {
        throw new Error("Can't start parsing from rule \"" + options.startRule + "\".");
      }

      peg$startRuleIndex = peg$startRuleIndices[options.startRule];
    }

    function text() {
      return input.substring(peg$reportedPos, peg$currPos);
    }

    function offset() {
      return peg$reportedPos;
    }

    function line() {
      return peg$computePosDetails(peg$reportedPos).line;
    }

    function column() {
      return peg$computePosDetails(peg$reportedPos).column;
    }

    function expected(description) {
      throw peg$buildException(
        null,
        [{ type: "other", description: description }],
        peg$reportedPos
      );
    }

    function error(message) {
      throw peg$buildException(message, null, peg$reportedPos);
    }

    function peg$computePosDetails(pos) {
      function advance(details, startPos, endPos) {
        var p, ch;

        for (p = startPos; p < endPos; p++) {
          ch = input.charAt(p);
          if (ch === "\n") {
            if (!details.seenCR) { details.line++; }
            details.column = 1;
            details.seenCR = false;
          } else if (ch === "\r" || ch === "\u2028" || ch === "\u2029") {
            details.line++;
            details.column = 1;
            details.seenCR = true;
          } else {
            details.column++;
            details.seenCR = false;
          }
        }
      }

      if (peg$cachedPos !== pos) {
        if (peg$cachedPos > pos) {
          peg$cachedPos = 0;
          peg$cachedPosDetails = { line: 1, column: 1, seenCR: false };
        }
        advance(peg$cachedPosDetails, peg$cachedPos, pos);
        peg$cachedPos = pos;
      }

      return peg$cachedPosDetails;
    }

    function peg$fail(expected) {
      if (peg$currPos < peg$maxFailPos) { return; }

      if (peg$currPos > peg$maxFailPos) {
        peg$maxFailPos = peg$currPos;
        peg$maxFailExpected = [];
      }

      peg$maxFailExpected.push(expected);
    }

    function peg$buildException(message, expected, pos) {
      function cleanupExpected(expected) {
        var i = 1;

        expected.sort(function(a, b) {
          if (a.description < b.description) {
            return -1;
          } else if (a.description > b.description) {
            return 1;
          } else {
            return 0;
          }
        });

        while (i < expected.length) {
          if (expected[i - 1] === expected[i]) {
            expected.splice(i, 1);
          } else {
            i++;
          }
        }
      }

      function buildMessage(expected, found) {
        function stringEscape(s) {
          function hex(ch) { return ch.charCodeAt(0).toString(16).toUpperCase(); }

          return s
            .replace(/\\/g,   '\\\\')
            .replace(/"/g,    '\\"')
            .replace(/\x08/g, '\\b')
            .replace(/\t/g,   '\\t')
            .replace(/\n/g,   '\\n')
            .replace(/\f/g,   '\\f')
            .replace(/\r/g,   '\\r')
            .replace(/[\x00-\x07\x0B\x0E\x0F]/g, function(ch) { return '\\x0' + hex(ch); })
            .replace(/[\x10-\x1F\x80-\xFF]/g,    function(ch) { return '\\x'  + hex(ch); })
            .replace(/[\u0180-\u0FFF]/g,         function(ch) { return '\\u0' + hex(ch); })
            .replace(/[\u1080-\uFFFF]/g,         function(ch) { return '\\u'  + hex(ch); });
        }

        var expectedDescs = new Array(expected.length),
            expectedDesc, foundDesc, i;

        for (i = 0; i < expected.length; i++) {
          expectedDescs[i] = expected[i].description;
        }

        expectedDesc = expected.length > 1
          ? expectedDescs.slice(0, -1).join(", ")
              + " or "
              + expectedDescs[expected.length - 1]
          : expectedDescs[0];

        foundDesc = found ? "\"" + stringEscape(found) + "\"" : "end of input";

        return "Expected " + expectedDesc + " but " + foundDesc + " found.";
      }

      var posDetails = peg$computePosDetails(pos),
          found      = pos < input.length ? input.charAt(pos) : null;

      if (expected !== null) {
        cleanupExpected(expected);
      }

      return new SyntaxError(
        message !== null ? message : buildMessage(expected, found),
        expected,
        found,
        pos,
        posDetails.line,
        posDetails.column
      );
    }

    function peg$decode(s) {
      var bc = new Array(s.length), i;

      for (i = 0; i < s.length; i++) {
        bc[i] = s.charCodeAt(i) - 32;
      }

      return bc;
    }

    function peg$parseRule(index) {
      var bc    = peg$bytecode[index],
          ip    = 0,
          ips   = [],
          end   = bc.length,
          ends  = [],
          stack = [],
          params, i;

      function protect(object) {
        return Object.prototype.toString.apply(object) === "[object Array]" ? [] : object;
      }

      while (true) {
        while (ip < end) {
          switch (bc[ip]) {
            case 0:
              stack.push(protect(peg$consts[bc[ip + 1]]));
              ip += 2;
              break;

            case 1:
              stack.push(peg$currPos);
              ip++;
              break;

            case 2:
              stack.pop();
              ip++;
              break;

            case 3:
              peg$currPos = stack.pop();
              ip++;
              break;

            case 4:
              stack.length -= bc[ip + 1];
              ip += 2;
              break;

            case 5:
              stack.splice(-2, 1);
              ip++;
              break;

            case 6:
              stack[stack.length - 2].push(stack.pop());
              ip++;
              break;

            case 7:
              stack.push(stack.splice(stack.length - bc[ip + 1], bc[ip + 1]));
              ip += 2;
              break;

            case 8:
              stack.pop();
              stack.push(input.substring(stack[stack.length - 1], peg$currPos));
              ip++;
              break;

            case 9:
              ends.push(end);
              ips.push(ip + 3 + bc[ip + 1] + bc[ip + 2]);

              if (stack[stack.length - 1]) {
                end = ip + 3 + bc[ip + 1];
                ip += 3;
              } else {
                end = ip + 3 + bc[ip + 1] + bc[ip + 2];
                ip += 3 + bc[ip + 1];
              }

              break;

            case 10:
              ends.push(end);
              ips.push(ip + 3 + bc[ip + 1] + bc[ip + 2]);

              if (stack[stack.length - 1] === peg$FAILED) {
                end = ip + 3 + bc[ip + 1];
                ip += 3;
              } else {
                end = ip + 3 + bc[ip + 1] + bc[ip + 2];
                ip += 3 + bc[ip + 1];
              }

              break;

            case 11:
              ends.push(end);
              ips.push(ip + 3 + bc[ip + 1] + bc[ip + 2]);

              if (stack[stack.length - 1] !== peg$FAILED) {
                end = ip + 3 + bc[ip + 1];
                ip += 3;
              } else {
                end = ip + 3 + bc[ip + 1] + bc[ip + 2];
                ip += 3 + bc[ip + 1];
              }

              break;

            case 12:
              if (stack[stack.length - 1] !== peg$FAILED) {
                ends.push(end);
                ips.push(ip);

                end = ip + 2 + bc[ip + 1];
                ip += 2;
              } else {
                ip += 2 + bc[ip + 1];
              }

              break;

            case 13:
              ends.push(end);
              ips.push(ip + 3 + bc[ip + 1] + bc[ip + 2]);

              if (input.length > peg$currPos) {
                end = ip + 3 + bc[ip + 1];
                ip += 3;
              } else {
                end = ip + 3 + bc[ip + 1] + bc[ip + 2];
                ip += 3 + bc[ip + 1];
              }

              break;

            case 14:
              ends.push(end);
              ips.push(ip + 4 + bc[ip + 2] + bc[ip + 3]);

              if (input.substr(peg$currPos, peg$consts[bc[ip + 1]].length) === peg$consts[bc[ip + 1]]) {
                end = ip + 4 + bc[ip + 2];
                ip += 4;
              } else {
                end = ip + 4 + bc[ip + 2] + bc[ip + 3];
                ip += 4 + bc[ip + 2];
              }

              break;

            case 15:
              ends.push(end);
              ips.push(ip + 4 + bc[ip + 2] + bc[ip + 3]);

              if (input.substr(peg$currPos, peg$consts[bc[ip + 1]].length).toLowerCase() === peg$consts[bc[ip + 1]]) {
                end = ip + 4 + bc[ip + 2];
                ip += 4;
              } else {
                end = ip + 4 + bc[ip + 2] + bc[ip + 3];
                ip += 4 + bc[ip + 2];
              }

              break;

            case 16:
              ends.push(end);
              ips.push(ip + 4 + bc[ip + 2] + bc[ip + 3]);

              if (peg$consts[bc[ip + 1]].test(input.charAt(peg$currPos))) {
                end = ip + 4 + bc[ip + 2];
                ip += 4;
              } else {
                end = ip + 4 + bc[ip + 2] + bc[ip + 3];
                ip += 4 + bc[ip + 2];
              }

              break;

            case 17:
              stack.push(input.substr(peg$currPos, bc[ip + 1]));
              peg$currPos += bc[ip + 1];
              ip += 2;
              break;

            case 18:
              stack.push(peg$consts[bc[ip + 1]]);
              peg$currPos += peg$consts[bc[ip + 1]].length;
              ip += 2;
              break;

            case 19:
              stack.push(peg$FAILED);
              if (peg$silentFails === 0) {
                peg$fail(peg$consts[bc[ip + 1]]);
              }
              ip += 2;
              break;

            case 20:
              peg$reportedPos = stack[stack.length - 1 - bc[ip + 1]];
              ip += 2;
              break;

            case 21:
              peg$reportedPos = peg$currPos;
              ip++;
              break;

            case 22:
              params = bc.slice(ip + 4, ip + 4 + bc[ip + 3]);
              for (i = 0; i < bc[ip + 3]; i++) {
                params[i] = stack[stack.length - 1 - params[i]];
              }

              stack.splice(
                stack.length - bc[ip + 2],
                bc[ip + 2],
                peg$consts[bc[ip + 1]].apply(null, params)
              );

              ip += 4 + bc[ip + 3];
              break;

            case 23:
              stack.push(peg$parseRule(bc[ip + 1]));
              ip += 2;
              break;

            case 24:
              peg$silentFails++;
              ip++;
              break;

            case 25:
              peg$silentFails--;
              ip++;
              break;

            default:
              throw new Error("Invalid opcode: " + bc[ip] + ".");
          }
        }

        if (ends.length > 0) {
          end = ends.pop();
          ip = ips.pop();
        } else {
          break;
        }
      }

      return stack[0];
    }

    var data = {};

    peg$result = peg$parseRule(peg$startRuleIndex);

    if (peg$result !== peg$FAILED && peg$currPos === input.length) {
      return data;
    } else {
      if (peg$result !== peg$FAILED && peg$currPos < input.length) {
        peg$fail({ type: "end", description: "end of input" });
      }

      return -1;
    }
  }

  return {
    SyntaxError: SyntaxError,
    parse:       function (input, startRule) {return parse(input, {startRule: startRule});}
  };
};
/* jshint ignore:end */

},{}],12:[function(require,module,exports){
/**
 * @fileoverview Hacks - This file contains all of the things we
 * wish we didn't have to do, just for interop.  It is similar to
 * Utils, which provides actually useful and relevant functions for
 * a SIP library. Methods in this file are grouped by vendor, so
 * as to most easily track when particular hacks may not be necessary anymore.
 */

module.exports = function (SIP) {
var Hacks = {
  AllBrowsers: {
    maskDtls: function (message) {
      if (message.body) {
        message.body = message.body.replace(/ UDP\/TLS\/RTP\/SAVP/gmi, " RTP/SAVP");
      }
    },
    unmaskDtls: function (sdp) {
      /**
       * Chrome does not handle DTLS correctly (Canaray does, but not production)
       * keeping Chrome as SDES until DTLS is fixed (comment out 'is_opera' condition)
       *
       * UPDATE: May 21, 2014
       * Chrome 35 now properly defaults to DTLS.  Only Opera remains using SDES
       *
       * UPDATE: 2014-09-24
       * Opera now supports DTLS by default as well.
       *
       **/
      return sdp.replace(/ RTP\/SAVP/gmi, " UDP/TLS/RTP/SAVP");
    }
  },
  Firefox: {
    /* Condition to detect if hacks are applicable */
    isFirefox: function () {
      return window.mozRTCPeerConnection !== undefined;
    },

    cannotHandleExtraWhitespace: function (message) {
      if (this.isFirefox() && message.body) {
        message.body = message.body.replace(/ \r\n/g, "\r\n");
      }
    },

    hasMissingCLineInSDP: function (sdp) {
      /*
       * This is a Firefox hack to insert valid sdp when getDescription is
       * called with the constraint offerToReceiveVideo = false.
       * We search for either a c-line at the top of the sdp above all
       * m-lines. If that does not exist then we search for a c-line
       * beneath each m-line. If it is missing a c-line, we insert
       * a fake c-line with the ip address 0.0.0.0. This is then valid
       * sdp and no media will be sent for that m-line.
       *
       * Valid SDP is:
       * m=
       * i=
       * c=
       */
      var insertAt, mlines;
      if (sdp.indexOf('c=') > sdp.indexOf('m=')) {

        // Find all m= lines
        mlines = sdp.match(/m=.*\r\n.*/g);
        for (var i=0; i<mlines.length; i++) {

          // If it has an i= line, check if the next line is the c= line
          if (mlines[i].toString().search(/i=.*/) >= 0) {
            insertAt = sdp.indexOf(mlines[i].toString())+mlines[i].toString().length;
            if (sdp.substr(insertAt,2)!=='c=') {
              sdp = sdp.substr(0,insertAt) + '\r\nc=IN IP4 0.0.0.0' + sdp.substr(insertAt);
            }

          // else add the C line if it's missing
          } else if (mlines[i].toString().search(/c=.*/) < 0) {
            insertAt = sdp.indexOf(mlines[i].toString().match(/.*/))+mlines[i].toString().match(/.*/).toString().length;
            sdp = sdp.substr(0,insertAt) + '\r\nc=IN IP4 0.0.0.0' + sdp.substr(insertAt);
          }
        }
      }
      return sdp;
    },

    hasIncompatibleCLineWithSomeSIPEndpoints: function(sdp) {
      /*
       * Firefox appears to be following https://tools.ietf.org/html/rfc5245#section-9.1.1.1
       * and using a c line IP address of 0.0.0.0. This is completely valid, however it is
       * causing some endpoints (such as FreeSWITCH) to interpret the SDP as being on hold
       * https://freeswitch.org/jira/browse/FS-6955. To get around this issue we pull the
       * replace the c line with 1.1.1.1 which SIP clients do not interpret as hold.
       * This makes the other endpoint believe that the call is not on hold and audio flows
       * because ICE determines the media pathway (not the c line).
       */
      return sdp.replace(/(0\.0\.0\.0)/gmi, SIP.Utils.getRandomTestNetIP());
    }
  },

  Chrome: {
    needsExplicitlyInactiveSDP: function (sdp) {
      var sub, index;

      if (Hacks.Firefox.isFirefox()) { // Fix this in Firefox before sending
        index = sdp.indexOf('m=video 0');
        if (index !== -1) {
          sub = sdp.substr(index);
          sub = sub.replace(/\r\nc=IN IP4.*\r\n$/,
                            '\r\nc=IN IP4 0.0.0.0\r\na=inactive\r\n');
          return sdp.substr(0, index) + sub;
        }
      }
      return sdp;
    },

    getsConfusedAboutGUM: function (session) {
      if (session.mediaHandler) {
        session.mediaHandler.close();
      }
    }
  }
};

return Hacks;
};


},{}],13:[function(require,module,exports){

module.exports = (function() {

var Logger = function(logger, category, label) {
  this.logger = logger;
  this.category = category;
  this.label = label;
};


Logger.prototype.debug = function(content) {
  this.logger.debug(this.category, this.label, content);
};

Logger.prototype.log = function(content) {
  this.logger.log(this.category, this.label, content);
};

Logger.prototype.warn = function(content) {
  this.logger.warn(this.category, this.label, content);
};

Logger.prototype.error = function(content) {
  this.logger.error(this.category, this.label, content);
};

return Logger;
})();

},{}],14:[function(require,module,exports){

module.exports = function (window, Logger) {

// Console is not defined in ECMAScript, so just in case...
var console = window.console || {
  debug: function () {},
  log: function () {},
  warn: function () {},
  error: function () {}
};

var LoggerFactory = function() {
  var logger,
    levels = {
    'error': 0,
    'warn': 1,
    'log': 2,
    'debug': 3
    },

    level = 2,
    builtinEnabled = true,
    connector = null;

    this.loggers = {};

    logger = this.getLogger('sip.loggerfactory');


  Object.defineProperties(this, {
    builtinEnabled: {
      get: function(){ return builtinEnabled; },
      set: function(value){
        if (typeof value === 'boolean') {
          builtinEnabled = value;
        } else {
          logger.error('invalid "builtinEnabled" parameter value: '+ JSON.stringify(value));
        }
      }
    },

    level: {
      get: function() {return level; },
      set: function(value) {
        if (value >= 0 && value <=3) {
          level = value;
        } else if (value > 3) {
          level = 3;
        } else if (levels.hasOwnProperty(value)) {
          level = levels[value];
        } else {
          logger.error('invalid "level" parameter value: '+ JSON.stringify(value));
        }
      }
    },

    connector: {
      get: function() {return connector; },
      set: function(value){
        if(value === null || value === "" || value === undefined) {
          connector = null;
        } else if (typeof value === 'function') {
          connector = value;
        } else {
          logger.error('invalid "connector" parameter value: '+ JSON.stringify(value));
        }
      }
    }
  });
};

LoggerFactory.prototype.print = function(target, category, label, content) {
  var prefix = [];

  prefix.push(new Date());

  prefix.push(category);

  if (label) {
    prefix.push(label);
  }

  prefix.push('');

  if (typeof content === 'string') {
    target.call(console, prefix.join(' | ') + content);
  } else {
    target.call(console, content);
  }
};

LoggerFactory.prototype.debug = function(category, label, content) {
  if (this.level === 3) {
    if (this.builtinEnabled) {
      this.print(console.debug, category, label, content);
    }

    if (this.connector) {
      this.connector('debug', category, label, content);
    }
  }
};

LoggerFactory.prototype.log = function(category, label, content) {
  if (this.level >= 2) {
    if (this.builtinEnabled) {
      this.print(console.log, category, label, content);
    }

    if (this.connector) {
      this.connector('log', category, label, content);
    }
  }
};

LoggerFactory.prototype.warn = function(category, label, content) {
  if (this.level >= 1) {
    if (this.builtinEnabled) {
      this.print(console.warn, category, label, content);
    }

    if (this.connector) {
      this.connector('warn', category, label, content);
    }
  }
};

LoggerFactory.prototype.error = function(category, label, content) {
  if (this.builtinEnabled) {
    this.print(console.error,category, label, content);
  }

  if (this.connector) {
    this.connector('error', category, label, content);
  }
};

LoggerFactory.prototype.getLogger = function(category, label) {
  var logger;

  if (label && this.level === 3) {
    return new Logger(this, category, label);
  } else if (this.loggers[category]) {
    return this.loggers[category];
  } else {
    logger = new Logger(this, category);
    this.loggers[category] = logger;
    return logger;
  }
};

return LoggerFactory;
};

},{}],15:[function(require,module,exports){
/**
 * @fileoverview MediaHandler
 */

/* MediaHandler
 * @class PeerConnection helper Class.
 * @param {SIP.Session} session
 * @param {Object} [options]
 */
module.exports = function (EventEmitter) {
var MediaHandler = function(session, options) {
  // keep jshint happy
  session = session;
  options = options;
};

MediaHandler.prototype = Object.create(EventEmitter.prototype, {
  isReady: {value: function isReady () {}},

  close: {value: function close () {}},

  /**
   * @param {Function} onSuccess called with the obtained local media description
   * @param {Function} onFailure
   * @param {Object} [mediaHint] A custom object describing the media to be used during this session.
   */
  getDescription: {value: function getDescription (onSuccess, onFailure, mediaHint) {
    // keep jshint happy
    onSuccess = onSuccess;
    onFailure = onFailure;
    mediaHint = mediaHint;
  }},

  /**
  * Message reception.
  * @param {String} type
  * @param {String} description
  * @param {Function} onSuccess
  * @param {Function} onFailure
  */
  setDescription: {value: function setDescription (description, onSuccess, onFailure) {
    // keep jshint happy
    description = description;
    onSuccess = onSuccess;
    onFailure = onFailure;
  }}
});

return MediaHandler;
};

},{}],16:[function(require,module,exports){
/**
 * @fileoverview SIP NameAddrHeader
 */

/**
 * @augments SIP
 * @class Class creating a Name Address SIP header.
 *
 * @param {SIP.URI} uri
 * @param {String} [displayName]
 * @param {Object} [parameters]
 *
 */
module.exports = function (SIP) {
var NameAddrHeader;

NameAddrHeader = function(uri, displayName, parameters) {
  var param;

  // Checks
  if(!uri || !(uri instanceof SIP.URI)) {
    throw new TypeError('missing or invalid "uri" parameter');
  }

  // Initialize parameters
  this.uri = uri;
  this.parameters = {};

  for (param in parameters) {
    this.setParam(param, parameters[param]);
  }

  Object.defineProperties(this, {
    displayName: {
      get: function() { return displayName; },
      set: function(value) {
        displayName = (value === 0) ? '0' : value;
      }
    }
  });
};
NameAddrHeader.prototype = {
  setParam: function (key, value) {
    if(key) {
      this.parameters[key.toLowerCase()] = (typeof value === 'undefined' || value === null) ? null : value.toString();
    }
  },
  getParam: SIP.URI.prototype.getParam,
  hasParam: SIP.URI.prototype.hasParam,
  deleteParam: SIP.URI.prototype.deleteParam,
  clearParams: SIP.URI.prototype.clearParams,

  clone: function() {
    return new NameAddrHeader(
      this.uri.clone(),
      this.displayName,
      JSON.parse(JSON.stringify(this.parameters)));
  },

  toString: function() {
    var body, parameter;

    body  = (this.displayName || this.displayName === 0) ? '"' + this.displayName + '" ' : '';
    body += '<' + this.uri.toString() + '>';

    for (parameter in this.parameters) {
      body += ';' + parameter;

      if (this.parameters[parameter] !== null) {
        body += '='+ this.parameters[parameter];
      }
    }

    return body;
  }
};


/**
  * Parse the given string and returns a SIP.NameAddrHeader instance or undefined if
  * it is an invalid NameAddrHeader.
  * @public
  * @param {String} name_addr_header
  */
NameAddrHeader.parse = function(name_addr_header) {
  name_addr_header = SIP.Grammar.parse(name_addr_header,'Name_Addr_Header');

  if (name_addr_header !== -1) {
    return name_addr_header;
  } else {
    return undefined;
  }
};

SIP.NameAddrHeader = NameAddrHeader;
};

},{}],17:[function(require,module,exports){
/**
 * @fileoverview SIP Message Parser
 */

/**
 * Extract and parse every header of a SIP message.
 * @augments SIP
 * @namespace
 */
module.exports = function (SIP) {
var Parser;

function getHeader(data, headerStart) {
  var
    // 'start' position of the header.
    start = headerStart,
    // 'end' position of the header.
    end = 0,
    // 'partial end' position of the header.
    partialEnd = 0;

  //End of message.
  if (data.substring(start, start + 2).match(/(^\r\n)/)) {
    return -2;
  }

  while(end === 0) {
    // Partial End of Header.
    partialEnd = data.indexOf('\r\n', start);

    // 'indexOf' returns -1 if the value to be found never occurs.
    if (partialEnd === -1) {
      return partialEnd;
    }

    if(!data.substring(partialEnd + 2, partialEnd + 4).match(/(^\r\n)/) && data.charAt(partialEnd + 2).match(/(^\s+)/)) {
      // Not the end of the message. Continue from the next position.
      start = partialEnd + 2;
    } else {
      end = partialEnd;
    }
  }

  return end;
}

function parseHeader(message, data, headerStart, headerEnd) {
  var header, idx, length, parsed,
    hcolonIndex = data.indexOf(':', headerStart),
    headerName = data.substring(headerStart, hcolonIndex).trim(),
    headerValue = data.substring(hcolonIndex + 1, headerEnd).trim();

  // If header-field is well-known, parse it.
  switch(headerName.toLowerCase()) {
    case 'via':
    case 'v':
      message.addHeader('via', headerValue);
      if(message.getHeaders('via').length === 1) {
        parsed = message.parseHeader('Via');
        if(parsed) {
          message.via = parsed;
          message.via_branch = parsed.branch;
        }
      } else {
        parsed = 0;
      }
      break;
    case 'from':
    case 'f':
      message.setHeader('from', headerValue);
      parsed = message.parseHeader('from');
      if(parsed) {
        message.from = parsed;
        message.from_tag = parsed.getParam('tag');
      }
      break;
    case 'to':
    case 't':
      message.setHeader('to', headerValue);
      parsed = message.parseHeader('to');
      if(parsed) {
        message.to = parsed;
        message.to_tag = parsed.getParam('tag');
      }
      break;
    case 'record-route':
      parsed = SIP.Grammar.parse(headerValue, 'Record_Route');

      if (parsed === -1) {
        parsed = undefined;
        break;
      }

      length = parsed.length;
      for (idx = 0; idx < length; idx++) {
        header = parsed[idx];
        message.addHeader('record-route', headerValue.substring(header.position, header.offset));
        message.headers['Record-Route'][message.getHeaders('record-route').length - 1].parsed = header.parsed;
      }
      break;
    case 'call-id':
    case 'i':
      message.setHeader('call-id', headerValue);
      parsed = message.parseHeader('call-id');
      if(parsed) {
        message.call_id = headerValue;
      }
      break;
    case 'contact':
    case 'm':
      parsed = SIP.Grammar.parse(headerValue, 'Contact');

      if (parsed === -1) {
        parsed = undefined;
        break;
      }

      length = parsed.length;
      for (idx = 0; idx < length; idx++) {
        header = parsed[idx];
        message.addHeader('contact', headerValue.substring(header.position, header.offset));
        message.headers['Contact'][message.getHeaders('contact').length - 1].parsed = header.parsed;
      }
      break;
    case 'content-length':
    case 'l':
      message.setHeader('content-length', headerValue);
      parsed = message.parseHeader('content-length');
      break;
    case 'content-type':
    case 'c':
      message.setHeader('content-type', headerValue);
      parsed = message.parseHeader('content-type');
      break;
    case 'cseq':
      message.setHeader('cseq', headerValue);
      parsed = message.parseHeader('cseq');
      if(parsed) {
        message.cseq = parsed.value;
      }
      if(message instanceof SIP.IncomingResponse) {
        message.method = parsed.method;
      }
      break;
    case 'max-forwards':
      message.setHeader('max-forwards', headerValue);
      parsed = message.parseHeader('max-forwards');
      break;
    case 'www-authenticate':
      message.setHeader('www-authenticate', headerValue);
      parsed = message.parseHeader('www-authenticate');
      break;
    case 'proxy-authenticate':
      message.setHeader('proxy-authenticate', headerValue);
      parsed = message.parseHeader('proxy-authenticate');
      break;
    case 'refer-to':
    case 'r':
      message.setHeader('refer-to', headerValue);
      parsed = message.parseHeader('refer-to');
      if (parsed) {
        message.refer_to = parsed;
      }
      break;
    default:
      // Do not parse this header.
      message.setHeader(headerName, headerValue);
      parsed = 0;
  }

  if (parsed === undefined) {
    return {
      error: 'error parsing header "'+ headerName +'"'
    };
  } else {
    return true;
  }
}

/** Parse SIP Message
 * @function
 * @param {String} message SIP message.
 * @param {Object} logger object.
 * @returns {SIP.IncomingRequest|SIP.IncomingResponse|undefined}
 */
Parser = {};
Parser.parseMessage = function(data, ua) {
  var message, firstLine, contentLength, bodyStart, parsed,
    headerStart = 0,
    headerEnd = data.indexOf('\r\n'),
    logger = ua.getLogger('sip.parser');

  if(headerEnd === -1) {
    logger.warn('no CRLF found, not a SIP message, discarded');
    return;
  }

  // Parse first line. Check if it is a Request or a Reply.
  firstLine = data.substring(0, headerEnd);
  parsed = SIP.Grammar.parse(firstLine, 'Request_Response');

  if(parsed === -1) {
    logger.warn('error parsing first line of SIP message: "' + firstLine + '"');
    return;
  } else if(!parsed.status_code) {
    message = new SIP.IncomingRequest(ua);
    message.method = parsed.method;
    message.ruri = parsed.uri;
  } else {
    message = new SIP.IncomingResponse(ua);
    message.status_code = parsed.status_code;
    message.reason_phrase = parsed.reason_phrase;
  }

  message.data = data;
  headerStart = headerEnd + 2;

  /* Loop over every line in data. Detect the end of each header and parse
  * it or simply add to the headers collection.
  */
  while(true) {
    headerEnd = getHeader(data, headerStart);

    // The SIP message has normally finished.
    if(headerEnd === -2) {
      bodyStart = headerStart + 2;
      break;
    }
    // data.indexOf returned -1 due to a malformed message.
    else if(headerEnd === -1) {
      logger.error('malformed message');
      return;
    }

    parsed = parseHeader(message, data, headerStart, headerEnd);

    if(parsed !== true) {
      logger.error(parsed.error);
      return;
    }

    headerStart = headerEnd + 2;
  }

  /* RFC3261 18.3.
   * If there are additional bytes in the transport packet
   * beyond the end of the body, they MUST be discarded.
   */
  if(message.hasHeader('content-length')) {
    contentLength = message.getHeader('content-length');
    message.body = data.substr(bodyStart, contentLength);
  } else {
    message.body = data.substring(bodyStart);
  }

  return message;
};

SIP.Parser = Parser;
};

},{}],18:[function(require,module,exports){
module.exports = function (SIP) {

var RegisterContext;

RegisterContext = function (ua) {
  var params = {},
      regId = 1,
      events = [
        'registered',
        'unregistered'
      ];

  this.registrar = ua.configuration.registrarServer;
  this.expires = ua.configuration.registerExpires;


  // Contact header
  this.contact = ua.contact.toString();

  if(regId) {
    this.contact += ';reg-id='+ regId;
    this.contact += ';+sip.instance="<urn:uuid:'+ ua.configuration.instanceId+'>"';
  }

  // Call-ID and CSeq values RFC3261 10.2
  this.call_id = SIP.Utils.createRandomToken(22);
  this.cseq = 80;

  this.to_uri = ua.configuration.uri;

  params.to_uri = this.to_uri;
  params.call_id = this.call_id;
  params.cseq = this.cseq;

  // Extends ClientContext
  SIP.Utils.augment(this, SIP.ClientContext, [ua, 'REGISTER', this.registrar, {params: params}]);

  this.registrationTimer = null;
  this.registrationExpiredTimer = null;

  // Set status
  this.registered = false;

  this.logger = ua.getLogger('sip.registercontext');
  this.initMoreEvents(events);
};

RegisterContext.prototype = {
  register: function (options) {
    var self = this, extraHeaders;

    // Handle Options
    options = options || {};
    extraHeaders = (options.extraHeaders || []).slice();
    extraHeaders.push('Contact: ' + this.contact + ';expires=' + this.expires);
    extraHeaders.push('Allow: ' + SIP.Utils.getAllowedMethods(this.ua));

    this.receiveResponse = function(response) {
      var contact, expires,
        contacts = response.getHeaders('contact').length,
        cause;

      // Discard responses to older REGISTER/un-REGISTER requests.
      if(response.cseq !== this.cseq) {
        return;
      }

      // Clear registration timer
      if (this.registrationTimer !== null) {
        SIP.Timers.clearTimeout(this.registrationTimer);
        this.registrationTimer = null;
      }

      switch(true) {
        case /^1[0-9]{2}$/.test(response.status_code):
          this.emit('progress', response);
          break;
        case /^2[0-9]{2}$/.test(response.status_code):
          this.emit('accepted', response);

          if(response.hasHeader('expires')) {
            expires = response.getHeader('expires');
          }

          if (this.registrationExpiredTimer !== null) {
            SIP.Timers.clearTimeout(this.registrationExpiredTimer);
            this.registrationExpiredTimer = null;
          }

          // Search the Contact pointing to us and update the expires value accordingly.
          if (!contacts) {
            this.logger.warn('no Contact header in response to REGISTER, response ignored');
            break;
          }

          while(contacts--) {
            contact = response.parseHeader('contact', contacts);
            if(contact.uri.user === this.ua.contact.uri.user) {
              expires = contact.getParam('expires');
              break;
            } else {
              contact = null;
            }
          }

          if (!contact) {
            this.logger.warn('no Contact header pointing to us, response ignored');
            break;
          }

          if(!expires) {
            expires = this.expires;
          }

          // Re-Register before the expiration interval has elapsed.
          // For that, decrease the expires value. ie: 3 seconds
          this.registrationTimer = SIP.Timers.setTimeout(function() {
            self.registrationTimer = null;
            self.register(options);
          }, (expires * 1000) - 3000);
          this.registrationExpiredTimer = SIP.Timers.setTimeout(function () {
            self.logger.warn('registration expired');
            if (self.registered) {
              self.unregistered(null, SIP.C.causes.EXPIRES);
            }
          }, expires * 1000);

          //Save gruu values
          if (contact.hasParam('temp-gruu')) {
            this.ua.contact.temp_gruu = SIP.URI.parse(contact.getParam('temp-gruu').replace(/"/g,''));
          }
          if (contact.hasParam('pub-gruu')) {
            this.ua.contact.pub_gruu = SIP.URI.parse(contact.getParam('pub-gruu').replace(/"/g,''));
          }

          this.registered = true;
          this.emit('registered', response || null);
          break;
        // Interval too brief RFC3261 10.2.8
        case /^423$/.test(response.status_code):
          if(response.hasHeader('min-expires')) {
            // Increase our registration interval to the suggested minimum
            this.expires = response.getHeader('min-expires');
            // Attempt the registration again immediately
            this.register(options);
          } else { //This response MUST contain a Min-Expires header field
            this.logger.warn('423 response received for REGISTER without Min-Expires');
            this.registrationFailure(response, SIP.C.causes.SIP_FAILURE_CODE);
          }
          break;
        default:
          cause = SIP.Utils.sipErrorCause(response.status_code);
          this.registrationFailure(response, cause);
      }
    };

    this.onRequestTimeout = function() {
      this.registrationFailure(null, SIP.C.causes.REQUEST_TIMEOUT);
    };

    this.onTransportError = function() {
      this.registrationFailure(null, SIP.C.causes.CONNECTION_ERROR);
    };

    this.cseq++;
    this.request.cseq = this.cseq;
    this.request.setHeader('cseq', this.cseq + ' REGISTER');
    this.request.extraHeaders = extraHeaders;
    this.send();
  },

  registrationFailure: function (response, cause) {
    this.emit('failed', response || null, cause || null);
  },

  onTransportClosed: function() {
    this.registered_before = this.registered;
    if (this.registrationTimer !== null) {
      SIP.Timers.clearTimeout(this.registrationTimer);
      this.registrationTimer = null;
    }

    if (this.registrationExpiredTimer !== null) {
      SIP.Timers.clearTimeout(this.registrationExpiredTimer);
      this.registrationExpiredTimer = null;
    }

    if(this.registered) {
      this.unregistered(null, SIP.C.causes.CONNECTION_ERROR);
    }
  },

  onTransportConnected: function() {
    this.register();
  },

  close: function() {
    this.registered_before = this.registered;
    this.unregister();
  },

  unregister: function(options) {
    var extraHeaders;

    if(!this.registered) {
      this.logger.warn('already unregistered');
      return;
    }

    options = options || {};
    extraHeaders = (options.extraHeaders || []).slice();

    this.registered = false;

    // Clear the registration timer.
    if (this.registrationTimer !== null) {
      SIP.Timers.clearTimeout(this.registrationTimer);
      this.registrationTimer = null;
    }

    if(options.all) {
      extraHeaders.push('Contact: *');
      extraHeaders.push('Expires: 0');
    } else {
      extraHeaders.push('Contact: '+ this.contact + ';expires=0');
    }


    this.receiveResponse = function(response) {
      var cause;

      switch(true) {
        case /^1[0-9]{2}$/.test(response.status_code):
          this.emit('progress', response);
          break;
        case /^2[0-9]{2}$/.test(response.status_code):
          this.emit('accepted', response);
          if (this.registrationExpiredTimer !== null) {
            SIP.Timers.clearTimeout(this.registrationExpiredTimer);
            this.registrationExpiredTimer = null;
          }
          this.unregistered(response);
          break;
        default:
          cause = SIP.Utils.sipErrorCause(response.status_code);
          this.unregistered(response,cause);
      }
    };

    this.onRequestTimeout = function() {
      // Not actually unregistered...
      //this.unregistered(null, SIP.C.causes.REQUEST_TIMEOUT);
    };

    this.onTransportError = function() {
      // Not actually unregistered...
      //this.unregistered(null, SIP.C.causes.CONNECTION_ERROR);
    };

    this.cseq++;
    this.request.cseq = this.cseq;
    this.request.setHeader('cseq', this.cseq + ' REGISTER');
    this.request.extraHeaders = extraHeaders;

    this.send();
  },

  unregistered: function(response, cause) {
    this.registered = false;
    this.emit('unregistered', response || null, cause || null);
  }

};


SIP.RegisterContext = RegisterContext;
};

},{}],19:[function(require,module,exports){

/**
 * @fileoverview Request Sender
 */

/**
 * @augments SIP
 * @class Class creating a request sender.
 * @param {Object} applicant
 * @param {SIP.UA} ua
 */
module.exports = function (SIP) {
var RequestSender;

RequestSender = function(applicant, ua) {
  this.logger = ua.getLogger('sip.requestsender');
  this.ua = ua;
  this.applicant = applicant;
  this.method = applicant.request.method;
  this.request = applicant.request;
  this.credentials = null;
  this.challenged = false;
  this.staled = false;

  // If ua is in closing process or even closed just allow sending Bye and ACK
  if (ua.status === SIP.UA.C.STATUS_USER_CLOSED && (this.method !== SIP.C.BYE || this.method !== SIP.C.ACK)) {
    this.onTransportError();
  }
};

/**
* Create the client transaction and send the message.
*/
RequestSender.prototype = {
  send: function() {
    switch(this.method) {
      case "INVITE":
        this.clientTransaction = new SIP.Transactions.InviteClientTransaction(this, this.request, this.ua.transport);
        break;
      case "ACK":
        this.clientTransaction = new SIP.Transactions.AckClientTransaction(this, this.request, this.ua.transport);
        break;
      default:
        this.clientTransaction = new SIP.Transactions.NonInviteClientTransaction(this, this.request, this.ua.transport);
    }
    this.clientTransaction.send();

    return this.clientTransaction;
  },

  /**
  * Callback fired when receiving a request timeout error from the client transaction.
  * To be re-defined by the applicant.
  * @event
  */
  onRequestTimeout: function() {
    this.applicant.onRequestTimeout();
  },

  /**
  * Callback fired when receiving a transport error from the client transaction.
  * To be re-defined by the applicant.
  * @event
  */
  onTransportError: function() {
    this.applicant.onTransportError();
  },

  /**
  * Called from client transaction when receiving a correct response to the request.
  * Authenticate request if needed or pass the response back to the applicant.
  * @param {SIP.IncomingResponse} response
  */
  receiveResponse: function(response) {
    var cseq, challenge, authorization_header_name,
      status_code = response.status_code;

    /*
    * Authentication
    * Authenticate once. _challenged_ flag used to avoid infinite authentications.
    */
    if ((status_code === 401 || status_code === 407) && this.ua.configuration.password !== null) {

      // Get and parse the appropriate WWW-Authenticate or Proxy-Authenticate header.
      if (response.status_code === 401) {
        challenge = response.parseHeader('www-authenticate');
        authorization_header_name = 'authorization';
      } else {
        challenge = response.parseHeader('proxy-authenticate');
        authorization_header_name = 'proxy-authorization';
      }

      // Verify it seems a valid challenge.
      if (! challenge) {
        this.logger.warn(response.status_code + ' with wrong or missing challenge, cannot authenticate');
        this.applicant.receiveResponse(response);
        return;
      }

      if (!this.challenged || (!this.staled && challenge.stale === true)) {
        if (!this.credentials) {
          this.credentials = new SIP.DigestAuthentication(this.ua);
        }

        // Verify that the challenge is really valid.
        if (!this.credentials.authenticate(this.request, challenge)) {
          this.applicant.receiveResponse(response);
          return;
        }
        this.challenged = true;

        if (challenge.stale) {
          this.staled = true;
        }

        if (response.method === SIP.C.REGISTER) {
          cseq = this.applicant.cseq += 1;
        } else if (this.request.dialog){
          cseq = this.request.dialog.local_seqnum += 1;
        } else {
          cseq = this.request.cseq + 1;
          this.request.cseq = cseq;
        }
        this.request.setHeader('cseq', cseq +' '+ this.method);

        this.request.setHeader(authorization_header_name, this.credentials.toString());
        this.send();
      } else {
        this.applicant.receiveResponse(response);
      }
    } else {
      this.applicant.receiveResponse(response);
    }
  }
};

SIP.RequestSender = RequestSender;
};

},{}],20:[function(require,module,exports){
(function (global){
/**
 * @name SIP
 * @namespace
 */
module.exports = (function(window) {
  "use strict";

  var SIP = {};

  var pkg = require('../package.json');

  Object.defineProperties(SIP, {
    version: {
      get: function(){ return pkg.version; }
    },
    name: {
      get: function(){ return pkg.title; }
    }
  });

  require('./Utils.js')(SIP);
  var Logger = require('./Logger.js');
  SIP.LoggerFactory = require('./LoggerFactory.js')(window, Logger);
  require('./EventEmitter.js')(SIP);
  SIP.C = require('./Constants.js')(SIP.name, SIP.version);
  SIP.Exceptions = require('./Exceptions.js');
  SIP.Timers = require('./Timers.js')(window);
  require('./Transport.js')(SIP, window);
  require('./Parser.js')(SIP);
  require('./SIPMessage.js')(SIP);
  require('./URI.js')(SIP);
  require('./NameAddrHeader.js')(SIP);
  require('./Transactions.js')(SIP, window);
  var DialogRequestSender = require('./Dialog/RequestSender.js')(SIP, window);
  require('./Dialogs.js')(SIP, DialogRequestSender);
  require('./RequestSender.js')(SIP);
  require('./RegisterContext.js')(SIP, window);
  SIP.MediaHandler = require('./MediaHandler.js')(SIP.EventEmitter);
  require('./ClientContext.js')(SIP);
  require('./ServerContext.js')(SIP);
  var SessionDTMF = require('./Session/DTMF.js')(SIP);
  require('./Session.js')(SIP, window, SessionDTMF);
  require('./Subscription.js')(SIP, window);
  var WebRTCMediaHandler = require('./WebRTC/MediaHandler.js')(SIP);
  var WebRTCMediaStreamManager = require('./WebRTC/MediaStreamManager.js')(SIP);
  SIP.WebRTC = require('./WebRTC.js')(SIP.Utils, window, WebRTCMediaHandler, WebRTCMediaStreamManager);
  require('./UA.js')(SIP, window);
  SIP.Hacks = require('./Hacks.js')(SIP);
  require('./SanityCheck.js')(SIP);
  SIP.DigestAuthentication = require('./DigestAuthentication.js')(SIP.Utils);
  SIP.Grammar = require('./Grammar/dist/Grammar')(SIP);

  return SIP;
})((typeof window !== 'undefined') ? window : global);

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{"../package.json":3,"./ClientContext.js":4,"./Constants.js":5,"./Dialog/RequestSender.js":6,"./Dialogs.js":7,"./DigestAuthentication.js":8,"./EventEmitter.js":9,"./Exceptions.js":10,"./Grammar/dist/Grammar":11,"./Hacks.js":12,"./Logger.js":13,"./LoggerFactory.js":14,"./MediaHandler.js":15,"./NameAddrHeader.js":16,"./Parser.js":17,"./RegisterContext.js":18,"./RequestSender.js":19,"./SIPMessage.js":21,"./SanityCheck.js":22,"./ServerContext.js":23,"./Session.js":24,"./Session/DTMF.js":25,"./Subscription.js":26,"./Timers.js":27,"./Transactions.js":28,"./Transport.js":29,"./UA.js":30,"./URI.js":31,"./Utils.js":32,"./WebRTC.js":33,"./WebRTC/MediaHandler.js":34,"./WebRTC/MediaStreamManager.js":35}],21:[function(require,module,exports){
/**
 * @fileoverview SIP Message
 */

module.exports = function (SIP) {
var
  OutgoingRequest,
  IncomingMessage,
  IncomingRequest,
  IncomingResponse;

/**
 * @augments SIP
 * @class Class for outgoing SIP request.
 * @param {String} method request method
 * @param {String} ruri request uri
 * @param {SIP.UA} ua
 * @param {Object} params parameters that will have priority over ua.configuration parameters:
 * <br>
 *  - cseq, call_id, from_tag, from_uri, from_displayName, to_uri, to_tag, route_set
 * @param {Object} [headers] extra headers
 * @param {String} [body]
 */
OutgoingRequest = function(method, ruri, ua, params, extraHeaders, body) {
  var
    to,
    from,
    call_id,
    cseq;

  params = params || {};

  // Mandatory parameters check
  if(!method || !ruri || !ua) {
    return null;
  }

  this.logger = ua.getLogger('sip.sipmessage');
  this.ua = ua;
  this.headers = {};
  this.method = method;
  this.ruri = ruri;
  this.body = body;
  this.extraHeaders = (extraHeaders || []).slice();
  this.statusCode = params.status_code;
  this.reasonPhrase = params.reason_phrase;

  // Fill the Common SIP Request Headers

  // Route
  if (params.route_set) {
    this.setHeader('route', params.route_set);
  } else if (ua.configuration.usePreloadedRoute){
    this.setHeader('route', ua.transport.server.sip_uri);
  }

  // Via
  // Empty Via header. Will be filled by the client transaction.
  this.setHeader('via', '');

  // Max-Forwards
  this.setHeader('max-forwards', SIP.UA.C.MAX_FORWARDS);

  // To
  to = (params.to_displayName || params.to_displayName === 0) ? '"' + params.to_displayName + '" ' : '';
  to += '<' + (params.to_uri || ruri) + '>';
  to += params.to_tag ? ';tag=' + params.to_tag : '';
  this.to = new SIP.NameAddrHeader.parse(to);
  this.setHeader('to', to);

  // From
  if (params.from_displayName || params.from_displayName === 0) {
    from = '"' + params.from_displayName + '" ';
  } else if (ua.configuration.displayName) {
    from = '"' + ua.configuration.displayName + '" ';
  } else {
    from = '';
  }
  from += '<' + (params.from_uri || ua.configuration.uri) + '>;tag=';
  from += params.from_tag || SIP.Utils.newTag();
  this.from = new SIP.NameAddrHeader.parse(from);
  this.setHeader('from', from);

  // Call-ID
  call_id = params.call_id || (ua.configuration.sipjsId + SIP.Utils.createRandomToken(15));
  this.call_id = call_id;
  this.setHeader('call-id', call_id);

  // CSeq
  cseq = params.cseq || Math.floor(Math.random() * 10000);
  this.cseq = cseq;
  this.setHeader('cseq', cseq + ' ' + method);
};

OutgoingRequest.prototype = {
  /**
   * Replace the the given header by the given value.
   * @param {String} name header name
   * @param {String | Array} value header value
   */
  setHeader: function(name, value) {
    this.headers[SIP.Utils.headerize(name)] = (value instanceof Array) ? value : [value];
  },

  /**
   * Get the value of the given header name at the given position.
   * @param {String} name header name
   * @returns {String|undefined} Returns the specified header, undefined if header doesn't exist.
   */
  getHeader: function(name) {
    var regexp, idx,
      length = this.extraHeaders.length,
      header = this.headers[SIP.Utils.headerize(name)];

    if(header) {
      if(header[0]) {
        return header[0];
      }
    } else {
      regexp = new RegExp('^\\s*' + name + '\\s*:','i');
      for (idx = 0; idx < length; idx++) {
        header = this.extraHeaders[idx];
        if (regexp.test(header)) {
          return header.substring(header.indexOf(':')+1).trim();
        }
      }
    }

    return;
  },

  /**
   * Get the header/s of the given name.
   * @param {String} name header name
   * @returns {Array} Array with all the headers of the specified name.
   */
  getHeaders: function(name) {
    var idx, length, regexp,
      header = this.headers[SIP.Utils.headerize(name)],
      result = [];

    if(header) {
      length = header.length;
      for (idx = 0; idx < length; idx++) {
        result.push(header[idx]);
      }
      return result;
    } else {
      length = this.extraHeaders.length;
      regexp = new RegExp('^\\s*' + name + '\\s*:','i');
      for (idx = 0; idx < length; idx++) {
        header = this.extraHeaders[idx];
        if (regexp.test(header)) {
          result.push(header.substring(header.indexOf(':')+1).trim());
        }
      }
      return result;
    }
  },

  /**
   * Verify the existence of the given header.
   * @param {String} name header name
   * @returns {boolean} true if header with given name exists, false otherwise
   */
  hasHeader: function(name) {
    var regexp, idx,
      length = this.extraHeaders.length;

    if (this.headers[SIP.Utils.headerize(name)]) {
      return true;
    } else {
      regexp = new RegExp('^\\s*' + name + '\\s*:','i');
      for (idx = 0; idx < length; idx++) {
        if (regexp.test(this.extraHeaders[idx])) {
          return true;
        }
      }
    }

    return false;
  },

  toString: function() {
    var msg = '', header, length, idx, supported = [];

    msg += this.method + ' ' + this.ruri + ' SIP/2.0\r\n';

    for (header in this.headers) {
      length = this.headers[header].length;
      for (idx = 0; idx < length; idx++) {
        msg += header + ': ' + this.headers[header][idx] + '\r\n';
      }
    }

    length = this.extraHeaders.length;
    for (idx = 0; idx < length; idx++) {
      msg += this.extraHeaders[idx].trim() +'\r\n';
    }

    //Supported
    if (this.method === SIP.C.REGISTER) {
      supported.push('path', 'gruu');
    } else if (this.method === SIP.C.INVITE &&
               (this.ua.contact.pub_gruu || this.ua.contact.temp_gruu)) {
      supported.push('gruu');
    }

    if (this.ua.configuration.rel100 === SIP.C.supported.SUPPORTED) {
      supported.push('100rel');
    }

    supported.push('outbound');

    msg += 'Supported: ' +  supported +'\r\n';
    msg += 'User-Agent: ' + this.ua.configuration.userAgentString +'\r\n';

    if(this.body) {
      length = SIP.Utils.str_utf8_length(this.body);
      msg += 'Content-Length: ' + length + '\r\n\r\n';
      msg += this.body;
    } else {
      msg += 'Content-Length: 0\r\n\r\n';
    }

    return msg;
  }
};

/**
 * @augments SIP
 * @class Class for incoming SIP message.
 */
IncomingMessage = function(){
  this.data = null;
  this.headers = null;
  this.method =  null;
  this.via = null;
  this.via_branch = null;
  this.call_id = null;
  this.cseq = null;
  this.from = null;
  this.from_tag = null;
  this.to = null;
  this.to_tag = null;
  this.body = null;
};

IncomingMessage.prototype = {
  /**
  * Insert a header of the given name and value into the last position of the
  * header array.
  * @param {String} name header name
  * @param {String} value header value
  */
  addHeader: function(name, value) {
    var header = { raw: value };

    name = SIP.Utils.headerize(name);

    if(this.headers[name]) {
      this.headers[name].push(header);
    } else {
      this.headers[name] = [header];
    }
  },

  /**
   * Get the value of the given header name at the given position.
   * @param {String} name header name
   * @returns {String|undefined} Returns the specified header, null if header doesn't exist.
   */
  getHeader: function(name) {
    var header = this.headers[SIP.Utils.headerize(name)];

    if(header) {
      if(header[0]) {
        return header[0].raw;
      }
    } else {
      return;
    }
  },

  /**
   * Get the header/s of the given name.
   * @param {String} name header name
   * @returns {Array} Array with all the headers of the specified name.
   */
  getHeaders: function(name) {
    var idx, length,
      header = this.headers[SIP.Utils.headerize(name)],
      result = [];

    if(!header) {
      return [];
    }

    length = header.length;
    for (idx = 0; idx < length; idx++) {
      result.push(header[idx].raw);
    }

    return result;
  },

  /**
   * Verify the existence of the given header.
   * @param {String} name header name
   * @returns {boolean} true if header with given name exists, false otherwise
   */
  hasHeader: function(name) {
    return(this.headers[SIP.Utils.headerize(name)]) ? true : false;
  },

  /**
  * Parse the given header on the given index.
  * @param {String} name header name
  * @param {Number} [idx=0] header index
  * @returns {Object|undefined} Parsed header object, undefined if the header is not present or in case of a parsing error.
  */
  parseHeader: function(name, idx) {
    var header, value, parsed;

    name = SIP.Utils.headerize(name);

    idx = idx || 0;

    if(!this.headers[name]) {
      this.logger.log('header "' + name + '" not present');
      return;
    } else if(idx >= this.headers[name].length) {
      this.logger.log('not so many "' + name + '" headers present');
      return;
    }

    header = this.headers[name][idx];
    value = header.raw;

    if(header.parsed) {
      return header.parsed;
    }

    //substitute '-' by '_' for grammar rule matching.
    parsed = SIP.Grammar.parse(value, name.replace(/-/g, '_'));

    if(parsed === -1) {
      this.headers[name].splice(idx, 1); //delete from headers
      this.logger.warn('error parsing "' + name + '" header field with value "' + value + '"');
      return;
    } else {
      header.parsed = parsed;
      return parsed;
    }
  },

  /**
   * Message Header attribute selector. Alias of parseHeader.
   * @param {String} name header name
   * @param {Number} [idx=0] header index
   * @returns {Object|undefined} Parsed header object, undefined if the header is not present or in case of a parsing error.
   *
   * @example
   * message.s('via',3).port
   */
  s: function(name, idx) {
    return this.parseHeader(name, idx);
  },

  /**
  * Replace the value of the given header by the value.
  * @param {String} name header name
  * @param {String} value header value
  */
  setHeader: function(name, value) {
    var header = { raw: value };
    this.headers[SIP.Utils.headerize(name)] = [header];
  },

  toString: function() {
    return this.data;
  }
};

/**
 * @augments IncomingMessage
 * @class Class for incoming SIP request.
 */
IncomingRequest = function(ua) {
  this.logger = ua.getLogger('sip.sipmessage');
  this.ua = ua;
  this.headers = {};
  this.ruri = null;
  this.transport = null;
  this.server_transaction = null;
};
IncomingRequest.prototype = new IncomingMessage();

/**
* Stateful reply.
* @param {Number} code status code
* @param {String} reason reason phrase
* @param {Object} headers extra headers
* @param {String} body body
* @param {Function} [onSuccess] onSuccess callback
* @param {Function} [onFailure] onFailure callback
*/
IncomingRequest.prototype.reply = function(code, reason, extraHeaders, body, onSuccess, onFailure) {
  var rr, vias, length, idx, response,
  supported = [],
    to = this.getHeader('To'),
    r = 0,
    v = 0;

  code = code || null;
  reason = reason || null;

  // Validate code and reason values
  if (!code || (code < 100 || code > 699)) {
    throw new TypeError('Invalid status_code: '+ code);
  } else if (reason && typeof reason !== 'string' && !(reason instanceof String)) {
    throw new TypeError('Invalid reason_phrase: '+ reason);
  }

  reason = reason || SIP.C.REASON_PHRASE[code] || '';
  extraHeaders = (extraHeaders || []).slice();

  response = 'SIP/2.0 ' + code + ' ' + reason + '\r\n';

  if(this.method === SIP.C.INVITE && code > 100 && code <= 200) {
    rr = this.getHeaders('record-route');
    length = rr.length;

    for(r; r < length; r++) {
      response += 'Record-Route: ' + rr[r] + '\r\n';
    }
  }

  vias = this.getHeaders('via');
  length = vias.length;

  for(v; v < length; v++) {
    response += 'Via: ' + vias[v] + '\r\n';
  }

  if(!this.to_tag && code > 100) {
    to += ';tag=' + SIP.Utils.newTag();
  } else if(this.to_tag && !this.s('to').hasParam('tag')) {
    to += ';tag=' + this.to_tag;
  }

  response += 'To: ' + to + '\r\n';
  response += 'From: ' + this.getHeader('From') + '\r\n';
  response += 'Call-ID: ' + this.call_id + '\r\n';
  response += 'CSeq: ' + this.cseq + ' ' + this.method + '\r\n';

  length = extraHeaders.length;
  for (idx = 0; idx < length; idx++) {
    response += extraHeaders[idx].trim() +'\r\n';
  }

  //Supported
  if (this.method === SIP.C.INVITE &&
               (this.ua.contact.pub_gruu || this.ua.contact.temp_gruu)) {
    supported.push('gruu');
  }

  if (this.ua.configuration.rel100 === SIP.C.supported.SUPPORTED) {
    supported.push('100rel');
  }

  supported.push('outbound');

  response += 'Supported: ' + supported + '\r\n';

  if(body) {
    length = SIP.Utils.str_utf8_length(body);
    response += 'Content-Type: application/sdp\r\n';
    response += 'Content-Length: ' + length + '\r\n\r\n';
    response += body;
  } else {
    response += 'Content-Length: ' + 0 + '\r\n\r\n';
  }

  this.server_transaction.receiveResponse(code, response, onSuccess, onFailure);

  return response;
};

/**
* Stateless reply.
* @param {Number} code status code
* @param {String} reason reason phrase
*/
IncomingRequest.prototype.reply_sl = function(code, reason) {
  var to, response,
    v = 0,
    vias = this.getHeaders('via'),
    length = vias.length;

  code = code || null;
  reason = reason || null;

  // Validate code and reason values
  if (!code || (code < 100 || code > 699)) {
    throw new TypeError('Invalid status_code: '+ code);
  } else if (reason && typeof reason !== 'string' && !(reason instanceof String)) {
    throw new TypeError('Invalid reason_phrase: '+ reason);
  }

  reason = reason || SIP.C.REASON_PHRASE[code] || '';

  response = 'SIP/2.0 ' + code + ' ' + reason + '\r\n';

  for(v; v < length; v++) {
    response += 'Via: ' + vias[v] + '\r\n';
  }

  to = this.getHeader('To');

  if(!this.to_tag && code > 100) {
    to += ';tag=' + SIP.Utils.newTag();
  } else if(this.to_tag && !this.s('to').hasParam('tag')) {
    to += ';tag=' + this.to_tag;
  }

  response += 'To: ' + to + '\r\n';
  response += 'From: ' + this.getHeader('From') + '\r\n';
  response += 'Call-ID: ' + this.call_id + '\r\n';
  response += 'CSeq: ' + this.cseq + ' ' + this.method + '\r\n';
  response += 'Content-Length: ' + 0 + '\r\n\r\n';

  this.transport.send(response);
};


/**
 * @augments IncomingMessage
 * @class Class for incoming SIP response.
 */
IncomingResponse = function(ua) {
  this.logger = ua.getLogger('sip.sipmessage');
  this.headers = {};
  this.status_code = null;
  this.reason_phrase = null;
};
IncomingResponse.prototype = new IncomingMessage();

SIP.OutgoingRequest = OutgoingRequest;
SIP.IncomingRequest = IncomingRequest;
SIP.IncomingResponse = IncomingResponse;
};

},{}],22:[function(require,module,exports){
/**
 * @fileoverview Incoming SIP Message Sanity Check
 */

/**
 * SIP message sanity check.
 * @augments SIP
 * @function
 * @param {SIP.IncomingMessage} message
 * @param {SIP.UA} ua
 * @param {SIP.Transport} transport
 * @returns {Boolean}
 */
module.exports = function (SIP) {
var sanityCheck,
 logger,
 message, ua, transport,
 requests = [],
 responses = [],
 all = [];

/*
 * Sanity Check for incoming Messages
 *
 * Requests:
 *  - _rfc3261_8_2_2_1_ Receive a Request with a non supported URI scheme
 *  - _rfc3261_16_3_4_ Receive a Request already sent by us
 *   Does not look at via sent-by but at sipjsId, which is inserted as
 *   a prefix in all initial requests generated by the ua
 *  - _rfc3261_18_3_request_ Body Content-Length
 *  - _rfc3261_8_2_2_2_ Merged Requests
 *
 * Responses:
 *  - _rfc3261_8_1_3_3_ Multiple Via headers
 *  - _rfc3261_18_1_2_ sent-by mismatch
 *  - _rfc3261_18_3_response_ Body Content-Length
 *
 * All:
 *  - Minimum headers in a SIP message
 */

// Sanity Check functions for requests
function rfc3261_8_2_2_1() {
  if(!message.ruri || message.ruri.scheme !== 'sip') {
    reply(416);
    return false;
  }
}

function rfc3261_16_3_4() {
  if(!message.to_tag) {
    if(message.call_id.substr(0, 5) === ua.configuration.sipjsId) {
      reply(482);
      return false;
    }
  }
}

function rfc3261_18_3_request() {
  var len = SIP.Utils.str_utf8_length(message.body),
  contentLength = message.getHeader('content-length');

  if(len < contentLength) {
    reply(400);
    return false;
  }
}

function rfc3261_8_2_2_2() {
  var tr, idx,
    fromTag = message.from_tag,
    call_id = message.call_id,
    cseq = message.cseq;

  if(!message.to_tag) {
    if(message.method === SIP.C.INVITE) {
      tr = ua.transactions.ist[message.via_branch];
      if(tr) {
        return;
      } else {
        for(idx in ua.transactions.ist) {
          tr = ua.transactions.ist[idx];
          if(tr.request.from_tag === fromTag && tr.request.call_id === call_id && tr.request.cseq === cseq) {
            reply(482);
            return false;
          }
        }
      }
    } else {
      tr = ua.transactions.nist[message.via_branch];
      if(tr) {
        return;
      } else {
        for(idx in ua.transactions.nist) {
          tr = ua.transactions.nist[idx];
          if(tr.request.from_tag === fromTag && tr.request.call_id === call_id && tr.request.cseq === cseq) {
            reply(482);
            return false;
          }
        }
      }
    }
  }
}

// Sanity Check functions for responses
function rfc3261_8_1_3_3() {
  if(message.getHeaders('via').length > 1) {
    logger.warn('More than one Via header field present in the response. Dropping the response');
    return false;
  }
}

function rfc3261_18_1_2() {
  var viaHost = ua.configuration.viaHost;
  if(message.via.host !== viaHost || message.via.port !== undefined) {
    logger.warn('Via sent-by in the response does not match UA Via host value. Dropping the response');
    return false;
  }
}

function rfc3261_18_3_response() {
  var
    len = SIP.Utils.str_utf8_length(message.body),
    contentLength = message.getHeader('content-length');

    if(len < contentLength) {
      logger.warn('Message body length is lower than the value in Content-Length header field. Dropping the response');
      return false;
    }
}

// Sanity Check functions for requests and responses
function minimumHeaders() {
  var
    mandatoryHeaders = ['from', 'to', 'call_id', 'cseq', 'via'],
    idx = mandatoryHeaders.length;

  while(idx--) {
    if(!message.hasHeader(mandatoryHeaders[idx])) {
      logger.warn('Missing mandatory header field : '+ mandatoryHeaders[idx] +'. Dropping the response');
      return false;
    }
  }
}

// Reply
function reply(status_code) {
  var to,
    response = "SIP/2.0 " + status_code + " " + SIP.C.REASON_PHRASE[status_code] + "\r\n",
    vias = message.getHeaders('via'),
    length = vias.length,
    idx = 0;

  for(idx; idx < length; idx++) {
    response += "Via: " + vias[idx] + "\r\n";
  }

  to = message.getHeader('To');

  if(!message.to_tag) {
    to += ';tag=' + SIP.Utils.newTag();
  }

  response += "To: " + to + "\r\n";
  response += "From: " + message.getHeader('From') + "\r\n";
  response += "Call-ID: " + message.call_id + "\r\n";
  response += "CSeq: " + message.cseq + " " + message.method + "\r\n";
  response += "\r\n";

  transport.send(response);
}

requests.push(rfc3261_8_2_2_1);
requests.push(rfc3261_16_3_4);
requests.push(rfc3261_18_3_request);
requests.push(rfc3261_8_2_2_2);

responses.push(rfc3261_8_1_3_3);
responses.push(rfc3261_18_1_2);
responses.push(rfc3261_18_3_response);

all.push(minimumHeaders);

sanityCheck = function(m, u, t) {
  var len, pass;

  message = m;
  ua = u;
  transport = t;

  logger = ua.getLogger('sip.sanitycheck');

  len = all.length;
  while(len--) {
    pass = all[len](message);
    if(pass === false) {
      return false;
    }
  }

  if(message instanceof SIP.IncomingRequest) {
    len = requests.length;
    while(len--) {
      pass = requests[len](message);
      if(pass === false) {
        return false;
      }
    }
  }

  else if(message instanceof SIP.IncomingResponse) {
    len = responses.length;
    while(len--) {
      pass = responses[len](message);
      if(pass === false) {
        return false;
      }
    }
  }

  //Everything is OK
  return true;
};

SIP.sanityCheck = sanityCheck;
};

},{}],23:[function(require,module,exports){
module.exports = function (SIP) {
var ServerContext;

ServerContext = function (ua, request) {
  var events = [
      'progress',
      'accepted',
      'rejected',
      'failed'
    ];
  this.ua = ua;
  this.logger = ua.getLogger('sip.servercontext');
  this.request = request;
  if (request.method === SIP.C.INVITE) {
    this.transaction = new SIP.Transactions.InviteServerTransaction(request, ua);
  } else {
    this.transaction = new SIP.Transactions.NonInviteServerTransaction(request, ua);
  }

  if (request.body) {
    this.body = request.body;
  }
  if (request.hasHeader('Content-Type')) {
    this.contentType = request.getHeader('Content-Type');
  }
  this.method = request.method;

  this.data = {};

  this.localIdentity = request.to;
  this.remoteIdentity = request.from;

  this.initEvents(events);
};

ServerContext.prototype = new SIP.EventEmitter();

ServerContext.prototype.progress = function (options) {
  options = options || {};
  var
    statusCode = options.statusCode || 180,
    reasonPhrase = options.reasonPhrase || SIP.C.REASON_PHRASE[statusCode],
    extraHeaders = (options.extraHeaders || []).slice(),
    body = options.body,
    response;

  if (statusCode < 100 || statusCode > 199) {
    throw new TypeError('Invalid statusCode: ' + statusCode);
  }
  response = this.request.reply(statusCode, reasonPhrase, extraHeaders, body);
  this.emit('progress', response, reasonPhrase);

  return this;
};

ServerContext.prototype.accept = function (options) {
  options = options || {};
  var
    statusCode = options.statusCode || 200,
    reasonPhrase = options.reasonPhrase || SIP.C.REASON_PHRASE[statusCode],
    extraHeaders = (options.extraHeaders || []).slice(),
    body = options.body,
    response;

  if (statusCode < 200 || statusCode > 299) {
    throw new TypeError('Invalid statusCode: ' + statusCode);
  }
  response = this.request.reply(statusCode, reasonPhrase, extraHeaders, body);
  this.emit('accepted', response, reasonPhrase);

  return this;
};

ServerContext.prototype.reject = function (options) {
  options = options || {};
  var
    statusCode = options.statusCode || 480,
    reasonPhrase = options.reasonPhrase || SIP.C.REASON_PHRASE[statusCode],
    extraHeaders = (options.extraHeaders || []).slice(),
    body = options.body,
    response;

  if (statusCode < 300 || statusCode > 699) {
    throw new TypeError('Invalid statusCode: ' + statusCode);
  }
  response = this.request.reply(statusCode, reasonPhrase, extraHeaders, body);
  this.emit('rejected', response, reasonPhrase);
  this.emit('failed', response, reasonPhrase);

  return this;
};

ServerContext.prototype.reply = function (options) {
  options = options || {};
  var
    statusCode = options.statusCode,
    reasonPhrase = options.reasonPhrase,
    extraHeaders = (options.extraHeaders || []).slice(),
    body = options.body;

  this.request.reply(statusCode, reasonPhrase, extraHeaders, body);

  return this;
};

ServerContext.prototype.onRequestTimeout = function () {
  this.emit('failed', null, SIP.C.causes.REQUEST_TIMEOUT);
};

ServerContext.prototype.onTransportError = function () {
  this.emit('failed', null, SIP.C.causes.CONNECTION_ERROR);
};

SIP.ServerContext = ServerContext;
};

},{}],24:[function(require,module,exports){
module.exports = function (SIP, window, DTMF) {

var Session, InviteServerContext, InviteClientContext,
 C = {
    //Session states
    STATUS_NULL:                        0,
    STATUS_INVITE_SENT:                 1,
    STATUS_1XX_RECEIVED:                2,
    STATUS_INVITE_RECEIVED:             3,
    STATUS_WAITING_FOR_ANSWER:          4,
    STATUS_ANSWERED:                    5,
    STATUS_WAITING_FOR_PRACK:           6,
    STATUS_WAITING_FOR_ACK:             7,
    STATUS_CANCELED:                    8,
    STATUS_TERMINATED:                  9,
    STATUS_ANSWERED_WAITING_FOR_PRACK: 10,
    STATUS_EARLY_MEDIA:                11,
    STATUS_CONFIRMED:                  12
  };

/*
 * @param {function returning SIP.MediaHandler} [mediaHandlerFactory]
 *        (See the documentation for the mediaHandlerFactory argument of the UA constructor.)
 */
Session = function (mediaHandlerFactory) {
  var events = [
  'connecting',
  'terminated',
  'dtmf',
  'invite',
  'cancel',
  'refer',
  'bye',
  'hold',
  'unhold',
  'muted',
  'unmuted'
  ];

  this.status = C.STATUS_NULL;
  this.dialog = null;
  this.earlyDialogs = {};
  this.mediaHandlerFactory = mediaHandlerFactory || SIP.WebRTC.MediaHandler.defaultFactory;
  // this.mediaHandler gets set by ICC/ISC constructors
  this.hasOffer = false;
  this.hasAnswer = false;

  // Session Timers
  this.timers = {
    ackTimer: null,
    expiresTimer: null,
    invite2xxTimer: null,
    userNoAnswerTimer: null,
    rel1xxTimer: null,
    prackTimer: null
  };

  // Session info
  this.startTime = null;
  this.endTime = null;
  this.tones = null;

  // Mute/Hold state
  this.local_hold = false;
  this.remote_hold = false;

  this.pending_actions = {
    actions: [],

    length: function() {
      return this.actions.length;
    },

    isPending: function(name){
      var
      idx = 0,
      length = this.actions.length;

      for (idx; idx<length; idx++) {
        if (this.actions[idx].name === name) {
          return true;
        }
      }
      return false;
    },

    shift: function() {
      return this.actions.shift();
    },

    push: function(name) {
      this.actions.push({
        name: name
      });
    },

    pop: function(name) {
      var
      idx = 0,
      length = this.actions.length;

      for (idx; idx<length; idx++) {
        if (this.actions[idx].name === name) {
          this.actions.splice(idx,1);
          length --;
          idx--;
        }
      }
    }
   };

  this.early_sdp = null;
  this.rel100 = SIP.C.supported.UNSUPPORTED;

  this.initMoreEvents(events);
};

Session.prototype = {
  dtmf: function(tones, options) {
    var tone, dtmfs = [],
        self = this;

    options = options || {};

    if (tones === undefined) {
      throw new TypeError('Not enough arguments');
    }

    // Check Session Status
    if (this.status !== C.STATUS_CONFIRMED && this.status !== C.STATUS_WAITING_FOR_ACK) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    // Check tones
    if (!tones || (typeof tones !== 'string' && typeof tones !== 'number') || !tones.toString().match(/^[0-9A-D#*,]+$/i)) {
      throw new TypeError('Invalid tones: '+ tones);
    }

    tones = tones.toString().split('');

    while (tones.length > 0) { dtmfs.push(new DTMF(this, tones.shift(), options)); }

    if (this.tones) {
      // Tones are already queued, just add to the queue
      this.tones =  this.tones.concat(dtmfs);
      return this;
    }

    var sendDTMF = function () {
      var dtmf, timeout;

      if (self.status === C.STATUS_TERMINATED || !self.tones || self.tones.length === 0) {
        // Stop sending DTMF
        self.tones = null;
        return this;
      }

      dtmf = self.tones.shift();

      if (tone === ',') {
        timeout = 2000;
      } else {
        dtmf.on('failed', function(){self.tones = null;});
        dtmf.send(options);
        timeout = dtmf.duration + dtmf.interToneGap;
      }

      // Set timeout for the next tone
      SIP.Timers.setTimeout(sendDTMF, timeout);
    };

    this.tones = dtmfs;
    sendDTMF();
    return this;
  },

  bye: function(options) {
    options = options || {};
    var statusCode = options.statusCode;

    // Check Session Status
    if (this.status === C.STATUS_TERMINATED) {
      this.logger.error('Error: Attempted to send BYE in a terminated session.');
      return this;
    }

    this.logger.log('terminating Session');

    if (statusCode && (statusCode < 200 || statusCode >= 700)) {
      throw new TypeError('Invalid statusCode: '+ statusCode);
    }

    options.receiveResponse = function () {};

    return this.
      sendRequest(SIP.C.BYE, options).
      terminated();
  },

  refer: function(target, options) {
    options = options || {};
    var extraHeaders = (options.extraHeaders || []).slice(),
        originalTarget = target;

    if (target === undefined) {
      throw new TypeError('Not enough arguments');
    } else if (target instanceof SIP.InviteServerContext || target instanceof SIP.InviteClientContext) {
      //Attended Transfer
      // B.transfer(C)
      extraHeaders.push('Contact: '+ this.contact);
      extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(this.ua));
      extraHeaders.push('Refer-To: <' + target.dialog.remote_target.toString() + '?Replaces=' + target.dialog.id.call_id + '%3Bto-tag%3D' + target.dialog.id.remote_tag + '%3Bfrom-tag%3D' + target.dialog.id.local_tag + '>');
    } else {
      //Blind Transfer

      // Check Session Status
      if (this.status !== C.STATUS_CONFIRMED) {
        throw new SIP.Exceptions.InvalidStateError(this.status);
      }

      // normalizeTarget allows instances of SIP.URI to pass through unaltered,
      // so try to make one ahead of time
      try {
        target = SIP.Grammar.parse(target, 'Refer_To').uri || target;
      } catch (e) {
        this.logger.debug(".refer() cannot parse Refer_To from", target);
        this.logger.debug("...falling through to normalizeTarget()");
      }

      // Check target validity
      target = this.ua.normalizeTarget(target);
      if (!target) {
        throw new TypeError('Invalid target: ' + originalTarget);
      }

      extraHeaders.push('Contact: '+ this.contact);
      extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(this.ua));
      extraHeaders.push('Refer-To: '+ target);
    }

    // Send the request
    this.sendRequest(SIP.C.REFER, {
      extraHeaders: extraHeaders,
      body: options.body,
      receiveResponse: function() {}
    });
    // hang up only if we transferred to a SIP address
    if (target.scheme.match("^sips?$")) {
      this.terminate();
    }
    return this;
  },

  followRefer: function followRefer (callback) {
    return function referListener (callback, request) {
      // window.open non-SIP URIs if possible and keep session open
      var target = request.parseHeader('refer-to').uri;
      if (!target.scheme.match("^sips?$")) {
        var targetString = target.toString();
        if (typeof window !== "undefined" && typeof window.open === "function") {
          window.open(targetString);
        } else {
          this.logger.warn("referred to non-SIP URI but window.open isn't a function: " + targetString);
        }
        return;
      }

      SIP.Hacks.Chrome.getsConfusedAboutGUM(this);

      /*
        Harmless race condition.  Both sides of REFER
        may send a BYE, but in the end the dialogs are destroyed.
      */
      var referSession = this.ua.invite(request.parseHeader('refer-to').uri, {
        media: this.mediaHint
      });

      callback.call(this, request, referSession);

      this.terminate();
    }.bind(this, callback);
  },

  sendRequest: function(method,options) {
    options = options || {};
    var self = this;

    var request = new SIP.OutgoingRequest(
      method,
      this.dialog.remote_target,
      this.ua,
      {
        cseq: options.cseq || (this.dialog.local_seqnum += 1),
        call_id: this.dialog.id.call_id,
        from_uri: this.dialog.local_uri,
        from_tag: this.dialog.id.local_tag,
        to_uri: this.dialog.remote_uri,
        to_tag: this.dialog.id.remote_tag,
        route_set: this.dialog.route_set,
        statusCode: options.statusCode,
        reasonPhrase: options.reasonPhrase
      },
      options.extraHeaders || [],
      options.body
    );

    new SIP.RequestSender({
      request: request,
      onRequestTimeout: function() {
        self.onRequestTimeout();
      },
      onTransportError: function() {
        self.onTransportError();
      },
      receiveResponse: options.receiveResponse || function(response) {
        self.receiveNonInviteResponse(response);
      }
    }, this.ua).send();

    // Emit the request event
    if (this.checkEvent(method.toLowerCase())) {
      this.emit(method.toLowerCase(), request);
    }

    return this;
  },

  close: function() {
    var idx;

    if(this.status === C.STATUS_TERMINATED) {
      return this;
    }

    this.logger.log('closing INVITE session ' + this.id);

    // 1st Step. Terminate media.
    if (this.mediaHandler){
      this.mediaHandler.close();
    }

    // 2nd Step. Terminate signaling.

    // Clear session timers
    for(idx in this.timers) {
      SIP.Timers.clearTimeout(this.timers[idx]);
    }

    // Terminate dialogs

    // Terminate confirmed dialog
    if(this.dialog) {
      this.dialog.terminate();
      delete this.dialog;
    }

    // Terminate early dialogs
    for(idx in this.earlyDialogs) {
      this.earlyDialogs[idx].terminate();
      delete this.earlyDialogs[idx];
    }

    this.status = C.STATUS_TERMINATED;

    delete this.ua.sessions[this.id];
    return this;
  },

  createDialog: function(message, type, early) {
    var dialog, early_dialog,
      local_tag = message[(type === 'UAS') ? 'to_tag' : 'from_tag'],
      remote_tag = message[(type === 'UAS') ? 'from_tag' : 'to_tag'],
      id = message.call_id + local_tag + remote_tag;

    early_dialog = this.earlyDialogs[id];

    // Early Dialog
    if (early) {
      if (early_dialog) {
        return true;
      } else {
        early_dialog = new SIP.Dialog(this, message, type, SIP.Dialog.C.STATUS_EARLY);

        // Dialog has been successfully created.
        if(early_dialog.error) {
          this.logger.error(early_dialog.error);
          this.failed(message, SIP.C.causes.INTERNAL_ERROR);
          return false;
        } else {
          this.earlyDialogs[id] = early_dialog;
          return true;
        }
      }
    }
    // Confirmed Dialog
    else {
      // In case the dialog is in _early_ state, update it
      if (early_dialog) {
        early_dialog.update(message, type);
        this.dialog = early_dialog;
        delete this.earlyDialogs[id];
        for (var dia in this.earlyDialogs) {
          this.earlyDialogs[dia].terminate();
          delete this.earlyDialogs[dia];
        }
        return true;
      }

      // Otherwise, create a _confirmed_ dialog
      dialog = new SIP.Dialog(this, message, type);

      if(dialog.error) {
        this.logger.error(dialog.error);
        this.failed(message, SIP.C.causes.INTERNAL_ERROR);
        return false;
      } else {
        this.to_tag = message.to_tag;
        this.dialog = dialog;
        return true;
      }
    }
  },

  /**
  * Check if Session is ready for a re-INVITE
  *
  * @returns {Boolean}
  */
  isReadyToReinvite: function() {
    return this.mediaHandler.isReady() &&
      !this.dialog.uac_pending_reply &&
      !this.dialog.uas_pending_reply;
  },

  /**
   * Mute
   */
  mute: function(options) {
    var ret = this.mediaHandler.mute(options);
    if (ret) {
      this.onmute(ret);
    }
  },

  /**
   * Unmute
   */
  unmute: function(options) {
    var ret = this.mediaHandler.unmute(options);
    if (ret) {
      this.onunmute(ret);
    }
  },

  /**
   * Hold
   */
  hold: function() {

    if (this.status !== C.STATUS_WAITING_FOR_ACK && this.status !== C.STATUS_CONFIRMED) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    this.mediaHandler.hold();

    // Check if RTCSession is ready to send a reINVITE
    if (!this.isReadyToReinvite()) {
      /* If there is a pending 'unhold' action, cancel it and don't queue this one
       * Else, if there isn't any 'hold' action, add this one to the queue
       * Else, if there is already a 'hold' action, skip
       */
      if (this.pending_actions.isPending('unhold')) {
        this.pending_actions.pop('unhold');
      } else if (!this.pending_actions.isPending('hold')) {
        this.pending_actions.push('hold');
      }
      return;
    } else if (this.local_hold === true) {
        return;
    }

    this.onhold('local');

    this.sendReinvite({
      mangle: function(body){

        // Don't receive media
        // TODO - This will break for media streams with different directions.
        if (!(/a=(sendrecv|sendonly|recvonly|inactive)/).test(body)) {
          body = body.replace(/(m=[^\r]*\r\n)/g, '$1a=sendonly\r\n');
        } else {
          body = body.replace(/a=sendrecv\r\n/g, 'a=sendonly\r\n');
          body = body.replace(/a=recvonly\r\n/g, 'a=inactive\r\n');
        }

        return body;
      }
    });
  },

  /**
   * Unhold
   */
  unhold: function() {

    if (this.status !== C.STATUS_WAITING_FOR_ACK && this.status !== C.STATUS_CONFIRMED) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    this.mediaHandler.unhold();

    if (!this.isReadyToReinvite()) {
      /* If there is a pending 'hold' action, cancel it and don't queue this one
       * Else, if there isn't any 'unhold' action, add this one to the queue
       * Else, if there is already a 'unhold' action, skip
       */
      if (this.pending_actions.isPending('hold')) {
        this.pending_actions.pop('hold');
      } else if (!this.pending_actions.isPending('unhold')) {
        this.pending_actions.push('unhold');
      }
      return;
    } else if (this.local_hold === false) {
      return;
    }

    this.onunhold('local');

    this.sendReinvite();
  },

  /**
   * isOnHold
   */
  isOnHold: function() {
    return {
      local: this.local_hold,
      remote: this.remote_hold
    };
  },

  /**
   * In dialog INVITE Reception
   * @private
   */
  receiveReinvite: function(request) {
    var self = this,
        contentType = request.getHeader('Content-Type'),
        hold = true;

    if (request.body) {
      if (contentType !== 'application/sdp') {
        this.logger.warn('invalid Content-Type');
        request.reply(415);
        return;
      }

      // Are we holding?
      hold = (/a=(sendonly|inactive)/).test(request.body);

      this.mediaHandler.setDescription(
        request.body,
        /*
         * onSuccess
         * SDP Offer is valid
         */
        function() {
          self.mediaHandler.getDescription(
            function(body) {
              request.reply(200, null, ['Contact: ' + self.contact], body,
                function() {
                  self.status = C.STATUS_WAITING_FOR_ACK;
                  self.setInvite2xxTimer(request, body);
                  self.setACKTimer();

                  if (self.remote_hold && !hold) {
                    self.onunhold('remote');
                  } else if (!self.remote_hold && hold) {
                    self.onhold('remote');
                  }
                });
            },
            function() {
              request.reply(500);
            },
            self.mediaHint
          );
        },
        /*
         * onFailure
         * Bad media description
         */
        function(e) {
          self.logger.error(e);
          request.reply(488);
        }
      );
    }
  },

  sendReinvite: function(options) {
    options = options || {};

    var
      self = this,
       extraHeaders = (options.extraHeaders || []).slice(),
       eventHandlers = options.eventHandlers || {},
       mangle = options.mangle || null;

    if (eventHandlers.succeeded) {
      this.reinviteSucceeded = eventHandlers.succeeded;
    } else {
      this.reinviteSucceeded = function(){
        SIP.Timers.clearTimeout(self.timers.ackTimer);
        SIP.Timers.clearTimeout(self.timers.invite2xxTimer);
        self.status = C.STATUS_CONFIRMED;
      };
    }
    if (eventHandlers.failed) {
      this.reinviteFailed = eventHandlers.failed;
    } else {
      this.reinviteFailed = function(){};
    }

    extraHeaders.push('Contact: ' + this.contact);
    extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(this.ua));
    extraHeaders.push('Content-Type: application/sdp');

    this.receiveResponse = this.receiveReinviteResponse;
    //REVISIT
    this.mediaHandler.getDescription(
      function(body){
        if (mangle) {
          body = mangle(body);
        }

        self.dialog.sendRequest(self, SIP.C.INVITE, {
          extraHeaders: extraHeaders,
          body: body
        });
      },
      function() {
        if (self.isReadyToReinvite()) {
          self.onReadyToReinvite();
        }
        self.reinviteFailed();
      },
      self.mediaHint
    );
  },

  receiveRequest: function (request) {
    switch (request.method) {
      case SIP.C.BYE:
        request.reply(200);
        // PATCH_status: C.STATUS_INVITE_SENT is added to resolve issue with ignored BYE Should be checked more!!!!
        if(this.status === C.STATUS_CONFIRMED || this.status === C.STATUS_INVITE_SENT) {
          this.emit('bye', request);
          this.terminated(request, SIP.C.causes.BYE);
        }
        break;
      case SIP.C.INVITE:
        if(this.status === C.STATUS_CONFIRMED) {
          this.logger.log('re-INVITE received');
          // PATCH_actpass: freeSwitch is sending every 1' a re-INVITE on 1:1 conversations and phone calls (pstn)
          // - If it's a phone call (From pstn), replying 488 stops the re-invites from the server
          //   However, trying to send an OK ends up in a client 500
          // - If it's a 1:1 call, we must reply OK instead , otherwise at 1'48" there's a server timeout
          if(/[F|f]rom:(\s)*<sip:[0-9]*@pstn(.)*>/.test(request.data)){
            request.reply(488, null, ['Warning: 399 sipjs "Cannot update media description"']);
          }
          else{
            request.body = request.body.replace(new RegExp('a=setup:active', 'g'), 'a=setup:actpass');
            //this.receiveReinvite(request);
            request.reply(200, null, ['Contact: ' + this.contact], this.mediaHandler.peerConnection.localDescription.sdp);
          }
        }
        break;
      case SIP.C.INFO:
        if(this.status === C.STATUS_CONFIRMED || this.status === C.STATUS_WAITING_FOR_ACK) {
          var body, tone, duration,
              contentType = request.getHeader('content-type'),
              reg_tone = /^(Signal\s*?=\s*?)([0-9A-D#*]{1})(\s)?.*/,
              reg_duration = /^(Duration\s?=\s?)([0-9]{1,4})(\s)?.*/;

          if (contentType) {
            if (contentType.match(/^application\/dtmf-relay/i)) {
              if (request.body) {
                body = request.body.split('\r\n', 2);
                if (body.length === 2) {
                  if (reg_tone.test(body[0])) {
                    tone = body[0].replace(reg_tone,"$2");
                  }
                  if (reg_duration.test(body[1])) {
                    duration = parseInt(body[1].replace(reg_duration,"$2"), 10);
                  }
                }
              }

              new DTMF(this, tone, {duration: duration}).init_incoming(request);
            } else {
              request.reply(415, null, ["Accept: application/dtmf-relay"]);
            }
          }
        }
        break;
      case SIP.C.REFER:
        if(this.status ===  C.STATUS_CONFIRMED) {
          this.logger.log('REFER received');
          request.reply(202, 'Accepted');
          var
            hasReferListener = this.checkListener('refer'),
            notifyBody = hasReferListener ?
              'SIP/2.0 100 Trying' :
              // RFC 3515.2.4.2: 'the UA MAY decline the request.'
              'SIP/2.0 603 Declined'
          ;

          this.sendRequest(SIP.C.NOTIFY, {
            extraHeaders:[
              'Event: refer',
              'Subscription-State: terminated',
              'Content-Type: message/sipfrag'
            ],
            body: notifyBody,
            receiveResponse: function() {}
          });

          if (hasReferListener) {
            this.emit('refer', request);
          }
        }
        break;
    }
  },

  /**
   * Reception of Response for in-dialog INVITE
   * @private
   */
  receiveReinviteResponse: function(response) {
    var self = this,
        contentType = response.getHeader('Content-Type');

    if (this.status === C.STATUS_TERMINATED) {
      return;
    }

    switch(true) {
      case /^1[0-9]{2}$/.test(response.status_code):
        break;
      case /^2[0-9]{2}$/.test(response.status_code):
        this.status = C.STATUS_CONFIRMED;

        this.sendRequest(SIP.C.ACK,{cseq:response.cseq});

        if(!response.body) {
          this.reinviteFailed();
          break;
        } else if (contentType !== 'application/sdp') {
          this.reinviteFailed();
          break;
        }

        //REVISIT
        this.mediaHandler.setDescription(
          response.body,
          /*
           * onSuccess
           * SDP Answer fits with Offer.
           */
          function() {
            self.reinviteSucceeded();
          },
          /*
           * onFailure
           * SDP Answer does not fit the Offer.
           */
          function() {
            self.reinviteFailed();
          }
        );
        break;
      default:
        this.reinviteFailed();
    }
  },

  acceptAndTerminate: function(response, status_code, reason_phrase) {
    var extraHeaders = [];

    if (status_code) {
      reason_phrase = reason_phrase || SIP.C.REASON_PHRASE[status_code] || '';
      extraHeaders.push('Reason: SIP ;cause=' + status_code + '; text="' + reason_phrase + '"');
    }

    // An error on dialog creation will fire 'failed' event
    if (this.dialog || this.createDialog(response, 'UAC')) {
      this.sendRequest(SIP.C.ACK,{cseq: response.cseq});
      this.sendRequest(SIP.C.BYE, {
        extraHeaders: extraHeaders
      });
    }

    return this;
  },

  /**
   * RFC3261 13.3.1.4
   * Response retransmissions cannot be accomplished by transaction layer
   *  since it is destroyed when receiving the first 2xx answer
   */
  setInvite2xxTimer: function(request, body) {
    var self = this,
        timeout = SIP.Timers.T1;

    this.timers.invite2xxTimer = SIP.Timers.setTimeout(function invite2xxRetransmission() {
      if (self.status !== C.STATUS_WAITING_FOR_ACK) {
        return;
      }

      self.logger.log('no ACK received, attempting to retransmit OK');

      request.reply(200, null, ['Contact: ' + self.contact], body);

      timeout = Math.min(timeout * 2, SIP.Timers.T2);

      self.timers.invite2xxTimer = SIP.Timers.setTimeout(invite2xxRetransmission, timeout);
    }, timeout);
  },

  /**
   * RFC3261 14.2
   * If a UAS generates a 2xx response and never receives an ACK,
   *  it SHOULD generate a BYE to terminate the dialog.
   */
  setACKTimer: function() {
    var self = this;

    this.timers.ackTimer = SIP.Timers.setTimeout(function() {
      if(self.status === C.STATUS_WAITING_FOR_ACK) {
        self.logger.log('no ACK received for an extended period of time, terminating the call');
        SIP.Timers.clearTimeout(self.timers.invite2xxTimer);
        self.sendRequest(SIP.C.BYE);
        self.terminated(null, SIP.C.causes.NO_ACK);
      }
    }, SIP.Timers.TIMER_H);
  },

  /*
   * @private
   */
  onReadyToReinvite: function() {
    var action = this.pending_actions.shift();

    if (!action || !this[action.name]) {
      return;
    }

    this[action.name]();
  },

  onTransportError: function() {
    if (this.status === C.STATUS_CONFIRMED) {
      this.terminated(null, SIP.C.causes.CONNECTION_ERROR);
    } else if (this.status !== C.STATUS_TERMINATED) {
      this.failed(null, SIP.C.causes.CONNECTION_ERROR);
    }
  },

  onRequestTimeout: function() {
    if (this.status === C.STATUS_CONFIRMED) {
      this.terminated(null, SIP.C.causes.REQUEST_TIMEOUT);
    } else if (this.status !== C.STATUS_TERMINATED) {
      this.failed(null, SIP.C.causes.REQUEST_TIMEOUT);
    }
  },

  onDialogError: function(response) {
    if (this.status === C.STATUS_CONFIRMED) {
      this.terminated(response, SIP.C.causes.DIALOG_ERROR);
    } else if (this.status !== C.STATUS_TERMINATED) {
      this.failed(response, SIP.C.causes.DIALOG_ERROR);
    }
  },

  /**
   * @private
   */
  onhold: function(originator) {
    this[originator === 'local' ? 'local_hold' : 'remote_hold'] = true;
    this.emit('hold', { originator: originator });
  },

  /**
   * @private
   */
  onunhold: function(originator) {
    this[originator === 'local' ? 'local_hold' : 'remote_hold'] = false;
    this.emit('unhold', { originator: originator });
  },

  /*
   * @private
   */
  onmute: function(options) {
    this.emit('muted', {
      audio: options.audio,
      video: options.video
    });
  },

  /*
   * @private
   */
  onunmute: function(options) {
    this.emit('unmuted', {
      audio: options.audio,
      video: options.video
    });
  },

  failed: function(response, cause) {
    this.close();
    return this.emit('failed', response, cause);
  },

  rejected: function(response, cause) {
    this.close();
    return this.emit('rejected',
      response || null,
      cause
    );
  },

  canceled: function() {
    this.close();
    return this.emit('cancel');
  },

  accepted: function(response, cause) {
    cause = cause || (response && SIP.C.REASON_PHRASE[response.status_code]) || '';

    this.startTime = new Date();

    return this.emit('accepted', response, cause);
  },

  terminated: function(message, cause) {
    this.endTime = new Date();

    this.close();
    return this.emit('terminated', {
      message: message || null,
      cause: cause || null
    });
  },

  connecting: function(request) {
    return this.emit('connecting', { request: request });
  }
};

Session.C = C;
SIP.Session = Session;


InviteServerContext = function(ua, request) {
  var expires,
    self = this,
    contentType = request.getHeader('Content-Type'),
    contentDisp = request.parseHeader('Content-Disposition');

  // Check body and content type
  if ((!contentDisp && contentType !== 'application/sdp') || (contentDisp && contentDisp.type === 'render')) {
    this.renderbody = request.body;
    this.rendertype = contentType;
  } else if (contentType !== 'application/sdp' && (contentDisp && contentDisp.type === 'session')) {
    request.reply(415);
    //TODO: instead of 415, pass off to the media handler, who can then decide if we can use it
    return;
  }

  //TODO: move this into media handler
  SIP.Hacks.Firefox.cannotHandleExtraWhitespace(request);
  SIP.Hacks.AllBrowsers.maskDtls(request);

  SIP.Utils.augment(this, SIP.ServerContext, [ua, request]);
  SIP.Utils.augment(this, SIP.Session, [ua.configuration.mediaHandlerFactory]);

  this.status = C.STATUS_INVITE_RECEIVED;
  this.from_tag = request.from_tag;
  this.id = request.call_id + this.from_tag;
  this.request = request;
  this.contact = this.ua.contact.toString();

  this.receiveNonInviteResponse = function () {}; // intentional no-op

  this.logger = ua.getLogger('sip.inviteservercontext', this.id);

  //Save the session into the ua sessions collection.
  this.ua.sessions[this.id] = this;

  //Get the Expires header value if exists
  if(request.hasHeader('expires')) {
    expires = request.getHeader('expires') * 1000;
  }

  //Set 100rel if necessary
  function set100rel(h,c) {
    if (request.hasHeader(h) && request.getHeader(h).toLowerCase().indexOf('100rel') >= 0) {
      self.rel100 = c;
    }
  }
  set100rel('require', SIP.C.supported.REQUIRED);
  set100rel('supported', SIP.C.supported.SUPPORTED);

  /* Set the to_tag before
   * replying a response code that will create a dialog.
   */
  request.to_tag = SIP.Utils.newTag();

  // An error on dialog creation will fire 'failed' event
  if(!this.createDialog(request, 'UAS', true)) {
    request.reply(500, 'Missing Contact header field');
    return;
  }

  //Initialize Media Session
  this.mediaHandler = this.mediaHandlerFactory(this, {
    RTCConstraints: {"optional": [{'DtlsSrtpKeyAgreement': 'true'}]}
  });

  if (this.mediaHandler && this.mediaHandler.getRemoteStreams) {
    this.getRemoteStreams = this.mediaHandler.getRemoteStreams.bind(this.mediaHandler);
    this.getLocalStreams = this.mediaHandler.getLocalStreams.bind(this.mediaHandler);
  }

  function fireNewSession() {
    var options = {extraHeaders: ['Contact: ' + self.contact]};

    if (self.rel100 !== SIP.C.supported.REQUIRED) {
      self.progress(options);
    }
    self.status = C.STATUS_WAITING_FOR_ANSWER;

    // Set userNoAnswerTimer
    self.timers.userNoAnswerTimer = SIP.Timers.setTimeout(function() {
      request.reply(408);
      self.failed(request, SIP.C.causes.NO_ANSWER);
    }, self.ua.configuration.noAnswerTimeout);

    /* Set expiresTimer
     * RFC3261 13.3.1
     */
    if (expires) {
      self.timers.expiresTimer = SIP.Timers.setTimeout(function() {
        if(self.status === C.STATUS_WAITING_FOR_ANSWER) {
          request.reply(487);
          self.failed(request, SIP.C.causes.EXPIRES);
        }
      }, expires);
    }

    self.emit('invite',request);
  }

  if (!request.body || this.renderbody) {
    SIP.Timers.setTimeout(fireNewSession, 0);
  } else {
    this.hasOffer = true;
    this.mediaHandler.setDescription(
      request.body,
      /*
       * onSuccess
       * SDP Offer is valid. Fire UA newRTCSession
       */
      fireNewSession,
      /*
       * onFailure
       * Bad media description
       */
      function(e) {
        self.logger.warn('invalid SDP');
        self.logger.warn(e);
        request.reply(488);
      }
    );
  }
};

InviteServerContext.prototype = {
  reject: function(options) {
    // Check Session Status
    if (this.status === C.STATUS_TERMINATED) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    this.logger.log('rejecting RTCSession');

    SIP.ServerContext.prototype.reject.apply(this, [options]);
    return this.terminated();
  },

  terminate: function(options) {
    options = options || {};

    var
    extraHeaders = (options.extraHeaders || []).slice(),
    body = options.body,
    dialog,
    self = this;

    if (this.status === C.STATUS_WAITING_FOR_ACK &&
       this.request.server_transaction.state !== SIP.Transactions.C.STATUS_TERMINATED) {
      dialog = this.dialog;

      this.receiveRequest = function(request) {
        if (request.method === SIP.C.ACK) {
          this.request(SIP.C.BYE, {
            extraHeaders: extraHeaders,
            body: body
          });
          dialog.terminate();
        }
      };

      this.request.server_transaction.on('stateChanged', function(){
        if (this.state === SIP.Transactions.C.STATUS_TERMINATED) {
          this.request = new SIP.OutgoingRequest(
            SIP.C.BYE,
            this.dialog.remote_target,
            this.ua,
            {
              'cseq': this.dialog.local_seqnum+=1,
              'call_id': this.dialog.id.call_id,
              'from_uri': this.dialog.local_uri,
              'from_tag': this.dialog.id.local_tag,
              'to_uri': this.dialog.remote_uri,
              'to_tag': this.dialog.id.remote_tag,
              'route_set': this.dialog.route_set
            },
            extraHeaders,
            body
          );

          new SIP.RequestSender(
            {
              request: this.request,
              onRequestTimeout: function() {
                self.onRequestTimeout();
              },
              onTransportError: function() {
                self.onTransportError();
              },
              receiveResponse: function() {
                return;
              }
            },
            this.ua
          ).send();
          dialog.terminate();
        }
      });

      this.emit('bye', this.request);
      this.terminated();

      // Restore the dialog into 'this' in order to be able to send the in-dialog BYE :-)
      this.dialog = dialog;

      // Restore the dialog into 'ua' so the ACK can reach 'this' session
      this.ua.dialogs[dialog.id.toString()] = dialog;

    } else if (this.status === C.STATUS_CONFIRMED) {
      this.bye(options);
    } else {
      this.reject(options);
    }

    return this;
  },

  /*
   * @param {Object} [options.media] gets passed to SIP.MediaHandler.getDescription as mediaHint
   */
  progress: function (options) {
    options = options || {};
    var
      statusCode = options.statusCode || 180,
      reasonPhrase = options.reasonPhrase,
      extraHeaders = (options.extraHeaders || []).slice(),
      body = options.body,
      response;

    if (statusCode < 100 || statusCode > 199) {
      throw new TypeError('Invalid statusCode: ' + statusCode);
    }

    if (this.isCanceled || this.status === C.STATUS_TERMINATED) {
      return this;
    }

    function do100rel() {
      statusCode = options.statusCode || 183;

      // Set status and add extra headers
      this.status = C.STATUS_WAITING_FOR_PRACK;
      extraHeaders.push('Contact: '+ this.contact);
      extraHeaders.push('Require: 100rel');
      extraHeaders.push('RSeq: ' + Math.floor(Math.random() * 10000));

      // Save media hint for later (referred sessions)
      this.mediaHint = options.media;

      // Get the session description to add to preaccept with
      this.mediaHandler.getDescription(
        // Success
        function succ(body) {
          if (this.isCanceled || this.status === C.STATUS_TERMINATED) {
            return;
          }

          this.early_sdp = body;
          this[this.hasOffer ? 'hasAnswer' : 'hasOffer'] = true;

          // Retransmit until we get a response or we time out (see prackTimer below)
          var timeout = SIP.Timers.T1;
          this.timers.rel1xxTimer = SIP.Timers.setTimeout(function rel1xxRetransmission() {
            this.request.reply(statusCode, null, extraHeaders, body);
            timeout *= 2;
            this.timers.rel1xxTimer = SIP.Timers.setTimeout(rel1xxRetransmission.bind(this), timeout);
          }.bind(this), timeout);

          // Timeout and reject INVITE if no response
          this.timers.prackTimer = SIP.Timers.setTimeout(function () {
            if (this.status !== C.STATUS_WAITING_FOR_PRACK) {
              return;
            }

            this.logger.log('no PRACK received, rejecting the call');
            SIP.Timers.clearTimeout(this.timers.rel1xxTimer);
            this.request.reply(504);
            this.terminated(null, SIP.C.causes.NO_PRACK);
          }.bind(this), SIP.Timers.T1 * 64);

          // Send the initial response
          response = this.request.reply(statusCode, reasonPhrase, extraHeaders, body);
          this.emit('progress', response, reasonPhrase);
        }.bind(this),

        // Failure
        function fail() {
          this.failed(null, SIP.C.causes.WEBRTC_ERROR);
        }.bind(this),

        // Media hint:
        options.media);
    } // end do100rel

    function normalReply() {
      response = this.request.reply(statusCode, reasonPhrase, extraHeaders, body);
      this.emit('progress', response, reasonPhrase);
    }

    if (options.statusCode !== 100 &&
        (this.rel100 === SIP.C.supported.REQUIRED ||
         (this.rel100 === SIP.C.supported.SUPPORTED && options.rel100) ||
         (this.rel100 === SIP.C.supported.SUPPORTED && (this.ua.configuration.rel100 === SIP.C.supported.REQUIRED)))) {
      do100rel.apply(this);
    } else {
      normalReply.apply(this);
    }
    return this;
  },

  /*
   * @param {Object} [options.media] gets passed to SIP.MediaHandler.getDescription as mediaHint
   */
  accept: function(options) {
    options = options || {};
    options = SIP.Utils.desugarSessionOptions(options);
    SIP.Utils.optionsOverride(options, 'media', 'mediaConstraints', true, this.logger, this.ua.configuration.media);
    this.mediaHint = options.media;

    // commented out now-unused hold-related variables for jshint. See below. JMF 2014-1-21
    var
      //idx, length, hasAudio, hasVideo,
      self = this,
      request = this.request,
      extraHeaders = (options.extraHeaders || []).slice(),
    //mediaStream = options.mediaStream || null,
      sdpCreationSucceeded = function(body) {
        var
          response,
          // run for reply success callback
          replySucceeded = function() {
            self.status = C.STATUS_WAITING_FOR_ACK;

            self.setInvite2xxTimer(request, body);
            self.setACKTimer();
          },

          // run for reply failure callback
          replyFailed = function() {
            self.failed(null, SIP.C.causes.CONNECTION_ERROR);
          };

        // Chrome might call onaddstream before accept() is called, which means
        // mediaHandler.render() was called without a renderHint, so we need to
        // re-render now that mediaHint.render has been set.
        //
        // Chrome seems to be in the right regarding this, see
        // http://dev.w3.org/2011/webrtc/editor/webrtc.html#widl-RTCPeerConnection-onaddstream
        self.mediaHandler.render();

        extraHeaders.push('Contact: ' + self.contact);

        if(!self.hasOffer) {
          self.hasOffer = true;
        } else {
          self.hasAnswer = true;
        }
        response = request.reply(200, null, extraHeaders,
                      body,
                      replySucceeded,
                      replyFailed
                     );
        if (self.status !== C.STATUS_TERMINATED) { // Didn't fail
          self.accepted(response, SIP.C.REASON_PHRASE[200]);
        }
      },

      sdpCreationFailed = function() {
        if (self.status === C.STATUS_TERMINATED) {
          return;
        }
        // TODO - fail out on error
        //response = request.reply(480);
        //self.failed(response, SIP.C.causes.USER_DENIED_MEDIA_ACCESS);
        self.failed(null, SIP.C.causes.WEBRTC_ERROR);
      };

    // Check Session Status
    if (this.status === C.STATUS_WAITING_FOR_PRACK) {
      this.status = C.STATUS_ANSWERED_WAITING_FOR_PRACK;
      return this;
    } else if (this.status === C.STATUS_WAITING_FOR_ANSWER) {
      this.status = C.STATUS_ANSWERED;
    } else if (this.status !== C.STATUS_EARLY_MEDIA) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    // An error on dialog creation will fire 'failed' event
    if(!this.createDialog(request, 'UAS')) {
      request.reply(500, 'Missing Contact header field');
      return this;
    }

    SIP.Timers.clearTimeout(this.timers.userNoAnswerTimer);

    // this hold-related code breaks FF accepting new calls - JMF 2014-1-21
    /*
    length = this.getRemoteStreams().length;

    for (idx = 0; idx < length; idx++) {
      if (this.mediaHandler.getRemoteStreams()[idx].getVideoTracks().length > 0) {
        hasVideo = true;
      }
      if (this.mediaHandler.getRemoteStreams()[idx].getAudioTracks().length > 0) {
        hasAudio = true;
      }
    }

    if (!hasAudio && this.mediaConstraints.audio === true) {
      this.mediaConstraints.audio = false;
      if (mediaStream) {
        length = mediaStream.getAudioTracks().length;
        for (idx = 0; idx < length; idx++) {
          mediaStream.removeTrack(mediaStream.getAudioTracks()[idx]);
        }
      }
    }

    if (!hasVideo && this.mediaConstraints.video === true) {
      this.mediaConstraints.video = false;
      if (mediaStream) {
        length = mediaStream.getVideoTracks().length;
        for (idx = 0; idx < length; idx++) {
          mediaStream.removeTrack(mediaStream.getVideoTracks()[idx]);
        }
      }
    }
    */

    if (this.status === C.STATUS_EARLY_MEDIA) {
      sdpCreationSucceeded();
    } else {
      this.mediaHandler.getDescription(
        sdpCreationSucceeded,
        sdpCreationFailed,
        self.mediaHint
      );
    }

    return this;
  },

  receiveRequest: function(request) {

    // ISC RECEIVE REQUEST

    function confirmSession() {
      var contentType;

      SIP.Timers.clearTimeout(this.timers.ackTimer);
      SIP.Timers.clearTimeout(this.timers.invite2xxTimer);
      this.status = C.STATUS_CONFIRMED;
      this.unmute();

      // TODO - this logic assumes Content-Disposition defaults
      contentType = request.getHeader('Content-Type');
      if (contentType !== 'application/sdp') {
        this.renderbody = request.body;
        this.rendertype = contentType;
      }
    }

    switch(request.method) {
    case SIP.C.CANCEL:
      /* RFC3261 15 States that a UAS may have accepted an invitation while a CANCEL
       * was in progress and that the UAC MAY continue with the session established by
       * any 2xx response, or MAY terminate with BYE. SIP does continue with the
       * established session. So the CANCEL is processed only if the session is not yet
       * established.
       */

      /*
       * Terminate the whole session in case the user didn't accept (or yet to send the answer) nor reject the
       *request opening the session.
       */
      if(this.status === C.STATUS_WAITING_FOR_ANSWER ||
         this.status === C.STATUS_WAITING_FOR_PRACK ||
         this.status === C.STATUS_ANSWERED_WAITING_FOR_PRACK ||
         this.status === C.STATUS_EARLY_MEDIA ||
         this.status === C.STATUS_ANSWERED) {

        this.status = C.STATUS_CANCELED;
        this.request.reply(487);
        this.canceled(request);
        this.rejected(request, SIP.C.causes.CANCELED);
        this.failed(request, SIP.C.causes.CANCELED);
      }
      break;
    case SIP.C.ACK:
      if(this.status === C.STATUS_WAITING_FOR_ACK) {
        if (!this.hasAnswer) {
          if(request.body && request.getHeader('content-type') === 'application/sdp') {
            // ACK contains answer to an INVITE w/o SDP negotiation
            SIP.Hacks.Firefox.cannotHandleExtraWhitespace(request);
            SIP.Hacks.AllBrowsers.maskDtls(request);

            this.hasAnswer = true;
            this.mediaHandler.setDescription(
              request.body,
              /*
               * onSuccess
               * SDP Answer fits with Offer. Media will start
               */
              confirmSession.bind(this),
              /*
               * onFailure
               * SDP Answer does not fit the Offer.  Terminate the call.
               */
              function (e) {
                this.logger.warn(e);
                this.terminate({
                  statusCode: '488',
                  reasonPhrase: 'Bad Media Description'
                });
                this.failed(request, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
              }.bind(this)
            );
          } else if (this.early_sdp) {
            confirmSession.apply(this);
          } else {
            //TODO: Pass to mediahandler
            this.failed(request, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
          }
        } else {
          confirmSession.apply(this);
        }
      }
      break;
    case SIP.C.PRACK:
      if (this.status === C.STATUS_WAITING_FOR_PRACK || this.status === C.STATUS_ANSWERED_WAITING_FOR_PRACK) {
        //localMedia = session.mediaHandler.localMedia;
        if(!this.hasAnswer) {
          if(request.body && request.getHeader('content-type') === 'application/sdp') {
            this.hasAnswer = true;
            this.mediaHandler.setDescription(
              request.body,
              /*
               * onSuccess
               * SDP Answer fits with Offer. Media will start
               */
              function() {
                SIP.Timers.clearTimeout(this.timers.rel1xxTimer);
                SIP.Timers.clearTimeout(this.timers.prackTimer);
                request.reply(200);
                if (this.status === C.STATUS_ANSWERED_WAITING_FOR_PRACK) {
                  this.status = C.STATUS_EARLY_MEDIA;
                  this.accept();
                }
                this.status = C.STATUS_EARLY_MEDIA;
                //REVISIT
                this.mute();
              }.bind(this),
              function (e) {
                //TODO: Send to media handler
                this.logger.warn(e);
                this.terminate({
                  statusCode: '488',
                  reasonPhrase: 'Bad Media Description'
                });
                this.failed(request, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
              }.bind(this)
            );
          } else {
            this.terminate({
              statusCode: '488',
              reasonPhrase: 'Bad Media Description'
            });
            this.failed(request, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
          }
        } else {
          SIP.Timers.clearTimeout(this.timers.rel1xxTimer);
          SIP.Timers.clearTimeout(this.timers.prackTimer);
          request.reply(200);

          if (this.status === C.STATUS_ANSWERED_WAITING_FOR_PRACK) {
            this.status = C.STATUS_EARLY_MEDIA;
            this.accept();
          }
          this.status = C.STATUS_EARLY_MEDIA;
          //REVISIT
          this.mute();
        }
      } else if(this.status === C.STATUS_EARLY_MEDIA) {
        request.reply(200);
      }
      break;
    default:
      Session.prototype.receiveRequest.apply(this, [request]);
      break;
    }
  }
};

SIP.InviteServerContext = InviteServerContext;

InviteClientContext = function(ua, target, options) {
  options = options || {};
  var requestParams, iceServers,
    extraHeaders = (options.extraHeaders || []).slice(),
    stunServers = options.stunServers || null,
    turnServers = options.turnServers || null,
    isMediaSupported = ua.configuration.mediaHandlerFactory.isSupported;

  // Check WebRTC support
  if (isMediaSupported && !isMediaSupported()) {
    throw new SIP.Exceptions.NotSupportedError('Media not supported');
  }

  this.RTCConstraints = options.RTCConstraints || {};
  this.inviteWithoutSdp = options.inviteWithoutSdp || false;

  // Set anonymous property
  this.anonymous = options.anonymous || false;

  // Custom data to be sent either in INVITE or in ACK
  this.renderbody = options.renderbody || null;
  this.rendertype = options.rendertype || 'text/plain';

  requestParams = {from_tag: this.from_tag};

  /* Do not add ;ob in initial forming dialog requests if the registration over
   *  the current connection got a GRUU URI.
   */
  this.contact = ua.contact.toString({
    anonymous: this.anonymous,
    outbound: this.anonymous ? !ua.contact.temp_gruu : !ua.contact.pub_gruu
  });

  if (this.anonymous) {
    requestParams.from_displayName = 'Anonymous';
    requestParams.from_uri = 'sip:anonymous@anonymous.invalid';

    extraHeaders.push('P-Preferred-Identity: '+ ua.configuration.uri.toString());
    extraHeaders.push('Privacy: id');
  }
  extraHeaders.push('Contact: '+ this.contact);
  extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(ua));
  if (!this.inviteWithoutSdp) {
    extraHeaders.push('Content-Type: application/sdp');
  } else if (this.renderbody) {
    extraHeaders.push('Content-Type: ' + this.rendertype);
    extraHeaders.push('Content-Disposition: render;handling=optional');
  }

  if (ua.configuration.rel100 === SIP.C.supported.REQUIRED) {
    extraHeaders.push('Require: 100rel');
  }

  options.extraHeaders = extraHeaders;
  options.params = requestParams;

  SIP.Utils.augment(this, SIP.ClientContext, [ua, SIP.C.INVITE, target, options]);
  SIP.Utils.augment(this, SIP.Session, [ua.configuration.mediaHandlerFactory]);

  // Check Session Status
  if (this.status !== C.STATUS_NULL) {
    throw new SIP.Exceptions.InvalidStateError(this.status);
  }

  // Session parameter initialization
  this.from_tag = SIP.Utils.newTag();

  // OutgoingSession specific parameters
  this.isCanceled = false;
  this.received_100 = false;

  this.method = SIP.C.INVITE;

  this.receiveNonInviteResponse = this.receiveResponse;
  this.receiveResponse = this.receiveInviteResponse;

  this.logger = ua.getLogger('sip.inviteclientcontext');

  if (stunServers) {
    iceServers = SIP.UA.configuration_check.optional['stunServers'](stunServers);
    if (!iceServers) {
      throw new TypeError('Invalid stunServers: '+ stunServers);
    } else {
      this.stunServers = iceServers;
    }
  }

  if (turnServers) {
    iceServers = SIP.UA.configuration_check.optional['turnServers'](turnServers);
    if (!iceServers) {
      throw new TypeError('Invalid turnServers: '+ turnServers);
    } else {
      this.turnServers = iceServers;
    }
  }

  ua.applicants[this] = this;

  this.id = this.request.call_id + this.from_tag;

  //Initialize Media Session
  this.mediaHandler = this.mediaHandlerFactory(this, {
    RTCConstraints: this.RTCConstraints,
    stunServers: this.stunServers,
    turnServers: this.turnServers
  });

  if (this.mediaHandler && this.mediaHandler.getRemoteStreams) {
    this.getRemoteStreams = this.mediaHandler.getRemoteStreams.bind(this.mediaHandler);
    this.getLocalStreams = this.mediaHandler.getLocalStreams.bind(this.mediaHandler);
  }
};

InviteClientContext.prototype = {
  /*
   * @param {Object} [options.media] gets passed to SIP.MediaHandler.getDescription as mediaHint
   */
  invite: function (options) {
    var self = this;
    options = options || {};

    SIP.Utils.optionsOverride(options, 'media', 'mediaConstraints', true, this.logger, this.ua.configuration.media);
    this.mediaHint = options.media;

    //Save the session into the ua sessions collection.
    //Note: placing in constructor breaks call to request.cancel on close... User does not need this anyway
    this.ua.sessions[this.id] = this;

    //Note: due to the way Firefox handles gUM calls, it is recommended to make the gUM call at the app level
    // and hand sip.js a stream as the mediaHint
    if (this.inviteWithoutSdp) {
      //just send an invite with no sdp...
      this.request.body = self.renderbody;
      this.status = C.STATUS_INVITE_SENT;
      this.send();
    } else {
      this.mediaHandler.getDescription(
        function onSuccess(offer) {
          if (self.isCanceled || self.status === C.STATUS_TERMINATED) {
            return;
          }
          self.hasOffer = true;
          self.request.body = offer;
          self.status = C.STATUS_INVITE_SENT;
          self.send();
        },
        function onFailure() {
          if (self.status === C.STATUS_TERMINATED) {
            return;
          }
          // TODO...fail out
          //self.failed(null, SIP.C.causes.USER_DENIED_MEDIA_ACCESS);
          //self.failed(null, SIP.C.causes.WEBRTC_ERROR);
          self.failed(null, SIP.C.causes.WEBRTC_ERROR);
        },
        self.mediaHint
      );
    }

    return this;
  },

  receiveInviteResponse: function(response) {
    var cause, //localMedia,
      session = this,
      id = response.call_id + response.from_tag + response.to_tag,
      extraHeaders = [],
      options = {};

    if (this.status === C.STATUS_TERMINATED || response.method !== SIP.C.INVITE) {
      return;
    }

    if (this.dialog && (response.status_code >= 200 && response.status_code <= 299)) {
      if (id !== this.dialog.id.toString() ) {
        if (!this.createDialog(response, 'UAC', true)) {
          return;
        }
        this.earlyDialogs[id].sendRequest(this, SIP.C.ACK,
                                          {
                                            body: SIP.Utils.generateFakeSDP(response.body)
                                          });
        this.earlyDialogs[id].sendRequest(this, SIP.C.BYE);

        /* NOTE: This fails because the forking proxy does not recognize that an unanswerable
         * leg (due to peerConnection limitations) has been answered first. If your forking
         * proxy does not hang up all unanswered branches on the first branch answered, remove this.
         */
        if(this.status !== C.STATUS_CONFIRMED) {
          this.failed(response, SIP.C.causes.WEBRTC_ERROR);
        }
        return;
      } else if (this.status === C.STATUS_CONFIRMED) {
        this.sendRequest(SIP.C.ACK,{cseq: response.cseq});
        return;
      } else if (!this.hasAnswer) {
        // invite w/o sdp is waiting for callback
        //an invite with sdp must go on, and hasAnswer is true
        return;
      }
    }

    if (this.dialog && response.status_code < 200) {
      /*
        Early media has been set up with at least one other different branch,
        but a final 2xx response hasn't been received
      */
      if (!this.earlyDialogs[id] && !this.createDialog(response, 'UAC', true)) {
        return;
      }

      extraHeaders.push('RAck: ' + response.getHeader('rseq') + ' ' + response.getHeader('cseq'));
      this.earlyDialogs[id].pracked.push(response.getHeader('rseq'));

      this.earlyDialogs[id].sendRequest(this, SIP.C.PRACK, {
        extraHeaders: extraHeaders,
        body: SIP.Utils.generateFakeSDP(response.body)
      });
      return;
    }

    // Proceed to cancellation if the user requested.
    if(this.isCanceled) {
      if(response.status_code >= 100 && response.status_code < 200) {
        this.request.cancel(this.cancelReason);
        this.canceled(null);
      } else if(response.status_code >= 200 && response.status_code < 299) {
        this.acceptAndTerminate(response);
        this.emit('bye', this.request);
      }
      return;
    }

    switch(true) {
      case /^100$/.test(response.status_code):
        this.received_100 = true;
        break;
      case (/^1[0-9]{2}$/.test(response.status_code)):
        // Do nothing with 1xx responses without To tag.
        if(!response.to_tag) {
          this.logger.warn('1xx response received without to tag');
          break;
        }

        // Create Early Dialog if 1XX comes with contact
        if(response.hasHeader('contact')) {
          // An error on dialog creation will fire 'failed' event
          if (!this.createDialog(response, 'UAC', true)) {
            break;
          }
        }

        this.status = C.STATUS_1XX_RECEIVED;

        if(response.hasHeader('require') &&
           response.getHeader('require').indexOf('100rel') !== -1) {

          // Do nothing if this.dialog is already confirmed
          if (this.dialog || !this.earlyDialogs[id]) {
            break;
          }

          if (this.earlyDialogs[id].pracked.indexOf(response.getHeader('rseq')) !== -1 ||
              (this.earlyDialogs[id].pracked[this.earlyDialogs[id].pracked.length-1] >= response.getHeader('rseq') && this.earlyDialogs[id].pracked.length > 0)) {
            return;
          }

          SIP.Hacks.Firefox.cannotHandleExtraWhitespace(response);
          SIP.Hacks.AllBrowsers.maskDtls(response);

          if (!response.body) {
            extraHeaders.push('RAck: ' + response.getHeader('rseq') + ' ' + response.getHeader('cseq'));
            this.earlyDialogs[id].pracked.push(response.getHeader('rseq'));
            this.earlyDialogs[id].sendRequest(this, SIP.C.PRACK, {
              extraHeaders: extraHeaders
            });
            this.emit('progress', response);

          } else if (this.hasOffer) {
            if (!this.createDialog(response, 'UAC')) {
              break;
            }
            this.hasAnswer = true;
            this.mediaHandler.setDescription(
              response.body,
              /*
               * onSuccess
               * SDP Answer fits with Offer. Media will start
               */
              function () {
                extraHeaders.push('RAck: ' + response.getHeader('rseq') + ' ' + response.getHeader('cseq'));
                session.dialog.pracked.push(response.getHeader('rseq'));

                session.sendRequest(SIP.C.PRACK, {
                  extraHeaders: extraHeaders,
                  receiveResponse: function() {}
                });
                session.status = C.STATUS_EARLY_MEDIA;
                session.mute();
                session.emit('progress', response);
                /*
                if (session.status === C.STATUS_EARLY_MEDIA) {
                  localMedia = session.mediaHandler.localMedia;
                  if (localMedia.getAudioTracks().length > 0) {
                    localMedia.getAudioTracks()[0].enabled = false;
                  }
                  if (localMedia.getVideoTracks().length > 0) {
                    localMedia.getVideoTracks()[0].enabled = false;
                  }
                }*/
              },
              /*
               * onFailure
               * SDP Answer does not fit the Offer. Accept the call and Terminate.
               */
              function(e) {
                session.logger.warn(e);
                session.acceptAndTerminate(response, 488, 'Not Acceptable Here');
                session.failed(response, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
              }
            );
          } else {
            this.earlyDialogs[id].pracked.push(response.getHeader('rseq'));
            this.earlyDialogs[id].mediaHandler.setDescription(
              response.body,
              function onSuccess() {
                session.earlyDialogs[id].mediaHandler.getDescription(
                  function onSuccess(sdp) {
                    extraHeaders.push('Content-Type: application/sdp');
                    extraHeaders.push('RAck: ' + response.getHeader('rseq') + ' ' + response.getHeader('cseq'));
                    session.earlyDialogs[id].sendRequest(session, SIP.C.PRACK, {
                      extraHeaders: extraHeaders,
                      body: sdp
                    });
                    session.status = C.STATUS_EARLY_MEDIA;
                    session.emit('progress', response);
                  },
                  function onFailure() {
                    session.earlyDialogs[id].pracked.push(response.getHeader('rseq'));
                    if (session.status === C.STATUS_TERMINATED) {
                      return;
                    }
                    // TODO - fail out on error
                    // session.failed(gum error);
                    session.failed(null, SIP.C.causes.WEBRTC_ERROR);
                  },
                  session.mediaHint
                );
              },
              function onFailure(e) {
                session.earlyDialogs[id].pracked.splice(session.earlyDialogs[id].pracked.indexOf(response.getHeader('rseq')), 1);
                // Could not set remote description
                session.logger.warn('invalid SDP');
                session.logger.warn(e);
              }
            );
          }
        } else {
          this.emit('progress', response);
        }
        break;
      case /^2[0-9]{2}$/.test(response.status_code):
        var cseq = this.request.cseq + ' ' + this.request.method;
        if (cseq !== response.getHeader('cseq')) {
          break;
        }

        if (this.status === C.STATUS_EARLY_MEDIA && this.dialog) {
          this.status = C.STATUS_CONFIRMED;
          this.unmute();
          /*localMedia = this.mediaHandler.localMedia;
          if (localMedia.getAudioTracks().length > 0) {
            localMedia.getAudioTracks()[0].enabled = true;
          }
          if (localMedia.getVideoTracks().length > 0) {
            localMedia.getVideoTracks()[0].enabled = true;
          }*/
          options = {};
          if (this.renderbody) {
            extraHeaders.push('Content-Type: ' + this.rendertype);
            options.extraHeaders = extraHeaders;
            options.body = this.renderbody;
          }
          options.cseq = response.cseq;
          this.sendRequest(SIP.C.ACK, options);
          this.accepted(response);
          break;
        }
        // Do nothing if this.dialog is already confirmed
        if (this.dialog) {
          break;
        }

        SIP.Hacks.Firefox.cannotHandleExtraWhitespace(response);
        SIP.Hacks.AllBrowsers.maskDtls(response);

        // This is an invite without sdp
        if (!this.hasOffer) {
          if (this.earlyDialogs[id] && this.earlyDialogs[id].mediaHandler.localMedia) {
            //REVISIT
            this.hasOffer = true;
            this.hasAnswer = true;
            this.mediaHandler = this.earlyDialogs[id].mediaHandler;
            if (!this.createDialog(response, 'UAC')) {
              break;
            }
            this.status = C.STATUS_CONFIRMED;
            this.sendRequest(SIP.C.ACK, {cseq:response.cseq});

            this.unmute();
            /*
            localMedia = session.mediaHandler.localMedia;
            if (localMedia.getAudioTracks().length > 0) {
              localMedia.getAudioTracks()[0].enabled = true;
            }
            if (localMedia.getVideoTracks().length > 0) {
              localMedia.getVideoTracks()[0].enabled = true;
            }*/
            this.accepted(response);
          } else {
            if(!response.body) {
              this.acceptAndTerminate(response, 400, 'Missing session description');
              this.failed(response, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
              break;
            }
            if (!this.createDialog(response, 'UAC')) {
              break;
            }
            this.hasOffer = true;
            this.mediaHandler.setDescription(
              response.body,
              function onSuccess() {
                session.mediaHandler.getDescription(
                  function onSuccess(sdp) {
                    //var localMedia;
                    if(session.isCanceled || session.status === C.STATUS_TERMINATED) {
                      return;
                    }

                    sdp = SIP.Hacks.Firefox.hasMissingCLineInSDP(sdp);

                    session.status = C.STATUS_CONFIRMED;
                    session.hasAnswer = true;

                    session.unmute();
                    /*localMedia = session.mediaHandler.localMedia;
                    if (localMedia.getAudioTracks().length > 0) {
                      localMedia.getAudioTracks()[0].enabled = true;
                    }
                    if (localMedia.getVideoTracks().length > 0) {
                      localMedia.getVideoTracks()[0].enabled = true;
                    }*/
                    session.sendRequest(SIP.C.ACK,{
                      body: sdp,
                      extraHeaders:['Content-Type: application/sdp'],
                      cseq:response.cseq
                    });
                    session.accepted(response);
                  },
                  function onFailure() {
                    // TODO do something here
                    session.logger.warn("there was a problem");
                  },
                  session.mediaHint
                );
              },
              function onFailure(e) {
                session.logger.warn('invalid SDP');
                session.logger.warn(e);
                response.reply(488);
              }
            );
          }
        } else if (this.hasAnswer){
          if (this.renderbody) {
            extraHeaders.push('Content-Type: ' + session.rendertype);
            options.extraHeaders = extraHeaders;
            options.body = this.renderbody;
          }
          this.sendRequest(SIP.C.ACK, options);
        } else {
          if(!response.body) {
            this.acceptAndTerminate(response, 400, 'Missing session description');
            this.failed(response, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
            break;
          }
          if (!this.createDialog(response, 'UAC')) {
            break;
          }
          this.hasAnswer = true;
          this.mediaHandler.setDescription(
            response.body,
            /*
             * onSuccess
             * SDP Answer fits with Offer. Media will start
             */
            function() {
              var options = {};//,localMedia;
              session.status = C.STATUS_CONFIRMED;
              session.unmute();
              /*localMedia = session.mediaHandler.localMedia;
              if (localMedia.getAudioTracks().length > 0) {
                localMedia.getAudioTracks()[0].enabled = true;
              }
              if (localMedia.getVideoTracks().length > 0) {
                localMedia.getVideoTracks()[0].enabled = true;
              }*/
              if (session.renderbody) {
                extraHeaders.push('Content-Type: ' + session.rendertype);
                options.extraHeaders = extraHeaders;
                options.body = session.renderbody;
              }
              options.cseq = response.cseq;
              session.sendRequest(SIP.C.ACK, options);
              session.accepted(response);
            },
            /*
             * onFailure
             * SDP Answer does not fit the Offer. Accept the call and Terminate.
             */
            function(e) {
              session.logger.warn(e);
              session.acceptAndTerminate(response, 488, 'Not Acceptable Here');
              session.failed(response, SIP.C.causes.BAD_MEDIA_DESCRIPTION);
            }
          );
        }
        break;
      default:
        cause = SIP.Utils.sipErrorCause(response.status_code);
        this.failed(response, cause);
        this.rejected(response, cause);
    }
  },

  cancel: function(options) {
    options = options || {};

    var
    statusCode = options.status_code,
    reasonPhrase = options.reasonPhrase,
    cancel_reason;

    // Check Session Status
    if (this.status === C.STATUS_TERMINATED) {
      throw new SIP.Exceptions.InvalidStateError(this.status);
    }

    this.logger.log('canceling RTCSession');

    if (statusCode && (statusCode < 200 || statusCode >= 700)) {
      throw new TypeError('Invalid status_code: '+ statusCode);
    } else if (statusCode) {
      reasonPhrase = reasonPhrase || SIP.C.REASON_PHRASE[statusCode] || '';
      cancel_reason = 'SIP ;cause=' + statusCode + ' ;text="' + reasonPhrase + '"';
    }

    // Check Session Status
    if (this.status === C.STATUS_NULL ||
        (this.status === C.STATUS_INVITE_SENT && !this.received_100)) {
      this.isCanceled = true;
      this.cancelReason = cancel_reason;
    } else if (this.status === C.STATUS_INVITE_SENT ||
               this.status === C.STATUS_1XX_RECEIVED ||
               this.status === C.STATUS_EARLY_MEDIA) {
      this.request.cancel(cancel_reason);
    }

    return this.canceled();
  },

  terminate: function(options) {
    if (this.status === C.STATUS_TERMINATED) {
      return this;
    }

    if (this.status === C.STATUS_WAITING_FOR_ACK || this.status === C.STATUS_CONFIRMED) {
      this.bye(options);
    } else {
      this.cancel(options);
    }

    return this.terminated();
  },

  receiveRequest: function(request) {
    // ICC RECEIVE REQUEST

    // Reject CANCELs
    if (request.method === SIP.C.CANCEL) {
      // TODO; make this a switch when it gets added
    }

    if (request.method === SIP.C.ACK && this.status === C.STATUS_WAITING_FOR_ACK) {
      SIP.Timers.clearTimeout(this.timers.ackTimer);
      SIP.Timers.clearTimeout(this.timers.invite2xxTimer);
      this.status = C.STATUS_CONFIRMED;
      this.unmute();

      this.accepted();
    }

    return Session.prototype.receiveRequest.apply(this, [request]);
  }
};

SIP.InviteClientContext = InviteClientContext;

};

},{}],25:[function(require,module,exports){
/**
 * @fileoverview DTMF
 */

/**
 * @class DTMF
 * @param {SIP.Session} session
 */
module.exports = function (SIP) {

var DTMF,
  C = {
    MIN_DURATION:            70,
    MAX_DURATION:            6000,
    DEFAULT_DURATION:        100,
    MIN_INTER_TONE_GAP:      50,
    DEFAULT_INTER_TONE_GAP:  500
  };

DTMF = function(session, tone, options) {
  var events = [
  'succeeded',
  'failed'
  ], duration, interToneGap;

  if (tone === undefined) {
    throw new TypeError('Not enough arguments');
  }

  this.logger = session.ua.getLogger('sip.invitecontext.dtmf', session.id);
  this.owner = session;
  this.direction = null;

  options = options || {};
  duration = options.duration || null;
  interToneGap = options.interToneGap || null;

  // Check tone type
  if (typeof tone === 'string' ) {
    tone = tone.toUpperCase();
  } else if (typeof tone === 'number') {
    tone = tone.toString();
  } else {
    throw new TypeError('Invalid tone: '+ tone);
  }

  // Check tone value
  if (!tone.match(/^[0-9A-D#*]$/)) {
    throw new TypeError('Invalid tone: '+ tone);
  } else {
    this.tone = tone;
  }

  // Check duration
  if (duration && !SIP.Utils.isDecimal(duration)) {
    throw new TypeError('Invalid tone duration: '+ duration);
  } else if (!duration) {
    duration = DTMF.C.DEFAULT_DURATION;
  } else if (duration < DTMF.C.MIN_DURATION) {
    this.logger.warn('"duration" value is lower than the minimum allowed, setting it to '+ DTMF.C.MIN_DURATION+ ' milliseconds');
    duration = DTMF.C.MIN_DURATION;
  } else if (duration > DTMF.C.MAX_DURATION) {
    this.logger.warn('"duration" value is greater than the maximum allowed, setting it to '+ DTMF.C.MAX_DURATION +' milliseconds');
    duration = DTMF.C.MAX_DURATION;
  } else {
    duration = Math.abs(duration);
  }
  this.duration = duration;

  // Check interToneGap
  if (interToneGap && !SIP.Utils.isDecimal(interToneGap)) {
    throw new TypeError('Invalid interToneGap: '+ interToneGap);
  } else if (!interToneGap) {
    interToneGap = DTMF.C.DEFAULT_INTER_TONE_GAP;
  } else if (interToneGap < DTMF.C.MIN_INTER_TONE_GAP) {
    this.logger.warn('"interToneGap" value is lower than the minimum allowed, setting it to '+ DTMF.C.MIN_INTER_TONE_GAP +' milliseconds');
    interToneGap = DTMF.C.MIN_INTER_TONE_GAP;
  } else {
    interToneGap = Math.abs(interToneGap);
  }
  this.interToneGap = interToneGap;

  this.initEvents(events);
};
DTMF.prototype = new SIP.EventEmitter();


DTMF.prototype.send = function(options) {
  var extraHeaders, body;

  this.direction = 'outgoing';

  // Check RTCSession Status
  if (this.owner.status !== SIP.Session.C.STATUS_CONFIRMED &&
    this.owner.status !== SIP.Session.C.STATUS_WAITING_FOR_ACK) {
    throw new SIP.Exceptions.InvalidStateError(this.owner.status);
  }

  // Get DTMF options
  options = options || {};
  extraHeaders = options.extraHeaders ? options.extraHeaders.slice() : [];

  extraHeaders.push('Content-Type: application/dtmf-relay');

  body = "Signal= " + this.tone + "\r\n";
  body += "Duration= " + this.duration;

  this.request = this.owner.dialog.sendRequest(this, SIP.C.INFO, {
    extraHeaders: extraHeaders,
    body: body
  });

  this.owner.emit('dtmf', this.request, this);
};

/**
 * @private
 */
DTMF.prototype.receiveResponse = function(response) {
  var cause;

  switch(true) {
    case /^1[0-9]{2}$/.test(response.status_code):
      // Ignore provisional responses.
      break;

    case /^2[0-9]{2}$/.test(response.status_code):
      this.emit('succeeded', {
        originator: 'remote',
        response: response
      });
      break;

    default:
      cause = SIP.Utils.sipErrorCause(response.status_code);
      this.emit('failed', response, cause);
      break;
  }
};

/**
 * @private
 */
DTMF.prototype.onRequestTimeout = function() {
  this.emit('failed', null, SIP.C.causes.REQUEST_TIMEOUT);
  this.owner.onRequestTimeout();
};

/**
 * @private
 */
DTMF.prototype.onTransportError = function() {
  this.emit('failed', null, SIP.C.causes.CONNECTION_ERROR);
  this.owner.onTransportError();
};

/**
 * @private
 */
DTMF.prototype.onDialogError = function(response) {
  this.emit('failed', response, SIP.C.causes.DIALOG_ERROR);
  this.owner.onDialogError(response);
};

/**
 * @private
 */
DTMF.prototype.init_incoming = function(request) {
  this.direction = 'incoming';
  this.request = request;

  request.reply(200);

  if (!this.tone || !this.duration) {
    this.logger.warn('invalid INFO DTMF received, discarded');
  } else {
    this.owner.emit('dtmf', request, this);
  }
};

DTMF.C = C;
return DTMF;
};

},{}],26:[function(require,module,exports){

/**
 * @fileoverview SIP Subscriber (SIP-Specific Event Notifications RFC6665)
 */

/**
 * @augments SIP
 * @class Class creating a SIP Subscription.
 */
module.exports = function (SIP) {
SIP.Subscription = function (ua, target, event, options) {
  var events;

  options = options || {};
  options.extraHeaders = (options.extraHeaders || []).slice();

  events = ['notify'];
  this.id = null;
  this.state = 'init';

  if (!event) {
    throw new TypeError('Event necessary to create a subscription.');
  } else {
    //TODO: check for valid events here probably make a list in SIP.C; or leave it up to app to check?
    //The check may need to/should probably occur on the other side,
    this.event = event;
  }

  if(typeof options.expires !== 'number'){
    ua.logger.warn('expires must be a number. Using default of 3600.');
    this.expires = 3600;
  } else {
    this.expires = options.expires;
  }

  options.extraHeaders.push('Event: ' + this.event);
  options.extraHeaders.push('Expires: ' + this.expires);

  if (options.body) {
    this.body = options.body;
  }

  this.contact = ua.contact.toString();

  options.extraHeaders.push('Contact: '+ this.contact);
  options.extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(ua));

  SIP.Utils.augment(this, SIP.ClientContext, [ua, SIP.C.SUBSCRIBE, target, options]);

  this.logger = ua.getLogger('sip.subscription');

  this.dialog = null;
  this.timers = {N: null, sub_duration: null};
  this.errorCodes  = [404,405,410,416,480,481,482,483,484,485,489,501,604];

  this.initMoreEvents(events);
};

SIP.Subscription.prototype = {
  subscribe: function() {
    var sub = this;

    SIP.Timers.clearTimeout(this.timers.sub_duration);
    SIP.Timers.clearTimeout(this.timers.N);
    this.timers.N = SIP.Timers.setTimeout(sub.timer_fire.bind(sub), SIP.Timers.TIMER_N);

    this.send();

    this.state = 'notify_wait';

    return this;
  },

  receiveResponse: function(response) {
    var expires, sub = this,
        cause = SIP.C.REASON_PHRASE[response.status_code] || '';

    if (this.errorCodes.indexOf(response.status_code) !== -1) {
      this.failed(response, null);
    } else if (/^2[0-9]{2}$/.test(response.status_code)){
      expires = response.getHeader('Expires');
      SIP.Timers.clearTimeout(this.timers.N);

      if (this.createConfirmedDialog(response,'UAC')) {
        this.id = this.dialog.id.toString();
        this.ua.subscriptions[this.id] = this;
        this.emit('accepted', response, cause);
        // UPDATE ROUTE SET TO BE BACKWARDS COMPATIBLE?
      }

      if (expires && expires <= this.expires) {
        this.timers.sub_duration = SIP.Timers.setTimeout(sub.subscribe.bind(sub), expires * 1000);
      } else {
        if (!expires) {
          this.logger.warn('Expires header missing in a 200-class response to SUBSCRIBE');
          this.failed(response, SIP.C.EXPIRES_HEADER_MISSING);
        } else {
          this.logger.warn('Expires header in a 200-class response to SUBSCRIBE with a higher value than the one in the request');
          this.failed(response, SIP.C.INVALID_EXPIRES_HEADER);
        }
      }
    } //Used to just ignore provisional responses; now ignores everything except errorCodes and 2xx
  },

  unsubscribe: function() {
    var extraHeaders = [], sub = this;

    this.state = 'terminated';

    extraHeaders.push('Event: ' + this.event);
    extraHeaders.push('Expires: 0');

    extraHeaders.push('Contact: '+ this.contact);
    extraHeaders.push('Allow: '+ SIP.Utils.getAllowedMethods(this.ua));

    this.request = new SIP.OutgoingRequest(this.method, this.request.to.uri.toString(), this.ua, null, extraHeaders);

    //MAYBE, may want to see state
    this.receiveResponse = function(){};

    SIP.Timers.clearTimeout(this.timers.sub_duration);
    SIP.Timers.clearTimeout(this.timers.N);
    this.timers.N = SIP.Timers.setTimeout(sub.timer_fire.bind(sub), SIP.Timers.TIMER_N);

    this.send();
  },

  /**
  * @private
  */
  timer_fire: function(){
    if (this.state === 'terminated') {
      this.close();
    } else if (this.state === 'pending' || this.state === 'notify_wait') {
      this.state = 'terminated';
      this.close();
    } else {
      this.subscribe();
    }
  },

  /**
  * @private
  */
  close: function() {
    if(this.state !== 'terminated') {
      this.unsubscribe();
    }

    this.terminateDialog();
    SIP.Timers.clearTimeout(this.timers.N);
    SIP.Timers.clearTimeout(this.timers.sub_duration);

    delete this.ua.subscriptions[this.id];
  },

  /**
  * @private
  */
  createConfirmedDialog: function(message, type) {
    var dialog;

    this.terminateDialog();
    dialog = new SIP.Dialog(this, message, type);

    if(!dialog.error) {
      this.dialog = dialog;
      return true;
    }
    // Dialog not created due to an error
    else {
      return false;
    }
  },

  /**
  * @private
  */
  terminateDialog: function() {
    if(this.dialog) {
      delete this.ua.subscriptions[this.id];
      this.dialog.terminate();
      delete this.dialog;
    }
  },

  /**
  * @private
  */
  receiveRequest: function(request) {
    var sub_state, sub = this;

    function setExpiresTimeout() {
      if (sub_state.expires) {
        sub_state.expires = Math.min(sub.expires,
                                     Math.max(sub_state.expires, 0));
        sub.timers.sub_duration = SIP.Timers.setTimeout(sub.subscribe.bind(sub),
                                                    sub_state.expires * 1000);
      }
    }

    if (!this.matchEvent(request)) { //checks event and subscription_state headers
      request.reply(489);
      return;
    }

    sub_state = request.parseHeader('Subscription-State');

    request.reply(200, SIP.C.REASON_200);

    SIP.Timers.clearTimeout(this.timers.N);
    SIP.Timers.clearTimeout(this.timers.sub_duration);

    this.emit('notify', {request: request});

    switch (sub_state.state) {
      case 'active':
        this.state = 'active';
        setExpiresTimeout();
        break;
      case 'pending':
        if (this.state === 'notify_wait') {
          setExpiresTimeout();
        }
        this.state = 'pending';
        break;
      case 'terminated':
        if (sub_state.reason) {
          this.logger.log('terminating subscription with reason '+ sub_state.reason);
          switch (sub_state.reason) {
            case 'deactivated':
            case 'timeout':
              this.subscribe();
              return;
            case 'probation':
            case 'giveup':
              if(sub_state.params && sub_state.params['retry-after']) {
                this.timers.sub_duration = SIP.Timers.setTimeout(sub.subscribe.bind(sub), sub_state.params['retry-after']);
              } else {
                this.subscribe();
              }
              return;
            case 'rejected':
            case 'noresource':
            case 'invariant':
              break;
          }
        }
        this.close();
        break;
    }
  },

  failed: function(response, cause) {
    this.close();
    return this.emit('failed', response, cause);
  },

  /**
  * @private
  */
  matchEvent: function(request) {
    var event;

    // Check mandatory header Event
    if (!request.hasHeader('Event')) {
      this.logger.warn('missing Event header');
      return false;
    }
    // Check mandatory header Subscription-State
    if (!request.hasHeader('Subscription-State')) {
      this.logger.warn('missing Subscription-State header');
      return false;
    }

    // Check whether the event in NOTIFY matches the event in SUBSCRIBE
    event = request.parseHeader('event').event;

    if (this.event !== event) {
      this.logger.warn('event match failed');
      request.reply(481, 'Event Match Failed');
      return false;
    } else {
      return true;
    }
  }
};
};

},{}],27:[function(require,module,exports){
/**
 * @fileoverview SIP TIMERS
 */

/**
 * @augments SIP
 */
var
  T1 = 500,
  T2 = 4000,
  T4 = 5000;
module.exports = function (timers) {
  var exports = {
    T1: T1,
    T2: T2,
    T4: T4,
    TIMER_B: 64 * T1,
    TIMER_D: 0  * T1,
    TIMER_F: 64 * T1,
    TIMER_H: 64 * T1,
    TIMER_I: 0  * T1,
    TIMER_J: 0  * T1,
    TIMER_K: 0  * T4,
    TIMER_L: 64 * T1,
    TIMER_M: 64 * T1,
    TIMER_N: 64 * T1,
    PROVISIONAL_RESPONSE_INTERVAL: 60000  // See RFC 3261 Section 13.3.1.1
  };

  ['setTimeout', 'clearTimeout', 'setInterval', 'clearInterval']
  .forEach(function (name) {
    // can't just use timers[name].bind(timers) since it bypasses jasmine's
    // clock-mocking
    exports[name] = function () {
      return timers[name].apply(timers, arguments);
    };
  });

  return exports;
};

},{}],28:[function(require,module,exports){
/**
 * @fileoverview SIP Transactions
 */

/**
 * SIP Transactions module.
 * @augments SIP
 */
module.exports = function (SIP) {
var
  C = {
    // Transaction states
    STATUS_TRYING:     1,
    STATUS_PROCEEDING: 2,
    STATUS_CALLING:    3,
    STATUS_ACCEPTED:   4,
    STATUS_COMPLETED:  5,
    STATUS_TERMINATED: 6,
    STATUS_CONFIRMED:  7,

    // Transaction types
    NON_INVITE_CLIENT: 'nict',
    NON_INVITE_SERVER: 'nist',
    INVITE_CLIENT: 'ict',
    INVITE_SERVER: 'ist'
  };

/**
* @augments SIP.Transactions
* @class Non Invite Client Transaction
* @param {SIP.RequestSender} request_sender
* @param {SIP.OutgoingRequest} request
* @param {SIP.Transport} transport
*/
var NonInviteClientTransaction = function(request_sender, request, transport) {
  var via,
    events = ['stateChanged'];

  this.type = C.NON_INVITE_CLIENT;
  this.transport = transport;
  this.id = 'z9hG4bK' + Math.floor(Math.random() * 10000000);
  this.request_sender = request_sender;
  this.request = request;

  this.logger = request_sender.ua.getLogger('sip.transaction.nict', this.id);

  via = 'SIP/2.0/' + (request_sender.ua.configuration.hackViaTcp ? 'TCP' : transport.server.scheme);
  via += ' ' + request_sender.ua.configuration.viaHost + ';branch=' + this.id;

  this.request.setHeader('via', via);

  this.request_sender.ua.newTransaction(this);

  this.initEvents(events);
};
NonInviteClientTransaction.prototype = new SIP.EventEmitter();

NonInviteClientTransaction.prototype.stateChanged = function(state) {
  this.state = state;
  this.emit('stateChanged');
};

NonInviteClientTransaction.prototype.send = function() {
  var tr = this;

  this.stateChanged(C.STATUS_TRYING);
  this.F = SIP.Timers.setTimeout(tr.timer_F.bind(tr), SIP.Timers.TIMER_F);

  if(!this.transport.send(this.request)) {
    this.onTransportError();
  }
};

NonInviteClientTransaction.prototype.onTransportError = function() {
  this.logger.log('transport error occurred, deleting non-INVITE client transaction ' + this.id);
  SIP.Timers.clearTimeout(this.F);
  SIP.Timers.clearTimeout(this.K);
  this.stateChanged(C.STATUS_TERMINATED);
  this.request_sender.ua.destroyTransaction(this);
  this.request_sender.onTransportError();
};

NonInviteClientTransaction.prototype.timer_F = function() {
  this.logger.log('Timer F expired for non-INVITE client transaction ' + this.id);
  this.stateChanged(C.STATUS_TERMINATED);
  this.request_sender.ua.destroyTransaction(this);
  this.request_sender.onRequestTimeout();
};

NonInviteClientTransaction.prototype.timer_K = function() {
  this.stateChanged(C.STATUS_TERMINATED);
  this.request_sender.ua.destroyTransaction(this);
};

NonInviteClientTransaction.prototype.receiveResponse = function(response) {
  var
    tr = this,
    status_code = response.status_code;

  if(status_code < 200) {
    switch(this.state) {
      case C.STATUS_TRYING:
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_PROCEEDING);
        this.request_sender.receiveResponse(response);
        break;
    }
  } else {
    switch(this.state) {
      case C.STATUS_TRYING:
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_COMPLETED);
        SIP.Timers.clearTimeout(this.F);

        if(status_code === 408) {
          this.request_sender.onRequestTimeout();
        } else {
          this.request_sender.receiveResponse(response);
        }

        this.K = SIP.Timers.setTimeout(tr.timer_K.bind(tr), SIP.Timers.TIMER_K);
        break;
      case C.STATUS_COMPLETED:
        break;
    }
  }
};



/**
* @augments SIP.Transactions
* @class Invite Client Transaction
* @param {SIP.RequestSender} request_sender
* @param {SIP.OutgoingRequest} request
* @param {SIP.Transport} transport
*/
var InviteClientTransaction = function(request_sender, request, transport) {
  var via,
    tr = this,
    events = ['stateChanged'];

  this.type = C.INVITE_CLIENT;
  this.transport = transport;
  this.id = 'z9hG4bK' + Math.floor(Math.random() * 10000000);
  this.request_sender = request_sender;
  this.request = request;

  this.logger = request_sender.ua.getLogger('sip.transaction.ict', this.id);

  via = 'SIP/2.0/' + (request_sender.ua.configuration.hackViaTcp ? 'TCP' : transport.server.scheme);
  via += ' ' + request_sender.ua.configuration.viaHost + ';branch=' + this.id;

  this.request.setHeader('via', via);

  this.request_sender.ua.newTransaction(this);

  // Add the cancel property to the request.
  //Will be called from the request instance, not the transaction itself.
  this.request.cancel = function(reason) {
    tr.cancel_request(tr, reason);
  };

  this.initEvents(events);
};
InviteClientTransaction.prototype = new SIP.EventEmitter();

InviteClientTransaction.prototype.stateChanged = function(state) {
  this.state = state;
  this.emit('stateChanged');
};

InviteClientTransaction.prototype.send = function() {
  var tr = this;
  this.stateChanged(C.STATUS_CALLING);
  this.B = SIP.Timers.setTimeout(tr.timer_B.bind(tr), SIP.Timers.TIMER_B);

  if(!this.transport.send(this.request)) {
    this.onTransportError();
  }
};

InviteClientTransaction.prototype.onTransportError = function() {
  this.logger.log('transport error occurred, deleting INVITE client transaction ' + this.id);
  SIP.Timers.clearTimeout(this.B);
  SIP.Timers.clearTimeout(this.D);
  SIP.Timers.clearTimeout(this.M);
  this.stateChanged(C.STATUS_TERMINATED);
  this.request_sender.ua.destroyTransaction(this);

  if (this.state !== C.STATUS_ACCEPTED) {
    this.request_sender.onTransportError();
  }
};

// RFC 6026 7.2
InviteClientTransaction.prototype.timer_M = function() {
  this.logger.log('Timer M expired for INVITE client transaction ' + this.id);

  if(this.state === C.STATUS_ACCEPTED) {
    SIP.Timers.clearTimeout(this.B);
    this.stateChanged(C.STATUS_TERMINATED);
    this.request_sender.ua.destroyTransaction(this);
  }
};

// RFC 3261 17.1.1
InviteClientTransaction.prototype.timer_B = function() {
  this.logger.log('Timer B expired for INVITE client transaction ' + this.id);
  if(this.state === C.STATUS_CALLING) {
    this.stateChanged(C.STATUS_TERMINATED);
    this.request_sender.ua.destroyTransaction(this);
    this.request_sender.onRequestTimeout();
  }
};

InviteClientTransaction.prototype.timer_D = function() {
  this.logger.log('Timer D expired for INVITE client transaction ' + this.id);
  SIP.Timers.clearTimeout(this.B);
  this.stateChanged(C.STATUS_TERMINATED);
  this.request_sender.ua.destroyTransaction(this);
};

InviteClientTransaction.prototype.sendACK = function(response) {
  var tr = this;

  this.ack = 'ACK ' + this.request.ruri + ' SIP/2.0\r\n';
  this.ack += 'Via: ' + this.request.headers['Via'].toString() + '\r\n';

  if(this.request.headers['Route']) {
    this.ack += 'Route: ' + this.request.headers['Route'].toString() + '\r\n';
  }

  this.ack += 'To: ' + response.getHeader('to') + '\r\n';
  this.ack += 'From: ' + this.request.headers['From'].toString() + '\r\n';
  this.ack += 'Call-ID: ' + this.request.headers['Call-ID'].toString() + '\r\n';
  this.ack += 'CSeq: ' + this.request.headers['CSeq'].toString().split(' ')[0];
  this.ack += ' ACK\r\n\r\n';

  this.D = SIP.Timers.setTimeout(tr.timer_D.bind(tr), SIP.Timers.TIMER_D);

  this.transport.send(this.ack);
};

InviteClientTransaction.prototype.cancel_request = function(tr, reason) {
  var request = tr.request;

  this.cancel = SIP.C.CANCEL + ' ' + request.ruri + ' SIP/2.0\r\n';
  this.cancel += 'Via: ' + request.headers['Via'].toString() + '\r\n';

  if(this.request.headers['Route']) {
    this.cancel += 'Route: ' + request.headers['Route'].toString() + '\r\n';
  }

  this.cancel += 'To: ' + request.headers['To'].toString() + '\r\n';
  this.cancel += 'From: ' + request.headers['From'].toString() + '\r\n';
  this.cancel += 'Call-ID: ' + request.headers['Call-ID'].toString() + '\r\n';
  this.cancel += 'CSeq: ' + request.headers['CSeq'].toString().split(' ')[0] +
  ' CANCEL\r\n';

  if(reason) {
    this.cancel += 'Reason: ' + reason + '\r\n';
  }

  this.cancel += 'Content-Length: 0\r\n\r\n';

  // Send only if a provisional response (>100) has been received.
  if(this.state === C.STATUS_PROCEEDING) {
    this.transport.send(this.cancel);
  }
};

InviteClientTransaction.prototype.receiveResponse = function(response) {
  var
  tr = this,
  status_code = response.status_code;

  if(status_code >= 100 && status_code <= 199) {
    switch(this.state) {
      case C.STATUS_CALLING:
        this.stateChanged(C.STATUS_PROCEEDING);
        this.request_sender.receiveResponse(response);
        if(this.cancel) {
          this.transport.send(this.cancel);
        }
        break;
      case C.STATUS_PROCEEDING:
        this.request_sender.receiveResponse(response);
        break;
    }
  } else if(status_code >= 200 && status_code <= 299) {
    switch(this.state) {
      case C.STATUS_CALLING:
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_ACCEPTED);
        this.M = SIP.Timers.setTimeout(tr.timer_M.bind(tr), SIP.Timers.TIMER_M);
        this.request_sender.receiveResponse(response);
        break;
      case C.STATUS_ACCEPTED:
        this.request_sender.receiveResponse(response);
        break;
    }
  } else if(status_code >= 300 && status_code <= 699) {
    switch(this.state) {
      case C.STATUS_CALLING:
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_COMPLETED);
        this.sendACK(response);
        this.request_sender.receiveResponse(response);
        break;
      case C.STATUS_COMPLETED:
        this.sendACK(response);
        break;
    }
  }
};


/**
 * @augments SIP.Transactions
 * @class ACK Client Transaction
 * @param {SIP.RequestSender} request_sender
 * @param {SIP.OutgoingRequest} request
 * @param {SIP.Transport} transport
 */
var AckClientTransaction = function(request_sender, request, transport) {
  var via;

  this.transport = transport;
  this.id = 'z9hG4bK' + Math.floor(Math.random() * 10000000);
  this.request_sender = request_sender;
  this.request = request;

  this.logger = request_sender.ua.getLogger('sip.transaction.nict', this.id);

  via = 'SIP/2.0/' + (request_sender.ua.configuration.hackViaTcp ? 'TCP' : transport.server.scheme);
  via += ' ' + request_sender.ua.configuration.viaHost + ';branch=' + this.id;

  this.request.setHeader('via', via);
};
AckClientTransaction.prototype = new SIP.EventEmitter();

AckClientTransaction.prototype.send = function() {
  if(!this.transport.send(this.request)) {
    this.onTransportError();
  }
};

AckClientTransaction.prototype.onTransportError = function() {
  this.logger.log('transport error occurred, for an ACK client transaction ' + this.id);
  this.request_sender.onTransportError();
};


/**
* @augments SIP.Transactions
* @class Non Invite Server Transaction
* @param {SIP.IncomingRequest} request
* @param {SIP.UA} ua
*/
var NonInviteServerTransaction = function(request, ua) {
  var events = ['stateChanged'];

  this.type = C.NON_INVITE_SERVER;
  this.id = request.via_branch;
  this.request = request;
  this.transport = request.transport;
  this.ua = ua;
  this.last_response = '';
  request.server_transaction = this;

  this.logger = ua.getLogger('sip.transaction.nist', this.id);

  this.state = C.STATUS_TRYING;

  ua.newTransaction(this);

  this.initEvents(events);
};
NonInviteServerTransaction.prototype = new SIP.EventEmitter();

NonInviteServerTransaction.prototype.stateChanged = function(state) {
  this.state = state;
  this.emit('stateChanged');
};

NonInviteServerTransaction.prototype.timer_J = function() {
  this.logger.log('Timer J expired for non-INVITE server transaction ' + this.id);
  this.stateChanged(C.STATUS_TERMINATED);
  this.ua.destroyTransaction(this);
};

NonInviteServerTransaction.prototype.onTransportError = function() {
  if (!this.transportError) {
    this.transportError = true;

    this.logger.log('transport error occurred, deleting non-INVITE server transaction ' + this.id);

    SIP.Timers.clearTimeout(this.J);
    this.stateChanged(C.STATUS_TERMINATED);
    this.ua.destroyTransaction(this);
  }
};

NonInviteServerTransaction.prototype.receiveResponse = function(status_code, response, onSuccess, onFailure) {
  var tr = this;

  if(status_code === 100) {
    /* RFC 4320 4.1
     * 'A SIP element MUST NOT
     * send any provisional response with a
     * Status-Code other than 100 to a non-INVITE request.'
     */
    switch(this.state) {
      case C.STATUS_TRYING:
        this.stateChanged(C.STATUS_PROCEEDING);
        if(!this.transport.send(response))  {
          this.onTransportError();
        }
        break;
      case C.STATUS_PROCEEDING:
        this.last_response = response;
        if(!this.transport.send(response)) {
          this.onTransportError();
          if (onFailure) {
            onFailure();
          }
        } else if (onSuccess) {
          onSuccess();
        }
        break;
    }
  } else if(status_code >= 200 && status_code <= 699) {
    switch(this.state) {
      case C.STATUS_TRYING:
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_COMPLETED);
        this.last_response = response;
        this.J = SIP.Timers.setTimeout(tr.timer_J.bind(tr), SIP.Timers.TIMER_J);
        if(!this.transport.send(response)) {
          this.onTransportError();
          if (onFailure) {
            onFailure();
          }
        } else if (onSuccess) {
          onSuccess();
        }
        break;
      case C.STATUS_COMPLETED:
        break;
    }
  }
};

/**
* @augments SIP.Transactions
* @class Invite Server Transaction
* @param {SIP.IncomingRequest} request
* @param {SIP.UA} ua
*/
var InviteServerTransaction = function(request, ua) {
  var events = ['stateChanged'];

  this.type = C.INVITE_SERVER;
  this.id = request.via_branch;
  this.request = request;
  this.transport = request.transport;
  this.ua = ua;
  this.last_response = '';
  request.server_transaction = this;

  this.logger = ua.getLogger('sip.transaction.ist', this.id);

  this.state = C.STATUS_PROCEEDING;

  ua.newTransaction(this);

  this.resendProvisionalTimer = null;

  request.reply(100);

  this.initEvents(events);
};
InviteServerTransaction.prototype = new SIP.EventEmitter();

InviteServerTransaction.prototype.stateChanged = function(state) {
  this.state = state;
  this.emit('stateChanged');
};

InviteServerTransaction.prototype.timer_H = function() {
  this.logger.log('Timer H expired for INVITE server transaction ' + this.id);

  if(this.state === C.STATUS_COMPLETED) {
    this.logger.warn('transactions', 'ACK for INVITE server transaction was never received, call will be terminated');
  }

  this.stateChanged(C.STATUS_TERMINATED);
  this.ua.destroyTransaction(this);
};

InviteServerTransaction.prototype.timer_I = function() {
  this.stateChanged(C.STATUS_TERMINATED);
  this.ua.destroyTransaction(this);
};

// RFC 6026 7.1
InviteServerTransaction.prototype.timer_L = function() {
  this.logger.log('Timer L expired for INVITE server transaction ' + this.id);

  if(this.state === C.STATUS_ACCEPTED) {
    this.stateChanged(C.STATUS_TERMINATED);
    this.ua.destroyTransaction(this);
  }
};

InviteServerTransaction.prototype.onTransportError = function() {
  if (!this.transportError) {
    this.transportError = true;

    this.logger.log('transport error occurred, deleting INVITE server transaction ' + this.id);

    if (this.resendProvisionalTimer !== null) {
      SIP.Timers.clearInterval(this.resendProvisionalTimer);
      this.resendProvisionalTimer = null;
    }

    SIP.Timers.clearTimeout(this.L);
    SIP.Timers.clearTimeout(this.H);
    SIP.Timers.clearTimeout(this.I);

    this.stateChanged(C.STATUS_TERMINATED);
    this.ua.destroyTransaction(this);
  }
};

InviteServerTransaction.prototype.resend_provisional = function() {
  if(!this.transport.send(this.last_response)) {
    this.onTransportError();
  }
};

// INVITE Server Transaction RFC 3261 17.2.1
InviteServerTransaction.prototype.receiveResponse = function(status_code, response, onSuccess, onFailure) {
  var tr = this;

  if(status_code >= 100 && status_code <= 199) {
    switch(this.state) {
      case C.STATUS_PROCEEDING:
        if(!this.transport.send(response)) {
          this.onTransportError();
        }
        this.last_response = response;
        break;
    }
  }

  if(status_code > 100 && status_code <= 199 && this.state === C.STATUS_PROCEEDING) {
    // Trigger the resendProvisionalTimer only for the first non 100 provisional response.
    if(this.resendProvisionalTimer === null) {
      this.resendProvisionalTimer = SIP.Timers.setInterval(tr.resend_provisional.bind(tr),
        SIP.Timers.PROVISIONAL_RESPONSE_INTERVAL);
    }
  } else if(status_code >= 200 && status_code <= 299) {
    switch(this.state) {
      case C.STATUS_PROCEEDING:
        this.stateChanged(C.STATUS_ACCEPTED);
        this.last_response = response;
        this.L = SIP.Timers.setTimeout(tr.timer_L.bind(tr), SIP.Timers.TIMER_L);

        if (this.resendProvisionalTimer !== null) {
          SIP.Timers.clearInterval(this.resendProvisionalTimer);
          this.resendProvisionalTimer = null;
        }
        /* falls through */
        case C.STATUS_ACCEPTED:
          // Note that this point will be reached for proceeding tr.state also.
          if(!this.transport.send(response)) {
            this.onTransportError();
            if (onFailure) {
              onFailure();
            }
          } else if (onSuccess) {
            onSuccess();
          }
          break;
    }
  } else if(status_code >= 300 && status_code <= 699) {
    switch(this.state) {
      case C.STATUS_PROCEEDING:
        if (this.resendProvisionalTimer !== null) {
          SIP.Timers.clearInterval(this.resendProvisionalTimer);
          this.resendProvisionalTimer = null;
        }

        if(!this.transport.send(response)) {
          this.onTransportError();
          if (onFailure) {
            onFailure();
          }
        } else {
          this.stateChanged(C.STATUS_COMPLETED);
          this.H = SIP.Timers.setTimeout(tr.timer_H.bind(tr), SIP.Timers.TIMER_H);
          if (onSuccess) {
            onSuccess();
          }
        }
        break;
    }
  }
};

/**
 * @function
 * @param {SIP.UA} ua
 * @param {SIP.IncomingRequest} request
 *
 * @return {boolean}
 * INVITE:
 *  _true_ if retransmission
 *  _false_ new request
 *
 * ACK:
 *  _true_  ACK to non2xx response
 *  _false_ ACK must be passed to TU (accepted state)
 *          ACK to 2xx response
 *
 * CANCEL:
 *  _true_  no matching invite transaction
 *  _false_ matching invite transaction and no final response sent
 *
 * OTHER:
 *  _true_  retransmission
 *  _false_ new request
 */
var checkTransaction = function(ua, request) {
  var tr;

  switch(request.method) {
    case SIP.C.INVITE:
      tr = ua.transactions.ist[request.via_branch];
      if(tr) {
        switch(tr.state) {
          case C.STATUS_PROCEEDING:
            tr.transport.send(tr.last_response);
            break;

            // RFC 6026 7.1 Invite retransmission
            //received while in C.STATUS_ACCEPTED state. Absorb it.
          case C.STATUS_ACCEPTED:
            break;
        }
        return true;
      }
      break;
    case SIP.C.ACK:
      tr = ua.transactions.ist[request.via_branch];

      // RFC 6026 7.1
      if(tr) {
        if(tr.state === C.STATUS_ACCEPTED) {
          return false;
        } else if(tr.state === C.STATUS_COMPLETED) {
          tr.state = C.STATUS_CONFIRMED;
          tr.I = SIP.Timers.setTimeout(tr.timer_I.bind(tr), SIP.Timers.TIMER_I);
          return true;
        }
      }

      // ACK to 2XX Response.
      else {
        return false;
      }
      break;
    case SIP.C.CANCEL:
      tr = ua.transactions.ist[request.via_branch];
      if(tr) {
        request.reply_sl(200);
        if(tr.state === C.STATUS_PROCEEDING) {
          return false;
        } else {
          return true;
        }
      } else {
        request.reply_sl(481);
        return true;
      }
      break;
    default:

      // Non-INVITE Server Transaction RFC 3261 17.2.2
      tr = ua.transactions.nist[request.via_branch];
      if(tr) {
        switch(tr.state) {
          case C.STATUS_TRYING:
            break;
          case C.STATUS_PROCEEDING:
          case C.STATUS_COMPLETED:
            tr.transport.send(tr.last_response);
            break;
        }
        return true;
      }
      break;
  }
};

SIP.Transactions = {
  C: C,
  checkTransaction: checkTransaction,
  NonInviteClientTransaction: NonInviteClientTransaction,
  InviteClientTransaction: InviteClientTransaction,
  AckClientTransaction: AckClientTransaction,
  NonInviteServerTransaction: NonInviteServerTransaction,
  InviteServerTransaction: InviteServerTransaction
};

};

},{}],29:[function(require,module,exports){
/**
 * @fileoverview Transport
 */

/**
 * @augments SIP
 * @class Transport
 * @param {SIP.UA} ua
 * @param {Object} server ws_server Object
 */
module.exports = function (SIP, window) {
var Transport,
  C = {
    // Transport status codes
    STATUS_READY:        0,
    STATUS_DISCONNECTED: 1,
    STATUS_ERROR:        2
  };

Transport = function(ua, server) {

  this.logger = ua.getLogger('sip.transport');
  this.ua = ua;
  this.ws = null;
  this.server = server;
  this.reconnection_attempts = 0;
  this.closed = false;
  this.connected = false;
  this.reconnectTimer = null;
  this.lastTransportError = {};

  this.ua.transport = this;

  // Connect
  this.connect();
};

Transport.prototype = {
  /**
   * Send a message.
   * @param {SIP.OutgoingRequest|String} msg
   * @returns {Boolean}
   */
  send: function(msg) {
    var message = msg.toString();

    if(this.ws && this.ws.readyState === window.WebSocket.OPEN) {
      if (this.ua.configuration.traceSip === true) {
        this.logger.log('sending WebSocket message:\n\n' + message + '\n');
      }
      this.ws.send(message);
      return true;
    } else {
      this.logger.warn('unable to send message, WebSocket is not open');
      return false;
    }
  },

  /**
  * Disconnect socket.
  */
  disconnect: function() {
    if(this.ws) {
      // Clear reconnectTimer
      SIP.Timers.clearTimeout(this.reconnectTimer);

      this.closed = true;
      this.logger.log('closing WebSocket ' + this.server.ws_uri);
      this.ws.close();
    }

    if (this.reconnectTimer !== null) {
      SIP.Timers.clearTimeout(this.reconnectTimer);
      this.reconnectTimer = null;
      this.ua.emit('disconnected', {
        transport: this,
        code: this.lastTransportError.code,
        reason: this.lastTransportError.reason
      });
    }
  },

  /**
  * Connect socket.
  */
  connect: function() {
    var transport = this;

    if(this.ws && (this.ws.readyState === WebSocket.OPEN || this.ws.readyState === WebSocket.CONNECTING)) {
      this.logger.log('WebSocket ' + this.server.ws_uri + ' is already connected');
      return false;
    }

    if(this.ws) {
      this.ws.close();
    }

    this.logger.log('connecting to WebSocket ' + this.server.ws_uri);
    this.ua.onTransportConnecting(this,
      (this.reconnection_attempts === 0)?1:this.reconnection_attempts);

    try {
      this.ws = new window.WebSocket(this.server.ws_uri, 'sip');
    } catch(e) {
      this.logger.warn('error connecting to WebSocket ' + this.server.ws_uri + ': ' + e);
    }

    this.ws.binaryType = 'arraybuffer';

    this.ws.onopen = function() {
      transport.onOpen();
    };

    this.ws.onclose = function(e) {
      transport.onClose(e);
    };

    this.ws.onmessage = function(e) {
      transport.onMessage(e);
    };

    this.ws.onerror = function(e) {
      transport.onError(e);
    };
  },

  // Transport Event Handlers

  /**
  * @event
  * @param {event} e
  */
  onOpen: function() {
    this.connected = true;

    this.logger.log('WebSocket ' + this.server.ws_uri + ' connected');
    // Clear reconnectTimer since we are not disconnected
    if (this.reconnectTimer !== null) {
      SIP.Timers.clearTimeout(this.reconnectTimer);
      this.reconnectTimer = null;
    }
    // Reset reconnection_attempts
    this.reconnection_attempts = 0;
    // Disable closed
    this.closed = false;
    // Trigger onTransportConnected callback
    this.ua.onTransportConnected(this);
  },

  /**
  * @event
  * @param {event} e
  */
  onClose: function(e) {
    var connected_before = this.connected;

    this.connected = false;
    this.lastTransportError.code = e.code;
    this.lastTransportError.reason = e.reason;
    this.logger.log('WebSocket disconnected (code: ' + e.code + (e.reason? '| reason: ' + e.reason : '') +')');

    if(e.wasClean === false) {
      this.logger.warn('WebSocket abrupt disconnection');
    }
    // Transport was connected
    if(connected_before === true) {
      this.ua.onTransportClosed(this);
      // Check whether the user requested to close.
      if(!this.closed) {
        this.reConnect();
      } else {
        this.ua.emit('disconnected', {
          transport: this,
          code: this.lastTransportError.code,
          reason: this.lastTransportError.reason
        });
      }
    } else {
      // This is the first connection attempt
      //Network error
      this.ua.onTransportError(this);
    }
  },

  /**
  * @event
  * @param {event} e
  */
  onMessage: function(e) {
    var message, transaction,
      data = e.data;

    // CRLF Keep Alive response from server. Ignore it.
    if(data === '\r\n') {
      if (this.ua.configuration.traceSip === true) {
        this.logger.log('received WebSocket message with CRLF Keep Alive response');
      }
      return;
    }

    // WebSocket binary message.
    else if (typeof data !== 'string') {
      try {
        data = String.fromCharCode.apply(null, new Uint8Array(data));
      } catch(evt) {
        this.logger.warn('received WebSocket binary message failed to be converted into string, message discarded');
        return;
      }

      if (this.ua.configuration.traceSip === true) {
        this.logger.log('received WebSocket binary message:\n\n' + data + '\n');
      }
    }

    // WebSocket text message.
    else {
      if (this.ua.configuration.traceSip === true) {
        this.logger.log('received WebSocket text message:\n\n' + data + '\n');
      }
    }

    message = SIP.Parser.parseMessage(data, this.ua);

    if (!message) {
      return;
    }

    if(this.ua.status === SIP.UA.C.STATUS_USER_CLOSED && message instanceof SIP.IncomingRequest) {
      return;
    }

    // Do some sanity check
    if(SIP.sanityCheck(message, this.ua, this)) {
      if(message instanceof SIP.IncomingRequest) {
        message.transport = this;
        this.ua.receiveRequest(message);
      } else if(message instanceof SIP.IncomingResponse) {
        /* Unike stated in 18.1.2, if a response does not match
        * any transaction, it is discarded here and no passed to the core
        * in order to be discarded there.
        */
        switch(message.method) {
          case SIP.C.INVITE:
            transaction = this.ua.transactions.ict[message.via_branch];
            if(transaction) {
              transaction.receiveResponse(message);
            }
            break;
          case SIP.C.ACK:
            // Just in case ;-)
            break;
          default:
            transaction = this.ua.transactions.nict[message.via_branch];
            if(transaction) {
              transaction.receiveResponse(message);
            }
            break;
        }
      }
    }
  },

  /**
  * @event
  * @param {event} e
  */
  onError: function(e) {
    this.logger.warn('WebSocket connection error: ' + e);
  },

  /**
  * Reconnection attempt logic.
  * @private
  */
  reConnect: function() {
    var transport = this;

    this.reconnection_attempts += 1;

    if(this.reconnection_attempts > this.ua.configuration.wsServerMaxReconnection) {
      this.logger.warn('maximum reconnection attempts for WebSocket ' + this.server.ws_uri);
      this.ua.onTransportError(this);
    } else {
      this.logger.log('trying to reconnect to WebSocket ' + this.server.ws_uri + ' (reconnection attempt ' + this.reconnection_attempts + ')');

      this.reconnectTimer = SIP.Timers.setTimeout(function() {
        transport.connect();
        transport.reconnectTimer = null;
      }, this.ua.configuration.wsServerReconnectionTimeout * 1000);
    }
  }
};

Transport.C = C;
SIP.Transport = Transport;
};

},{}],30:[function(require,module,exports){
(function (global){
/**
 * @augments SIP
 * @class Class creating a SIP User Agent.
 * @param {function returning SIP.MediaHandler} [configuration.mediaHandlerFactory]
 *        A function will be invoked by each of the UA's Sessions to build the MediaHandler for that Session.
 *        If no (or a falsy) value is provided, each Session will use a default (WebRTC) MediaHandler.
 *
 * @param {Object} [configuration.media] gets passed to SIP.MediaHandler.getDescription as mediaHint
 */
module.exports = function (SIP) {
var UA,
  C = {
    // UA status codes
    STATUS_INIT :                0,
    STATUS_READY:                1,
    STATUS_USER_CLOSED:          2,
    STATUS_NOT_READY:            3,

    // UA error codes
    CONFIGURATION_ERROR:  1,
    NETWORK_ERROR:        2,

    /* UA events and corresponding SIP Methods.
     * Dynamically added to 'Allow' header field if the
     * corresponding event handler is set.
     */
    EVENT_METHODS: {
      'invite': 'INVITE',
      'message': 'MESSAGE'
    },

    ALLOWED_METHODS: [
      'ACK',
      'CANCEL',
      'BYE',
      'OPTIONS',
      'INFO',
      'NOTIFY'
    ],

    ACCEPTED_BODY_TYPES: [
      'application/sdp',
      'application/dtmf-relay'
    ],

    MAX_FORWARDS: 70,
    TAG_LENGTH: 10
  };

UA = function(configuration) {
  var self = this,
  events = [
    'connecting',
    'connected',
    'disconnected',
    'newTransaction',
    'transactionDestroyed',
    'registered',
    'unregistered',
    'registrationFailed',
    'invite',
    'newSession',
    'message'
  ], i, len;

  // Helper function for forwarding events
  function selfEmit(type) {
    //registrationFailed handler is invoked with two arguments. Allow event handlers to be invoked with a variable no. of arguments
    return self.emit.bind(self, type);
  }

  for (i = 0, len = C.ALLOWED_METHODS.length; i < len; i++) {
    events.push(C.ALLOWED_METHODS[i].toLowerCase());
  }

  // Set Accepted Body Types
  C.ACCEPTED_BODY_TYPES = C.ACCEPTED_BODY_TYPES.toString();

  this.log = new SIP.LoggerFactory();
  this.logger = this.getLogger('sip.ua');

  this.cache = {
    credentials: {}
  };

  this.configuration = {};
  this.dialogs = {};

  //User actions outside any session/dialog (MESSAGE)
  this.applicants = {};

  this.data = {};
  this.sessions = {};
  this.subscriptions = {};
  this.transport = null;
  this.contact = null;
  this.status = C.STATUS_INIT;
  this.error = null;
  this.transactions = {
    nist: {},
    nict: {},
    ist: {},
    ict: {}
  };

  this.transportRecoverAttempts = 0;
  this.transportRecoveryTimer = null;

  Object.defineProperties(this, {
    transactionsCount: {
      get: function() {
        var type,
          transactions = ['nist','nict','ist','ict'],
          count = 0;

        for (type in transactions) {
          count += Object.keys(this.transactions[transactions[type]]).length;
        }

        return count;
      }
    },

    nictTransactionsCount: {
      get: function() {
        return Object.keys(this.transactions['nict']).length;
      }
    },

    nistTransactionsCount: {
      get: function() {
        return Object.keys(this.transactions['nist']).length;
      }
    },

    ictTransactionsCount: {
      get: function() {
        return Object.keys(this.transactions['ict']).length;
      }
    },

    istTransactionsCount: {
      get: function() {
        return Object.keys(this.transactions['ist']).length;
      }
    }
  });

  /**
   * Load configuration
   *
   * @throws {SIP.Exceptions.ConfigurationError}
   * @throws {TypeError}
   */

  if(configuration === undefined) {
    configuration = {};
  } else if (typeof configuration === 'string' || configuration instanceof String) {
    configuration = {
      uri: configuration
    };
  }

  // Apply log configuration if present
  if (configuration.log) {
    if (configuration.log.hasOwnProperty('builtinEnabled')) {
      this.log.builtinEnabled = configuration.log.builtinEnabled;
    }

    if (configuration.log.hasOwnProperty('level')) {
      this.log.level = configuration.log.level;
    }

    if (configuration.log.hasOwnProperty('connector')) {
      this.log.connector = configuration.log.connector;
    }
  }

  try {
    this.loadConfig(configuration);
    this.initEvents(events);
  } catch(e) {
    this.status = C.STATUS_NOT_READY;
    this.error = C.CONFIGURATION_ERROR;
    throw e;
  }

  // Initialize registerContext
  this.registerContext = new SIP.RegisterContext(this);
  this.registerContext.on('failed', selfEmit('registrationFailed'));
  this.registerContext.on('registered', selfEmit('registered'));
  this.registerContext.on('unregistered', selfEmit('unregistered'));

  if(this.configuration.autostart) {
    this.start();
  }

  if (typeof global.addEventListener === 'function') {
    global.addEventListener('unload', this.stop.bind(this));
  }
};
UA.prototype = new SIP.EventEmitter();

//=================
//  High Level API
//=================

UA.prototype.register = function(options) {
  this.configuration.register = true;
  this.registerContext.register(options);

  return this;
};

/**
 * Unregister.
 *
 * @param {Boolean} [all] unregister all user bindings.
 *
 */
UA.prototype.unregister = function(options) {
  this.configuration.register = false;
  this.registerContext.unregister(options);

  return this;
};

UA.prototype.isRegistered = function() {
  return this.registerContext.registered;
};

/**
 * Connection state.
 * @param {Boolean}
 */
UA.prototype.isConnected = function() {
  return this.transport ? this.transport.connected : false;
};

/**
 * Make an outgoing call.
 *
 * @param {String} target
 * @param {Object} views
 * @param {Object} [options.media] gets passed to SIP.MediaHandler.getDescription as mediaHint
 *
 * @throws {TypeError}
 *
 */
UA.prototype.invite = function(target, options) {
  options = options || {};
  options = SIP.Utils.desugarSessionOptions(options);
  SIP.Utils.optionsOverride(options, 'media', 'mediaConstraints', true, this.logger);

  var context = new SIP.InviteClientContext(this, target, options);

  if (this.isConnected()) {
    context.invite({media: options.media});
  } else {
    this.once('connected', function() {
      context.invite({media: options.media});
    });
  }
  return context;
};

UA.prototype.subscribe = function(target, event, options) {
  var sub = new SIP.Subscription(this, target, event, options);

  if (this.isConnected()) {
    sub.subscribe();
  } else {
    this.once('connected', function() {
      sub.subscribe();
    });
  }
  return sub;
};

/**
 * Send a message.
 *
 * @param {String} target
 * @param {String} body
 * @param {Object} [options]
 *
 * @throws {TypeError}
 *
 */
UA.prototype.message = function(target, body, options) {
  if (body === undefined) {
    throw new TypeError('Not enough arguments');
  }

  options = options || {};
  options.contentType = options.contentType || 'text/plain';
  options.body = body;

  var mes = new SIP.ClientContext(this, SIP.C.MESSAGE, target, options);

  if (this.isConnected()) {
    mes.send();
  } else {
    this.once('connected', function() {
      mes.send();
    });
  }

  return mes;
};

UA.prototype.request = function (method, target, options) {
  var req = new SIP.ClientContext(this, method, target, options);

  if (this.isConnected()) {
    req.send();
  } else {
    this.once('connected', function() {
      req.send();
    });
  }

  return req;
};

/**
 * Gracefully close.
 *
 */
UA.prototype.stop = function() {
  var session, subscription, applicant,
    ua = this;

  function transactionsListener() {
    if (ua.nistTransactionsCount === 0 && ua.nictTransactionsCount === 0) {
        ua.off('transactionDestroyed', transactionsListener);
        ua.transport.disconnect();
    }
  }

  this.logger.log('user requested closure...');

  if(this.status === C.STATUS_USER_CLOSED) {
    this.logger.warn('UA already closed');
    return this;
  }

  // Clear transportRecoveryTimer
  SIP.Timers.clearTimeout(this.transportRecoveryTimer);

  // Close registerContext
  this.logger.log('closing registerContext');
  this.registerContext.close();

  // Run  _terminate_ on every Session
  for(session in this.sessions) {
    this.logger.log('closing session ' + session);
    this.sessions[session].terminate();
  }

  //Run _close_ on every Subscription
  for(subscription in this.subscriptions) {
    this.logger.log('unsubscribing from subscription ' + subscription);
    this.subscriptions[subscription].close();
  }

  // Run  _close_ on every applicant
  for(applicant in this.applicants) {
    this.applicants[applicant].close();
  }

  this.status = C.STATUS_USER_CLOSED;

  /*
   * If the remaining transactions are all INVITE transactions, there is no need to
   * wait anymore because every session has already been closed by this method.
   * - locally originated sessions where terminated (CANCEL or BYE)
   * - remotely originated sessions where rejected (4XX) or terminated (BYE)
   * Remaining INVITE transactions belong tho sessions that where answered. This are in
   * 'accepted' state due to timers 'L' and 'M' defined in [RFC 6026]
   */
  if (this.nistTransactionsCount === 0 && this.nictTransactionsCount === 0) {
    this.transport.disconnect();
  } else {
    this.on('transactionDestroyed', transactionsListener);
  }

  return this;
};

/**
 * Connect to the WS server if status = STATUS_INIT.
 * Resume UA after being closed.
 *
 */
UA.prototype.start = function() {
  var server;

  this.logger.log('user requested startup...');
  if (this.status === C.STATUS_INIT) {
    server = this.getNextWsServer();
    new SIP.Transport(this, server);
  } else if(this.status === C.STATUS_USER_CLOSED) {
    this.logger.log('resuming');
    this.status = C.STATUS_READY;
    this.transport.connect();
  } else if (this.status === C.STATUS_READY) {
    this.logger.log('UA is in READY status, not resuming');
  } else {
    this.logger.error('Connection is down. Auto-Recovery system is trying to connect');
  }

  return this;
};

/**
 * Normalize a string into a valid SIP request URI
 *
 * @param {String} target
 *
 * @returns {SIP.URI|undefined}
 */
UA.prototype.normalizeTarget = function(target) {
  return SIP.Utils.normalizeTarget(target, this.configuration.hostportParams);
};


//===============================
//  Private (For internal use)
//===============================

UA.prototype.saveCredentials = function(credentials) {
  this.cache.credentials[credentials.realm] = this.cache.credentials[credentials.realm] || {};
  this.cache.credentials[credentials.realm][credentials.uri] = credentials;

  return this;
};

UA.prototype.getCredentials = function(request) {
  var realm, credentials;

  realm = request.ruri.host;

  if (this.cache.credentials[realm] && this.cache.credentials[realm][request.ruri]) {
    credentials = this.cache.credentials[realm][request.ruri];
    credentials.method = request.method;
  }

  return credentials;
};

UA.prototype.getLogger = function(category, label) {
  return this.log.getLogger(category, label);
};


//==============================
// Event Handlers
//==============================

/**
 * Transport Close event
 * @private
 * @event
 * @param {SIP.Transport} transport.
 */
UA.prototype.onTransportClosed = function(transport) {
  // Run _onTransportError_ callback on every client transaction using _transport_
  var type, idx, length,
    client_transactions = ['nict', 'ict', 'nist', 'ist'];

  transport.server.status = SIP.Transport.C.STATUS_DISCONNECTED;
  this.logger.log('connection state set to '+ SIP.Transport.C.STATUS_DISCONNECTED);

  length = client_transactions.length;
  for (type = 0; type < length; type++) {
    for(idx in this.transactions[client_transactions[type]]) {
      this.transactions[client_transactions[type]][idx].onTransportError();
    }
  }

  // Close sessions if GRUU is not being used
  if (!this.contact.pub_gruu) {
    this.closeSessionsOnTransportError();
  }

};

/**
 * Unrecoverable transport event.
 * Connection reattempt logic has been done and didn't success.
 * @private
 * @event
 * @param {SIP.Transport} transport.
 */
UA.prototype.onTransportError = function(transport) {
  var server;

  this.logger.log('transport ' + transport.server.ws_uri + ' failed | connection state set to '+ SIP.Transport.C.STATUS_ERROR);

  // Close sessions.
  //Mark this transport as 'down'
  transport.server.status = SIP.Transport.C.STATUS_ERROR;

  this.emit('disconnected', {
    transport: transport
  });

  // try the next transport if the UA isn't closed
  if(this.status === C.STATUS_USER_CLOSED) {
    return;
  }

  server = this.getNextWsServer();

  if(server) {
    new SIP.Transport(this, server);
  }else {
    this.closeSessionsOnTransportError();
    if (!this.error || this.error !== C.NETWORK_ERROR) {
      this.status = C.STATUS_NOT_READY;
      this.error = C.NETWORK_ERROR;
    }
    // Transport Recovery process
    this.recoverTransport();
  }
};

/**
 * Transport connection event.
 * @private
 * @event
 * @param {SIP.Transport} transport.
 */
UA.prototype.onTransportConnected = function(transport) {
  this.transport = transport;

  // Reset transport recovery counter
  this.transportRecoverAttempts = 0;

  transport.server.status = SIP.Transport.C.STATUS_READY;
  this.logger.log('connection state set to '+ SIP.Transport.C.STATUS_READY);

  if(this.status === C.STATUS_USER_CLOSED) {
    return;
  }

  this.status = C.STATUS_READY;
  this.error = null;

  if(this.configuration.register) {
    this.registerContext.onTransportConnected();
  }

  this.emit('connected', {
    transport: transport
  });
};


/**
 * Transport connecting event
 * @private
 * @param {SIP.Transport} transport.
 * #param {Integer} attempts.
 */
  UA.prototype.onTransportConnecting = function(transport, attempts) {
    this.emit('connecting', {
      transport: transport,
      attempts: attempts
    });
  };


/**
 * new Transaction
 * @private
 * @param {SIP.Transaction} transaction.
 */
UA.prototype.newTransaction = function(transaction) {
  this.transactions[transaction.type][transaction.id] = transaction;
  this.emit('newTransaction', {transaction: transaction});
};


/**
 * destroy Transaction
 * @private
 * @param {SIP.Transaction} transaction.
 */
UA.prototype.destroyTransaction = function(transaction) {
  delete this.transactions[transaction.type][transaction.id];
  this.emit('transactionDestroyed', {
    transaction: transaction
  });
};


//=========================
// receiveRequest
//=========================

/**
 * Request reception
 * @private
 * @param {SIP.IncomingRequest} request.
 */
UA.prototype.receiveRequest = function(request) {
  var dialog, session, message,
    method = request.method,
    transaction,
    methodLower = request.method.toLowerCase(),
    self = this;

  function ruriMatches (uri) {
    return uri && uri.user === request.ruri.user;
  }

  // Check that request URI points to us
  if(!(ruriMatches(this.configuration.uri) ||
       ruriMatches(this.contact.uri) ||
       ruriMatches(this.contact.pub_gruu) ||
       ruriMatches(this.contact.temp_gruu))) {
    this.logger.warn('Request-URI does not point to us');
    if (request.method !== SIP.C.ACK) {
      request.reply_sl(404);
    }
    return;
  }

  // Check request URI scheme
  if(request.ruri.scheme === SIP.C.SIPS) {
    request.reply_sl(416);
    return;
  }

  // Check transaction
  if(SIP.Transactions.checkTransaction(this, request)) {
    return;
  }

  /* RFC3261 12.2.2
   * Requests that do not change in any way the state of a dialog may be
   * received within a dialog (for example, an OPTIONS request).
   * They are processed as if they had been received outside the dialog.
   */
  if(method === SIP.C.OPTIONS) {
    new SIP.Transactions.NonInviteServerTransaction(request, this);
    request.reply(200, null, [
      'Allow: '+ SIP.Utils.getAllowedMethods(this),
      'Accept: '+ C.ACCEPTED_BODY_TYPES
    ]);
  } else if (method === SIP.C.MESSAGE) {
    if (!this.checkListener(methodLower)) {
      // UA is not listening for this.  Reject immediately.
      new SIP.Transactions.NonInviteServerTransaction(request, this);
      request.reply(405, null, ['Allow: '+ SIP.Utils.getAllowedMethods(this)]);
      return;
    }
    message = new SIP.ServerContext(this, request);
    message.body = request.body;
    message.content_type = request.getHeader('Content-Type') || 'text/plain';

    request.reply(200, null);
    this.emit('message', message);
  } else if (method !== SIP.C.INVITE &&
             method !== SIP.C.ACK) {
    // Let those methods pass through to normal processing for now.
    transaction = new SIP.ServerContext(this, request);
  }

  // Initial Request
  if(!request.to_tag) {
    switch(method) {
      case SIP.C.INVITE:
        var isMediaSupported = this.configuration.mediaHandlerFactory.isSupported;
        if(!isMediaSupported || isMediaSupported()) {
          session = new SIP.InviteServerContext(this, request)
            .on('invite', function() {
              self.emit('invite', this);
            });
        } else {
          this.logger.warn('INVITE received but WebRTC is not supported');
          request.reply(488);
        }
        break;
      case SIP.C.BYE:
        // Out of dialog BYE received
        request.reply(481);
        break;
      case SIP.C.CANCEL:
        session = this.findSession(request);
        if(session) {
          session.receiveRequest(request);
        } else {
          this.logger.warn('received CANCEL request for a non existent session');
        }
        break;
      case SIP.C.ACK:
        /* Absorb it.
         * ACK request without a corresponding Invite Transaction
         * and without To tag.
         */
        break;
      default:
        request.reply(405);
        break;
    }
  }
  // In-dialog request
  else {
    dialog = this.findDialog(request);

    if(dialog) {
      if (method === SIP.C.INVITE) {
        new SIP.Transactions.InviteServerTransaction(request, this);
      }
      dialog.receiveRequest(request);
    } else if (method === SIP.C.NOTIFY) {
      session = this.findSession(request);
      if(session) {
        session.receiveRequest(request);
      } else {
        this.logger.warn('received NOTIFY request for a non existent session');
        request.reply(481, 'Subscription does not exist');
      }
    }
    /* RFC3261 12.2.2
     * Request with to tag, but no matching dialog found.
     * Exception: ACK for an Invite request for which a dialog has not
     * been created.
     */
    else {
      if(method !== SIP.C.ACK) {
        request.reply(481);
      }
    }
  }
};

//=================
// Utils
//=================

/**
 * Get the session to which the request belongs to, if any.
 * @private
 * @param {SIP.IncomingRequest} request.
 * @returns {SIP.OutgoingSession|SIP.IncomingSession|null}
 */
UA.prototype.findSession = function(request) {
  return this.sessions[request.call_id + request.from_tag] ||
          this.sessions[request.call_id + request.to_tag] ||
          null;
};

/**
 * Get the dialog to which the request belongs to, if any.
 * @private
 * @param {SIP.IncomingRequest}
 * @returns {SIP.Dialog|null}
 */
UA.prototype.findDialog = function(request) {
  return this.dialogs[request.call_id + request.from_tag + request.to_tag] ||
          this.dialogs[request.call_id + request.to_tag + request.from_tag] ||
          null;
};

/**
 * Retrieve the next server to which connect.
 * @private
 * @returns {Object} ws_server
 */
UA.prototype.getNextWsServer = function() {
  // Order servers by weight
  var idx, length, ws_server,
    candidates = [];

  length = this.configuration.wsServers.length;
  for (idx = 0; idx < length; idx++) {
    ws_server = this.configuration.wsServers[idx];

    if (ws_server.status === SIP.Transport.C.STATUS_ERROR) {
      continue;
    } else if (candidates.length === 0) {
      candidates.push(ws_server);
    } else if (ws_server.weight > candidates[0].weight) {
      candidates = [ws_server];
    } else if (ws_server.weight === candidates[0].weight) {
      candidates.push(ws_server);
    }
  }

  idx = Math.floor(Math.random() * candidates.length);

  return candidates[idx];
};

/**
 * Close all sessions on transport error.
 * @private
 */
UA.prototype.closeSessionsOnTransportError = function() {
  var idx;

  // Run _transportError_ for every Session
  for(idx in this.sessions) {
    this.sessions[idx].onTransportError();
  }
  // Call registerContext _onTransportClosed_
  this.registerContext.onTransportClosed();
};

UA.prototype.recoverTransport = function(ua) {
  var idx, length, k, nextRetry, count, server;

  ua = ua || this;
  count = ua.transportRecoverAttempts;

  length = ua.configuration.wsServers.length;
  for (idx = 0; idx < length; idx++) {
    ua.configuration.wsServers[idx].status = 0;
  }

  server = ua.getNextWsServer();

  k = Math.floor((Math.random() * Math.pow(2,count)) +1);
  nextRetry = k * ua.configuration.connectionRecoveryMinInterval;

  if (nextRetry > ua.configuration.connectionRecoveryMaxInterval) {
    this.logger.log('time for next connection attempt exceeds connectionRecoveryMaxInterval, resetting counter');
    nextRetry = ua.configuration.connectionRecoveryMinInterval;
    count = 0;
  }

  this.logger.log('next connection attempt in '+ nextRetry +' seconds');

  this.transportRecoveryTimer = SIP.Timers.setTimeout(
    function(){
      ua.transportRecoverAttempts = count + 1;
      new SIP.Transport(ua, server);
    }, nextRetry * 1000);
};

/**
 * Configuration load.
 * @private
 * returns {Boolean}
 */
UA.prototype.loadConfig = function(configuration) {
  // Settings and default values
  var parameter, value, checked_value, hostportParams, registrarServer,
    settings = {
      /* Host address
      * Value to be set in Via sent_by and host part of Contact FQDN
      */
      viaHost: SIP.Utils.createRandomToken(12) + '.invalid',

      uri: new SIP.URI('sip', 'anonymous.' + SIP.Utils.createRandomToken(6), 'anonymous.invalid', null, null),
      wsServers: [{
        scheme: 'WSS',
        sip_uri: '<sip:edge.sip.onsip.com;transport=ws;lr>',
        status: 0,
        weight: 0,
        ws_uri: 'wss://edge.sip.onsip.com'
      }],

      // Password
      password: null,

      // Registration parameters
      registerExpires: 600,
      register: true,
      registrarServer: null,

      // Transport related parameters
      wsServerMaxReconnection: 3,
      wsServerReconnectionTimeout: 4,

      connectionRecoveryMinInterval: 2,
      connectionRecoveryMaxInterval: 30,

      usePreloadedRoute: false,

      //string to be inserted into User-Agent request header
      userAgentString: SIP.C.USER_AGENT,

      // Session parameters
      noAnswerTimeout: 60,
      stunServers: ['stun:stun.l.google.com:19302'],
      turnServers: [],

      // Logging parameters
      traceSip: false,

      // Hacks
      hackViaTcp: false,
      hackIpInContact: false,
      hackWssInTransport: false,

      //autostarting
      autostart: true,

      //Reliable Provisional Responses
      rel100: SIP.C.supported.UNSUPPORTED,

      mediaHandlerFactory: SIP.WebRTC.MediaHandler.defaultFactory
    };

  // Pre-Configuration
  function aliasUnderscored (parameter, logger) {
    var underscored = parameter.replace(/([a-z][A-Z])/g, function (m) {
      return m[0] + '_' + m[1].toLowerCase();
    });

    if (parameter === underscored) {
      return;
    }

    var hasParameter = configuration.hasOwnProperty(parameter);
    if (configuration.hasOwnProperty(underscored)) {
      logger.warn(underscored + ' is deprecated, please use ' + parameter);
      if (hasParameter) {
        logger.warn(parameter + ' overriding ' + underscored);
      }
    }

    configuration[parameter] = hasParameter ? configuration[parameter] : configuration[underscored];
  }

  // Check Mandatory parameters
  for(parameter in UA.configuration_check.mandatory) {
    aliasUnderscored(parameter, this.logger);
    if(!configuration.hasOwnProperty(parameter)) {
      throw new SIP.Exceptions.ConfigurationError(parameter);
    } else {
      value = configuration[parameter];
      checked_value = UA.configuration_check.mandatory[parameter](value);
      if (checked_value !== undefined) {
        settings[parameter] = checked_value;
      } else {
        throw new SIP.Exceptions.ConfigurationError(parameter, value);
      }
    }
  }

  SIP.Utils.optionsOverride(configuration, 'rel100', 'reliable', true, this.logger, SIP.C.supported.UNSUPPORTED);

  var emptyArraysAllowed = ['stunServers', 'turnServers'];

  // Check Optional parameters
  for(parameter in UA.configuration_check.optional) {
    aliasUnderscored(parameter, this.logger);
    if(configuration.hasOwnProperty(parameter)) {
      value = configuration[parameter];

      // If the parameter value is an empty array, but shouldn't be, apply its default value.
      if (value instanceof Array && value.length === 0 && emptyArraysAllowed.indexOf(parameter) < 0) { continue; }

      // If the parameter value is null, empty string, or undefined then apply its default value.
      if(value === null || value === "" || value === undefined) { continue; }
      // If it's a number with NaN value then also apply its default value.
      // NOTE: JS does not allow "value === NaN", the following does the work:
      else if(typeof(value) === 'number' && isNaN(value)) { continue; }

      checked_value = UA.configuration_check.optional[parameter](value);
      if (checked_value !== undefined) {
        settings[parameter] = checked_value;
      } else {
        throw new SIP.Exceptions.ConfigurationError(parameter, value);
      }
    }
  }

  // Sanity Checks

  // Connection recovery intervals
  if(settings.connectionRecoveryMaxInterval < settings.connectionRecoveryMinInterval) {
    throw new SIP.Exceptions.ConfigurationError('connectionRecoveryMaxInterval', settings.connectionRecoveryMaxInterval);
  }

  // Post Configuration Process

  // Allow passing 0 number as displayName.
  if (settings.displayName === 0) {
    settings.displayName = '0';
  }

  // Instance-id for GRUU
  if (!settings.instanceId) {
    settings.instanceId = SIP.Utils.newUUID();
  }

  // sipjsId instance parameter. Static random tag of length 5
  settings.sipjsId = SIP.Utils.createRandomToken(5);

  // String containing settings.uri without scheme and user.
  hostportParams = settings.uri.clone();
  hostportParams.user = null;
  settings.hostportParams = hostportParams.toString().replace(/^sip:/i, '');

  /* Check whether authorizationUser is explicitly defined.
   * Take 'settings.uri.user' value if not.
   */
  if (!settings.authorizationUser) {
    settings.authorizationUser = settings.uri.user;
  }

  /* If no 'registrarServer' is set use the 'uri' value without user portion. */
  if (!settings.registrarServer) {
    registrarServer = settings.uri.clone();
    registrarServer.user = null;
    settings.registrarServer = registrarServer;
  }

  // User noAnswerTimeout
  settings.noAnswerTimeout = settings.noAnswerTimeout * 1000;

  // Via Host
  if (settings.hackIpInContact) {
    settings.viaHost = SIP.Utils.getRandomTestNetIP();
  }

  this.contact = {
    pub_gruu: null,
    temp_gruu: null,
    uri: new SIP.URI('sip', SIP.Utils.createRandomToken(8), settings.viaHost, null, {transport: ((settings.hackWssInTransport)?'wss':'ws')}),
    toString: function(options){
      options = options || {};

      var
        anonymous = options.anonymous || null,
        outbound = options.outbound || null,
        contact = '<';

      if (anonymous) {
        contact += (this.temp_gruu || ('sip:anonymous@anonymous.invalid;transport='+(settings.hackWssInTransport)?'wss':'ws')).toString();
      } else {
        contact += (this.pub_gruu || this.uri).toString();
      }

      if (outbound) {
        contact += ';ob';
      }

      contact += '>';

      return contact;
    }
  };

  // media overrides mediaConstraints
  SIP.Utils.optionsOverride(settings, 'media', 'mediaConstraints', true, this.logger);

  // Fill the value of the configuration_skeleton
  for(parameter in settings) {
    UA.configuration_skeleton[parameter].value = settings[parameter];
  }

  Object.defineProperties(this.configuration, UA.configuration_skeleton);

  // Clean UA.configuration_skeleton
  for(parameter in settings) {
    UA.configuration_skeleton[parameter].value = '';
  }

  this.logger.log('configuration parameters after validation:');
  for(parameter in settings) {
    switch(parameter) {
      case 'uri':
      case 'registrarServer':
      case 'mediaHandlerFactory':
        this.logger.log('· ' + parameter + ': ' + settings[parameter]);
        break;
      case 'password':
        this.logger.log('· ' + parameter + ': ' + 'NOT SHOWN');
        break;
      default:
        this.logger.log('· ' + parameter + ': ' + JSON.stringify(settings[parameter]));
    }
  }

  return;
};

/**
 * Configuration Object skeleton.
 * @private
 */
UA.configuration_skeleton = (function() {
  var idx,  parameter,
    skeleton = {},
    parameters = [
      // Internal parameters
      "sipjsId",
      "hostportParams",

      // Optional user configurable parameters
      "uri",
      "wsServers",
      "authorizationUser",
      "connectionRecoveryMaxInterval",
      "connectionRecoveryMinInterval",
      "displayName",
      "hackViaTcp", // false.
      "hackIpInContact", //false
      "hackWssInTransport", //false
      "instanceId",
      "noAnswerTimeout", // 30 seconds.
      "password",
      "registerExpires", // 600 seconds.
      "registrarServer",
      "reliable",
      "rel100",
      "userAgentString", //SIP.C.USER_AGENT
      "autostart",
      "stunServers",
      "traceSip",
      "turnServers",
      "usePreloadedRoute",
      "wsServerMaxReconnection",
      "wsServerReconnectionTimeout",
      "mediaHandlerFactory",
      "media",
      "mediaConstraints",

      // Post-configuration generated parameters
      "via_core_value",
      "viaHost"
    ];

  for(idx in parameters) {
    parameter = parameters[idx];
    skeleton[parameter] = {
      value: '',
      writable: false,
      configurable: false
    };
  }

  skeleton['register'] = {
    value: '',
    writable: true,
    configurable: false
  };

  return skeleton;
}());

/**
 * Configuration checker.
 * @private
 * @return {Boolean}
 */
UA.configuration_check = {
  mandatory: {
  },

  optional: {

    uri: function(uri) {
      var parsed;

      if (!(/^sip:/i).test(uri)) {
        uri = SIP.C.SIP + ':' + uri;
      }
      parsed = SIP.URI.parse(uri);

      if(!parsed) {
        return;
      } else if(!parsed.user) {
        return;
      } else {
        return parsed;
      }
    },

    //Note: this function used to call 'this.logger.error' but calling 'this' with anything here is invalid
    wsServers: function(wsServers) {
      var idx, length, url;

      /* Allow defining wsServers parameter as:
       *  String: "host"
       *  Array of Strings: ["host1", "host2"]
       *  Array of Objects: [{ws_uri:"host1", weight:1}, {ws_uri:"host2", weight:0}]
       *  Array of Objects and Strings: [{ws_uri:"host1"}, "host2"]
       */
      if (typeof wsServers === 'string') {
        wsServers = [{ws_uri: wsServers}];
      } else if (wsServers instanceof Array) {
        length = wsServers.length;
        for (idx = 0; idx < length; idx++) {
          if (typeof wsServers[idx] === 'string'){
            wsServers[idx] = {ws_uri: wsServers[idx]};
          }
        }
      } else {
        return;
      }

      if (wsServers.length === 0) {
        return false;
      }

      length = wsServers.length;
      for (idx = 0; idx < length; idx++) {
        if (!wsServers[idx].ws_uri) {
          return;
        }
        if (wsServers[idx].weight && !Number(wsServers[idx].weight)) {
          return;
        }

        url = SIP.Grammar.parse(wsServers[idx].ws_uri, 'absoluteURI');

        if(url === -1) {
          return;
        } else if(url.scheme !== 'wss' && url.scheme !== 'ws') {
          return;
        } else {
          wsServers[idx].sip_uri = '<sip:' + url.host + (url.port ? ':' + url.port : '') + ';transport=ws;lr>';

          if (!wsServers[idx].weight) {
            wsServers[idx].weight = 0;
          }

          wsServers[idx].status = 0;
          wsServers[idx].scheme = url.scheme.toUpperCase();
        }
      }
      return wsServers;
    },

    authorizationUser: function(authorizationUser) {
      if(SIP.Grammar.parse('"'+ authorizationUser +'"', 'quoted_string') === -1) {
        return;
      } else {
        return authorizationUser;
      }
    },

    connectionRecoveryMaxInterval: function(connectionRecoveryMaxInterval) {
      var value;
      if(SIP.Utils.isDecimal(connectionRecoveryMaxInterval)) {
        value = Number(connectionRecoveryMaxInterval);
        if(value > 0) {
          return value;
        }
      }
    },

    connectionRecoveryMinInterval: function(connectionRecoveryMinInterval) {
      var value;
      if(SIP.Utils.isDecimal(connectionRecoveryMinInterval)) {
        value = Number(connectionRecoveryMinInterval);
        if(value > 0) {
          return value;
        }
      }
    },

    displayName: function(displayName) {
      if(SIP.Grammar.parse('"' + displayName + '"', 'displayName') === -1) {
        return;
      } else {
        return displayName;
      }
    },

    hackViaTcp: function(hackViaTcp) {
      if (typeof hackViaTcp === 'boolean') {
        return hackViaTcp;
      }
    },

    hackIpInContact: function(hackIpInContact) {
      if (typeof hackIpInContact === 'boolean') {
        return hackIpInContact;
      }
    },

    hackWssInTransport: function(hackWssInTransport) {
      if (typeof hackWssInTransport === 'boolean') {
        return hackWssInTransport;
      }
    },

    instanceId: function(instanceId) {
      if(typeof instanceId !== 'string') {
        return;
      }

      if ((/^uuid:/i.test(instanceId))) {
        instanceId = instanceId.substr(5);
      }

      if(SIP.Grammar.parse(instanceId, 'uuid') === -1) {
        return;
      } else {
        return instanceId;
      }
    },

    noAnswerTimeout: function(noAnswerTimeout) {
      var value;
      if (SIP.Utils.isDecimal(noAnswerTimeout)) {
        value = Number(noAnswerTimeout);
        if (value > 0) {
          return value;
        }
      }
    },

    password: function(password) {
      return String(password);
    },

    rel100: function(rel100) {
      if(rel100 === SIP.C.supported.REQUIRED) {
        return SIP.C.supported.REQUIRED;
      } else if (rel100 === SIP.C.supported.SUPPORTED) {
        return SIP.C.supported.SUPPORTED;
      } else  {
        return SIP.C.supported.UNSUPPORTED;
      }
    },

    register: function(register) {
      if (typeof register === 'boolean') {
        return register;
      }
    },

    registerExpires: function(registerExpires) {
      var value;
      if (SIP.Utils.isDecimal(registerExpires)) {
        value = Number(registerExpires);
        if (value > 0) {
          return value;
        }
      }
    },

    registrarServer: function(registrarServer) {
      var parsed;

      if(typeof registrarServer !== 'string') {
        return;
      }

      if (!/^sip:/i.test(registrarServer)) {
        registrarServer = SIP.C.SIP + ':' + registrarServer;
      }
      parsed = SIP.URI.parse(registrarServer);

      if(!parsed) {
        return;
      } else if(parsed.user) {
        return;
      } else {
        return parsed;
      }
    },

    stunServers: function(stunServers) {
      var idx, length, stun_server;

      if (typeof stunServers === 'string') {
        stunServers = [stunServers];
      } else if (!(stunServers instanceof Array)) {
        return;
      }

      length = stunServers.length;
      for (idx = 0; idx < length; idx++) {
        stun_server = stunServers[idx];
        if (!(/^stuns?:/.test(stun_server))) {
          stun_server = 'stun:' + stun_server;
        }

        if(SIP.Grammar.parse(stun_server, 'stun_URI') === -1) {
          return;
        } else {
          stunServers[idx] = stun_server;
        }
      }
      return stunServers;
    },

    traceSip: function(traceSip) {
      if (typeof traceSip === 'boolean') {
        return traceSip;
      }
    },

    turnServers: function(turnServers) {
      var idx, length, turn_server, url;

      if (turnServers instanceof Array) {
        // Do nothing
      } else {
        turnServers = [turnServers];
      }

      length = turnServers.length;
      for (idx = 0; idx < length; idx++) {
        turn_server = turnServers[idx];
        //Backwards compatibility: Allow defining the turn_server url with the 'server' property.
        if (turn_server.server) {
          turn_server.urls = [turn_server.server];
        }

        if (!turn_server.urls || !turn_server.username || !turn_server.password) {
          return;
        }

        if (!(turn_server.urls instanceof Array)) {
          turn_server.urls = [turn_server.urls];
        }

        length = turn_server.urls.length;
        for (idx = 0; idx < length; idx++) {
          url = turn_server.urls[idx];

          if (!(/^turns?:/.test(url))) {
            url = 'turn:' + url;
          }

          if(SIP.Grammar.parse(url, 'turn_URI') === -1) {
            return;
          }
        }
      }
      return turnServers;
    },

    userAgentString: function(userAgentString) {
      if (typeof userAgentString === 'string') {
        return userAgentString;
      }
    },

    usePreloadedRoute: function(usePreloadedRoute) {
      if (typeof usePreloadedRoute === 'boolean') {
        return usePreloadedRoute;
      }
    },

    wsServerMaxReconnection: function(wsServerMaxReconnection) {
      var value;
      if (SIP.Utils.isDecimal(wsServerMaxReconnection)) {
        value = Number(wsServerMaxReconnection);
        if (value > 0) {
          return value;
        }
      }
    },

    wsServerReconnectionTimeout: function(wsServerReconnectionTimeout) {
      var value;
      if (SIP.Utils.isDecimal(wsServerReconnectionTimeout)) {
        value = Number(wsServerReconnectionTimeout);
        if (value > 0) {
          return value;
        }
      }
    },

    autostart: function(autostart) {
      if (typeof autostart === 'boolean') {
        return autostart;
      }
    },

    mediaHandlerFactory: function(mediaHandlerFactory) {
      if (mediaHandlerFactory instanceof Function) {
        return mediaHandlerFactory;
      }
    }
  }
};

UA.C = C;
SIP.UA = UA;
};

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],31:[function(require,module,exports){
/**
 * @fileoverview SIP URI
 */

/**
 * @augments SIP
 * @class Class creating a SIP URI.
 *
 * @param {String} [scheme]
 * @param {String} [user]
 * @param {String} host
 * @param {String} [port]
 * @param {Object} [parameters]
 * @param {Object} [headers]
 *
 */
module.exports = function (SIP) {
var URI;

URI = function(scheme, user, host, port, parameters, headers) {
  var param, header;

  // Checks
  if(!host) {
    throw new TypeError('missing or invalid "host" parameter');
  }

  // Initialize parameters
  scheme = scheme || SIP.C.SIP;
  this.parameters = {};
  this.headers = {};

  for (param in parameters) {
    this.setParam(param, parameters[param]);
  }

  for (header in headers) {
    this.setHeader(header, headers[header]);
  }

  Object.defineProperties(this, {
    scheme: {
      get: function(){ return scheme; },
      set: function(value){
        scheme = value.toLowerCase();
      }
    },

    user: {
      get: function(){ return user; },
      set: function(value){
        user = value;
      }
    },

    host: {
      get: function(){ return host; },
      set: function(value){
        host = value.toLowerCase();
      }
    },

    port: {
      get: function(){ return port; },
      set: function(value){
        port = value === 0 ? value : (parseInt(value,10) || null);
      }
    }
  });
};
URI.prototype = {
  setParam: function(key, value) {
    if(key) {
      this.parameters[key.toLowerCase()] = (typeof value === 'undefined' || value === null) ? null : value.toString().toLowerCase();
    }
  },

  getParam: function(key) {
    if(key) {
      return this.parameters[key.toLowerCase()];
    }
  },

  hasParam: function(key) {
    if(key) {
      return (this.parameters.hasOwnProperty(key.toLowerCase()) && true) || false;
    }
  },

  deleteParam: function(parameter) {
    var value;
    parameter = parameter.toLowerCase();
    if (this.parameters.hasOwnProperty(parameter)) {
      value = this.parameters[parameter];
      delete this.parameters[parameter];
      return value;
    }
  },

  clearParams: function() {
    this.parameters = {};
  },

  setHeader: function(name, value) {
    this.headers[SIP.Utils.headerize(name)] = (value instanceof Array) ? value : [value];
  },

  getHeader: function(name) {
    if(name) {
      return this.headers[SIP.Utils.headerize(name)];
    }
  },

  hasHeader: function(name) {
    if(name) {
      return (this.headers.hasOwnProperty(SIP.Utils.headerize(name)) && true) || false;
    }
  },

  deleteHeader: function(header) {
    var value;
    header = SIP.Utils.headerize(header);
    if(this.headers.hasOwnProperty(header)) {
      value = this.headers[header];
      delete this.headers[header];
      return value;
    }
  },

  clearHeaders: function() {
    this.headers = {};
  },

  clone: function() {
    return new URI(
      this.scheme,
      this.user,
      this.host,
      this.port,
      JSON.parse(JSON.stringify(this.parameters)),
      JSON.parse(JSON.stringify(this.headers)));
  },

  toString: function(){
    var header, parameter, idx, uri,
      headers = [];

    uri  = this.scheme + ':';
    // add slashes if it's not a sip(s) URI
    if (!this.scheme.match("^sips?$")) {
      uri += "//";
    }
    if (this.user) {
      uri += SIP.Utils.escapeUser(this.user) + '@';
    }
    uri += this.host;
    if (this.port || this.port === 0) {
      uri += ':' + this.port;
    }

    for (parameter in this.parameters) {
      uri += ';' + parameter;

      if (this.parameters[parameter] !== null) {
        uri += '='+ this.parameters[parameter];
      }
    }

    for(header in this.headers) {
      for(idx in this.headers[header]) {
        headers.push(header + '=' + this.headers[header][idx]);
      }
    }

    if (headers.length > 0) {
      uri += '?' + headers.join('&');
    }

    return uri;
  }
};


/**
  * Parse the given string and returns a SIP.URI instance or undefined if
  * it is an invalid URI.
  * @public
  * @param {String} uri
  */
URI.parse = function(uri) {
  uri = SIP.Grammar.parse(uri,'SIP_URI');

  if (uri !== -1) {
    return uri;
  } else {
    return undefined;
  }
};

SIP.URI = URI;
};

},{}],32:[function(require,module,exports){
(function (global){
/**
 * @fileoverview Utils
 */

module.exports = function (SIP) {
var Utils;

Utils= {

  augment: function (object, constructor, args, override) {
    var idx, proto;

    // Add public properties from constructor's prototype onto object
    proto = constructor.prototype;
    for (idx in proto) {
      if (override || object[idx] === undefined) {
        object[idx] = proto[idx];
      }
    }

    // Construct the object as though it were just created by constructor
    constructor.apply(object, args);
  },

  optionsOverride: function (options, winner, loser, isDeprecated, logger, defaultValue) {
    if (isDeprecated && options[loser]) {
      logger.warn(loser + ' is deprecated, please use ' + winner + ' instead');
    }

    if (options[winner] && options[loser]) {
      logger.warn(winner + ' overriding ' + loser);
    }

    options[winner] = options[winner] || options[loser] || defaultValue;
  },

  desugarSessionOptions: function desugarSessionOptions (options) {
    if (global.HTMLMediaElement && options instanceof global.HTMLMediaElement) {
      options = {
        media: {
          constraints: {
            audio: true,
            video: options.tagName === 'VIDEO'
          },
          render: {
            remote: {
              video: options
            }
          }
        }
      };
    }
    return options;
  },

  str_utf8_length: function(string) {
    return encodeURIComponent(string).replace(/%[A-F\d]{2}/g, 'U').length;
  },

  getPrefixedProperty: function (object, name) {
    if (object == null) {
      return;
    }
    var capitalizedName = name.charAt(0).toUpperCase() + name.slice(1);
    var prefixedNames = [name, 'webkit' + capitalizedName, 'moz' + capitalizedName];
    for (var i in prefixedNames) {
      var property = object[prefixedNames[i]];
      if (property) {
        return property;
      }
    }
  },

  generateFakeSDP: function(body) {
    if (!body) {
      return;
    }

    var start = body.indexOf('o=');
    var end = body.indexOf('\r\n', start);

    return 'v=0\r\n' + body.slice(start, end) + '\r\ns=-\r\nt=0 0\r\nc=IN IP4 0.0.0.0';
  },

  isFunction: function(fn) {
    if (fn !== undefined) {
      return Object.prototype.toString.call(fn) === '[object Function]';
    } else {
      return false;
    }
  },

  isDecimal: function (num) {
    return !isNaN(num) && (parseFloat(num) === parseInt(num,10));
  },

  createRandomToken: function(size, base) {
    var i, r,
      token = '';

    base = base || 32;

    for( i=0; i < size; i++ ) {
      r = Math.random() * base|0;
      token += r.toString(base);
    }

    return token;
  },

  newTag: function() {
    return SIP.Utils.createRandomToken(SIP.UA.C.TAG_LENGTH);
  },

  // http://stackoverflow.com/users/109538/broofa
  newUUID: function() {
    var UUID =  'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
      var r = Math.random()*16|0, v = c === 'x' ? r : (r&0x3|0x8);
      return v.toString(16);
    });

    return UUID;
  },

  hostType: function(host) {
    if (!host) {
      return;
    } else {
      host = SIP.Grammar.parse(host,'host');
      if (host !== -1) {
        return host.host_type;
      }
    }
  },

  /**
  * Normalize SIP URI.
  * NOTE: It does not allow a SIP URI without username.
  * Accepts 'sip', 'sips' and 'tel' URIs and convert them into 'sip'.
  * Detects the domain part (if given) and properly hex-escapes the user portion.
  * If the user portion has only 'tel' number symbols the user portion is clean of 'tel' visual separators.
  * @private
  * @param {String} target
  * @param {String} [domain]
  */
  normalizeTarget: function(target, domain) {
    var uri, target_array, target_user, target_domain;

    // If no target is given then raise an error.
    if (!target) {
      return;
    // If a SIP.URI instance is given then return it.
    } else if (target instanceof SIP.URI) {
      return target;

    // If a string is given split it by '@':
    // - Last fragment is the desired domain.
    // - Otherwise append the given domain argument.
    } else if (typeof target === 'string') {
      target_array = target.split('@');

      switch(target_array.length) {
        case 1:
          if (!domain) {
            return;
          }
          target_user = target;
          target_domain = domain;
          break;
        case 2:
          target_user = target_array[0];
          target_domain = target_array[1];
          break;
        default:
          target_user = target_array.slice(0, target_array.length-1).join('@');
          target_domain = target_array[target_array.length-1];
      }

      // Remove the URI scheme (if present).
      target_user = target_user.replace(/^(sips?|tel):/i, '');

      // Remove 'tel' visual separators if the user portion just contains 'tel' number symbols.
      if (/^[\-\.\(\)]*\+?[0-9\-\.\(\)]+$/.test(target_user)) {
        target_user = target_user.replace(/[\-\.\(\)]/g, '');
      }

      // Build the complete SIP URI.
      target = SIP.C.SIP + ':' + SIP.Utils.escapeUser(target_user) + '@' + target_domain;

      // Finally parse the resulting URI.
      if (uri = SIP.URI.parse(target)) {
        return uri;
      } else {
        return;
      }
    } else {
      return;
    }
  },

  /**
  * Hex-escape a SIP URI user.
  * @private
  * @param {String} user
  */
  escapeUser: function(user) {
    // Don't hex-escape ':' (%3A), '+' (%2B), '?' (%3F"), '/' (%2F).
    return encodeURIComponent(decodeURIComponent(user)).replace(/%3A/ig, ':').replace(/%2B/ig, '+').replace(/%3F/ig, '?').replace(/%2F/ig, '/');
  },

  headerize: function(string) {
    var exceptions = {
      'Call-Id': 'Call-ID',
      'Cseq': 'CSeq',
      'Rack': 'RAck',
      'Rseq': 'RSeq',
      'Www-Authenticate': 'WWW-Authenticate'
      },
      name = string.toLowerCase().replace(/_/g,'-').split('-'),
      hname = '',
      parts = name.length, part;

    for (part = 0; part < parts; part++) {
      if (part !== 0) {
        hname +='-';
      }
      hname += name[part].charAt(0).toUpperCase()+name[part].substring(1);
    }
    if (exceptions[hname]) {
      hname = exceptions[hname];
    }
    return hname;
  },

  sipErrorCause: function(status_code) {
    var cause;

    for (cause in SIP.C.SIP_ERROR_CAUSES) {
      if (SIP.C.SIP_ERROR_CAUSES[cause].indexOf(status_code) !== -1) {
        return SIP.C.causes[cause];
      }
    }

    return SIP.C.causes.SIP_FAILURE_CODE;
  },

  /**
  * Generate a random Test-Net IP (http://tools.ietf.org/html/rfc5735)
  * @private
  */
  getRandomTestNetIP: function() {
    function getOctet(from,to) {
      return Math.floor(Math.random()*(to-from+1)+from);
    }
    return '192.0.2.' + getOctet(1, 254);
  },

  getAllowedMethods: function(ua) {
    var event,
      allowed = SIP.UA.C.ALLOWED_METHODS.toString();

    for (event in SIP.UA.C.EVENT_METHODS) {
      if (ua.checkListener(event)) {
        allowed += ','+ SIP.UA.C.EVENT_METHODS[event];
      }
    }

    return allowed;
  },

  // MD5 (Message-Digest Algorithm) http://www.webtoolkit.info
  calculateMD5: function(string) {
    function RotateLeft(lValue, iShiftBits) {
      return (lValue<<iShiftBits) | (lValue>>>(32-iShiftBits));
    }

    function AddUnsigned(lX,lY) {
      var lX4,lY4,lX8,lY8,lResult;
      lX8 = (lX & 0x80000000);
      lY8 = (lY & 0x80000000);
      lX4 = (lX & 0x40000000);
      lY4 = (lY & 0x40000000);
      lResult = (lX & 0x3FFFFFFF)+(lY & 0x3FFFFFFF);
      if (lX4 & lY4) {
        return (lResult ^ 0x80000000 ^ lX8 ^ lY8);
      }
      if (lX4 | lY4) {
        if (lResult & 0x40000000) {
          return (lResult ^ 0xC0000000 ^ lX8 ^ lY8);
        } else {
          return (lResult ^ 0x40000000 ^ lX8 ^ lY8);
        }
      } else {
        return (lResult ^ lX8 ^ lY8);
      }
    }

    function F(x,y,z) {
      return (x & y) | ((~x) & z);
    }

    function G(x,y,z) {
      return (x & z) | (y & (~z));
    }

    function H(x,y,z) {
      return (x ^ y ^ z);
    }

    function I(x,y,z) {
      return (y ^ (x | (~z)));
    }

    function FF(a,b,c,d,x,s,ac) {
      a = AddUnsigned(a, AddUnsigned(AddUnsigned(F(b, c, d), x), ac));
      return AddUnsigned(RotateLeft(a, s), b);
    }

    function GG(a,b,c,d,x,s,ac) {
      a = AddUnsigned(a, AddUnsigned(AddUnsigned(G(b, c, d), x), ac));
      return AddUnsigned(RotateLeft(a, s), b);
    }

    function HH(a,b,c,d,x,s,ac) {
      a = AddUnsigned(a, AddUnsigned(AddUnsigned(H(b, c, d), x), ac));
      return AddUnsigned(RotateLeft(a, s), b);
    }

    function II(a,b,c,d,x,s,ac) {
      a = AddUnsigned(a, AddUnsigned(AddUnsigned(I(b, c, d), x), ac));
      return AddUnsigned(RotateLeft(a, s), b);
    }

    function ConvertToWordArray(string) {
      var lWordCount;
      var lMessageLength = string.length;
      var lNumberOfWords_temp1=lMessageLength + 8;
      var lNumberOfWords_temp2=(lNumberOfWords_temp1-(lNumberOfWords_temp1 % 64))/64;
      var lNumberOfWords = (lNumberOfWords_temp2+1)*16;
      var lWordArray=Array(lNumberOfWords-1);
      var lBytePosition = 0;
      var lByteCount = 0;
      while ( lByteCount < lMessageLength ) {
        lWordCount = (lByteCount-(lByteCount % 4))/4;
        lBytePosition = (lByteCount % 4)*8;
        lWordArray[lWordCount] = (lWordArray[lWordCount] | (string.charCodeAt(lByteCount)<<lBytePosition));
        lByteCount++;
      }
      lWordCount = (lByteCount-(lByteCount % 4))/4;
      lBytePosition = (lByteCount % 4)*8;
      lWordArray[lWordCount] = lWordArray[lWordCount] | (0x80<<lBytePosition);
      lWordArray[lNumberOfWords-2] = lMessageLength<<3;
      lWordArray[lNumberOfWords-1] = lMessageLength>>>29;
      return lWordArray;
    }

    function WordToHex(lValue) {
      var WordToHexValue="",WordToHexValue_temp="",lByte,lCount;
      for (lCount = 0;lCount<=3;lCount++) {
        lByte = (lValue>>>(lCount*8)) & 255;
        WordToHexValue_temp = "0" + lByte.toString(16);
        WordToHexValue = WordToHexValue + WordToHexValue_temp.substr(WordToHexValue_temp.length-2,2);
      }
      return WordToHexValue;
    }

    function Utf8Encode(string) {
      string = string.replace(/\r\n/g,"\n");
      var utftext = "";

      for (var n = 0; n < string.length; n++) {
        var c = string.charCodeAt(n);

        if (c < 128) {
          utftext += String.fromCharCode(c);
        }
        else if((c > 127) && (c < 2048)) {
          utftext += String.fromCharCode((c >> 6) | 192);
          utftext += String.fromCharCode((c & 63) | 128);
        }
        else {
          utftext += String.fromCharCode((c >> 12) | 224);
          utftext += String.fromCharCode(((c >> 6) & 63) | 128);
          utftext += String.fromCharCode((c & 63) | 128);
        }
      }
      return utftext;
    }

    var x=[];
    var k,AA,BB,CC,DD,a,b,c,d;
    var S11=7, S12=12, S13=17, S14=22;
    var S21=5, S22=9 , S23=14, S24=20;
    var S31=4, S32=11, S33=16, S34=23;
    var S41=6, S42=10, S43=15, S44=21;

    string = Utf8Encode(string);

    x = ConvertToWordArray(string);

    a = 0x67452301; b = 0xEFCDAB89; c = 0x98BADCFE; d = 0x10325476;

    for (k=0;k<x.length;k+=16) {
      AA=a; BB=b; CC=c; DD=d;
      a=FF(a,b,c,d,x[k+0], S11,0xD76AA478);
      d=FF(d,a,b,c,x[k+1], S12,0xE8C7B756);
      c=FF(c,d,a,b,x[k+2], S13,0x242070DB);
      b=FF(b,c,d,a,x[k+3], S14,0xC1BDCEEE);
      a=FF(a,b,c,d,x[k+4], S11,0xF57C0FAF);
      d=FF(d,a,b,c,x[k+5], S12,0x4787C62A);
      c=FF(c,d,a,b,x[k+6], S13,0xA8304613);
      b=FF(b,c,d,a,x[k+7], S14,0xFD469501);
      a=FF(a,b,c,d,x[k+8], S11,0x698098D8);
      d=FF(d,a,b,c,x[k+9], S12,0x8B44F7AF);
      c=FF(c,d,a,b,x[k+10],S13,0xFFFF5BB1);
      b=FF(b,c,d,a,x[k+11],S14,0x895CD7BE);
      a=FF(a,b,c,d,x[k+12],S11,0x6B901122);
      d=FF(d,a,b,c,x[k+13],S12,0xFD987193);
      c=FF(c,d,a,b,x[k+14],S13,0xA679438E);
      b=FF(b,c,d,a,x[k+15],S14,0x49B40821);
      a=GG(a,b,c,d,x[k+1], S21,0xF61E2562);
      d=GG(d,a,b,c,x[k+6], S22,0xC040B340);
      c=GG(c,d,a,b,x[k+11],S23,0x265E5A51);
      b=GG(b,c,d,a,x[k+0], S24,0xE9B6C7AA);
      a=GG(a,b,c,d,x[k+5], S21,0xD62F105D);
      d=GG(d,a,b,c,x[k+10],S22,0x2441453);
      c=GG(c,d,a,b,x[k+15],S23,0xD8A1E681);
      b=GG(b,c,d,a,x[k+4], S24,0xE7D3FBC8);
      a=GG(a,b,c,d,x[k+9], S21,0x21E1CDE6);
      d=GG(d,a,b,c,x[k+14],S22,0xC33707D6);
      c=GG(c,d,a,b,x[k+3], S23,0xF4D50D87);
      b=GG(b,c,d,a,x[k+8], S24,0x455A14ED);
      a=GG(a,b,c,d,x[k+13],S21,0xA9E3E905);
      d=GG(d,a,b,c,x[k+2], S22,0xFCEFA3F8);
      c=GG(c,d,a,b,x[k+7], S23,0x676F02D9);
      b=GG(b,c,d,a,x[k+12],S24,0x8D2A4C8A);
      a=HH(a,b,c,d,x[k+5], S31,0xFFFA3942);
      d=HH(d,a,b,c,x[k+8], S32,0x8771F681);
      c=HH(c,d,a,b,x[k+11],S33,0x6D9D6122);
      b=HH(b,c,d,a,x[k+14],S34,0xFDE5380C);
      a=HH(a,b,c,d,x[k+1], S31,0xA4BEEA44);
      d=HH(d,a,b,c,x[k+4], S32,0x4BDECFA9);
      c=HH(c,d,a,b,x[k+7], S33,0xF6BB4B60);
      b=HH(b,c,d,a,x[k+10],S34,0xBEBFBC70);
      a=HH(a,b,c,d,x[k+13],S31,0x289B7EC6);
      d=HH(d,a,b,c,x[k+0], S32,0xEAA127FA);
      c=HH(c,d,a,b,x[k+3], S33,0xD4EF3085);
      b=HH(b,c,d,a,x[k+6], S34,0x4881D05);
      a=HH(a,b,c,d,x[k+9], S31,0xD9D4D039);
      d=HH(d,a,b,c,x[k+12],S32,0xE6DB99E5);
      c=HH(c,d,a,b,x[k+15],S33,0x1FA27CF8);
      b=HH(b,c,d,a,x[k+2], S34,0xC4AC5665);
      a=II(a,b,c,d,x[k+0], S41,0xF4292244);
      d=II(d,a,b,c,x[k+7], S42,0x432AFF97);
      c=II(c,d,a,b,x[k+14],S43,0xAB9423A7);
      b=II(b,c,d,a,x[k+5], S44,0xFC93A039);
      a=II(a,b,c,d,x[k+12],S41,0x655B59C3);
      d=II(d,a,b,c,x[k+3], S42,0x8F0CCC92);
      c=II(c,d,a,b,x[k+10],S43,0xFFEFF47D);
      b=II(b,c,d,a,x[k+1], S44,0x85845DD1);
      a=II(a,b,c,d,x[k+8], S41,0x6FA87E4F);
      d=II(d,a,b,c,x[k+15],S42,0xFE2CE6E0);
      c=II(c,d,a,b,x[k+6], S43,0xA3014314);
      b=II(b,c,d,a,x[k+13],S44,0x4E0811A1);
      a=II(a,b,c,d,x[k+4], S41,0xF7537E82);
      d=II(d,a,b,c,x[k+11],S42,0xBD3AF235);
      c=II(c,d,a,b,x[k+2], S43,0x2AD7D2BB);
      b=II(b,c,d,a,x[k+9], S44,0xEB86D391);
      a=AddUnsigned(a,AA);
      b=AddUnsigned(b,BB);
      c=AddUnsigned(c,CC);
      d=AddUnsigned(d,DD);
    }

    var temp = WordToHex(a)+WordToHex(b)+WordToHex(c)+WordToHex(d);

    return temp.toLowerCase();
  }
};

SIP.Utils = Utils;
};

}).call(this,typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : {})
},{}],33:[function(require,module,exports){
/**
 * @fileoverview WebRTC
 */

module.exports = function (Utils, window, MediaHandler, MediaStreamManager) {
var WebRTC;

WebRTC = {};

WebRTC.MediaHandler = MediaHandler;
WebRTC.MediaStreamManager = MediaStreamManager;

var _isSupported;

WebRTC.isSupported = function () {
  if (_isSupported !== undefined) {
    return _isSupported;
  }

  WebRTC.MediaStream = Utils.getPrefixedProperty(window, 'MediaStream');
  WebRTC.getUserMedia = Utils.getPrefixedProperty(window.navigator, 'getUserMedia');
  WebRTC.RTCPeerConnection = Utils.getPrefixedProperty(window, 'RTCPeerConnection');
  WebRTC.RTCSessionDescription = Utils.getPrefixedProperty(window, 'RTCSessionDescription');

  if (WebRTC.getUserMedia && WebRTC.RTCPeerConnection && WebRTC.RTCSessionDescription) {
    WebRTC.getUserMedia = WebRTC.getUserMedia.bind(window.navigator);
    _isSupported = true;
  }
  else {
    _isSupported = false;
  }
  return _isSupported;
};

return WebRTC;
};

},{}],34:[function(require,module,exports){
/**
 * @fileoverview MediaHandler
 */

/* MediaHandler
 * @class PeerConnection helper Class.
 * @param {SIP.Session} session
 * @param {Object} [options]
 * @param {SIP.WebRTC.MediaStreamManager} [options.mediaStreamManager]
 *        The MediaStreamManager to acquire/release streams from/to.
 *        If not provided, a default MediaStreamManager will be used.
 */
module.exports = function (SIP) {

var MediaHandler = function(session, options) {
  var events = [
    'userMediaRequest',
    'userMedia',
    'userMediaFailed',
    'iceGathering',
    'iceCandidate',
    'iceComplete',
    'iceFailed',
    'getDescription',
    'setDescription',
    'dataChannel',
    'addStream'
  ];
  options = options || {};

  this.logger = session.ua.getLogger('sip.invitecontext.mediahandler', session.id);
  this.session = session;
  this.localMedia = null;
  this.ready = true;
  this.mediaStreamManager = options.mediaStreamManager || new SIP.WebRTC.MediaStreamManager(this.logger);
  this.audioMuted = false;
  this.videoMuted = false;

  // old init() from here on
  var idx, length, server,
    self = this,
    servers = [],
    stunServers = options.stunServers || null,
    turnServers = options.turnServers || null,
    config = this.session.ua.configuration;
  this.RTCConstraints = options.RTCConstraints || {};

  if (!stunServers) {
    stunServers = config.stunServers;
  }

  if(!turnServers) {
    turnServers = config.turnServers;
  }

  /* Change 'url' to 'urls' whenever this issue is solved:
   * https://code.google.com/p/webrtc/issues/detail?id=2096
   */
  [].concat(stunServers).forEach(function (server) {
    servers.push({'url': server});
  });

  length = turnServers.length;
  for (idx = 0; idx < length; idx++) {
    server = turnServers[idx];
    servers.push({
      'url': server.urls,
      'username': server.username,
      'credential': server.password
    });
  }

  this.peerConnection = new SIP.WebRTC.RTCPeerConnection({'iceServers': servers}, this.RTCConstraints);

  this.peerConnection.onaddstream = function(e) {
    self.logger.log('stream added: '+ e.stream.id);
    self.render();
    self.emit('addStream', e);
  };

  this.peerConnection.onremovestream = function(e) {
    self.logger.log('stream removed: '+ e.stream.id);
  };

  this.peerConnection.onicecandidate = function(e) {
    self.emit('iceCandidate', e);
    if (e.candidate) {
      self.logger.log('ICE candidate received: '+ (e.candidate.candidate === null ? null : e.candidate.candidate.trim()));
    } else if (self.onIceCompleted !== undefined) {
      self.onIceCompleted(this);
    } else {
      self.callOnIceCompleted = true;
    }
  };

  this.peerConnection.onicegatheringstatechange = function () {
    self.logger.log('RTCIceGatheringState changed: ' + this.iceGatheringState);
    if (this.iceGatheringState === 'gathering') {
      self.emit('iceGathering', this);
    }
    if (this.iceGatheringState === 'complete') {
      if (self.onIceCompleted !== undefined) {
        self.onIceCompleted(this);
      } else {
        self.callOnIceCompleted = true;
      }
    }
  };

  this.peerConnection.oniceconnectionstatechange = function() {  //need e for commented out case
    self.logger.log('ICE connection state changed to "'+ this.iceConnectionState +'"');

    if (this.iceConnectionState === 'failed') {
      self.emit('iceFailed', this);
    }

    //Bria state changes are always connected -> disconnected -> connected on accept, so session gets terminated
    //normal calls switch from failed to connected in some cases, so checking for failed and terminated
    /*if (this.iceConnectionState === 'failed') {
      self.session.terminate({
        cause: SIP.C.causes.RTP_TIMEOUT,
        status_code: 200,
        reason_phrase: SIP.C.causes.RTP_TIMEOUT
      });
    } else if (e.currentTarget.iceGatheringState === 'complete' && this.iceConnectionState !== 'closed') {
      self.onIceCompleted(this);
    }*/
  };

  this.peerConnection.onstatechange = function() {
    self.logger.log('PeerConnection state changed to "'+ this.readyState +'"');
  };

  this.initEvents(events);

  function selfEmit(mh, event) {
    if (mh.mediaStreamManager.on &&
        mh.mediaStreamManager.checkEvent &&
        mh.mediaStreamManager.checkEvent(event)) {
      mh.mediaStreamManager.on(event, function () {
        mh.emit.apply(mh, [event].concat(Array.prototype.slice.call(arguments)));
      });
    }
  }

  selfEmit(this, 'userMediaRequest');
  selfEmit(this, 'userMedia');
  selfEmit(this, 'userMediaFailed');
};

MediaHandler.defaultFactory = function defaultFactory (session, options) {
  return new MediaHandler(session, options);
};
MediaHandler.defaultFactory.isSupported = function () {
  return SIP.WebRTC.isSupported();
};

MediaHandler.prototype = Object.create(SIP.MediaHandler.prototype, {
// Functions the session can use
  isReady: {writable: true, value: function isReady () {
    return this.ready;
  }},

  close: {writable: true, value: function close () {
    this.logger.log('closing PeerConnection');
    // have to check signalingState since this.close() gets called multiple times
    // TODO figure out why that happens
    if(this.peerConnection && this.peerConnection.signalingState !== 'closed') {
      this.peerConnection.close();

      if(this.localMedia) {
        this.mediaStreamManager.release(this.localMedia);
      }
    }
  }},

  /**
   * @param {Function} onSuccess
   * @param {Function} onFailure
   * @param {SIP.WebRTC.MediaStream | (getUserMedia constraints)} [mediaHint]
   *        the MediaStream (or the constraints describing it) to be used for the session
   */
  getDescription: {writable: true, value: function getDescription (onSuccess, onFailure, mediaHint) {
    var self = this;
    mediaHint = mediaHint || {};
    if (mediaHint.dataChannel === true) {
      mediaHint.dataChannel = {};
    }
    this.mediaHint = mediaHint;

    /*
     * 1. acquire stream (skip if MediaStream passed in)
     * 2. addStream
     * 3. createOffer/createAnswer
     * 4. call onSuccess()
     */

    /* Last functions first, to quiet JSLint */
    function streamAdditionSucceeded() {
      if (self.hasOffer('remote')) {
        self.peerConnection.ondatachannel = function (evt) {
          self.dataChannel = evt.channel;
          self.emit('dataChannel', self.dataChannel);
        };
      } else if (mediaHint.dataChannel &&
                 self.peerConnection.createDataChannel) {
        self.dataChannel = self.peerConnection.createDataChannel(
          'sipjs',
          mediaHint.dataChannel
        );
        self.emit('dataChannel', self.dataChannel);
      }

      self.render();
      self.createOfferOrAnswer(onSuccess, onFailure, self.RTCConstraints);
    }

    function acquireSucceeded(stream) {
      self.logger.log('acquired local media stream');
      self.localMedia = stream;
      self.session.connecting();
      self.addStream(
        stream,
        streamAdditionSucceeded,
        onFailure
      );
    }

    if (self.localMedia) {
      self.logger.log('already have local media');
      streamAdditionSucceeded();
      return;
    }

    self.logger.log('acquiring local media');
    self.mediaStreamManager.acquire(
      acquireSucceeded,
      function acquireFailed(err) {
        self.logger.error('unable to acquire stream');
        self.logger.error(err);
        self.session.connecting();
        onFailure(err);
      },
      mediaHint
    );
  }},

  /**
  * Message reception.
  * @param {String} type
  * @param {String} sdp
  * @param {Function} onSuccess
  * @param {Function} onFailure
  */
  setDescription: {writable: true, value: function setDescription (sdp, onSuccess, onFailure) {
    var rawDescription = {
      type: this.hasOffer('local') ? 'answer' : 'offer',
      sdp: sdp
    };

    this.emit('setDescription', rawDescription);

    var description = new SIP.WebRTC.RTCSessionDescription(rawDescription);
    this.peerConnection.setRemoteDescription(description, onSuccess, onFailure);
  }},

// Functions the session can use, but only because it's convenient for the application
  isMuted: {writable: true, value: function isMuted () {
    return {
      audio: this.audioMuted,
      video: this.videoMuted
    };
  }},

  mute: {writable: true, value: function mute (options) {
    if (this.getLocalStreams().length === 0) {
      return;
    }

    options = options || {
      audio: this.getLocalStreams()[0].getAudioTracks().length > 0,
      video: this.getLocalStreams()[0].getVideoTracks().length > 0
    };

    var audioMuted = false,
        videoMuted = false;

    if (options.audio && !this.audioMuted) {
      audioMuted = true;
      this.audioMuted = true;
      this.toggleMuteAudio(true);
    }

    if (options.video && !this.videoMuted) {
      videoMuted = true;
      this.videoMuted = true;
      this.toggleMuteVideo(true);
    }

    //REVISIT
    if (audioMuted || videoMuted) {
      return {
        audio: audioMuted,
        video: videoMuted
      };
      /*this.session.onmute({
        audio: audioMuted,
        video: videoMuted
      });*/
    }
  }},

  unmute: {writable: true, value: function unmute (options) {
    if (this.getLocalStreams().length === 0) {
      return;
    }

    options = options || {
      audio: this.getLocalStreams()[0].getAudioTracks().length > 0,
      video: this.getLocalStreams()[0].getVideoTracks().length > 0
    };

    var audioUnMuted = false,
        videoUnMuted = false;

    if (options.audio && this.audioMuted) {
      audioUnMuted = true;
      this.audioMuted = false;
      this.toggleMuteAudio(false);
    }

    if (options.video && this.videoMuted) {
      videoUnMuted = true;
      this.videoMuted = false;
      this.toggleMuteVideo(false);
    }

    //REVISIT
    if (audioUnMuted || videoUnMuted) {
      return {
        audio: audioUnMuted,
        video: videoUnMuted
      };
      /*this.session.onunmute({
        audio: audioUnMuted,
        video: videoUnMuted
      });*/
    }
  }},

  hold: {writable: true, value: function hold () {
    this.toggleMuteAudio(true);
    this.toggleMuteVideo(true);
  }},

  unhold: {writable: true, value: function unhold () {
    if (!this.audioMuted) {
      this.toggleMuteAudio(false);
    }

    if (!this.videoMuted) {
      this.toggleMuteVideo(false);
    }
  }},

// Functions the application can use, but not the session
  getLocalStreams: {writable: true, value: function getLocalStreams () {
    var pc = this.peerConnection;
    if (pc && pc.signalingState === 'closed') {
      this.logger.warn('peerConnection is closed, getLocalStreams returning []');
      return [];
    }
    return (pc.getLocalStreams && pc.getLocalStreams()) ||
      pc.localStreams || [];
  }},

  getRemoteStreams: {writable: true, value: function getRemoteStreams () {
    var pc = this.peerConnection;
    if (pc && pc.signalingState === 'closed') {
      this.logger.warn('peerConnection is closed, getRemoteStreams returning []');
      return [];
    }
    return(pc.getRemoteStreams && pc.getRemoteStreams()) ||
      pc.remoteStreams || [];
  }},

  render: {writable: true, value: function render (renderHint) {
    renderHint = renderHint || (this.mediaHint && this.mediaHint.render);
    if (!renderHint) {
      return false;
    }
    var streamGetters = {
      local: 'getLocalStreams',
      remote: 'getRemoteStreams'
    };
    Object.keys(streamGetters).forEach(function (loc) {
      var streamGetter = streamGetters[loc];
      var streams = this[streamGetter]();
      if (streams.length) {
        SIP.WebRTC.MediaStreamManager.render(streams[0], renderHint[loc]);
      }
    }.bind(this));
  }},

// Internal functions
  hasOffer: {writable: true, value: function hasOffer (where) {
    var offerState = 'have-' + where + '-offer';
    return this.peerConnection.signalingState === offerState;
    // TODO consider signalingStates with 'pranswer'?
  }},

  createOfferOrAnswer: {writable: true, value: function createOfferOrAnswer (onSuccess, onFailure, constraints) {
    var self = this;
    var methodName;

    function readySuccess () {
      var sdp = self.peerConnection.localDescription.sdp;

      sdp = SIP.Hacks.Chrome.needsExplicitlyInactiveSDP(sdp);
      sdp = SIP.Hacks.AllBrowsers.unmaskDtls(sdp);
      sdp = SIP.Hacks.Firefox.hasIncompatibleCLineWithSomeSIPEndpoints(sdp);

      var sdpWrapper = {
        type: methodName === 'createOffer' ? 'offer' : 'answer',
        sdp: sdp
      };

      self.emit('getDescription', sdpWrapper);

      self.ready = true;
      onSuccess(sdpWrapper.sdp);
    }

    function onSetLocalDescriptionSuccess() {
      if (self.peerConnection.iceGatheringState === 'complete' && (self.peerConnection.iceConnectionState === 'connected' || self.peerConnection.iceConnectionState === 'completed')) {
        readySuccess();
      } else {
        self.onIceCompleted = function(pc) {
          self.logger.log('ICE Gathering Completed');
          self.onIceCompleted = undefined;
          self.emit('iceComplete', pc);
          readySuccess();
        };
        if (self.callOnIceCompleted) {
          self.onIceCompleted();
        }
      }
    }

    function methodFailed (methodName, e) {
      self.logger.error('peerConnection.' + methodName + ' failed');
      self.logger.error(e);
      self.ready = true;
      onFailure(e);
    }

    self.ready = false;

    methodName = self.hasOffer('remote') ? 'createAnswer' : 'createOffer';

    self.peerConnection[methodName](
      function(sessionDescription){
        self.peerConnection.setLocalDescription(
          sessionDescription,
          onSetLocalDescriptionSuccess,
          methodFailed.bind(null, 'setLocalDescription')
        );
      },
      methodFailed.bind(null, methodName),
      constraints
    );
  }},

  addStream: {writable: true, value: function addStream (stream, onSuccess, onFailure) {
    try {
      this.peerConnection.addStream(stream);
    } catch(e) {
      this.logger.error('error adding stream');
      this.logger.error(e);
      onFailure(e);
      return;
    }

    onSuccess();
  }},

  toggleMuteHelper: {writable: true, value: function toggleMuteHelper (trackGetter, mute) {
    this.getLocalStreams().forEach(function (stream) {
      stream[trackGetter]().forEach(function (track) {
        track.enabled = !mute;
      });
    });
  }},

  toggleMuteAudio: {writable: true, value: function toggleMuteAudio (mute) {
    this.toggleMuteHelper('getAudioTracks', mute);
  }},

  toggleMuteVideo: {writable: true, value: function toggleMuteVideo (mute) {
    this.toggleMuteHelper('getVideoTracks', mute);
  }}
});

// Return since it will be assigned to a variable.
return MediaHandler;
};

},{}],35:[function(require,module,exports){
/**
 * @fileoverview MediaStreamManager
 */

/* MediaStreamManager
 * @class Manages the acquisition and release of MediaStreams.
 * @param {mediaHint} [defaultMediaHint] The mediaHint to use if none is provided to acquire()
 */
module.exports = function (SIP) {

// Default MediaStreamManager provides single-use streams created with getUserMedia
var MediaStreamManager = function MediaStreamManager (logger, defaultMediaHint) {
  if (!SIP.WebRTC.isSupported()) {
    throw new SIP.Exceptions.NotSupportedError('Media not supported');
  }

  var events = [
    'userMediaRequest',
    'userMedia',
    'userMediaFailed'
  ];
  this.mediaHint = defaultMediaHint || {
    constraints: {audio: true, video: true}
  };

  this.logger = logger;
  this.initEvents(events);

  // map of streams to acquisition manner:
  // true -> passed in as mediaHint.stream
  // false -> getUserMedia
  this.acquisitions = {};
};
MediaStreamManager.streamId = function (stream) {
  return stream.getAudioTracks().concat(stream.getVideoTracks())
    .map(function trackId (track) {
      return track.id;
    })
    .join('');
};

MediaStreamManager.render = function render (stream, elements) {
  if (!elements) {
    return false;
  }

  function attachAndPlay (element, stream) {
    (window.attachMediaStream || attachMediaStream)(element, stream);
    ensureMediaPlaying(element);
  }

  function attachMediaStream(element, stream) {
    if (typeof element.src !== 'undefined') {
      URL.revokeObjectURL(element.src);
      element.src = URL.createObjectURL(stream);
    } else if (typeof (element.srcObject || element.mozSrcObject) !== 'undefined') {
      element.srcObject = element.mozSrcObject = stream;
    } else {
      return false;
    }

    return true;
  }

  function ensureMediaPlaying (mediaElement) {
    var interval = 100;
    mediaElement.ensurePlayingIntervalId = SIP.Timers.setInterval(function () {
      if (mediaElement.paused) {
        mediaElement.play();
      }
      else {
        SIP.Timers.clearInterval(mediaElement.ensurePlayingIntervalId);
      }
    }, interval);
  }

  if (elements.video) {
    if (elements.audio) {
      elements.video.volume = 0;
    }
    attachAndPlay(elements.video, stream);
  }
  if (elements.audio) {
    attachAndPlay(elements.audio, stream);
  }
};

MediaStreamManager.prototype = Object.create(SIP.EventEmitter.prototype, {
  'acquire': {value: function acquire (onSuccess, onFailure, mediaHint) {
    mediaHint = Object.keys(mediaHint || {}).length ? mediaHint : this.mediaHint;

    var saveSuccess = function (onSuccess, stream, isHintStream) {
      var streamId = MediaStreamManager.streamId(stream);
      this.acquisitions[streamId] = !!isHintStream;
      onSuccess(stream);
    }.bind(this, onSuccess);

    if (mediaHint.stream) {
      saveSuccess(mediaHint.stream, true);
    } else {
      // Fallback to audio/video enabled if no mediaHint can be found.
      var constraints = mediaHint.constraints ||
        (this.mediaHint && this.mediaHint.constraints) ||
        {audio: true, video: true};

      /*
       * Make the call asynchronous, so that ICCs have a chance
       * to define callbacks to `userMediaRequest`
       */
      SIP.Timers.setTimeout(function () {
        this.emit('userMediaRequest', constraints);

        var emitThenCall = function (eventName, callback) {
          var callbackArgs = Array.prototype.slice.call(arguments, 2);
          // Emit with all of the arguments from the real callback.
          var newArgs = [eventName].concat(callbackArgs);

          this.emit.apply(this, newArgs);

          callback.apply(null, callbackArgs);
        }.bind(this);

        SIP.WebRTC.getUserMedia(
          constraints,
          emitThenCall.bind(this, 'userMedia', saveSuccess),
          emitThenCall.bind(this, 'userMediaFailed', onFailure)
        );
      }.bind(this), 0);
    }
  }},

  'release': {value: function release (stream) {
    var streamId = MediaStreamManager.streamId(stream);
    if (this.acquisitions[streamId] === false) {
      stream.stop();
    }
    delete this.acquisitions[streamId];
  }},
});

// Return since it will be assigned to a variable.
return MediaStreamManager;
};

},{}],36:[function(require,module,exports){
/** Operative v0.4.4 (c) 2013 James padolsey, MIT-licensed, http://github.com/padolsey/operative **/
(function(){function e(t,n){var o=e.getBaseURL,i=e.getSelfURL,s=e.hasWorkerSupport?e.Operative.BrowserWorker:e.Operative.Iframe;if("function"==typeof t){var a=new s({main:t},n,o,i),u=function(){return a.api.main.apply(a,arguments)};u.transfer=function(){return a.api.main.transfer.apply(a,arguments)};for(var l in a.api)r.call(a.api,l)&&(u[l]=a.api[l]);return u}return new s(t,n,o,i).api}if("undefined"!=typeof window||!self.importScripts){var r={}.hasOwnProperty,t=document.getElementsByTagName("script"),n=t[t.length-1],o=/operative/.test(n.src)&&n.src;e.pool=function(r,t,n){r=0|Math.abs(r)||1;for(var o=[],i=0,s=0;r>s;++s)o.push(e(t,n));return{terminate:function(){for(var e=0;r>e;++e)o[e].destroy()},next:function(){return i=i+1===r?0:i+1,o[i]}}},e.hasWorkerSupport=!!window.Worker,e.hasWorkerViaBlobSupport=!1,e.hasTransferSupport=!1;var i=(location.protocol+"//"+location.hostname+(location.port?":"+location.port:"")+location.pathname).replace(/[^\/]+$/,"");e.objCreate=Object.create||function(e){function r(){}return r.prototype=e,new r},e.setSelfURL=function(e){o=e},e.getSelfURL=function(){return o},e.setBaseURL=function(e){i=e},e.getBaseURL=function(){return i},window.operative=e}})(),function(){function e(e){this.value=e}function r(e,r,n,o){var i=this;e.get=e.get||function(e){return this[e]},e.set=e.set||function(e,r){return this[e]=r},this._curToken=0,this._queue=[],this._getBaseURL=n,this._getSelfURL=o,this.isDestroyed=!1,this.isContextReady=!1,this.module=e,this.dependencies=r||[],this.dataProperties={},this.api={},this.callbacks={},this.deferreds={},this._fixDependencyURLs(),this._setup();for(var s in e)t.call(e,s)&&this._createExposedMethod(s);this.api.__operative__=this,this.api.destroy=this.api.terminate=function(){return i.destroy()}}if("undefined"!=typeof window||!self.importScripts){var t={}.hasOwnProperty,n=[].slice,o={}.toString;operative.Operative=r;var i=r.Promise=window.Promise;r.prototype={_marshal:function(e){return e},_demarshal:function(e){return e},_enqueue:function(e){this._queue.push(e)},_fixDependencyURLs:function(){for(var e=this.dependencies,r=0,t=e.length;t>r;++r){var n=e[r];/\/\//.test(n)||(e[r]=n.replace(/^\/?/,this._getBaseURL().replace(/([^\/])$/,"$1/")))}},_dequeueAll:function(){for(var e=0,r=this._queue.length;r>e;++e)this._queue[e].call(this);this._queue=[]},_buildContextScript:function(e){var r,t=[],n=this.module,o=this.dataProperties;for(var i in n)r=n[i],"function"==typeof r?t.push('	self["'+i.replace(/"/g,'\\"')+'"] = '+(""+r)+";"):o[i]=r;return t.join("\n")+(e?"\n("+(""+e)+"());":"")},_createExposedMethod:function(r){var t=this,s=this.api[r]=function(){function o(){t.isContextReady?t._runMethod(r,s,a,l):t._enqueue(o)}if(t.isDestroyed)throw Error("Operative: Cannot run method. Operative has already been destroyed");var s=++t._curToken,a=n.call(arguments),u="function"==typeof a[a.length-1]&&a.pop(),l=a[a.length-1]instanceof e&&a.pop();if(!u&&!i)throw Error("Operative: No callback has been passed. Assumed that you want a promise. But `operative.Promise` is null. Please provide Promise polyfill/lib.");if(u)t.callbacks[s]=u,setTimeout(function(){o()},1);else if(i)return new i(function(e,r){var n;e.fulfil||e.fulfill?(n=e,n.fulfil=n.fulfill=e.fulfil||e.fulfill):n={fulfil:e,fulfill:e,resolve:e,reject:r,transferResolve:e,transferReject:r},t.deferreds[s]=n,o()})};s.transfer=function(){var r=[].slice.call(arguments),t="function"==typeof r[r.length-1]?r.length-2:r.length-1,n=r[t],i=o.call(n);if("[object Array]"!==i)throw Error("Operative:transfer() must be passed an Array of transfers as its last arguments (Expected: [object Array], Received: "+i+")");return r[t]=new e(n),s.apply(null,r)}},destroy:function(){this.isDestroyed=!0}}}}(),function(){function makeBlobURI(e){var r;try{r=new Blob([e],{type:"text/javascript"})}catch(t){r=new BlobBuilder,r.append(e),r=r.getBlob()}return URL.createObjectURL(r)}function workerBoilerScript(){var postMessage=self.postMessage,structuredCloningSupport=null,toString={}.toString;self.console={},self.isWorker=!0,["log","debug","error","info","warn","time","timeEnd"].forEach(function(e){self.console[e]=function(){postMessage({cmd:"console",method:e,args:[].slice.call(arguments)})}}),self.addEventListener("message",function(e){function callback(){returnResult({args:[].slice.call(arguments)})}function returnResult(e,r){postMessage({cmd:"result",token:data.token,result:e},hasTransferSupport&&r||[])}function extractTransfers(e){var r=e[e.length-1];if("[object Array]"!==toString.call(r))throw Error("Operative: callback.transfer() must be passed an Array of transfers as its last arguments");return r}var data=e.data;if("string"==typeof data&&0===data.indexOf("EVAL|"))return eval(data.substring(5)),void 0;if(null==structuredCloningSupport)return structuredCloningSupport="PING"===e.data[0],self.postMessage(structuredCloningSupport?"pingback:structuredCloningSupport=YES":"pingback:structuredCloningSupport=NO"),structuredCloningSupport||(postMessage=function(e){return self.postMessage(JSON.stringify(e))}),void 0;structuredCloningSupport||(data=JSON.parse(data));var defs=data.definitions,isDeferred=!1,args=data.args;if(defs)for(var i in defs)self[i]=defs[i];else{callback.transfer=function(){var e=[].slice.call(arguments),r=extractTransfers(e);returnResult({args:e},r)},args.push(callback),self.deferred=function(){function e(e,r){return returnResult({isDeferred:!0,action:"resolve",args:[e]},r),t}function r(e,r){returnResult({isDeferred:!0,action:"reject",args:[e]},r)}isDeferred=!0;var t={};return t.fulfil=t.fulfill=t.resolve=function(r){return e(r)},t.reject=function(e){return r(e)},t.transferResolve=function(r){var t=extractTransfers(arguments);return e(r,t)},t.transferReject=function(e){var t=extractTransfers(arguments);return r(e,t)},t};var result=self[data.method].apply(self,args);isDeferred||void 0===result||returnResult({args:[result]}),self.deferred=function(){throw Error("Operative: deferred() called at odd time")}}})}if("undefined"==typeof window&&self.importScripts)return workerBoilerScript(),void 0;var Operative=operative.Operative,URL=window.URL||window.webkitURL,BlobBuilder=window.BlobBuilder||window.WebKitBlobBuilder||window.MozBlobBuilder,workerViaBlobSupport=function(){try{new Worker(makeBlobURI(";"))}catch(e){return!1}return!0}(),transferrableObjSupport=function(){try{var e=new ArrayBuffer(1);return new Worker(makeBlobURI(";")).postMessage(e,[e]),!e.byteLength}catch(r){return!1}}();operative.hasWorkerViaBlobSupport=workerViaBlobSupport,operative.hasTransferSupport=transferrableObjSupport,Operative.BrowserWorker=function BrowserWorker(){Operative.apply(this,arguments)};var WorkerProto=Operative.BrowserWorker.prototype=operative.objCreate(Operative.prototype);WorkerProto._onWorkerMessage=function(e){var r=e.data;if("string"==typeof r&&0===r.indexOf("pingback"))return"pingback:structuredCloningSupport=NO"===r&&(this._marshal=function(e){return JSON.stringify(e)},this._demarshal=function(e){return JSON.parse(e)}),this.isContextReady=!0,this._postMessage({definitions:this.dataProperties}),this._dequeueAll(),void 0;switch(r=this._demarshal(r),r.cmd){case"console":window.console&&window.console[r.method].apply(window.console,r.args);break;case"result":var t=this.callbacks[r.token],n=this.deferreds[r.token],o=r.result&&r.result.isDeferred&&r.result.action;n&&o?n[o](r.result.args[0]):t?t.apply(this,r.result.args):n&&n.fulfil(r.result.args[0])}},WorkerProto._isWorkerViaBlobSupported=function(){return workerViaBlobSupport},WorkerProto._setup=function(){var e,r=this,t=this._getSelfURL(),n=this._isWorkerViaBlobSupported(),o=this._buildContextScript(n?workerBoilerScript:"");if(this.dependencies.length&&(o='importScripts("'+this.dependencies.join('", "')+'");\n'+o),n)e=this.worker=new Worker(makeBlobURI(o));else{if(!t)throw Error("Operaritve: No operative.js URL available. Please set via operative.setSelfURL(...)");e=this.worker=new Worker(t),e.postMessage("EVAL|"+o)}e.postMessage("EVAL|self.hasTransferSupport="+transferrableObjSupport),e.postMessage(["PING"]),e.addEventListener("message",function(e){r._onWorkerMessage(e)})},WorkerProto._postMessage=function(e){var r=transferrableObjSupport&&e.transfers;return r?this.worker.postMessage(e,r.value):this.worker.postMessage(this._marshal(e))},WorkerProto._runMethod=function(e,r,t,n){this._postMessage({method:e,args:t,token:r,transfers:n})},WorkerProto.destroy=function(){this.worker.terminate(),Operative.prototype.destroy.call(this)}}(),function(){function e(){window.__run__=function(e,r,t,n){function o(){return t.apply(this,arguments)}var i=!1;window.deferred=function(){return i=!0,n},o.transfer=function(){return t.apply(this,[].slice.call(arguments,0,arguments.length-1))},t&&r.push(o);var s=window[e].apply(window,r);window.deferred=function(){throw Error("Operative: deferred() called at odd time")},i||void 0===s||o(s)}}if("undefined"!=typeof window||!self.importScripts){var r=operative.Operative;r.Iframe=function(){r.apply(this,arguments)};var t=r.Iframe.prototype=operative.objCreate(r.prototype),n=0;t._setup=function(){var r=this,t="__operativeIFrameLoaded"+ ++n;this.module.isWorker=!1;var o=this.iframe=document.body.appendChild(document.createElement("iframe"));o.style.display="none";var i=this.iframeWindow=o.contentWindow,s=i.document;window[t]=function(){window[t]=null;var n=s.createElement("script"),o=r._buildContextScript(e);void 0!==n.text?n.text=o:n.innerHTML=o,s.documentElement.appendChild(n);for(var a in r.dataProperties)i[a]=r.dataProperties[a];r.isContextReady=!0,r._dequeueAll()},s.open();var a="";this.dependencies.length&&(a+='\n<script src="'+this.dependencies.join('"></script><script src="')+'"></script>'),s.write(a+"\n<script>setTimeout(window.parent."+t+",0);</script>"),s.close()},t._runMethod=function(e,r,t){var n=this,o=this.callbacks[r],i=this.deferreds[r];this.iframeWindow.__run__(e,t,function(e){var r=o,t=i;r?r.apply(n,arguments):t&&t.fulfil(e)},i)},t.destroy=function(){this.iframe.parentNode.removeChild(this.iframe),r.prototype.destroy.call(this)}}}();
/** File: strophe.js
 *  A JavaScript library for XMPP BOSH/XMPP over Websocket.
 *
 *  This is the JavaScript version of the Strophe library.  Since JavaScript
 *  had no facilities for persistent TCP connections, this library uses
 *  Bidirectional-streams Over Synchronous HTTP (BOSH) to emulate
 *  a persistent, stateful, two-way connection to an XMPP server.  More
 *  information on BOSH can be found in XEP 124.
 *
 *  This version of Strophe also works with WebSockets.
 *  For more information on XMPP-over WebSocket see this RFC:
 *  http://tools.ietf.org/html/rfc7395
 */

/* All of the Strophe globals are defined in this special function below so
 * that references to the globals become closures.  This will ensure that
 * on page reload, these references will still be available to callbacks
 * that are still executing.
 */

/* jshint ignore:start */
(function (callback) {
/* jshint ignore:end */

// This code was written by Tyler Akins and has been placed in the
// public domain.  It would be nice if you left this header intact.
// Base64 code from Tyler Akins -- http://rumkin.com

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define('strophe-base64', function () {
            return factory();
        });
    } else {
        // Browser globals
        root.Base64 = factory();
    }
}(this, function () {
    var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";

    var obj = {
        /**
         * Encodes a string in base64
         * @param {String} input The string to encode in base64.
         */
        encode: function (input) {
            var output = "";
            var chr1, chr2, chr3;
            var enc1, enc2, enc3, enc4;
            var i = 0;

            do {
                chr1 = input.charCodeAt(i++);
                chr2 = input.charCodeAt(i++);
                chr3 = input.charCodeAt(i++);

                enc1 = chr1 >> 2;
                enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
                enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
                enc4 = chr3 & 63;

                if (isNaN(chr2)) {
                    enc2 = ((chr1 & 3) << 4);
                    enc3 = enc4 = 64;
                } else if (isNaN(chr3)) {
                    enc4 = 64;
                }

                output = output + keyStr.charAt(enc1) + keyStr.charAt(enc2) +
                    keyStr.charAt(enc3) + keyStr.charAt(enc4);
            } while (i < input.length);

            return output;
        },

        /**
         * Decodes a base64 string.
         * @param {String} input The string to decode.
         */
        decode: function (input) {
            var output = "";
            var chr1, chr2, chr3;
            var enc1, enc2, enc3, enc4;
            var i = 0;

            // remove all characters that are not A-Z, a-z, 0-9, +, /, or =
            input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");

            do {
                enc1 = keyStr.indexOf(input.charAt(i++));
                enc2 = keyStr.indexOf(input.charAt(i++));
                enc3 = keyStr.indexOf(input.charAt(i++));
                enc4 = keyStr.indexOf(input.charAt(i++));

                chr1 = (enc1 << 2) | (enc2 >> 4);
                chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
                chr3 = ((enc3 & 3) << 6) | enc4;

                output = output + String.fromCharCode(chr1);

                if (enc3 != 64) {
                    output = output + String.fromCharCode(chr2);
                }
                if (enc4 != 64) {
                    output = output + String.fromCharCode(chr3);
                }
            } while (i < input.length);

            return output;
        }
    };
    return obj;
}));

/*
 * A JavaScript implementation of the Secure Hash Algorithm, SHA-1, as defined
 * in FIPS PUB 180-1
 * Version 2.1a Copyright Paul Johnston 2000 - 2002.
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for details.
 */

// this is far from perfect
var SH1Source = '!function(a,b){"function"==typeof define&&define.amd?define("strophe-sha1",function(){return b()}):a.SHA1=b()}(this,function(){function a(a,d){a[d>>5]|=128<<24-d%32,a[(d+64>>9<<4)+15]=d;var m,n,o,p,q,r,s,t,g=new Array(80),h=1732584193,i=-271733879,j=-1732584194,k=271733878,l=-1009589776;for(m=0;m<a.length;m+=16){for(p=h,q=i,r=j,s=k,t=l,n=0;80>n;n++)g[n]=16>n?a[m+n]:f(g[n-3]^g[n-8]^g[n-14]^g[n-16],1),o=e(e(f(h,5),b(n,i,j,k)),e(e(l,g[n]),c(n))),l=k,k=j,j=f(i,30),i=h,h=o;h=e(h,p),i=e(i,q),j=e(j,r),k=e(k,s),l=e(l,t)}return[h,i,j,k,l]}function b(a,b,c,d){return 20>a?b&c|~b&d:40>a?b^c^d:60>a?b&c|b&d|c&d:b^c^d}function c(a){return 20>a?1518500249:40>a?1859775393:60>a?-1894007588:-899497514}function d(b,c){var d=g(b);d.length>16&&(d=a(d,8*b.length));for(var e=new Array(16),f=new Array(16),h=0;16>h;h++)e[h]=909522486^d[h],f[h]=1549556828^d[h];var i=a(e.concat(g(c)),512+8*c.length);return a(f.concat(i),672)}function e(a,b){var c=(65535&a)+(65535&b),d=(a>>16)+(b>>16)+(c>>16);return d<<16|65535&c}function f(a,b){return a<<b|a>>>32-b}function g(a){for(var b=[],c=255,d=0;d<8*a.length;d+=8)b[d>>5]|=(a.charCodeAt(d/8)&c)<<24-d%32;return b}function h(a){for(var b="",c=255,d=0;d<32*a.length;d+=8)b+=String.fromCharCode(a[d>>5]>>>24-d%32&c);return b}function i(a){for(var d,e,b="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",c="",f=0;f<4*a.length;f+=3)for(d=(255&a[f>>2]>>8*(3-f%4))<<16|(255&a[f+1>>2]>>8*(3-(f+1)%4))<<8|255&a[f+2>>2]>>8*(3-(f+2)%4),e=0;4>e;e++)c+=8*f+6*e>32*a.length?"=":b.charAt(63&d>>6*(3-e));return c}return{b64_hmac_sha1:function(a,b){return i(d(a,b))},b64_sha1:function(b){return i(a(g(b),8*b.length))},binb2str:h,core_hmac_sha1:d,str_hmac_sha1:function(a,b){return h(d(a,b))},str_sha1:function(b){return h(a(g(b),8*b.length))}}});';

/*
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 */

/*
 * Everything that isn't used by Strophe has been stripped here!
 */

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define('strophe-md5', function () {
            return factory();
        });
    } else {
        // Browser globals
        root.MD5 = factory();
    }
}(this, function (b) {
    /*
     * Add integers, wrapping at 2^32. This uses 16-bit operations internally
     * to work around bugs in some JS interpreters.
     */
    var safe_add = function (x, y) {
        var lsw = (x & 0xFFFF) + (y & 0xFFFF);
        var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
        return (msw << 16) | (lsw & 0xFFFF);
    };

    /*
     * Bitwise rotate a 32-bit number to the left.
     */
    var bit_rol = function (num, cnt) {
        return (num << cnt) | (num >>> (32 - cnt));
    };

    /*
     * Convert a string to an array of little-endian words
     */
    var str2binl = function (str) {
        var bin = [];
        for(var i = 0; i < str.length * 8; i += 8)
        {
            bin[i>>5] |= (str.charCodeAt(i / 8) & 255) << (i%32);
        }
        return bin;
    };

    /*
     * Convert an array of little-endian words to a string
     */
    var binl2str = function (bin) {
        var str = "";
        for(var i = 0; i < bin.length * 32; i += 8)
        {
            str += String.fromCharCode((bin[i>>5] >>> (i % 32)) & 255);
        }
        return str;
    };

    /*
     * Convert an array of little-endian words to a hex string.
     */
    var binl2hex = function (binarray) {
        var hex_tab = "0123456789abcdef";
        var str = "";
        for(var i = 0; i < binarray.length * 4; i++)
        {
            str += hex_tab.charAt((binarray[i>>2] >> ((i%4)*8+4)) & 0xF) +
                hex_tab.charAt((binarray[i>>2] >> ((i%4)*8  )) & 0xF);
        }
        return str;
    };

    /*
     * These functions implement the four basic operations the algorithm uses.
     */
    var md5_cmn = function (q, a, b, x, s, t) {
        return safe_add(bit_rol(safe_add(safe_add(a, q),safe_add(x, t)), s),b);
    };

    var md5_ff = function (a, b, c, d, x, s, t) {
        return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
    };

    var md5_gg = function (a, b, c, d, x, s, t) {
        return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
    };

    var md5_hh = function (a, b, c, d, x, s, t) {
        return md5_cmn(b ^ c ^ d, a, b, x, s, t);
    };

    var md5_ii = function (a, b, c, d, x, s, t) {
        return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
    };

    /*
     * Calculate the MD5 of an array of little-endian words, and a bit length
     */
    var core_md5 = function (x, len) {
        /* append padding */
        x[len >> 5] |= 0x80 << ((len) % 32);
        x[(((len + 64) >>> 9) << 4) + 14] = len;

        var a =  1732584193;
        var b = -271733879;
        var c = -1732584194;
        var d =  271733878;

        var olda, oldb, oldc, oldd;
        for (var i = 0; i < x.length; i += 16)
        {
            olda = a;
            oldb = b;
            oldc = c;
            oldd = d;

            a = md5_ff(a, b, c, d, x[i+ 0], 7 , -680876936);
            d = md5_ff(d, a, b, c, x[i+ 1], 12, -389564586);
            c = md5_ff(c, d, a, b, x[i+ 2], 17,  606105819);
            b = md5_ff(b, c, d, a, x[i+ 3], 22, -1044525330);
            a = md5_ff(a, b, c, d, x[i+ 4], 7 , -176418897);
            d = md5_ff(d, a, b, c, x[i+ 5], 12,  1200080426);
            c = md5_ff(c, d, a, b, x[i+ 6], 17, -1473231341);
            b = md5_ff(b, c, d, a, x[i+ 7], 22, -45705983);
            a = md5_ff(a, b, c, d, x[i+ 8], 7 ,  1770035416);
            d = md5_ff(d, a, b, c, x[i+ 9], 12, -1958414417);
            c = md5_ff(c, d, a, b, x[i+10], 17, -42063);
            b = md5_ff(b, c, d, a, x[i+11], 22, -1990404162);
            a = md5_ff(a, b, c, d, x[i+12], 7 ,  1804603682);
            d = md5_ff(d, a, b, c, x[i+13], 12, -40341101);
            c = md5_ff(c, d, a, b, x[i+14], 17, -1502002290);
            b = md5_ff(b, c, d, a, x[i+15], 22,  1236535329);

            a = md5_gg(a, b, c, d, x[i+ 1], 5 , -165796510);
            d = md5_gg(d, a, b, c, x[i+ 6], 9 , -1069501632);
            c = md5_gg(c, d, a, b, x[i+11], 14,  643717713);
            b = md5_gg(b, c, d, a, x[i+ 0], 20, -373897302);
            a = md5_gg(a, b, c, d, x[i+ 5], 5 , -701558691);
            d = md5_gg(d, a, b, c, x[i+10], 9 ,  38016083);
            c = md5_gg(c, d, a, b, x[i+15], 14, -660478335);
            b = md5_gg(b, c, d, a, x[i+ 4], 20, -405537848);
            a = md5_gg(a, b, c, d, x[i+ 9], 5 ,  568446438);
            d = md5_gg(d, a, b, c, x[i+14], 9 , -1019803690);
            c = md5_gg(c, d, a, b, x[i+ 3], 14, -187363961);
            b = md5_gg(b, c, d, a, x[i+ 8], 20,  1163531501);
            a = md5_gg(a, b, c, d, x[i+13], 5 , -1444681467);
            d = md5_gg(d, a, b, c, x[i+ 2], 9 , -51403784);
            c = md5_gg(c, d, a, b, x[i+ 7], 14,  1735328473);
            b = md5_gg(b, c, d, a, x[i+12], 20, -1926607734);

            a = md5_hh(a, b, c, d, x[i+ 5], 4 , -378558);
            d = md5_hh(d, a, b, c, x[i+ 8], 11, -2022574463);
            c = md5_hh(c, d, a, b, x[i+11], 16,  1839030562);
            b = md5_hh(b, c, d, a, x[i+14], 23, -35309556);
            a = md5_hh(a, b, c, d, x[i+ 1], 4 , -1530992060);
            d = md5_hh(d, a, b, c, x[i+ 4], 11,  1272893353);
            c = md5_hh(c, d, a, b, x[i+ 7], 16, -155497632);
            b = md5_hh(b, c, d, a, x[i+10], 23, -1094730640);
            a = md5_hh(a, b, c, d, x[i+13], 4 ,  681279174);
            d = md5_hh(d, a, b, c, x[i+ 0], 11, -358537222);
            c = md5_hh(c, d, a, b, x[i+ 3], 16, -722521979);
            b = md5_hh(b, c, d, a, x[i+ 6], 23,  76029189);
            a = md5_hh(a, b, c, d, x[i+ 9], 4 , -640364487);
            d = md5_hh(d, a, b, c, x[i+12], 11, -421815835);
            c = md5_hh(c, d, a, b, x[i+15], 16,  530742520);
            b = md5_hh(b, c, d, a, x[i+ 2], 23, -995338651);

            a = md5_ii(a, b, c, d, x[i+ 0], 6 , -198630844);
            d = md5_ii(d, a, b, c, x[i+ 7], 10,  1126891415);
            c = md5_ii(c, d, a, b, x[i+14], 15, -1416354905);
            b = md5_ii(b, c, d, a, x[i+ 5], 21, -57434055);
            a = md5_ii(a, b, c, d, x[i+12], 6 ,  1700485571);
            d = md5_ii(d, a, b, c, x[i+ 3], 10, -1894986606);
            c = md5_ii(c, d, a, b, x[i+10], 15, -1051523);
            b = md5_ii(b, c, d, a, x[i+ 1], 21, -2054922799);
            a = md5_ii(a, b, c, d, x[i+ 8], 6 ,  1873313359);
            d = md5_ii(d, a, b, c, x[i+15], 10, -30611744);
            c = md5_ii(c, d, a, b, x[i+ 6], 15, -1560198380);
            b = md5_ii(b, c, d, a, x[i+13], 21,  1309151649);
            a = md5_ii(a, b, c, d, x[i+ 4], 6 , -145523070);
            d = md5_ii(d, a, b, c, x[i+11], 10, -1120210379);
            c = md5_ii(c, d, a, b, x[i+ 2], 15,  718787259);
            b = md5_ii(b, c, d, a, x[i+ 9], 21, -343485551);

            a = safe_add(a, olda);
            b = safe_add(b, oldb);
            c = safe_add(c, oldc);
            d = safe_add(d, oldd);
        }
        return [a, b, c, d];
    };

    var obj = {
        /*
         * These are the functions you'll usually want to call.
         * They take string arguments and return either hex or base-64 encoded
         * strings.
         */
        hexdigest: function (s) {
            return binl2hex(core_md5(str2binl(s), s.length * 8));
        },

        hash: function (s) {
            return binl2str(core_md5(str2binl(s), s.length * 8));
        }
    };
    return obj;
}));

/*
    This program is distributed under the terms of the MIT license.
    Please see the LICENSE file for details.

    Copyright 2006-2008, OGG, LLC
*/

/* jshint undef: true, unused: true:, noarg: true, latedef: true */

/** PrivateFunction: Function.prototype.bind
 *  Bind a function to an instance.
 *
 *  This Function object extension method creates a bound method similar
 *  to those in Python.  This means that the 'this' object will point
 *  to the instance you want.  See
 *  <a href='https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Function/bind'>MDC's bind() documentation</a> and
 *  <a href='http://benjamin.smedbergs.us/blog/2007-01-03/bound-functions-and-function-imports-in-javascript/'>Bound Functions and Function Imports in JavaScript</a>
 *  for a complete explanation.
 *
 *  This extension already exists in some browsers (namely, Firefox 3), but
 *  we provide it to support those that don't.
 *
 *  Parameters:
 *    (Object) obj - The object that will become 'this' in the bound function.
 *    (Object) argN - An option argument that will be prepended to the
 *      arguments given for the function call
 *
 *  Returns:
 *    The bound function.
 */
if (!Function.prototype.bind) {
    Function.prototype.bind = function (obj /*, arg1, arg2, ... */)
    {
        var func = this;
        var _slice = Array.prototype.slice;
        var _concat = Array.prototype.concat;
        var _args = _slice.call(arguments, 1);

        return function () {
            return func.apply(obj ? obj : this,
                              _concat.call(_args,
                                           _slice.call(arguments, 0)));
        };
    };
}

/** PrivateFunction: Array.isArray
 *  This is a polyfill for the ES5 Array.isArray method.
 */
if (!Array.isArray) {
    Array.isArray = function(arg) {
        return Object.prototype.toString.call(arg) === '[object Array]';
    };
}

/** PrivateFunction: Array.prototype.indexOf
 *  Return the index of an object in an array.
 *
 *  This function is not supplied by some JavaScript implementations, so
 *  we provide it if it is missing.  This code is from:
 *  http://developer.mozilla.org/En/Core_JavaScript_1.5_Reference:Objects:Array:indexOf
 *
 *  Parameters:
 *    (Object) elt - The object to look for.
 *    (Integer) from - The index from which to start looking. (optional).
 *
 *  Returns:
 *    The index of elt in the array or -1 if not found.
 */
if (!Array.prototype.indexOf)
    {
        Array.prototype.indexOf = function(elt /*, from*/)
        {
            var len = this.length;

            var from = Number(arguments[1]) || 0;
            from = (from < 0) ? Math.ceil(from) : Math.floor(from);
            if (from < 0) {
                from += len;
            }

            for (; from < len; from++) {
                if (from in this && this[from] === elt) {
                    return from;
                }
            }

            return -1;
        };
    }

/*
    This program is distributed under the terms of the MIT license.
    Please see the LICENSE file for details.

    Copyright 2006-2008, OGG, LLC
*/

/* jshint undef: true, unused: true:, noarg: true, latedef: true */
/*global define, document, window, setTimeout, clearTimeout, console, ActiveXObject, DOMParser */

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define('strophe-core', [
            'strophe-sha1',
            'strophe-base64',
            'strophe-md5',
            "strophe-polyfill"
        ], function () {
            return factory.apply(this, arguments);
        });
    } else {
        // Browser globals
        var o = factory(root.SHA1, root.Base64, root.MD5);
        window.Strophe =        o.Strophe;
        window.$build =         o.$build;
        window.$iq =            o.$iq;
        window.$msg =           o.$msg;
        window.$pres =          o.$pres;
        window.Base64 =         o.Base64;
        window.MD5 =            o.MD5;
    }
}(this, function (SHA1, Base64, MD5) {

var Strophe;

/** Function: $build
 *  Create a Strophe.Builder.
 *  This is an alias for 'new Strophe.Builder(name, attrs)'.
 *
 *  Parameters:
 *    (String) name - The root element name.
 *    (Object) attrs - The attributes for the root element in object notation.
 *
 *  Returns:
 *    A new Strophe.Builder object.
 */
function $build(name, attrs) { return new Strophe.Builder(name, attrs); }

/** Function: $msg
 *  Create a Strophe.Builder with a <message/> element as the root.
 *
 *  Parmaeters:
 *    (Object) attrs - The <message/> element attributes in object notation.
 *
 *  Returns:
 *    A new Strophe.Builder object.
 */
function $msg(attrs) { return new Strophe.Builder("message", attrs); }

/** Function: $iq
 *  Create a Strophe.Builder with an <iq/> element as the root.
 *
 *  Parameters:
 *    (Object) attrs - The <iq/> element attributes in object notation.
 *
 *  Returns:
 *    A new Strophe.Builder object.
 */
function $iq(attrs) { return new Strophe.Builder("iq", attrs); }

/** Function: $pres
 *  Create a Strophe.Builder with a <presence/> element as the root.
 *
 *  Parameters:
 *    (Object) attrs - The <presence/> element attributes in object notation.
 *
 *  Returns:
 *    A new Strophe.Builder object.
 */
function $pres(attrs) { return new Strophe.Builder("presence", attrs); }

/** Class: Strophe
 *  An object container for all Strophe library functions.
 *
 *  This class is just a container for all the objects and constants
 *  used in the library.  It is not meant to be instantiated, but to
 *  provide a namespace for library objects, constants, and functions.
 */
Strophe = {
    /** Constant: VERSION
     *  The version of the Strophe library. Unreleased builds will have
     *  a version of head-HASH where HASH is a partial revision.
     */
    VERSION: "1.2.2",

    /** Constants: XMPP Namespace Constants
     *  Common namespace constants from the XMPP RFCs and XEPs.
     *
     *  NS.HTTPBIND - HTTP BIND namespace from XEP 124.
     *  NS.BOSH - BOSH namespace from XEP 206.
     *  NS.CLIENT - Main XMPP client namespace.
     *  NS.AUTH - Legacy authentication namespace.
     *  NS.ROSTER - Roster operations namespace.
     *  NS.PROFILE - Profile namespace.
     *  NS.DISCO_INFO - Service discovery info namespace from XEP 30.
     *  NS.DISCO_ITEMS - Service discovery items namespace from XEP 30.
     *  NS.MUC - Multi-User Chat namespace from XEP 45.
     *  NS.SASL - XMPP SASL namespace from RFC 3920.
     *  NS.STREAM - XMPP Streams namespace from RFC 3920.
     *  NS.BIND - XMPP Binding namespace from RFC 3920.
     *  NS.SESSION - XMPP Session namespace from RFC 3920.
     *  NS.XHTML_IM - XHTML-IM namespace from XEP 71.
     *  NS.XHTML - XHTML body namespace from XEP 71.
     */
    NS: {
        HTTPBIND: "http://jabber.org/protocol/httpbind",
        BOSH: "urn:xmpp:xbosh",
        CLIENT: "jabber:client",
        AUTH: "jabber:iq:auth",
        ROSTER: "jabber:iq:roster",
        PROFILE: "jabber:iq:profile",
        DISCO_INFO: "http://jabber.org/protocol/disco#info",
        DISCO_ITEMS: "http://jabber.org/protocol/disco#items",
        MUC: "http://jabber.org/protocol/muc",
        SASL: "urn:ietf:params:xml:ns:xmpp-sasl",
        STREAM: "http://etherx.jabber.org/streams",
        FRAMING: "urn:ietf:params:xml:ns:xmpp-framing",
        BIND: "urn:ietf:params:xml:ns:xmpp-bind",
        SESSION: "urn:ietf:params:xml:ns:xmpp-session",
        VERSION: "jabber:iq:version",
        STANZAS: "urn:ietf:params:xml:ns:xmpp-stanzas",
        XHTML_IM: "http://jabber.org/protocol/xhtml-im",
        XHTML: "http://www.w3.org/1999/xhtml"
    },


    /** Constants: XHTML_IM Namespace
     *  contains allowed tags, tag attributes, and css properties.
     *  Used in the createHtml function to filter incoming html into the allowed XHTML-IM subset.
     *  See http://xmpp.org/extensions/xep-0071.html#profile-summary for the list of recommended
     *  allowed tags and their attributes.
     */
    XHTML: {
                tags: ['a','blockquote','br','cite','em','img','li','ol','p','span','strong','ul','body'],
                attributes: {
                        'a':          ['href'],
                        'blockquote': ['style'],
                        'br':         [],
                        'cite':       ['style'],
                        'em':         [],
                        'img':        ['src', 'alt', 'style', 'height', 'width'],
                        'li':         ['style'],
                        'ol':         ['style'],
                        'p':          ['style'],
                        'span':       ['style'],
                        'strong':     [],
                        'ul':         ['style'],
                        'body':       []
                },
                css: ['background-color','color','font-family','font-size','font-style','font-weight','margin-left','margin-right','text-align','text-decoration'],
                validTag: function(tag)
                {
                        for(var i = 0; i < Strophe.XHTML.tags.length; i++) {
                                if(tag == Strophe.XHTML.tags[i]) {
                                        return true;
                                }
                        }
                        return false;
                },
                validAttribute: function(tag, attribute)
                {
                        if(typeof Strophe.XHTML.attributes[tag] !== 'undefined' && Strophe.XHTML.attributes[tag].length > 0) {
                                for(var i = 0; i < Strophe.XHTML.attributes[tag].length; i++) {
                                        if(attribute == Strophe.XHTML.attributes[tag][i]) {
                                                return true;
                                        }
                                }
                        }
                        return false;
                },
                validCSS: function(style)
                {
                        for(var i = 0; i < Strophe.XHTML.css.length; i++) {
                                if(style == Strophe.XHTML.css[i]) {
                                        return true;
                                }
                        }
                        return false;
                }
    },

    /** Constants: Connection Status Constants
     *  Connection status constants for use by the connection handler
     *  callback.
     *
     *  Status.ERROR - An error has occurred
     *  Status.CONNECTING - The connection is currently being made
     *  Status.CONNFAIL - The connection attempt failed
     *  Status.AUTHENTICATING - The connection is authenticating
     *  Status.AUTHFAIL - The authentication attempt failed
     *  Status.CONNECTED - The connection has succeeded
     *  Status.DISCONNECTED - The connection has been terminated
     *  Status.DISCONNECTING - The connection is currently being terminated
     *  Status.ATTACHED - The connection has been attached
     */
    Status: {
        ERROR: 0,
        CONNECTING: 1,
        CONNFAIL: 2,
        AUTHENTICATING: 3,
        AUTHFAIL: 4,
        CONNECTED: 5,
        DISCONNECTED: 6,
        DISCONNECTING: 7,
        ATTACHED: 8,
        REDIRECT: 9
    },

    /** Constants: Log Level Constants
     *  Logging level indicators.
     *
     *  LogLevel.DEBUG - Debug output
     *  LogLevel.INFO - Informational output
     *  LogLevel.WARN - Warnings
     *  LogLevel.ERROR - Errors
     *  LogLevel.FATAL - Fatal errors
     */
    LogLevel: {
        DEBUG: 0,
        INFO: 1,
        WARN: 2,
        ERROR: 3,
        FATAL: 4
    },

    /** PrivateConstants: DOM Element Type Constants
     *  DOM element types.
     *
     *  ElementType.NORMAL - Normal element.
     *  ElementType.TEXT - Text data element.
     *  ElementType.FRAGMENT - XHTML fragment element.
     */
    ElementType: {
        NORMAL: 1,
        TEXT: 3,
        CDATA: 4,
        FRAGMENT: 11
    },

    /** PrivateConstants: Timeout Values
     *  Timeout values for error states.  These values are in seconds.
     *  These should not be changed unless you know exactly what you are
     *  doing.
     *
     *  TIMEOUT - Timeout multiplier. A waiting request will be considered
     *      failed after Math.floor(TIMEOUT * wait) seconds have elapsed.
     *      This defaults to 1.1, and with default wait, 66 seconds.
     *  SECONDARY_TIMEOUT - Secondary timeout multiplier. In cases where
     *      Strophe can detect early failure, it will consider the request
     *      failed if it doesn't return after
     *      Math.floor(SECONDARY_TIMEOUT * wait) seconds have elapsed.
     *      This defaults to 0.1, and with default wait, 6 seconds.
     */
    TIMEOUT: 1.1,
    SECONDARY_TIMEOUT: 0.1,

    /** Function: addNamespace
     *  This function is used to extend the current namespaces in
     *  Strophe.NS.  It takes a key and a value with the key being the
     *  name of the new namespace, with its actual value.
     *  For example:
     *  Strophe.addNamespace('PUBSUB', "http://jabber.org/protocol/pubsub");
     *
     *  Parameters:
     *    (String) name - The name under which the namespace will be
     *      referenced under Strophe.NS
     *    (String) value - The actual namespace.
     */
    addNamespace: function (name, value)
    {
      Strophe.NS[name] = value;
    },

    /** Function: forEachChild
     *  Map a function over some or all child elements of a given element.
     *
     *  This is a small convenience function for mapping a function over
     *  some or all of the children of an element.  If elemName is null, all
     *  children will be passed to the function, otherwise only children
     *  whose tag names match elemName will be passed.
     *
     *  Parameters:
     *    (XMLElement) elem - The element to operate on.
     *    (String) elemName - The child element tag name filter.
     *    (Function) func - The function to apply to each child.  This
     *      function should take a single argument, a DOM element.
     */
    forEachChild: function (elem, elemName, func)
    {
        var i, childNode;

        for (i = 0; i < elem.childNodes.length; i++) {
            childNode = elem.childNodes[i];
            if (childNode.nodeType == Strophe.ElementType.NORMAL &&
                (!elemName || this.isTagEqual(childNode, elemName))) {
                func(childNode);
            }
        }
    },

    /** Function: isTagEqual
     *  Compare an element's tag name with a string.
     *
     *  This function is case sensitive.
     *
     *  Parameters:
     *    (XMLElement) el - A DOM element.
     *    (String) name - The element name.
     *
     *  Returns:
     *    true if the element's tag name matches _el_, and false
     *    otherwise.
     */
    isTagEqual: function (el, name)
    {
        return el.tagName == name;
    },

    /** PrivateVariable: _xmlGenerator
     *  _Private_ variable that caches a DOM document to
     *  generate elements.
     */
    _xmlGenerator: null,

    /** PrivateFunction: _makeGenerator
     *  _Private_ function that creates a dummy XML DOM document to serve as
     *  an element and text node generator.
     */
    _makeGenerator: function () {
        var doc;

        // IE9 does implement createDocument(); however, using it will cause the browser to leak memory on page unload.
        // Here, we test for presence of createDocument() plus IE's proprietary documentMode attribute, which would be
                // less than 10 in the case of IE9 and below.
        if (document.implementation.createDocument === undefined ||
                        document.implementation.createDocument && document.documentMode && document.documentMode < 10) {
            doc = this._getIEXmlDom();
            doc.appendChild(doc.createElement('strophe'));
        } else {
            doc = document.implementation
                .createDocument('jabber:client', 'strophe', null);
        }

        return doc;
    },

    /** Function: xmlGenerator
     *  Get the DOM document to generate elements.
     *
     *  Returns:
     *    The currently used DOM document.
     */
    xmlGenerator: function () {
        if (!Strophe._xmlGenerator) {
            Strophe._xmlGenerator = Strophe._makeGenerator();
        }
        return Strophe._xmlGenerator;
    },

    /** PrivateFunction: _getIEXmlDom
     *  Gets IE xml doc object
     *
     *  Returns:
     *    A Microsoft XML DOM Object
     *  See Also:
     *    http://msdn.microsoft.com/en-us/library/ms757837%28VS.85%29.aspx
     */
    _getIEXmlDom : function() {
        var doc = null;
        var docStrings = [
            "Msxml2.DOMDocument.6.0",
            "Msxml2.DOMDocument.5.0",
            "Msxml2.DOMDocument.4.0",
            "MSXML2.DOMDocument.3.0",
            "MSXML2.DOMDocument",
            "MSXML.DOMDocument",
            "Microsoft.XMLDOM"
        ];

        for (var d = 0; d < docStrings.length; d++) {
            if (doc === null) {
                try {
                    doc = new ActiveXObject(docStrings[d]);
                } catch (e) {
                    doc = null;
                }
            } else {
                break;
            }
        }

        return doc;
    },

    /** Function: xmlElement
     *  Create an XML DOM element.
     *
     *  This function creates an XML DOM element correctly across all
     *  implementations. Note that these are not HTML DOM elements, which
     *  aren't appropriate for XMPP stanzas.
     *
     *  Parameters:
     *    (String) name - The name for the element.
     *    (Array|Object) attrs - An optional array or object containing
     *      key/value pairs to use as element attributes. The object should
     *      be in the format {'key': 'value'} or {key: 'value'}. The array
     *      should have the format [['key1', 'value1'], ['key2', 'value2']].
     *    (String) text - The text child data for the element.
     *
     *  Returns:
     *    A new XML DOM element.
     */
    xmlElement: function (name)
    {
        if (!name) { return null; }

        var node = Strophe.xmlGenerator().createElement(name);

        // FIXME: this should throw errors if args are the wrong type or
        // there are more than two optional args
        var a, i, k;
        for (a = 1; a < arguments.length; a++) {
            if (!arguments[a]) { continue; }
            if (typeof(arguments[a]) == "string" ||
                typeof(arguments[a]) == "number") {
                node.appendChild(Strophe.xmlTextNode(arguments[a]));
            } else if (typeof(arguments[a]) == "object" &&
                       typeof(arguments[a].sort) == "function") {
                for (i = 0; i < arguments[a].length; i++) {
                    if (typeof(arguments[a][i]) == "object" &&
                        typeof(arguments[a][i].sort) == "function") {
                        node.setAttribute(arguments[a][i][0],
                                          arguments[a][i][1]);
                    }
                }
            } else if (typeof(arguments[a]) == "object") {
                for (k in arguments[a]) {
                    if (arguments[a].hasOwnProperty(k)) {
                        node.setAttribute(k, arguments[a][k]);
                    }
                }
            }
        }

        return node;
    },

    /*  Function: xmlescape
     *  Excapes invalid xml characters.
     *
     *  Parameters:
     *     (String) text - text to escape.
     *
     *  Returns:
     *      Escaped text.
     */
    xmlescape: function(text)
    {
        text = text.replace(/\&/g, "&amp;");
        text = text.replace(/</g,  "&lt;");
        text = text.replace(/>/g,  "&gt;");
        text = text.replace(/'/g,  "&apos;");
        text = text.replace(/"/g,  "&quot;");
        return text;
    },

    /*  Function: xmlunescape
    *  Unexcapes invalid xml characters.
    *
    *  Parameters:
    *     (String) text - text to unescape.
    *
    *  Returns:
    *      Unescaped text.
    */
    xmlunescape: function(text)
    {
        text = text.replace(/\&amp;/g, "&");
        text = text.replace(/&lt;/g,  "<");
        text = text.replace(/&gt;/g,  ">");
        text = text.replace(/&apos;/g,  "'");
        text = text.replace(/&quot;/g,  "\"");
        return text;
    },

    /** Function: xmlTextNode
     *  Creates an XML DOM text node.
     *
     *  Provides a cross implementation version of document.createTextNode.
     *
     *  Parameters:
     *    (String) text - The content of the text node.
     *
     *  Returns:
     *    A new XML DOM text node.
     */
    xmlTextNode: function (text)
    {
        return Strophe.xmlGenerator().createTextNode(text);
    },

    /** Function: xmlHtmlNode
     *  Creates an XML DOM html node.
     *
     *  Parameters:
     *    (String) html - The content of the html node.
     *
     *  Returns:
     *    A new XML DOM text node.
     */
    xmlHtmlNode: function (html)
    {
        var node;
        //ensure text is escaped
        if (window.DOMParser) {
            var parser = new DOMParser();
            node = parser.parseFromString(html, "text/xml");
        } else {
            node = new ActiveXObject("Microsoft.XMLDOM");
            node.async="false";
            node.loadXML(html);
        }
        return node;
    },

    /** Function: getText
     *  Get the concatenation of all text children of an element.
     *
     *  Parameters:
     *    (XMLElement) elem - A DOM element.
     *
     *  Returns:
     *    A String with the concatenated text of all text element children.
     */
    getText: function (elem)
    {
        if (!elem) { return null; }

        var str = "";
        if (elem.childNodes.length === 0 && elem.nodeType ==
            Strophe.ElementType.TEXT) {
            str += elem.nodeValue;
        }

        for (var i = 0; i < elem.childNodes.length; i++) {
            if (elem.childNodes[i].nodeType == Strophe.ElementType.TEXT) {
                str += elem.childNodes[i].nodeValue;
            }
        }

        return Strophe.xmlescape(str);
    },

    /** Function: copyElement
     *  Copy an XML DOM element.
     *
     *  This function copies a DOM element and all its descendants and returns
     *  the new copy.
     *
     *  Parameters:
     *    (XMLElement) elem - A DOM element.
     *
     *  Returns:
     *    A new, copied DOM element tree.
     */
    copyElement: function (elem)
    {
        var i, el;
        if (elem.nodeType == Strophe.ElementType.NORMAL) {
            el = Strophe.xmlElement(elem.tagName);

            for (i = 0; i < elem.attributes.length; i++) {
                el.setAttribute(elem.attributes[i].nodeName,
                                elem.attributes[i].value);
            }

            for (i = 0; i < elem.childNodes.length; i++) {
                el.appendChild(Strophe.copyElement(elem.childNodes[i]));
            }
        } else if (elem.nodeType == Strophe.ElementType.TEXT) {
            el = Strophe.xmlGenerator().createTextNode(elem.nodeValue);
        }

        return el;
    },


    /** Function: createHtml
     *  Copy an HTML DOM element into an XML DOM.
     *
     *  This function copies a DOM element and all its descendants and returns
     *  the new copy.
     *
     *  Parameters:
     *    (HTMLElement) elem - A DOM element.
     *
     *  Returns:
     *    A new, copied DOM element tree.
     */
    createHtml: function (elem)
    {
        var i, el, j, tag, attribute, value, css, cssAttrs, attr, cssName, cssValue;
        if (elem.nodeType == Strophe.ElementType.NORMAL) {
            tag = elem.nodeName;
            if(Strophe.XHTML.validTag(tag)) {
                try {
                    el = Strophe.xmlElement(tag);
                    for(i = 0; i < Strophe.XHTML.attributes[tag].length; i++) {
                        attribute = Strophe.XHTML.attributes[tag][i];
                        value = elem.getAttribute(attribute);
                        if(typeof value == 'undefined' || value === null || value === '' || value === false || value === 0) {
                            continue;
                        }
                        if(attribute == 'style' && typeof value == 'object') {
                            if(typeof value.cssText != 'undefined') {
                                value = value.cssText; // we're dealing with IE, need to get CSS out
                            }
                        }
                        // filter out invalid css styles
                        if(attribute == 'style') {
                            css = [];
                            cssAttrs = value.split(';');
                            for(j = 0; j < cssAttrs.length; j++) {
                                attr = cssAttrs[j].split(':');
                                cssName = attr[0].replace(/^\s*/, "").replace(/\s*$/, "").toLowerCase();
                                if(Strophe.XHTML.validCSS(cssName)) {
                                    cssValue = attr[1].replace(/^\s*/, "").replace(/\s*$/, "");
                                    css.push(cssName + ': ' + cssValue);
                                }
                            }
                            if(css.length > 0) {
                                value = css.join('; ');
                                el.setAttribute(attribute, value);
                            }
                        } else {
                            el.setAttribute(attribute, value);
                        }
                    }

                    for (i = 0; i < elem.childNodes.length; i++) {
                        el.appendChild(Strophe.createHtml(elem.childNodes[i]));
                    }
                } catch(e) { // invalid elements
                  el = Strophe.xmlTextNode('');
                }
            } else {
                el = Strophe.xmlGenerator().createDocumentFragment();
                for (i = 0; i < elem.childNodes.length; i++) {
                    el.appendChild(Strophe.createHtml(elem.childNodes[i]));
                }
            }
        } else if (elem.nodeType == Strophe.ElementType.FRAGMENT) {
            el = Strophe.xmlGenerator().createDocumentFragment();
            for (i = 0; i < elem.childNodes.length; i++) {
                el.appendChild(Strophe.createHtml(elem.childNodes[i]));
            }
        } else if (elem.nodeType == Strophe.ElementType.TEXT) {
            el = Strophe.xmlTextNode(elem.nodeValue);
        }

        return el;
    },

    /** Function: escapeNode
     *  Escape the node part (also called local part) of a JID.
     *
     *  Parameters:
     *    (String) node - A node (or local part).
     *
     *  Returns:
     *    An escaped node (or local part).
     */
    escapeNode: function (node)
    {
        if (typeof node !== "string") { return node; }
        return node.replace(/^\s+|\s+$/g, '')
            .replace(/\\/g,  "\\5c")
            .replace(/ /g,   "\\20")
            .replace(/\"/g,  "\\22")
            .replace(/\&/g,  "\\26")
            .replace(/\'/g,  "\\27")
            .replace(/\//g,  "\\2f")
            .replace(/:/g,   "\\3a")
            .replace(/</g,   "\\3c")
            .replace(/>/g,   "\\3e")
            .replace(/@/g,   "\\40");
    },

    /** Function: unescapeNode
     *  Unescape a node part (also called local part) of a JID.
     *
     *  Parameters:
     *    (String) node - A node (or local part).
     *
     *  Returns:
     *    An unescaped node (or local part).
     */
    unescapeNode: function (node)
    {
        if (typeof node !== "string") { return node; }
        return node.replace(/\\20/g, " ")
            .replace(/\\22/g, '"')
            .replace(/\\26/g, "&")
            .replace(/\\27/g, "'")
            .replace(/\\2f/g, "/")
            .replace(/\\3a/g, ":")
            .replace(/\\3c/g, "<")
            .replace(/\\3e/g, ">")
            .replace(/\\40/g, "@")
            .replace(/\\5c/g, "\\");
    },

    /** Function: getNodeFromJid
     *  Get the node portion of a JID String.
     *
     *  Parameters:
     *    (String) jid - A JID.
     *
     *  Returns:
     *    A String containing the node.
     */
    getNodeFromJid: function (jid)
    {
        if (jid.indexOf("@") < 0) { return null; }
        return jid.split("@")[0];
    },

    /** Function: getDomainFromJid
     *  Get the domain portion of a JID String.
     *
     *  Parameters:
     *    (String) jid - A JID.
     *
     *  Returns:
     *    A String containing the domain.
     */
    getDomainFromJid: function (jid)
    {
        var bare = Strophe.getBareJidFromJid(jid);
        if (bare.indexOf("@") < 0) {
            return bare;
        } else {
            var parts = bare.split("@");
            parts.splice(0, 1);
            return parts.join('@');
        }
    },

    /** Function: getResourceFromJid
     *  Get the resource portion of a JID String.
     *
     *  Parameters:
     *    (String) jid - A JID.
     *
     *  Returns:
     *    A String containing the resource.
     */
    getResourceFromJid: function (jid)
    {
        var s = jid.split("/");
        if (s.length < 2) { return null; }
        s.splice(0, 1);
        return s.join('/');
    },

    /** Function: getBareJidFromJid
     *  Get the bare JID from a JID String.
     *
     *  Parameters:
     *    (String) jid - A JID.
     *
     *  Returns:
     *    A String containing the bare JID.
     */
    getBareJidFromJid: function (jid)
    {
        return jid ? jid.split("/")[0] : null;
    },

    /** Function: log
     *  User overrideable logging function.
     *
     *  This function is called whenever the Strophe library calls any
     *  of the logging functions.  The default implementation of this
     *  function does nothing.  If client code wishes to handle the logging
     *  messages, it should override this with
     *  > Strophe.log = function (level, msg) {
     *  >   (user code here)
     *  > };
     *
     *  Please note that data sent and received over the wire is logged
     *  via Strophe.Connection.rawInput() and Strophe.Connection.rawOutput().
     *
     *  The different levels and their meanings are
     *
     *    DEBUG - Messages useful for debugging purposes.
     *    INFO - Informational messages.  This is mostly information like
     *      'disconnect was called' or 'SASL auth succeeded'.
     *    WARN - Warnings about potential problems.  This is mostly used
     *      to report transient connection errors like request timeouts.
     *    ERROR - Some error occurred.
     *    FATAL - A non-recoverable fatal error occurred.
     *
     *  Parameters:
     *    (Integer) level - The log level of the log message.  This will
     *      be one of the values in Strophe.LogLevel.
     *    (String) msg - The log message.
     */
    /* jshint ignore:start */
    log: function (level, msg)
    {
        return;
    },
    /* jshint ignore:end */

    /** Function: debug
     *  Log a message at the Strophe.LogLevel.DEBUG level.
     *
     *  Parameters:
     *    (String) msg - The log message.
     */
    debug: function(msg)
    {
        this.log(this.LogLevel.DEBUG, msg);
    },

    /** Function: info
     *  Log a message at the Strophe.LogLevel.INFO level.
     *
     *  Parameters:
     *    (String) msg - The log message.
     */
    info: function (msg)
    {
        this.log(this.LogLevel.INFO, msg);
    },

    /** Function: warn
     *  Log a message at the Strophe.LogLevel.WARN level.
     *
     *  Parameters:
     *    (String) msg - The log message.
     */
    warn: function (msg)
    {
        this.log(this.LogLevel.WARN, msg);
    },

    /** Function: error
     *  Log a message at the Strophe.LogLevel.ERROR level.
     *
     *  Parameters:
     *    (String) msg - The log message.
     */
    error: function (msg)
    {
        this.log(this.LogLevel.ERROR, msg);
    },

    /** Function: fatal
     *  Log a message at the Strophe.LogLevel.FATAL level.
     *
     *  Parameters:
     *    (String) msg - The log message.
     */
    fatal: function (msg)
    {
        this.log(this.LogLevel.FATAL, msg);
    },

    /** Function: serialize
     *  Render a DOM element and all descendants to a String.
     *
     *  Parameters:
     *    (XMLElement) elem - A DOM element.
     *
     *  Returns:
     *    The serialized element tree as a String.
     */
    serialize: function (elem)
    {
        var result;

        if (!elem) { return null; }

        if (typeof(elem.tree) === "function") {
            elem = elem.tree();
        }

        var nodeName = elem.nodeName;
        var i, child;

        if (elem.getAttribute("_realname")) {
            nodeName = elem.getAttribute("_realname");
        }

        result = "<" + nodeName;
        for (i = 0; i < elem.attributes.length; i++) {
               if(elem.attributes[i].nodeName != "_realname") {
                 result += " " + elem.attributes[i].nodeName +
                "='" + elem.attributes[i].value
                    .replace(/&/g, "&amp;")
                       .replace(/\'/g, "&apos;")
                       .replace(/>/g, "&gt;")
                       .replace(/</g, "&lt;") + "'";
               }
        }

        if (elem.childNodes.length > 0) {
            result += ">";
            for (i = 0; i < elem.childNodes.length; i++) {
                child = elem.childNodes[i];
                switch( child.nodeType ){
                  case Strophe.ElementType.NORMAL:
                    // normal element, so recurse
                    result += Strophe.serialize(child);
                    break;
                  case Strophe.ElementType.TEXT:
                    // text element to escape values
                    result += Strophe.xmlescape(child.nodeValue);
                    break;
                  case Strophe.ElementType.CDATA:
                    // cdata section so don't escape values
                    result += "<![CDATA["+child.nodeValue+"]]>";
                }
            }
            result += "</" + nodeName + ">";
        } else {
            result += "/>";
        }

        return result;
    },

    /** PrivateVariable: _requestId
     *  _Private_ variable that keeps track of the request ids for
     *  connections.
     */
    _requestId: 0,

    /** PrivateVariable: Strophe.connectionPlugins
     *  _Private_ variable Used to store plugin names that need
     *  initialization on Strophe.Connection construction.
     */
    _connectionPlugins: {},

    /** Function: addConnectionPlugin
     *  Extends the Strophe.Connection object with the given plugin.
     *
     *  Parameters:
     *    (String) name - The name of the extension.
     *    (Object) ptype - The plugin's prototype.
     */
    addConnectionPlugin: function (name, ptype)
    {
        Strophe._connectionPlugins[name] = ptype;
    }
};

/** Class: Strophe.Builder
 *  XML DOM builder.
 *
 *  This object provides an interface similar to JQuery but for building
 *  DOM element easily and rapidly.  All the functions except for toString()
 *  and tree() return the object, so calls can be chained.  Here's an
 *  example using the $iq() builder helper.
 *  > $iq({to: 'you', from: 'me', type: 'get', id: '1'})
 *  >     .c('query', {xmlns: 'strophe:example'})
 *  >     .c('example')
 *  >     .toString()
 *  The above generates this XML fragment
 *  > <iq to='you' from='me' type='get' id='1'>
 *  >   <query xmlns='strophe:example'>
 *  >     <example/>
 *  >   </query>
 *  > </iq>
 *  The corresponding DOM manipulations to get a similar fragment would be
 *  a lot more tedious and probably involve several helper variables.
 *
 *  Since adding children makes new operations operate on the child, up()
 *  is provided to traverse up the tree.  To add two children, do
 *  > builder.c('child1', ...).up().c('child2', ...)
 *  The next operation on the Builder will be relative to the second child.
 */

/** Constructor: Strophe.Builder
 *  Create a Strophe.Builder object.
 *
 *  The attributes should be passed in object notation.  For example
 *  > var b = new Builder('message', {to: 'you', from: 'me'});
 *  or
 *  > var b = new Builder('messsage', {'xml:lang': 'en'});
 *
 *  Parameters:
 *    (String) name - The name of the root element.
 *    (Object) attrs - The attributes for the root element in object notation.
 *
 *  Returns:
 *    A new Strophe.Builder.
 */
Strophe.Builder = function (name, attrs)
{
    // Set correct namespace for jabber:client elements
    if (name == "presence" || name == "message" || name == "iq") {
        if (attrs && !attrs.xmlns) {
            attrs.xmlns = Strophe.NS.CLIENT;
        } else if (!attrs) {
            attrs = {xmlns: Strophe.NS.CLIENT};
        }
    }

    // Holds the tree being built.
    this.nodeTree = Strophe.xmlElement(name, attrs);

    // Points to the current operation node.
    this.node = this.nodeTree;
};

Strophe.Builder.prototype = {
    /** Function: tree
     *  Return the DOM tree.
     *
     *  This function returns the current DOM tree as an element object.  This
     *  is suitable for passing to functions like Strophe.Connection.send().
     *
     *  Returns:
     *    The DOM tree as a element object.
     */
    tree: function ()
    {
        return this.nodeTree;
    },

    /** Function: toString
     *  Serialize the DOM tree to a String.
     *
     *  This function returns a string serialization of the current DOM
     *  tree.  It is often used internally to pass data to a
     *  Strophe.Request object.
     *
     *  Returns:
     *    The serialized DOM tree in a String.
     */
    toString: function ()
    {
        return Strophe.serialize(this.nodeTree);
    },

    /** Function: up
     *  Make the current parent element the new current element.
     *
     *  This function is often used after c() to traverse back up the tree.
     *  For example, to add two children to the same element
     *  > builder.c('child1', {}).up().c('child2', {});
     *
     *  Returns:
     *    The Stophe.Builder object.
     */
    up: function ()
    {
        this.node = this.node.parentNode;
        return this;
    },

    /** Function: attrs
     *  Add or modify attributes of the current element.
     *
     *  The attributes should be passed in object notation.  This function
     *  does not move the current element pointer.
     *
     *  Parameters:
     *    (Object) moreattrs - The attributes to add/modify in object notation.
     *
     *  Returns:
     *    The Strophe.Builder object.
     */
    attrs: function (moreattrs)
    {
        for (var k in moreattrs) {
            if (moreattrs.hasOwnProperty(k)) {
                if (moreattrs[k] === undefined) {
                    this.node.removeAttribute(k);
                } else {
                    this.node.setAttribute(k, moreattrs[k]);
                }
            }
        }
        return this;
    },

    /** Function: c
     *  Add a child to the current element and make it the new current
     *  element.
     *
     *  This function moves the current element pointer to the child,
     *  unless text is provided.  If you need to add another child, it
     *  is necessary to use up() to go back to the parent in the tree.
     *
     *  Parameters:
     *    (String) name - The name of the child.
     *    (Object) attrs - The attributes of the child in object notation.
     *    (String) text - The text to add to the child.
     *
     *  Returns:
     *    The Strophe.Builder object.
     */
    c: function (name, attrs, text)
    {
        var child = Strophe.xmlElement(name, attrs, text);
        this.node.appendChild(child);
        if (!text) {
            this.node = child;
        }
        return this;
    },

    /** Function: cnode
     *  Add a child to the current element and make it the new current
     *  element.
     *
     *  This function is the same as c() except that instead of using a
     *  name and an attributes object to create the child it uses an
     *  existing DOM element object.
     *
     *  Parameters:
     *    (XMLElement) elem - A DOM element.
     *
     *  Returns:
     *    The Strophe.Builder object.
     */
    cnode: function (elem)
    {
        var impNode;
        var xmlGen = Strophe.xmlGenerator();
        try {
            impNode = (xmlGen.importNode !== undefined);
        }
        catch (e) {
            impNode = false;
        }
        var newElem = impNode ?
                      xmlGen.importNode(elem, true) :
                      Strophe.copyElement(elem);
        this.node.appendChild(newElem);
        this.node = newElem;
        return this;
    },

    /** Function: t
     *  Add a child text element.
     *
     *  This *does not* make the child the new current element since there
     *  are no children of text elements.
     *
     *  Parameters:
     *    (String) text - The text data to append to the current element.
     *
     *  Returns:
     *    The Strophe.Builder object.
     */
    t: function (text)
    {
        var child = Strophe.xmlTextNode(text);
        this.node.appendChild(child);
        return this;
    },

    /** Function: h
     *  Replace current element contents with the HTML passed in.
     *
     *  This *does not* make the child the new current element
     *
     *  Parameters:
     *    (String) html - The html to insert as contents of current element.
     *
     *  Returns:
     *    The Strophe.Builder object.
     */
    h: function (html)
    {
        var fragment = document.createElement('body');

        // force the browser to try and fix any invalid HTML tags
        fragment.innerHTML = html;

        // copy cleaned html into an xml dom
        var xhtml = Strophe.createHtml(fragment);

        while(xhtml.childNodes.length > 0) {
            this.node.appendChild(xhtml.childNodes[0]);
        }
        return this;
    }
};

/** PrivateClass: Strophe.Handler
 *  _Private_ helper class for managing stanza handlers.
 *
 *  A Strophe.Handler encapsulates a user provided callback function to be
 *  executed when matching stanzas are received by the connection.
 *  Handlers can be either one-off or persistant depending on their
 *  return value. Returning true will cause a Handler to remain active, and
 *  returning false will remove the Handler.
 *
 *  Users will not use Strophe.Handler objects directly, but instead they
 *  will use Strophe.Connection.addHandler() and
 *  Strophe.Connection.deleteHandler().
 */

/** PrivateConstructor: Strophe.Handler
 *  Create and initialize a new Strophe.Handler.
 *
 *  Parameters:
 *    (Function) handler - A function to be executed when the handler is run.
 *    (String) ns - The namespace to match.
 *    (String) name - The element name to match.
 *    (String) type - The element type to match.
 *    (String) id - The element id attribute to match.
 *    (String) from - The element from attribute to match.
 *    (Object) options - Handler options
 *
 *  Returns:
 *    A new Strophe.Handler object.
 */
Strophe.Handler = function (handler, ns, name, type, id, from, options)
{
    this.handler = handler;
    this.ns = ns;
    this.name = name;
    this.type = type;
    this.id = id;
    this.options = options || {matchBare: false};

    // default matchBare to false if undefined
    if (!this.options.matchBare) {
        this.options.matchBare = false;
    }

    if (this.options.matchBare) {
        this.from = from ? Strophe.getBareJidFromJid(from) : null;
    } else {
        this.from = from;
    }

    // whether the handler is a user handler or a system handler
    this.user = true;
};

Strophe.Handler.prototype = {
    /** PrivateFunction: isMatch
     *  Tests if a stanza matches the Strophe.Handler.
     *
     *  Parameters:
     *    (XMLElement) elem - The XML element to test.
     *
     *  Returns:
     *    true if the stanza matches and false otherwise.
     */
    isMatch: function (elem)
    {
        var nsMatch;
        var from = null;

        if (this.options.matchBare) {
            from = Strophe.getBareJidFromJid(elem.getAttribute('from'));
        } else {
            from = elem.getAttribute('from');
        }

        nsMatch = false;
        if (!this.ns) {
            nsMatch = true;
        } else {
            var that = this;
            Strophe.forEachChild(elem, null, function (elem) {
                if (elem.getAttribute("xmlns") == that.ns) {
                    nsMatch = true;
                }
            });

            nsMatch = nsMatch || elem.getAttribute("xmlns") == this.ns;
        }

        var elem_type = elem.getAttribute("type");
        if (nsMatch &&
            (!this.name || Strophe.isTagEqual(elem, this.name)) &&
            (!this.type || (Array.isArray(this.type) ? this.type.indexOf(elem_type) != -1 : elem_type == this.type)) &&
            (!this.id || elem.getAttribute("id") == this.id) &&
            (!this.from || from == this.from)) {
                return true;
        }

        return false;
    },

    /** PrivateFunction: run
     *  Run the callback on a matching stanza.
     *
     *  Parameters:
     *    (XMLElement) elem - The DOM element that triggered the
     *      Strophe.Handler.
     *
     *  Returns:
     *    A boolean indicating if the handler should remain active.
     */
    run: function (elem)
    {
        var result = null;
        try {
            result = this.handler(elem);
        } catch (e) {
            if (e.sourceURL) {
                Strophe.fatal("error: " + this.handler +
                              " " + e.sourceURL + ":" +
                              e.line + " - " + e.name + ": " + e.message);
            } else if (e.fileName) {
                if (typeof(console) != "undefined") {
                    console.trace();
                    console.error(this.handler, " - error - ", e, e.message);
                }
                Strophe.fatal("error: " + this.handler + " " +
                              e.fileName + ":" + e.lineNumber + " - " +
                              e.name + ": " + e.message);
            } else {
                Strophe.fatal("error: " + e.message + "\n" + e.stack);
            }

            throw e;
        }

        return result;
    },

    /** PrivateFunction: toString
     *  Get a String representation of the Strophe.Handler object.
     *
     *  Returns:
     *    A String.
     */
    toString: function ()
    {
        return "{Handler: " + this.handler + "(" + this.name + "," +
            this.id + "," + this.ns + ")}";
    }
};

/** PrivateClass: Strophe.TimedHandler
 *  _Private_ helper class for managing timed handlers.
 *
 *  A Strophe.TimedHandler encapsulates a user provided callback that
 *  should be called after a certain period of time or at regular
 *  intervals.  The return value of the callback determines whether the
 *  Strophe.TimedHandler will continue to fire.
 *
 *  Users will not use Strophe.TimedHandler objects directly, but instead
 *  they will use Strophe.Connection.addTimedHandler() and
 *  Strophe.Connection.deleteTimedHandler().
 */

/** PrivateConstructor: Strophe.TimedHandler
 *  Create and initialize a new Strophe.TimedHandler object.
 *
 *  Parameters:
 *    (Integer) period - The number of milliseconds to wait before the
 *      handler is called.
 *    (Function) handler - The callback to run when the handler fires.  This
 *      function should take no arguments.
 *
 *  Returns:
 *    A new Strophe.TimedHandler object.
 */
Strophe.TimedHandler = function (period, handler)
{
    this.period = period;
    this.handler = handler;

    this.lastCalled = new Date().getTime();
    this.user = true;
};

Strophe.TimedHandler.prototype = {
    /** PrivateFunction: run
     *  Run the callback for the Strophe.TimedHandler.
     *
     *  Returns:
     *    true if the Strophe.TimedHandler should be called again, and false
     *      otherwise.
     */
    run: function ()
    {
        this.lastCalled = new Date().getTime();
        return this.handler();
    },

    /** PrivateFunction: reset
     *  Reset the last called time for the Strophe.TimedHandler.
     */
    reset: function ()
    {
        this.lastCalled = new Date().getTime();
    },

    /** PrivateFunction: toString
     *  Get a string representation of the Strophe.TimedHandler object.
     *
     *  Returns:
     *    The string representation.
     */
    toString: function ()
    {
        return "{TimedHandler: " + this.handler + "(" + this.period +")}";
    }
};

/** Class: Strophe.Connection
 *  XMPP Connection manager.
 *
 *  This class is the main part of Strophe.  It manages a BOSH connection
 *  to an XMPP server and dispatches events to the user callbacks as
 *  data arrives.  It supports SASL PLAIN, SASL DIGEST-MD5, SASL SCRAM-SHA1
 *  and legacy authentication.
 *
 *  After creating a Strophe.Connection object, the user will typically
 *  call connect() with a user supplied callback to handle connection level
 *  events like authentication failure, disconnection, or connection
 *  complete.
 *
 *  The user will also have several event handlers defined by using
 *  addHandler() and addTimedHandler().  These will allow the user code to
 *  respond to interesting stanzas or do something periodically with the
 *  connection.  These handlers will be active once authentication is
 *  finished.
 *
 *  To send data to the connection, use send().
 */

/** Constructor: Strophe.Connection
 *  Create and initialize a Strophe.Connection object.
 *
 *  The transport-protocol for this connection will be chosen automatically
 *  based on the given service parameter. URLs starting with "ws://" or
 *  "wss://" will use WebSockets, URLs starting with "http://", "https://"
 *  or without a protocol will use BOSH.
 *
 *  To make Strophe connect to the current host you can leave out the protocol
 *  and host part and just pass the path, e.g.
 *
 *  > var conn = new Strophe.Connection("/http-bind/");
 *
 *  WebSocket options:
 *
 *  If you want to connect to the current host with a WebSocket connection you
 *  can tell Strophe to use WebSockets through a "protocol" attribute in the
 *  optional options parameter. Valid values are "ws" for WebSocket and "wss"
 *  for Secure WebSocket.
 *  So to connect to "wss://CURRENT_HOSTNAME/xmpp-websocket" you would call
 *
 *  > var conn = new Strophe.Connection("/xmpp-websocket/", {protocol: "wss"});
 *
 *  Note that relative URLs _NOT_ starting with a "/" will also include the path
 *  of the current site.
 *
 *  Also because downgrading security is not permitted by browsers, when using
 *  relative URLs both BOSH and WebSocket connections will use their secure
 *  variants if the current connection to the site is also secure (https).
 *
 *  BOSH options:
 *
 *  by adding "sync" to the options, you can control if requests will
 *  be made synchronously or not. The default behaviour is asynchronous.
 *  If you want to make requests synchronous, make "sync" evaluate to true:
 *  > var conn = new Strophe.Connection("/http-bind/", {sync: true});
 *  You can also toggle this on an already established connection:
 *  > conn.options.sync = true;
 *
 *
 *  Parameters:
 *    (String) service - The BOSH or WebSocket service URL.
 *    (Object) options - A hash of configuration options
 *
 *  Returns:
 *    A new Strophe.Connection object.
 */
Strophe.Connection = function (service, options)
{
    // The service URL
    this.service = service;

    // Configuration options
    this.options = options || {};
    var proto = this.options.protocol || "";

    // Select protocal based on service or options
    if (service.indexOf("ws:") === 0 || service.indexOf("wss:") === 0 ||
            proto.indexOf("ws") === 0) {
        this._proto = new Strophe.Websocket(this);
    } else {
        this._proto = new Strophe.Bosh(this);
    }
    /* The connected JID. */
    this.jid = "";
    /* the JIDs domain */
    this.domain = null;
    /* stream:features */
    this.features = null;

    // SASL
    this._sasl_data = {};
    this.do_session = false;
    this.do_bind = false;

    // handler lists
    this.timedHandlers = [];
    this.handlers = [];
    this.removeTimeds = [];
    this.removeHandlers = [];
    this.addTimeds = [];
    this.addHandlers = [];

    this._authentication = {};
    this._idleTimeout = null;
    this._disconnectTimeout = null;

    this.do_authentication = true;
    this.authenticated = false;
    this.disconnecting = false;
    this.connected = false;

    this.paused = false;

    this._data = [];
    this._uniqueId = 0;

    this._sasl_success_handler = null;
    this._sasl_failure_handler = null;
    this._sasl_challenge_handler = null;

    // Max retries before disconnecting
    this.maxRetries = 5;

    // setup onIdle callback every 1/10th of a second
    this._idleTimeout = setTimeout(this._onIdle.bind(this), 100);

    // initialize plugins
    for (var k in Strophe._connectionPlugins) {
        if (Strophe._connectionPlugins.hasOwnProperty(k)) {
            var ptype = Strophe._connectionPlugins[k];
            // jslint complaints about the below line, but this is fine
            var F = function () {}; // jshint ignore:line
            F.prototype = ptype;
            this[k] = new F();
            this[k].init(this);
        }
    }
};

Strophe.Connection.prototype = {
    /** Function: reset
     *  Reset the connection.
     *
     *  This function should be called after a connection is disconnected
     *  before that connection is reused.
     */
    reset: function ()
    {
        this._proto._reset();

        // SASL
        this.do_session = false;
        this.do_bind = false;

        // handler lists
        this.timedHandlers = [];
        this.handlers = [];
        this.removeTimeds = [];
        this.removeHandlers = [];
        this.addTimeds = [];
        this.addHandlers = [];
        this._authentication = {};

        this.authenticated = false;
        this.disconnecting = false;
        this.connected = false;

        this._data = [];
        this._requests = [];
        this._uniqueId = 0;
    },

    /** Function: pause
     *  Pause the request manager.
     *
     *  This will prevent Strophe from sending any more requests to the
     *  server.  This is very useful for temporarily pausing
     *  BOSH-Connections while a lot of send() calls are happening quickly.
     *  This causes Strophe to send the data in a single request, saving
     *  many request trips.
     */
    pause: function ()
    {
        this.paused = true;
    },

    /** Function: resume
     *  Resume the request manager.
     *
     *  This resumes after pause() has been called.
     */
    resume: function ()
    {
        this.paused = false;
    },

    /** Function: getUniqueId
     *  Generate a unique ID for use in <iq/> elements.
     *
     *  All <iq/> stanzas are required to have unique id attributes.  This
     *  function makes creating these easy.  Each connection instance has
     *  a counter which starts from zero, and the value of this counter
     *  plus a colon followed by the suffix becomes the unique id. If no
     *  suffix is supplied, the counter is used as the unique id.
     *
     *  Suffixes are used to make debugging easier when reading the stream
     *  data, and their use is recommended.  The counter resets to 0 for
     *  every new connection for the same reason.  For connections to the
     *  same server that authenticate the same way, all the ids should be
     *  the same, which makes it easy to see changes.  This is useful for
     *  automated testing as well.
     *
     *  Parameters:
     *    (String) suffix - A optional suffix to append to the id.
     *
     *  Returns:
     *    A unique string to be used for the id attribute.
     */
    getUniqueId: function (suffix)
    {
        if (typeof(suffix) == "string" || typeof(suffix) == "number") {
            return ++this._uniqueId + ":" + suffix;
        } else {
            return ++this._uniqueId + "";
        }
    },

    /** Function: connect
     *  Starts the connection process.
     *
     *  As the connection process proceeds, the user supplied callback will
     *  be triggered multiple times with status updates.  The callback
     *  should take two arguments - the status code and the error condition.
     *
     *  The status code will be one of the values in the Strophe.Status
     *  constants.  The error condition will be one of the conditions
     *  defined in RFC 3920 or the condition 'strophe-parsererror'.
     *
     *  The Parameters _wait_, _hold_ and _route_ are optional and only relevant
     *  for BOSH connections. Please see XEP 124 for a more detailed explanation
     *  of the optional parameters.
     *
     *  Parameters:
     *    (String) jid - The user's JID.  This may be a bare JID,
     *      or a full JID.  If a node is not supplied, SASL ANONYMOUS
     *      authentication will be attempted.
     *    (String) pass - The user's password.
     *    (Function) callback - The connect callback function.
     *    (Integer) wait - The optional HTTPBIND wait value.  This is the
     *      time the server will wait before returning an empty result for
     *      a request.  The default setting of 60 seconds is recommended.
     *    (Integer) hold - The optional HTTPBIND hold value.  This is the
     *      number of connections the server will hold at one time.  This
     *      should almost always be set to 1 (the default).
     *    (String) route - The optional route value.
     *    (String) authcid - The optional alternative authentication identity
     *      (username) if intending to impersonate another user.
     */
    connect: function (jid, pass, callback, wait, hold, route, authcid)
    {
        this.jid = jid;
        /** Variable: authzid
         *  Authorization identity.
         */
        this.authzid = Strophe.getBareJidFromJid(this.jid);
        /** Variable: authcid
         *  Authentication identity (User name).
         */
        this.authcid = authcid || Strophe.getNodeFromJid(this.jid);
        /** Variable: pass
         *  Authentication identity (User password).
         */
        this.pass = pass;
        /** Variable: servtype
         *  Digest MD5 compatibility.
         */
        this.servtype = "xmpp";
        this.connect_callback = callback;
        this.disconnecting = false;
        this.connected = false;
        this.authenticated = false;

        // parse jid for domain
        this.domain = Strophe.getDomainFromJid(this.jid);

        this._changeConnectStatus(Strophe.Status.CONNECTING, null);

        this._proto._connect(wait, hold, route);
    },

    /** Function: attach
     *  Attach to an already created and authenticated BOSH session.
     *
     *  This function is provided to allow Strophe to attach to BOSH
     *  sessions which have been created externally, perhaps by a Web
     *  application.  This is often used to support auto-login type features
     *  without putting user credentials into the page.
     *
     *  Parameters:
     *    (String) jid - The full JID that is bound by the session.
     *    (String) sid - The SID of the BOSH session.
     *    (String) rid - The current RID of the BOSH session.  This RID
     *      will be used by the next request.
     *    (Function) callback The connect callback function.
     *    (Integer) wait - The optional HTTPBIND wait value.  This is the
     *      time the server will wait before returning an empty result for
     *      a request.  The default setting of 60 seconds is recommended.
     *      Other settings will require tweaks to the Strophe.TIMEOUT value.
     *    (Integer) hold - The optional HTTPBIND hold value.  This is the
     *      number of connections the server will hold at one time.  This
     *      should almost always be set to 1 (the default).
     *    (Integer) wind - The optional HTTBIND window value.  This is the
     *      allowed range of request ids that are valid.  The default is 5.
     */
    attach: function (jid, sid, rid, callback, wait, hold, wind)
    {
        this._proto._attach(jid, sid, rid, callback, wait, hold, wind);
    },

    /** Function: xmlInput
     *  User overrideable function that receives XML data coming into the
     *  connection.
     *
     *  The default function does nothing.  User code can override this with
     *  > Strophe.Connection.xmlInput = function (elem) {
     *  >   (user code)
     *  > };
     *
     *  Due to limitations of current Browsers' XML-Parsers the opening and closing
     *  <stream> tag for WebSocket-Connoctions will be passed as selfclosing here.
     *
     *  BOSH-Connections will have all stanzas wrapped in a <body> tag. See
     *  <Strophe.Bosh.strip> if you want to strip this tag.
     *
     *  Parameters:
     *    (XMLElement) elem - The XML data received by the connection.
     */
    /* jshint unused:false */
    xmlInput: function (elem)
    {
        return;
    },
    /* jshint unused:true */

    /** Function: xmlOutput
     *  User overrideable function that receives XML data sent to the
     *  connection.
     *
     *  The default function does nothing.  User code can override this with
     *  > Strophe.Connection.xmlOutput = function (elem) {
     *  >   (user code)
     *  > };
     *
     *  Due to limitations of current Browsers' XML-Parsers the opening and closing
     *  <stream> tag for WebSocket-Connoctions will be passed as selfclosing here.
     *
     *  BOSH-Connections will have all stanzas wrapped in a <body> tag. See
     *  <Strophe.Bosh.strip> if you want to strip this tag.
     *
     *  Parameters:
     *    (XMLElement) elem - The XMLdata sent by the connection.
     */
    /* jshint unused:false */
    xmlOutput: function (elem)
    {
        return;
    },
    /* jshint unused:true */

    /** Function: rawInput
     *  User overrideable function that receives raw data coming into the
     *  connection.
     *
     *  The default function does nothing.  User code can override this with
     *  > Strophe.Connection.rawInput = function (data) {
     *  >   (user code)
     *  > };
     *
     *  Parameters:
     *    (String) data - The data received by the connection.
     */
    /* jshint unused:false */
    rawInput: function (data)
    {
        return;
    },
    /* jshint unused:true */

    /** Function: rawOutput
     *  User overrideable function that receives raw data sent to the
     *  connection.
     *
     *  The default function does nothing.  User code can override this with
     *  > Strophe.Connection.rawOutput = function (data) {
     *  >   (user code)
     *  > };
     *
     *  Parameters:
     *    (String) data - The data sent by the connection.
     */
    /* jshint unused:false */
    rawOutput: function (data)
    {
        return;
    },
    /* jshint unused:true */

    /** Function: send
     *  Send a stanza.
     *
     *  This function is called to push data onto the send queue to
     *  go out over the wire.  Whenever a request is sent to the BOSH
     *  server, all pending data is sent and the queue is flushed.
     *
     *  Parameters:
     *    (XMLElement |
     *     [XMLElement] |
     *     Strophe.Builder) elem - The stanza to send.
     */
    send: function (elem)
    {
        if (elem === null) { return ; }
        if (typeof(elem.sort) === "function") {
            for (var i = 0; i < elem.length; i++) {
                this._queueData(elem[i]);
            }
        } else if (typeof(elem.tree) === "function") {
            this._queueData(elem.tree());
        } else {
            this._queueData(elem);
        }

        this._proto._send();
    },

    /** Function: flush
     *  Immediately send any pending outgoing data.
     *
     *  Normally send() queues outgoing data until the next idle period
     *  (100ms), which optimizes network use in the common cases when
     *  several send()s are called in succession. flush() can be used to
     *  immediately send all pending data.
     */
    flush: function ()
    {
        // cancel the pending idle period and run the idle function
        // immediately
        clearTimeout(this._idleTimeout);
        this._onIdle();
    },

    /** Function: sendIQ
     *  Helper function to send IQ stanzas.
     *
     *  Parameters:
     *    (XMLElement) elem - The stanza to send.
     *    (Function) callback - The callback function for a successful request.
     *    (Function) errback - The callback function for a failed or timed
     *      out request.  On timeout, the stanza will be null.
     *    (Integer) timeout - The time specified in milliseconds for a
     *      timeout to occur.
     *
     *  Returns:
     *    The id used to send the IQ.
    */
    sendIQ: function(elem, callback, errback, timeout) {
        var timeoutHandler = null;
        var that = this;

        if (typeof(elem.tree) === "function") {
            elem = elem.tree();
        }
        var id = elem.getAttribute('id');

        // inject id if not found
        if (!id) {
            id = this.getUniqueId("sendIQ");
            elem.setAttribute("id", id);
        }

        var expectedFrom = elem.getAttribute("to");
        var fulljid = this.jid;

        var handler = this.addHandler(function (stanza) {
            // remove timeout handler if there is one
            if (timeoutHandler) {
                that.deleteTimedHandler(timeoutHandler);
            }

            var acceptable = false;
            var from = stanza.getAttribute("from");
            if (from === expectedFrom ||
               (expectedFrom === null &&
                   (from === Strophe.getBareJidFromJid(fulljid) ||
                    from === Strophe.getDomainFromJid(fulljid) ||
                    from === fulljid))) {
                acceptable = true;
            }

            if (!acceptable) {
                throw {
                    name: "StropheError",
                    message: "Got answer to IQ from wrong jid:" + from +
                             "\nExpected jid: " + expectedFrom
                };
            }

            var iqtype = stanza.getAttribute('type');
            if (iqtype == 'result') {
                if (callback) {
                    callback(stanza);
                }
            } else if (iqtype == 'error') {
                if (errback) {
                    errback(stanza);
                }
            } else {
                throw {
                    name: "StropheError",
                    message: "Got bad IQ type of " + iqtype
                };
            }
        }, null, 'iq', ['error', 'result'], id);

        // if timeout specified, setup timeout handler.
        if (timeout) {
            timeoutHandler = this.addTimedHandler(timeout, function () {
                // get rid of normal handler
                that.deleteHandler(handler);
                // call errback on timeout with null stanza
                if (errback) {
                    errback(null);
                }
                return false;
            });
        }
        this.send(elem);
        return id;
    },

    /** PrivateFunction: _queueData
     *  Queue outgoing data for later sending.  Also ensures that the data
     *  is a DOMElement.
     */
    _queueData: function (element) {
        if (element === null ||
            !element.tagName ||
            !element.childNodes) {
            throw {
                name: "StropheError",
                message: "Cannot queue non-DOMElement."
            };
        }

        this._data.push(element);
    },

    /** PrivateFunction: _sendRestart
     *  Send an xmpp:restart stanza.
     */
    _sendRestart: function ()
    {
        this._data.push("restart");

        this._proto._sendRestart();

        this._idleTimeout = setTimeout(this._onIdle.bind(this), 100);
    },

    /** Function: addTimedHandler
     *  Add a timed handler to the connection.
     *
     *  This function adds a timed handler.  The provided handler will
     *  be called every period milliseconds until it returns false,
     *  the connection is terminated, or the handler is removed.  Handlers
     *  that wish to continue being invoked should return true.
     *
     *  Because of method binding it is necessary to save the result of
     *  this function if you wish to remove a handler with
     *  deleteTimedHandler().
     *
     *  Note that user handlers are not active until authentication is
     *  successful.
     *
     *  Parameters:
     *    (Integer) period - The period of the handler.
     *    (Function) handler - The callback function.
     *
     *  Returns:
     *    A reference to the handler that can be used to remove it.
     */
    addTimedHandler: function (period, handler)
    {
        var thand = new Strophe.TimedHandler(period, handler);
        this.addTimeds.push(thand);
        return thand;
    },

    /** Function: deleteTimedHandler
     *  Delete a timed handler for a connection.
     *
     *  This function removes a timed handler from the connection.  The
     *  handRef parameter is *not* the function passed to addTimedHandler(),
     *  but is the reference returned from addTimedHandler().
     *
     *  Parameters:
     *    (Strophe.TimedHandler) handRef - The handler reference.
     */
    deleteTimedHandler: function (handRef)
    {
        // this must be done in the Idle loop so that we don't change
        // the handlers during iteration
        this.removeTimeds.push(handRef);
    },

    /** Function: addHandler
     *  Add a stanza handler for the connection.
     *
     *  This function adds a stanza handler to the connection.  The
     *  handler callback will be called for any stanza that matches
     *  the parameters.  Note that if multiple parameters are supplied,
     *  they must all match for the handler to be invoked.
     *
     *  The handler will receive the stanza that triggered it as its argument.
     *  *The handler should return true if it is to be invoked again;
     *  returning false will remove the handler after it returns.*
     *
     *  As a convenience, the ns parameters applies to the top level element
     *  and also any of its immediate children.  This is primarily to make
     *  matching /iq/query elements easy.
     *
     *  The options argument contains handler matching flags that affect how
     *  matches are determined. Currently the only flag is matchBare (a
     *  boolean). When matchBare is true, the from parameter and the from
     *  attribute on the stanza will be matched as bare JIDs instead of
     *  full JIDs. To use this, pass {matchBare: true} as the value of
     *  options. The default value for matchBare is false.
     *
     *  The return value should be saved if you wish to remove the handler
     *  with deleteHandler().
     *
     *  Parameters:
     *    (Function) handler - The user callback.
     *    (String) ns - The namespace to match.
     *    (String) name - The stanza name to match.
     *    (String) type - The stanza type attribute to match.
     *    (String) id - The stanza id attribute to match.
     *    (String) from - The stanza from attribute to match.
     *    (String) options - The handler options
     *
     *  Returns:
     *    A reference to the handler that can be used to remove it.
     */
    addHandler: function (handler, ns, name, type, id, from, options)
    {
        var hand = new Strophe.Handler(handler, ns, name, type, id, from, options);
        this.addHandlers.push(hand);
        return hand;
    },

    /** Function: deleteHandler
     *  Delete a stanza handler for a connection.
     *
     *  This function removes a stanza handler from the connection.  The
     *  handRef parameter is *not* the function passed to addHandler(),
     *  but is the reference returned from addHandler().
     *
     *  Parameters:
     *    (Strophe.Handler) handRef - The handler reference.
     */
    deleteHandler: function (handRef)
    {
        // this must be done in the Idle loop so that we don't change
        // the handlers during iteration
        this.removeHandlers.push(handRef);
        // If a handler is being deleted while it is being added,
        // prevent it from getting added
        var i = this.addHandlers.indexOf(handRef);
        if (i >= 0) {
            this.addHandlers.splice(i, 1);
        }
    },

    /** Function: disconnect
     *  Start the graceful disconnection process.
     *
     *  This function starts the disconnection process.  This process starts
     *  by sending unavailable presence and sending BOSH body of type
     *  terminate.  A timeout handler makes sure that disconnection happens
     *  even if the BOSH server does not respond.
     *  If the Connection object isn't connected, at least tries to abort all pending requests
     *  so the connection object won't generate successful requests (which were already opened).
     *
     *  The user supplied connection callback will be notified of the
     *  progress as this process happens.
     *
     *  Parameters:
     *    (String) reason - The reason the disconnect is occuring.
     */
    disconnect: function (reason)
    {
        this._changeConnectStatus(Strophe.Status.DISCONNECTING, reason);

        Strophe.info("Disconnect was called because: " + reason);
        if (this.connected) {
            var pres = false;
            this.disconnecting = true;
            if (this.authenticated) {
                pres = $pres({
                    xmlns: Strophe.NS.CLIENT,
                    type: 'unavailable'
                });
            }
            // setup timeout handler
            this._disconnectTimeout = this._addSysTimedHandler(
                3000, this._onDisconnectTimeout.bind(this));
            this._proto._disconnect(pres);
        } else {
            Strophe.info("Disconnect was called before Strophe connected to the server");
            this._proto._abortAllRequests();
        }
    },

    /** PrivateFunction: _changeConnectStatus
     *  _Private_ helper function that makes sure plugins and the user's
     *  callback are notified of connection status changes.
     *
     *  Parameters:
     *    (Integer) status - the new connection status, one of the values
     *      in Strophe.Status
     *    (String) condition - the error condition or null
     */
    _changeConnectStatus: function (status, condition)
    {
        // notify all plugins listening for status changes
        for (var k in Strophe._connectionPlugins) {
            if (Strophe._connectionPlugins.hasOwnProperty(k)) {
                var plugin = this[k];
                if (plugin.statusChanged) {
                    try {
                        plugin.statusChanged(status, condition);
                    } catch (err) {
                        Strophe.error("" + k + " plugin caused an exception " +
                                      "changing status: " + err);
                    }
                }
            }
        }

        // notify the user's callback
        if (this.connect_callback) {
            try {
                this.connect_callback(status, condition);
            } catch (e) {
                Strophe.error("User connection callback caused an " +
                              "exception: " + e);
            }
        }
    },

    /** PrivateFunction: _doDisconnect
     *  _Private_ function to disconnect.
     *
     *  This is the last piece of the disconnection logic.  This resets the
     *  connection and alerts the user's connection callback.
     */
    _doDisconnect: function ()
    {
        if (typeof this._idleTimeout == "number") {
            clearTimeout(this._idleTimeout);
        }

        // Cancel Disconnect Timeout
        if (this._disconnectTimeout !== null) {
            this.deleteTimedHandler(this._disconnectTimeout);
            this._disconnectTimeout = null;
        }

        Strophe.info("_doDisconnect was called");
        this._proto._doDisconnect();

        this.authenticated = false;
        this.disconnecting = false;

        // delete handlers
        this.handlers = [];
        this.timedHandlers = [];
        this.removeTimeds = [];
        this.removeHandlers = [];
        this.addTimeds = [];
        this.addHandlers = [];

        // tell the parent we disconnected
        this._changeConnectStatus(Strophe.Status.DISCONNECTED, null);
        this.connected = false;
    },

    /** PrivateFunction: _dataRecv
     *  _Private_ handler to processes incoming data from the the connection.
     *
     *  Except for _connect_cb handling the initial connection request,
     *  this function handles the incoming data for all requests.  This
     *  function also fires stanza handlers that match each incoming
     *  stanza.
     *
     *  Parameters:
     *    (Strophe.Request) req - The request that has data ready.
     *    (string) req - The stanza a raw string (optiona).
     */
    _dataRecv: function (req, raw)
    {
        Strophe.info("_dataRecv called");
        var elem = this._proto._reqToData(req);
        if (elem === null) { return; }

        if (this.xmlInput !== Strophe.Connection.prototype.xmlInput) {
            if (elem.nodeName === this._proto.strip && elem.childNodes.length) {
                this.xmlInput(elem.childNodes[0]);
            } else {
                this.xmlInput(elem);
            }
        }
        if (this.rawInput !== Strophe.Connection.prototype.rawInput) {
            if (raw) {
                this.rawInput(raw);
            } else {
                this.rawInput(Strophe.serialize(elem));
            }
        }

        // remove handlers scheduled for deletion
        var i, hand;
        while (this.removeHandlers.length > 0) {
            hand = this.removeHandlers.pop();
            i = this.handlers.indexOf(hand);
            if (i >= 0) {
                this.handlers.splice(i, 1);
            }
        }

        // add handlers scheduled for addition
        while (this.addHandlers.length > 0) {
            this.handlers.push(this.addHandlers.pop());
        }

        // handle graceful disconnect
        if (this.disconnecting && this._proto._emptyQueue()) {
            this._doDisconnect();
            return;
        }

        var type = elem.getAttribute("type");
        var cond, conflict;
        if (type !== null && type == "terminate") {
            // Don't process stanzas that come in after disconnect
            if (this.disconnecting) {
                return;
            }

            // an error occurred
            cond = elem.getAttribute("condition");
            conflict = elem.getElementsByTagName("conflict");
            if (cond !== null) {
                if (cond == "remote-stream-error" && conflict.length > 0) {
                    cond = "conflict";
                }
                this._changeConnectStatus(Strophe.Status.CONNFAIL, cond);
            } else {
                this._changeConnectStatus(Strophe.Status.CONNFAIL, "unknown");
            }
            this._doDisconnect();
            return;
        }

        // send each incoming stanza through the handler chain
        var that = this;
        Strophe.forEachChild(elem, null, function (child) {
            var i, newList;
            // process handlers
            newList = that.handlers;
            that.handlers = [];
            for (i = 0; i < newList.length; i++) {
                var hand = newList[i];
                // encapsulate 'handler.run' not to lose the whole handler list if
                // one of the handlers throws an exception
                try {
                    if (hand.isMatch(child) &&
                        (that.authenticated || !hand.user)) {
                        if (hand.run(child)) {
                            that.handlers.push(hand);
                        }
                    } else {
                        that.handlers.push(hand);
                    }
                } catch(e) {
                    // if the handler throws an exception, we consider it as false
                    Strophe.warn('Removing Strophe handlers due to uncaught exception: ' + e.message);
                }
            }
        });
    },


    /** Attribute: mechanisms
     *  SASL Mechanisms available for Conncection.
     */
    mechanisms: {},

    /** PrivateFunction: _connect_cb
     *  _Private_ handler for initial connection request.
     *
     *  This handler is used to process the initial connection request
     *  response from the BOSH server. It is used to set up authentication
     *  handlers and start the authentication process.
     *
     *  SASL authentication will be attempted if available, otherwise
     *  the code will fall back to legacy authentication.
     *
     *  Parameters:
     *    (Strophe.Request) req - The current request.
     *    (Function) _callback - low level (xmpp) connect callback function.
     *      Useful for plugins with their own xmpp connect callback (when their)
     *      want to do something special).
     */
    _connect_cb: function (req, _callback, raw)
    {
        Strophe.info("_connect_cb was called");

        this.connected = true;

        var bodyWrap = this._proto._reqToData(req);
        if (!bodyWrap) { return; }

        if (this.xmlInput !== Strophe.Connection.prototype.xmlInput) {
            if (bodyWrap.nodeName === this._proto.strip && bodyWrap.childNodes.length) {
                this.xmlInput(bodyWrap.childNodes[0]);
            } else {
                this.xmlInput(bodyWrap);
            }
        }
        if (this.rawInput !== Strophe.Connection.prototype.rawInput) {
            if (raw) {
                this.rawInput(raw);
            } else {
                this.rawInput(Strophe.serialize(bodyWrap));
            }
        }

        var conncheck = this._proto._connect_cb(bodyWrap);
        if (conncheck === Strophe.Status.CONNFAIL) {
            return;
        }

        this._authentication.sasl_scram_sha1 = false;
        this._authentication.sasl_plain = false;
        this._authentication.sasl_digest_md5 = false;
        this._authentication.sasl_anonymous = false;

        this._authentication.legacy_auth = false;

        // Check for the stream:features tag
        var hasFeatures = bodyWrap.getElementsByTagNameNS(Strophe.NS.STREAM, "features").length > 0;
        var mechanisms = bodyWrap.getElementsByTagName("mechanism");
        var matched = [];
        var i, mech, found_authentication = false;
        if (!hasFeatures) {
            this._proto._no_auth_received(_callback);
            return;
        }
        if (mechanisms.length > 0) {
            for (i = 0; i < mechanisms.length; i++) {
                mech = Strophe.getText(mechanisms[i]);
                if (this.mechanisms[mech]) matched.push(this.mechanisms[mech]);
            }
        }
        this._authentication.legacy_auth =
            bodyWrap.getElementsByTagName("auth").length > 0;
        found_authentication = this._authentication.legacy_auth ||
            matched.length > 0;
        if (!found_authentication) {
            this._proto._no_auth_received(_callback);
            return;
        }
        if (this.do_authentication !== false)
            this.authenticate(matched);
    },

    /** Function: authenticate
     * Set up authentication
     *
     *  Contiunues the initial connection request by setting up authentication
     *  handlers and start the authentication process.
     *
     *  SASL authentication will be attempted if available, otherwise
     *  the code will fall back to legacy authentication.
     *
     */
    authenticate: function (matched)
    {
      var i;
      // Sorting matched mechanisms according to priority.
      for (i = 0; i < matched.length - 1; ++i) {
        var higher = i;
        for (var j = i + 1; j < matched.length; ++j) {
          if (matched[j].prototype.priority > matched[higher].prototype.priority) {
            higher = j;
          }
        }
        if (higher != i) {
          var swap = matched[i];
          matched[i] = matched[higher];
          matched[higher] = swap;
        }
      }

      // run each mechanism
      var mechanism_found = false;
      for (i = 0; i < matched.length; ++i) {
        if (!matched[i].test(this)) continue;

        this._sasl_success_handler = this._addSysHandler(
          this._sasl_success_cb.bind(this), null,
          "success", null, null);
        this._sasl_failure_handler = this._addSysHandler(
          this._sasl_failure_cb.bind(this), null,
          "failure", null, null);
        this._sasl_challenge_handler = this._addSysHandler(
          this._sasl_challenge_cb.bind(this), null,
          "challenge", null, null);

        this._sasl_mechanism = new matched[i]();
        this._sasl_mechanism.onStart(this);

        var request_auth_exchange = $build("auth", {
          xmlns: Strophe.NS.SASL,
          mechanism: this._sasl_mechanism.name
        });

        if (this._sasl_mechanism.isClientFirst) {
          this._sasl_mechanism.onChallenge(this, null, function(err, response) { // jshint ignore:line
            request_auth_exchange.t(Base64.encode(response));
            this.send(request_auth_exchange.tree());
          }.bind(this)); // jshint ignore:line
        } else {
          this.send(request_auth_exchange.tree());
        }

        mechanism_found = true;
        break;
      }

      if (!mechanism_found) {
        // if none of the mechanism worked
        if (Strophe.getNodeFromJid(this.jid) === null) {
            // we don't have a node, which is required for non-anonymous
            // client connections
            this._changeConnectStatus(Strophe.Status.CONNFAIL,
                                      'x-strophe-bad-non-anon-jid');
            this.disconnect('x-strophe-bad-non-anon-jid');
        } else {
          // fall back to legacy authentication
          this._changeConnectStatus(Strophe.Status.AUTHENTICATING, null);
          this._addSysHandler(this._auth1_cb.bind(this), null, null,
                              null, "_auth_1");

          this.send($iq({
            type: "get",
            to: this.domain,
            id: "_auth_1"
          }).c("query", {
            xmlns: Strophe.NS.AUTH
          }).c("username", {}).t(Strophe.getNodeFromJid(this.jid)).tree());
        }
      }

    },

    _sasl_challenge_cb: function(elem) {
      var challenge = Base64.decode(Strophe.getText(elem));
      this._sasl_mechanism.onChallenge(this, challenge, function(err, response) {
        var stanza = $build('response', {
          xmlns: Strophe.NS.SASL
        });
        if (response !== "") {
          stanza.t(Base64.encode(response));
        }
        this.send(stanza.tree());
      }.bind(this));

      return true;
    },

    /** PrivateFunction: _auth1_cb
     *  _Private_ handler for legacy authentication.
     *
     *  This handler is called in response to the initial <iq type='get'/>
     *  for legacy authentication.  It builds an authentication <iq/> and
     *  sends it, creating a handler (calling back to _auth2_cb()) to
     *  handle the result
     *
     *  Parameters:
     *    (XMLElement) elem - The stanza that triggered the callback.
     *
     *  Returns:
     *    false to remove the handler.
     */
    /* jshint unused:false */
    _auth1_cb: function (elem)
    {
        // build plaintext auth iq
        var iq = $iq({type: "set", id: "_auth_2"})
            .c('query', {xmlns: Strophe.NS.AUTH})
            .c('username', {}).t(Strophe.getNodeFromJid(this.jid))
            .up()
            .c('password').t(this.pass);

        if (!Strophe.getResourceFromJid(this.jid)) {
            // since the user has not supplied a resource, we pick
            // a default one here.  unlike other auth methods, the server
            // cannot do this for us.
            this.jid = Strophe.getBareJidFromJid(this.jid) + '/strophe';
        }
        iq.up().c('resource', {}).t(Strophe.getResourceFromJid(this.jid));

        this._addSysHandler(this._auth2_cb.bind(this), null,
                            null, null, "_auth_2");

        this.send(iq.tree());

        return false;
    },
    /* jshint unused:true */

    /** PrivateFunction: _sasl_success_cb
     *  _Private_ handler for succesful SASL authentication.
     *
     *  Parameters:
     *    (XMLElement) elem - The matching stanza.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _sasl_success_cb: function (elem)
    {
        if (this._sasl_data["server-signature"]) {
            var serverSignature;
            var success = Base64.decode(Strophe.getText(elem));
            var attribMatch = /([a-z]+)=([^,]+)(,|$)/;
            var matches = success.match(attribMatch);
            if (matches[1] == "v") {
                serverSignature = matches[2];
            }

            if (serverSignature != this._sasl_data["server-signature"]) {
              // remove old handlers
              this.deleteHandler(this._sasl_failure_handler);
              this._sasl_failure_handler = null;
              if (this._sasl_challenge_handler) {
                this.deleteHandler(this._sasl_challenge_handler);
                this._sasl_challenge_handler = null;
              }

              this._sasl_data = {};
              return this._sasl_failure_cb(null);
            }
        }

        Strophe.info("SASL authentication succeeded.");

        if(this._sasl_mechanism)
          this._sasl_mechanism.onSuccess();

        // remove old handlers
        this.deleteHandler(this._sasl_failure_handler);
        this._sasl_failure_handler = null;
        if (this._sasl_challenge_handler) {
            this.deleteHandler(this._sasl_challenge_handler);
            this._sasl_challenge_handler = null;
        }

        var streamfeature_handlers = [];
        var wrapper = function(handlers, elem) {
            while (handlers.length) {
                this.deleteHandler(handlers.pop());
            }
            this._sasl_auth1_cb.bind(this)(elem);
            return false;
        };
        streamfeature_handlers.push(this._addSysHandler(function(elem) {
            wrapper.bind(this)(streamfeature_handlers, elem);
        }.bind(this), null, "stream:features", null, null));
        streamfeature_handlers.push(this._addSysHandler(function(elem) {
            wrapper.bind(this)(streamfeature_handlers, elem);
        }.bind(this), Strophe.NS.STREAM, "features", null, null));

        // we must send an xmpp:restart now
        this._sendRestart();

        return false;
    },

    /** PrivateFunction: _sasl_auth1_cb
     *  _Private_ handler to start stream binding.
     *
     *  Parameters:
     *    (XMLElement) elem - The matching stanza.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _sasl_auth1_cb: function (elem)
    {
        // save stream:features for future usage
        this.features = elem;

        var i, child;

        for (i = 0; i < elem.childNodes.length; i++) {
            child = elem.childNodes[i];
            if (child.nodeName == 'bind') {
                this.do_bind = true;
            }

            if (child.nodeName == 'session') {
                this.do_session = true;
            }
        }

        if (!this.do_bind) {
            this._changeConnectStatus(Strophe.Status.AUTHFAIL, null);
            return false;
        } else {
            this._addSysHandler(this._sasl_bind_cb.bind(this), null, null,
                                null, "_bind_auth_2");

            var resource = Strophe.getResourceFromJid(this.jid);
            if (resource) {
                this.send($iq({type: "set", id: "_bind_auth_2"})
                          .c('bind', {xmlns: Strophe.NS.BIND})
                          .c('resource', {}).t(resource).tree());
            } else {
                this.send($iq({type: "set", id: "_bind_auth_2"})
                          .c('bind', {xmlns: Strophe.NS.BIND})
                          .tree());
            }
        }

        return false;
    },

    /** PrivateFunction: _sasl_bind_cb
     *  _Private_ handler for binding result and session start.
     *
     *  Parameters:
     *    (XMLElement) elem - The matching stanza.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _sasl_bind_cb: function (elem)
    {
        if (elem.getAttribute("type") == "error") {
            Strophe.info("SASL binding failed.");
            var conflict = elem.getElementsByTagName("conflict"), condition;
            if (conflict.length > 0) {
                condition = 'conflict';
            }
            this._changeConnectStatus(Strophe.Status.AUTHFAIL, condition);
            return false;
        }

        // TODO - need to grab errors
        var bind = elem.getElementsByTagName("bind");
        var jidNode;
        if (bind.length > 0) {
            // Grab jid
            jidNode = bind[0].getElementsByTagName("jid");
            if (jidNode.length > 0) {
                this.jid = Strophe.getText(jidNode[0]);

                if (this.do_session) {
                    this._addSysHandler(this._sasl_session_cb.bind(this),
                                        null, null, null, "_session_auth_2");

                    this.send($iq({type: "set", id: "_session_auth_2"})
                                  .c('session', {xmlns: Strophe.NS.SESSION})
                                  .tree());
                } else {
                    this.authenticated = true;
                    this._changeConnectStatus(Strophe.Status.CONNECTED, null);
                }
            }
        } else {
            Strophe.info("SASL binding failed.");
            this._changeConnectStatus(Strophe.Status.AUTHFAIL, null);
            return false;
        }
    },

    /** PrivateFunction: _sasl_session_cb
     *  _Private_ handler to finish successful SASL connection.
     *
     *  This sets Connection.authenticated to true on success, which
     *  starts the processing of user handlers.
     *
     *  Parameters:
     *    (XMLElement) elem - The matching stanza.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _sasl_session_cb: function (elem)
    {
        if (elem.getAttribute("type") == "result") {
            this.authenticated = true;
            this._changeConnectStatus(Strophe.Status.CONNECTED, null);
        } else if (elem.getAttribute("type") == "error") {
            Strophe.info("Session creation failed.");
            this._changeConnectStatus(Strophe.Status.AUTHFAIL, null);
            return false;
        }

        return false;
    },

    /** PrivateFunction: _sasl_failure_cb
     *  _Private_ handler for SASL authentication failure.
     *
     *  Parameters:
     *    (XMLElement) elem - The matching stanza.
     *
     *  Returns:
     *    false to remove the handler.
     */
    /* jshint unused:false */
    _sasl_failure_cb: function (elem)
    {
        // delete unneeded handlers
        if (this._sasl_success_handler) {
            this.deleteHandler(this._sasl_success_handler);
            this._sasl_success_handler = null;
        }
        if (this._sasl_challenge_handler) {
            this.deleteHandler(this._sasl_challenge_handler);
            this._sasl_challenge_handler = null;
        }

        if(this._sasl_mechanism)
          this._sasl_mechanism.onFailure();
        this._changeConnectStatus(Strophe.Status.AUTHFAIL, null);
        return false;
    },
    /* jshint unused:true */

    /** PrivateFunction: _auth2_cb
     *  _Private_ handler to finish legacy authentication.
     *
     *  This handler is called when the result from the jabber:iq:auth
     *  <iq/> stanza is returned.
     *
     *  Parameters:
     *    (XMLElement) elem - The stanza that triggered the callback.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _auth2_cb: function (elem)
    {
        if (elem.getAttribute("type") == "result") {
            this.authenticated = true;
            this._changeConnectStatus(Strophe.Status.CONNECTED, null);
        } else if (elem.getAttribute("type") == "error") {
            this._changeConnectStatus(Strophe.Status.AUTHFAIL, null);
            this.disconnect('authentication failed');
        }

        return false;
    },

    /** PrivateFunction: _addSysTimedHandler
     *  _Private_ function to add a system level timed handler.
     *
     *  This function is used to add a Strophe.TimedHandler for the
     *  library code.  System timed handlers are allowed to run before
     *  authentication is complete.
     *
     *  Parameters:
     *    (Integer) period - The period of the handler.
     *    (Function) handler - The callback function.
     */
    _addSysTimedHandler: function (period, handler)
    {
        var thand = new Strophe.TimedHandler(period, handler);
        thand.user = false;
        this.addTimeds.push(thand);
        return thand;
    },

    /** PrivateFunction: _addSysHandler
     *  _Private_ function to add a system level stanza handler.
     *
     *  This function is used to add a Strophe.Handler for the
     *  library code.  System stanza handlers are allowed to run before
     *  authentication is complete.
     *
     *  Parameters:
     *    (Function) handler - The callback function.
     *    (String) ns - The namespace to match.
     *    (String) name - The stanza name to match.
     *    (String) type - The stanza type attribute to match.
     *    (String) id - The stanza id attribute to match.
     */
    _addSysHandler: function (handler, ns, name, type, id)
    {
        var hand = new Strophe.Handler(handler, ns, name, type, id);
        hand.user = false;
        this.addHandlers.push(hand);
        return hand;
    },

    /** PrivateFunction: _onDisconnectTimeout
     *  _Private_ timeout handler for handling non-graceful disconnection.
     *
     *  If the graceful disconnect process does not complete within the
     *  time allotted, this handler finishes the disconnect anyway.
     *
     *  Returns:
     *    false to remove the handler.
     */
    _onDisconnectTimeout: function ()
    {
        Strophe.info("_onDisconnectTimeout was called");

        this._proto._onDisconnectTimeout();

        // actually disconnect
        this._doDisconnect();

        return false;
    },

    /** PrivateFunction: _onIdle
     *  _Private_ handler to process events during idle cycle.
     *
     *  This handler is called every 100ms to fire timed handlers that
     *  are ready and keep poll requests going.
     */
    _onIdle: function ()
    {
        var i, thand, since, newList;

        // add timed handlers scheduled for addition
        // NOTE: we add before remove in the case a timed handler is
        // added and then deleted before the next _onIdle() call.
        while (this.addTimeds.length > 0) {
            this.timedHandlers.push(this.addTimeds.pop());
        }

        // remove timed handlers that have been scheduled for deletion
        while (this.removeTimeds.length > 0) {
            thand = this.removeTimeds.pop();
            i = this.timedHandlers.indexOf(thand);
            if (i >= 0) {
                this.timedHandlers.splice(i, 1);
            }
        }

        // call ready timed handlers
        var now = new Date().getTime();
        newList = [];
        for (i = 0; i < this.timedHandlers.length; i++) {
            thand = this.timedHandlers[i];
            if (this.authenticated || !thand.user) {
                since = thand.lastCalled + thand.period;
                if (since - now <= 0) {
                    if (thand.run()) {
                        newList.push(thand);
                    }
                } else {
                    newList.push(thand);
                }
            }
        }
        this.timedHandlers = newList;

        clearTimeout(this._idleTimeout);

        this._proto._onIdle();

        // reactivate the timer only if connected
        if (this.connected) {
            this._idleTimeout = setTimeout(this._onIdle.bind(this), 100);
        }
    }
};

/** Class: Strophe.SASLMechanism
 *
 *  encapsulates SASL authentication mechanisms.
 *
 *  User code may override the priority for each mechanism or disable it completely.
 *  See <priority> for information about changing priority and <test> for informatian on
 *  how to disable a mechanism.
 *
 *  By default, all mechanisms are enabled and the priorities are
 *
 *  SCRAM-SHA1 - 40
 *  DIGEST-MD5 - 30
 *  Plain - 20
 */

/**
 * PrivateConstructor: Strophe.SASLMechanism
 * SASL auth mechanism abstraction.
 *
 *  Parameters:
 *    (String) name - SASL Mechanism name.
 *    (Boolean) isClientFirst - If client should send response first without challenge.
 *    (Number) priority - Priority.
 *
 *  Returns:
 *    A new Strophe.SASLMechanism object.
 */
Strophe.SASLMechanism = function(name, isClientFirst, priority) {
  /** PrivateVariable: name
   *  Mechanism name.
   */
  this.name = name;
  /** PrivateVariable: isClientFirst
   *  If client sends response without initial server challenge.
   */
  this.isClientFirst = isClientFirst;
  /** Variable: priority
   *  Determines which <SASLMechanism> is chosen for authentication (Higher is better).
   *  Users may override this to prioritize mechanisms differently.
   *
   *  In the default configuration the priorities are
   *
   *  SCRAM-SHA1 - 40
   *  DIGEST-MD5 - 30
   *  Plain - 20
   *
   *  Example: (This will cause Strophe to choose the mechanism that the server sent first)
   *
   *  > Strophe.SASLMD5.priority = Strophe.SASLSHA1.priority;
   *
   *  See <SASL mechanisms> for a list of available mechanisms.
   *
   */
  this.priority = priority;
};

Strophe.SASLMechanism.prototype = {
  /**
   *  Function: test
   *  Checks if mechanism able to run.
   *  To disable a mechanism, make this return false;
   *
   *  To disable plain authentication run
   *  > Strophe.SASLPlain.test = function() {
   *  >   return false;
   *  > }
   *
   *  See <SASL mechanisms> for a list of available mechanisms.
   *
   *  Parameters:
   *    (Strophe.Connection) connection - Target Connection.
   *
   *  Returns:
   *    (Boolean) If mechanism was able to run.
   */
  /* jshint unused:false */
  test: function(connection) {
    return true;
  },
  /* jshint unused:true */

  /** PrivateFunction: onStart
   *  Called before starting mechanism on some connection.
   *
   *  Parameters:
   *    (Strophe.Connection) connection - Target Connection.
   */
  onStart: function(connection)
  {
    this._connection = connection;
  },

  /** PrivateFunction: onChallenge
   *  Called by protocol implementation on incoming challenge. If client is
   *  first (isClientFirst == true) challenge will be null on the first call.
   *
   *  Parameters:
   *    (Strophe.Connection) connection - Target Connection.
   *    (String) challenge - current challenge to handle.
   *
   *  Returns:
   *    (String) Mechanism response.
   */
  /* jshint unused:false */
  onChallenge: function(connection, challenge, callback) {
    throw new Error("You should implement challenge handling!");
  },
  /* jshint unused:true */

  /** PrivateFunction: onFailure
   *  Protocol informs mechanism implementation about SASL failure.
   */
  onFailure: function() {
    this._connection = null;
  },

  /** PrivateFunction: onSuccess
   *  Protocol informs mechanism implementation about SASL success.
   */
  onSuccess: function() {
    this._connection = null;
  }
};

  /** Constants: SASL mechanisms
   *  Available authentication mechanisms
   *
   *  Strophe.SASLAnonymous - SASL Anonymous authentication.
   *  Strophe.SASLPlain - SASL Plain authentication.
   *  Strophe.SASLMD5 - SASL Digest-MD5 authentication
   *  Strophe.SASLSHA1 - SASL SCRAM-SHA1 authentication
   */

// Building SASL callbacks

/** PrivateConstructor: SASLAnonymous
 *  SASL Anonymous authentication.
 */
Strophe.SASLAnonymous = function() {};

Strophe.SASLAnonymous.prototype = new Strophe.SASLMechanism("ANONYMOUS", false, 10);

Strophe.SASLAnonymous.test = function(connection) {
  return connection.authcid === null;
};

Strophe.Connection.prototype.mechanisms[Strophe.SASLAnonymous.prototype.name] = Strophe.SASLAnonymous;

/** PrivateConstructor: SASLPlain
 *  SASL Plain authentication.
 */
Strophe.SASLPlain = function() {};

Strophe.SASLPlain.prototype = new Strophe.SASLMechanism("PLAIN", true, 20);

Strophe.SASLPlain.test = function(connection) {
  return connection.authcid !== null;
};

Strophe.SASLPlain.prototype.onChallenge = function(connection, challenge, callback) {
  var auth_str = connection.authzid;
  auth_str = auth_str + "\u0000";
  auth_str = auth_str + connection.authcid;
  auth_str = auth_str + "\u0000";
  auth_str = auth_str + connection.pass;
  callback(null, auth_str);
};

Strophe.Connection.prototype.mechanisms[Strophe.SASLPlain.prototype.name] = Strophe.SASLPlain;

/** PrivateConstructor: SASLSHA1
 *  SASL SCRAM SHA 1 authentication.
 */
Strophe.SASLSHA1 = function() {
  this.firstChallengeDone = false;
};

/* TEST:
 * This is a simple example of a SCRAM-SHA-1 authentication exchange
 * when the client doesn't support channel bindings (username 'user' and
 * password 'pencil' are used):
 *
 * C: n,,n=user,r=fyko+d2lbbFgONRv9qkxdawL
 * S: r=fyko+d2lbbFgONRv9qkxdawL3rfcNHYJY1ZVvWVs7j,s=QSXCR+Q6sek8bf92,
 * i=4096
 * C: c=biws,r=fyko+d2lbbFgONRv9qkxdawL3rfcNHYJY1ZVvWVs7j,
 * p=v0X8v3Bz2T0CJGbJQyF0X+HI4Ts=
 * S: v=rmF9pqV8S7suAoZWja4dJRkFsKQ=
 *
 */

Strophe.SASLSHA1.prototype = new Strophe.SASLMechanism("SCRAM-SHA-1", true, 40);

Strophe.SASLSHA1.test = function(connection) {
  return connection.authcid !== null;
};

Strophe.SASLSHA1.prototype.onChallenge = function(connection, challenge, test_cnonce, callback) {
  var cnonce;

  if (!callback && test_cnonce.call) {
    callback = test_cnonce;
    test_cnonce = null;
  }

  if (!this.firstChallengeDone) {
    cnonce = test_cnonce || MD5.hexdigest(Math.random() * 1234567890);

    var auth_str = "n=" + connection.authcid;
    auth_str += ",r=";
    auth_str += cnonce;

    connection._sasl_data.cnonce = cnonce;
    connection._sasl_data["client-first-message-bare"] = auth_str;

    auth_str = "n,," + auth_str;

    this.firstChallengeDone = true;

    callback(null, auth_str);
  } else {

    var nonce, salt, iter;
    var responseText = "c=biws,";
    var authMessage = connection._sasl_data["client-first-message-bare"] + "," +
        challenge + ",";
    cnonce = connection._sasl_data.cnonce;
    var attribMatch = /([a-z]+)=([^,]+)(,|$)/;

    while (challenge.match(attribMatch)) {
      var matches = challenge.match(attribMatch);
      challenge = challenge.replace(matches[0], "");
      switch (matches[1]) {
        case "r":
          nonce = matches[2];
          break;
        case "s":
          salt = matches[2];
          break;
        case "i":
          iter = matches[2];
          break;
      }
    }

    if (nonce.substr(0, cnonce.length) !== cnonce) {
      connection._sasl_data = {};
      return connection._sasl_failure_cb();
    }

    responseText += "r=" + nonce;
    authMessage += responseText;

    salt = Base64.decode(salt);
    salt += "\x00\x00\x00\x01";

    // Push the SHA1 source to the worker context and make the computations in the background.
    this.computeChallenge(SH1Source, iter, connection.pass, authMessage, salt,
        function(err, clientKey, serverSignature) {
      connection._sasl_data["server-signature"] = serverSignature;
      responseText += ",p=" + Base64.encode(clientKey);
      callback(null, responseText);
    });
  }
};

Strophe.SASLSHA1.prototype.computeChallenge = function(depsCode, iter, connectionPass, authMessage, salt, callback) {
  // no shared context between calls to the worker
  // creates SH1 namespace in the worker's context
  eval(depsCode); // jshint ignore:line
  var Hi, U, U_old, i, k;
  var clientKey, serverKey, clientSignature;

  Hi = U_old = SHA1.core_hmac_sha1(connectionPass, salt);
  for (i = 1; i < iter; i++) {
    U = SHA1.core_hmac_sha1(connectionPass, SHA1.binb2str(U_old));
    for (k = 0; k < 5; k++) {
      Hi[k] ^= U[k];
    }
    U_old = U;
  }
  Hi = SHA1.binb2str(Hi);

  clientKey = SHA1.core_hmac_sha1(Hi, "Client Key");
  serverKey = SHA1.str_hmac_sha1(Hi, "Server Key");
  clientSignature = SHA1.core_hmac_sha1(SHA1.str_sha1(SHA1.binb2str(clientKey)), authMessage);
  var serverSignature = SHA1.b64_hmac_sha1(serverKey, authMessage);

  for (k = 0; k < 5; k++) {
    clientKey[k] ^= clientSignature[k];
  }

  callback(null, SHA1.binb2str(clientKey), serverSignature);
};

// IE10 and web workers issue
// https://github.com/padolsey/operative/issues/36
operative.hasWorkerSupport = operative.hasWorkerViaBlobSupport;

// Wrap it in a worker
Strophe.SASLSHA1.prototype.computeChallenge = operative(Strophe.SASLSHA1.prototype.computeChallenge);
Strophe.Connection.prototype.mechanisms[Strophe.SASLSHA1.prototype.name] = Strophe.SASLSHA1;

/** PrivateConstructor: SASLMD5
 *  SASL DIGEST MD5 authentication.
 */
Strophe.SASLMD5 = function() {};

Strophe.SASLMD5.prototype = new Strophe.SASLMechanism("DIGEST-MD5", false, 30);

Strophe.SASLMD5.test = function(connection) {
  return connection.authcid !== null;
};

/** PrivateFunction: _quote
 *  _Private_ utility function to backslash escape and quote strings.
 *
 *  Parameters:
 *    (String) str - The string to be quoted.
 *
 *  Returns:
 *    quoted string
 */
Strophe.SASLMD5.prototype._quote = function (str)
  {
    return '"' + str.replace(/\\/g, "\\\\").replace(/"/g, '\\"') + '"';
    //" end string workaround for emacs
  };


Strophe.SASLMD5.prototype.onChallenge = function(connection, challenge, test_cnonce, callback) {
  if (test_cnonce instanceof Function) {
    callback = test_cnonce;
    test_cnonce = null;
  }
  var attribMatch = /([a-z]+)=("[^"]+"|[^,"]+)(?:,|$)/;
  var cnonce = test_cnonce || MD5.hexdigest("" + (Math.random() * 1234567890));
  var realm = "";
  var host = null;
  var nonce = "";
  var qop = "";
  var matches;

  while (challenge.match(attribMatch)) {
    matches = challenge.match(attribMatch);
    challenge = challenge.replace(matches[0], "");
    matches[2] = matches[2].replace(/^"(.+)"$/, "$1");
    switch (matches[1]) {
    case "realm":
      realm = matches[2];
      break;
    case "nonce":
      nonce = matches[2];
      break;
    case "qop":
      qop = matches[2];
      break;
    case "host":
      host = matches[2];
      break;
    }
  }

  var digest_uri = connection.servtype + "/" + connection.domain;
  if (host !== null) {
    digest_uri = digest_uri + "/" + host;
  }

  var A1 = MD5.hash(connection.authcid +
                    ":" + realm + ":" + this._connection.pass) +
    ":" + nonce + ":" + cnonce;
  var A2 = 'AUTHENTICATE:' + digest_uri;

  var responseText = "";
  responseText += 'charset=utf-8,';
  responseText += 'username=' +
    this._quote(connection.authcid) + ',';
  responseText += 'realm=' + this._quote(realm) + ',';
  responseText += 'nonce=' + this._quote(nonce) + ',';
  responseText += 'nc=00000001,';
  responseText += 'cnonce=' + this._quote(cnonce) + ',';
  responseText += 'digest-uri=' + this._quote(digest_uri) + ',';
  responseText += 'response=' + MD5.hexdigest(MD5.hexdigest(A1) + ":" +
                                              nonce + ":00000001:" +
                                              cnonce + ":auth:" +
                                              MD5.hexdigest(A2)) + ",";
  responseText += 'qop=auth';

  this.onChallenge = function (connection, challenge, test_cnonce, callback)
  {
    callback(null, "");
  };

  callback(null, responseText);
};

Strophe.Connection.prototype.mechanisms[Strophe.SASLMD5.prototype.name] = Strophe.SASLMD5;

return {
    Strophe:        Strophe,
    $build:         $build,
    $msg:           $msg,
    $iq:            $iq,
    $pres:          $pres,
    SHA1:           SHA1,
    Base64:         Base64,
    MD5:            MD5,
};
}));

/*
    This program is distributed under the terms of the MIT license.
    Please see the LICENSE file for details.

    Copyright 2006-2008, OGG, LLC
*/

/* jshint undef: true, unused: true:, noarg: true, latedef: true */
/* global define, window, setTimeout, clearTimeout, XMLHttpRequest, ActiveXObject, Strophe, $build */

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define('strophe-bosh', ['strophe-core'], function (core) {
            return factory(
                core.Strophe,
                core.$build
            );
        });
    } else {
        // Browser globals
        return factory(Strophe, $build);
    }
}(this, function (Strophe, $build) {

/** PrivateClass: Strophe.Request
 *  _Private_ helper class that provides a cross implementation abstraction
 *  for a BOSH related XMLHttpRequest.
 *
 *  The Strophe.Request class is used internally to encapsulate BOSH request
 *  information.  It is not meant to be used from user's code.
 */

/** PrivateConstructor: Strophe.Request
 *  Create and initialize a new Strophe.Request object.
 *
 *  Parameters:
 *    (XMLElement) elem - The XML data to be sent in the request.
 *    (Function) func - The function that will be called when the
 *      XMLHttpRequest readyState changes.
 *    (Integer) rid - The BOSH rid attribute associated with this request.
 *    (Integer) sends - The number of times this same request has been
 *      sent.
 */
Strophe.Request = function (elem, func, rid, sends)
{
    this.id = ++Strophe._requestId;
    this.xmlData = elem;
    this.data = Strophe.serialize(elem);
    // save original function in case we need to make a new request
    // from this one.
    this.origFunc = func;
    this.func = func;
    this.rid = rid;
    this.date = NaN;
    this.sends = sends || 0;
    this.abort = false;
    this.dead = null;

    this.age = function () {
        if (!this.date) { return 0; }
        var now = new Date();
        return (now - this.date) / 1000;
    };
    this.timeDead = function () {
        if (!this.dead) { return 0; }
        var now = new Date();
        return (now - this.dead) / 1000;
    };
    this.xhr = this._newXHR();
};

Strophe.Request.prototype = {
    /** PrivateFunction: getResponse
     *  Get a response from the underlying XMLHttpRequest.
     *
     *  This function attempts to get a response from the request and checks
     *  for errors.
     *
     *  Throws:
     *    "parsererror" - A parser error occured.
     *
     *  Returns:
     *    The DOM element tree of the response.
     */
    getResponse: function ()
    {
        var node = null;
        if (this.xhr.responseXML && this.xhr.responseXML.documentElement) {
            node = this.xhr.responseXML.documentElement;
            if (node.tagName == "parsererror") {
                Strophe.error("invalid response received");
                Strophe.error("responseText: " + this.xhr.responseText);
                Strophe.error("responseXML: " +
                              Strophe.serialize(this.xhr.responseXML));
                throw "parsererror";
            }
        } else if (this.xhr.responseText) {
            Strophe.error("invalid response received");
            Strophe.error("responseText: " + this.xhr.responseText);
            Strophe.error("responseXML: " +
                          Strophe.serialize(this.xhr.responseXML));
        }

        return node;
    },

    /** PrivateFunction: _newXHR
     *  _Private_ helper function to create XMLHttpRequests.
     *
     *  This function creates XMLHttpRequests across all implementations.
     *
     *  Returns:
     *    A new XMLHttpRequest.
     */
    _newXHR: function ()
    {
        var xhr = null;
        if (window.XMLHttpRequest) {
            xhr = new XMLHttpRequest();
            if (xhr.overrideMimeType) {
                xhr.overrideMimeType("text/xml; charset=utf-8");
            }
        } else if (window.ActiveXObject) {
            xhr = new ActiveXObject("Microsoft.XMLHTTP");
        }

        // use Function.bind() to prepend ourselves as an argument
        xhr.onreadystatechange = this.func.bind(null, this);

        return xhr;
    }
};

/** Class: Strophe.Bosh
 *  _Private_ helper class that handles BOSH Connections
 *
 *  The Strophe.Bosh class is used internally by Strophe.Connection
 *  to encapsulate BOSH sessions. It is not meant to be used from user's code.
 */

/** File: bosh.js
 *  A JavaScript library to enable BOSH in Strophejs.
 *
 *  this library uses Bidirectional-streams Over Synchronous HTTP (BOSH)
 *  to emulate a persistent, stateful, two-way connection to an XMPP server.
 *  More information on BOSH can be found in XEP 124.
 */

/** PrivateConstructor: Strophe.Bosh
 *  Create and initialize a Strophe.Bosh object.
 *
 *  Parameters:
 *    (Strophe.Connection) connection - The Strophe.Connection that will use BOSH.
 *
 *  Returns:
 *    A new Strophe.Bosh object.
 */
Strophe.Bosh = function(connection) {
    this._conn = connection;
    /* request id for body tags */
    this.rid = Math.floor(Math.random() * 4294967295);
    /* The current session ID. */
    this.sid = null;

    // default BOSH values
    this.hold = 1;
    this.wait = 60;
    this.window = 5;
    this.errors = 0;

    this._requests = [];
};

Strophe.Bosh.prototype = {
    /** Variable: strip
     *
     *  BOSH-Connections will have all stanzas wrapped in a <body> tag when
     *  passed to <Strophe.Connection.xmlInput> or <Strophe.Connection.xmlOutput>.
     *  To strip this tag, User code can set <Strophe.Bosh.strip> to "body":
     *
     *  > Strophe.Bosh.prototype.strip = "body";
     *
     *  This will enable stripping of the body tag in both
     *  <Strophe.Connection.xmlInput> and <Strophe.Connection.xmlOutput>.
     */
    strip: null,

    /** PrivateFunction: _buildBody
     *  _Private_ helper function to generate the <body/> wrapper for BOSH.
     *
     *  Returns:
     *    A Strophe.Builder with a <body/> element.
     */
    _buildBody: function ()
    {
        var bodyWrap = $build('body', {
            rid: this.rid++,
            xmlns: Strophe.NS.HTTPBIND
        });

        if (this.sid !== null) {
            bodyWrap.attrs({sid: this.sid});
        }

        return bodyWrap;
    },

    /** PrivateFunction: _reset
     *  Reset the connection.
     *
     *  This function is called by the reset function of the Strophe Connection
     */
    _reset: function ()
    {
        this.rid = Math.floor(Math.random() * 4294967295);
        this.sid = null;
        this.errors = 0;
    },

    /** PrivateFunction: _connect
     *  _Private_ function that initializes the BOSH connection.
     *
     *  Creates and sends the Request that initializes the BOSH connection.
     */
    _connect: function (wait, hold, route)
    {
        this.wait = wait || this.wait;
        this.hold = hold || this.hold;
        this.errors = 0;

        // build the body tag
        var body = this._buildBody().attrs({
            to: this._conn.domain,
            "xml:lang": "en",
            wait: this.wait,
            hold: this.hold,
            content: "text/xml; charset=utf-8",
            ver: "1.6",
            "xmpp:version": "1.0",
            "xmlns:xmpp": Strophe.NS.BOSH
        });

        if(route){
            body.attrs({
                route: route
            });
        }

        var _connect_cb = this._conn._connect_cb;

        this._requests.push(
            new Strophe.Request(body.tree(),
                                this._onRequestStateChange.bind(
                                    this, _connect_cb.bind(this._conn)),
                                body.tree().getAttribute("rid")));
        this._throttledRequestHandler();
    },

    /** PrivateFunction: _attach
     *  Attach to an already created and authenticated BOSH session.
     *
     *  This function is provided to allow Strophe to attach to BOSH
     *  sessions which have been created externally, perhaps by a Web
     *  application.  This is often used to support auto-login type features
     *  without putting user credentials into the page.
     *
     *  Parameters:
     *    (String) jid - The full JID that is bound by the session.
     *    (String) sid - The SID of the BOSH session.
     *    (String) rid - The current RID of the BOSH session.  This RID
     *      will be used by the next request.
     *    (Function) callback The connect callback function.
     *    (Integer) wait - The optional HTTPBIND wait value.  This is the
     *      time the server will wait before returning an empty result for
     *      a request.  The default setting of 60 seconds is recommended.
     *      Other settings will require tweaks to the Strophe.TIMEOUT value.
     *    (Integer) hold - The optional HTTPBIND hold value.  This is the
     *      number of connections the server will hold at one time.  This
     *      should almost always be set to 1 (the default).
     *    (Integer) wind - The optional HTTBIND window value.  This is the
     *      allowed range of request ids that are valid.  The default is 5.
     */
    _attach: function (jid, sid, rid, callback, wait, hold, wind)
    {
        this._conn.jid = jid;
        this.sid = sid;
        this.rid = rid;

        this._conn.connect_callback = callback;

        this._conn.domain = Strophe.getDomainFromJid(this._conn.jid);

        this._conn.authenticated = true;
        this._conn.connected = true;

        this.wait = wait || this.wait;
        this.hold = hold || this.hold;
        this.window = wind || this.window;

        this._conn._changeConnectStatus(Strophe.Status.ATTACHED, null);
    },

    /** PrivateFunction: _connect_cb
     *  _Private_ handler for initial connection request.
     *
     *  This handler is used to process the Bosh-part of the initial request.
     *  Parameters:
     *    (Strophe.Request) bodyWrap - The received stanza.
     */
    _connect_cb: function (bodyWrap)
    {
        var typ = bodyWrap.getAttribute("type");
        var cond, conflict;
        if (typ !== null && typ == "terminate") {
            // an error occurred
            Strophe.error("BOSH-Connection failed: " + cond);
            cond = bodyWrap.getAttribute("condition");
            conflict = bodyWrap.getElementsByTagName("conflict");
            if (cond !== null) {
                if (cond == "remote-stream-error" && conflict.length > 0) {
                    cond = "conflict";
                }
                this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, cond);
            } else {
                this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, "unknown");
            }
            this._conn._doDisconnect();
            return Strophe.Status.CONNFAIL;
        }

        // check to make sure we don't overwrite these if _connect_cb is
        // called multiple times in the case of missing stream:features
        if (!this.sid) {
            this.sid = bodyWrap.getAttribute("sid");
        }
        var wind = bodyWrap.getAttribute('requests');
        if (wind) { this.window = parseInt(wind, 10); }
        var hold = bodyWrap.getAttribute('hold');
        if (hold) { this.hold = parseInt(hold, 10); }
        var wait = bodyWrap.getAttribute('wait');
        if (wait) { this.wait = parseInt(wait, 10); }
    },

    /** PrivateFunction: _disconnect
     *  _Private_ part of Connection.disconnect for Bosh
     *
     *  Parameters:
     *    (Request) pres - This stanza will be sent before disconnecting.
     */
    _disconnect: function (pres)
    {
        this._sendTerminate(pres);
    },

    /** PrivateFunction: _doDisconnect
     *  _Private_ function to disconnect.
     *
     *  Resets the SID and RID.
     */
    _doDisconnect: function ()
    {
        this.sid = null;
        this.rid = Math.floor(Math.random() * 4294967295);
    },

    /** PrivateFunction: _emptyQueue
     * _Private_ function to check if the Request queue is empty.
     *
     *  Returns:
     *    True, if there are no Requests queued, False otherwise.
     */
    _emptyQueue: function ()
    {
        return this._requests.length === 0;
    },

    /** PrivateFunction: _hitError
     *  _Private_ function to handle the error count.
     *
     *  Requests are resent automatically until their error count reaches
     *  5.  Each time an error is encountered, this function is called to
     *  increment the count and disconnect if the count is too high.
     *
     *  Parameters:
     *    (Integer) reqStatus - The request status.
     */
    _hitError: function (reqStatus)
    {
        this.errors++;
        Strophe.warn("request errored, status: " + reqStatus +
                     ", number of errors: " + this.errors);
        if (this.errors > 4) {
            this._conn._onDisconnectTimeout();
        }
    },

    /** PrivateFunction: _no_auth_received
     *
     * Called on stream start/restart when no stream:features
     * has been received and sends a blank poll request.
     */
    _no_auth_received: function (_callback)
    {
        if (_callback) {
            _callback = _callback.bind(this._conn);
        } else {
            _callback = this._conn._connect_cb.bind(this._conn);
        }
        var body = this._buildBody();
        this._requests.push(
                new Strophe.Request(body.tree(),
                    this._onRequestStateChange.bind(
                        this, _callback.bind(this._conn)),
                    body.tree().getAttribute("rid")));
        this._throttledRequestHandler();
    },

    /** PrivateFunction: _onDisconnectTimeout
     *  _Private_ timeout handler for handling non-graceful disconnection.
     *
     *  Cancels all remaining Requests and clears the queue.
     */
    _onDisconnectTimeout: function () {
        this._abortAllRequests();
    },

    /** PrivateFunction: _abortAllRequests
     *  _Private_ helper function that makes sure all pending requests are aborted.
     */
    _abortAllRequests: function _abortAllRequests() {
        var req;
        while (this._requests.length > 0) {
            req = this._requests.pop();
            req.abort = true;
            req.xhr.abort();
            // jslint complains, but this is fine. setting to empty func
            // is necessary for IE6
            req.xhr.onreadystatechange = function () {}; // jshint ignore:line
        }
    },

    /** PrivateFunction: _onIdle
     *  _Private_ handler called by Strophe.Connection._onIdle
     *
     *  Sends all queued Requests or polls with empty Request if there are none.
     */
    _onIdle: function () {
        var data = this._conn._data;

        // if no requests are in progress, poll
        if (this._conn.authenticated && this._requests.length === 0 &&
            data.length === 0 && !this._conn.disconnecting) {
            Strophe.info("no requests during idle cycle, sending " +
                         "blank request");
            data.push(null);
        }

        if (this._conn.paused) {
            return;
        }

        if (this._requests.length < 2 && data.length > 0) {
            var body = this._buildBody();
            for (var i = 0; i < data.length; i++) {
                if (data[i] !== null) {
                    if (data[i] === "restart") {
                        body.attrs({
                            to: this._conn.domain,
                            "xml:lang": "en",
                            "xmpp:restart": "true",
                            "xmlns:xmpp": Strophe.NS.BOSH
                        });
                    } else {
                        body.cnode(data[i]).up();
                    }
                }
            }
            delete this._conn._data;
            this._conn._data = [];
            this._requests.push(
                new Strophe.Request(body.tree(),
                                    this._onRequestStateChange.bind(
                                        this, this._conn._dataRecv.bind(this._conn)),
                                    body.tree().getAttribute("rid")));
            this._throttledRequestHandler();
        }

        if (this._requests.length > 0) {
            var time_elapsed = this._requests[0].age();
            if (this._requests[0].dead !== null) {
                if (this._requests[0].timeDead() >
                    Math.floor(Strophe.SECONDARY_TIMEOUT * this.wait)) {
                    this._throttledRequestHandler();
                }
            }

            if (time_elapsed > Math.floor(Strophe.TIMEOUT * this.wait)) {
                Strophe.warn("Request " +
                             this._requests[0].id +
                             " timed out, over " + Math.floor(Strophe.TIMEOUT * this.wait) +
                             " seconds since last activity");
                this._throttledRequestHandler();
            }
        }
    },

    /** PrivateFunction: _onRequestStateChange
     *  _Private_ handler for Strophe.Request state changes.
     *
     *  This function is called when the XMLHttpRequest readyState changes.
     *  It contains a lot of error handling logic for the many ways that
     *  requests can fail, and calls the request callback when requests
     *  succeed.
     *
     *  Parameters:
     *    (Function) func - The handler for the request.
     *    (Strophe.Request) req - The request that is changing readyState.
     */
    _onRequestStateChange: function (func, req)
    {
        Strophe.debug("request id " + req.id +
                      "." + req.sends + " state changed to " +
                      req.xhr.readyState);

        if (req.abort) {
            req.abort = false;
            return;
        }

        // request complete
        var reqStatus;
        if (req.xhr.readyState == 4) {
            reqStatus = 0;
            try {
                reqStatus = req.xhr.status;
            } catch (e) {
                // ignore errors from undefined status attribute.  works
                // around a browser bug
            }

            if (typeof(reqStatus) == "undefined") {
                reqStatus = 0;
            }

            if (this.disconnecting) {
                if (reqStatus >= 400) {
                    this._hitError(reqStatus);
                    return;
                }
            }

            var reqIs0 = (this._requests[0] == req);
            var reqIs1 = (this._requests[1] == req);

            if ((reqStatus > 0 && reqStatus < 500) || req.sends > 5) {
                // remove from internal queue
                this._removeRequest(req);
                Strophe.debug("request id " +
                              req.id +
                              " should now be removed");
            }

            // request succeeded
            if (reqStatus == 200) {
                // if request 1 finished, or request 0 finished and request
                // 1 is over Strophe.SECONDARY_TIMEOUT seconds old, we need to
                // restart the other - both will be in the first spot, as the
                // completed request has been removed from the queue already
                if (reqIs1 ||
                    (reqIs0 && this._requests.length > 0 &&
                     this._requests[0].age() > Math.floor(Strophe.SECONDARY_TIMEOUT * this.wait))) {
                    this._restartRequest(0);
                }
                // call handler
                Strophe.debug("request id " +
                              req.id + "." +
                              req.sends + " got 200");
                func(req);
                this.errors = 0;
            } else {
                Strophe.error("request id " +
                              req.id + "." +
                              req.sends + " error " + reqStatus +
                              " happened");
                if (reqStatus === 0 ||
                    (reqStatus >= 400 && reqStatus < 600) ||
                    reqStatus >= 12000) {
                    this._hitError(reqStatus);
                    if (reqStatus >= 400 && reqStatus < 500) {
                        this._conn._changeConnectStatus(Strophe.Status.DISCONNECTING,
                                                  null);
                        this._conn._doDisconnect();
                    }
                }
            }

            if (!((reqStatus > 0 && reqStatus < 500) ||
                  req.sends > 5)) {
                this._throttledRequestHandler();
            }
        }
    },

    /** PrivateFunction: _processRequest
     *  _Private_ function to process a request in the queue.
     *
     *  This function takes requests off the queue and sends them and
     *  restarts dead requests.
     *
     *  Parameters:
     *    (Integer) i - The index of the request in the queue.
     */
    _processRequest: function (i)
    {
        var self = this;
        var req = this._requests[i];
        var reqStatus = -1;

        try {
            if (req.xhr.readyState == 4) {
                reqStatus = req.xhr.status;
            }
        } catch (e) {
            Strophe.error("caught an error in _requests[" + i +
                          "], reqStatus: " + reqStatus);
        }

        if (typeof(reqStatus) == "undefined") {
            reqStatus = -1;
        }

        // make sure we limit the number of retries
        if (req.sends > this._conn.maxRetries) {
            this._conn._onDisconnectTimeout();
            return;
        }

        var time_elapsed = req.age();
        var primaryTimeout = (!isNaN(time_elapsed) &&
                              time_elapsed > Math.floor(Strophe.TIMEOUT * this.wait));
        var secondaryTimeout = (req.dead !== null &&
                                req.timeDead() > Math.floor(Strophe.SECONDARY_TIMEOUT * this.wait));
        var requestCompletedWithServerError = (req.xhr.readyState == 4 &&
                                               (reqStatus < 1 ||
                                                reqStatus >= 500));
        if (primaryTimeout || secondaryTimeout ||
            requestCompletedWithServerError) {
            if (secondaryTimeout) {
                Strophe.error("Request " +
                              this._requests[i].id +
                              " timed out (secondary), restarting");
            }
            req.abort = true;
            req.xhr.abort();
            // setting to null fails on IE6, so set to empty function
            req.xhr.onreadystatechange = function () {};
            this._requests[i] = new Strophe.Request(req.xmlData,
                                                    req.origFunc,
                                                    req.rid,
                                                    req.sends);
            req = this._requests[i];
        }

        if (req.xhr.readyState === 0) {
            Strophe.debug("request id " + req.id +
                          "." + req.sends + " posting");

            try {
                req.xhr.open("POST", this._conn.service, this._conn.options.sync ? false : true);
                req.xhr.setRequestHeader("Content-Type", "text/xml; charset=utf-8");
            } catch (e2) {
                Strophe.error("XHR open failed.");
                if (!this._conn.connected) {
                    this._conn._changeConnectStatus(Strophe.Status.CONNFAIL,
                                              "bad-service");
                }
                this._conn.disconnect();
                return;
            }

            // Fires the XHR request -- may be invoked immediately
            // or on a gradually expanding retry window for reconnects
            var sendFunc = function () {
                req.date = new Date();
                if (self._conn.options.customHeaders){
                    var headers = self._conn.options.customHeaders;
                    for (var header in headers) {
                        if (headers.hasOwnProperty(header)) {
                            req.xhr.setRequestHeader(header, headers[header]);
                        }
                    }
                }
                req.xhr.send(req.data);
            };

            // Implement progressive backoff for reconnects --
            // First retry (send == 1) should also be instantaneous
            if (req.sends > 1) {
                // Using a cube of the retry number creates a nicely
                // expanding retry window
                var backoff = Math.min(Math.floor(Strophe.TIMEOUT * this.wait),
                                       Math.pow(req.sends, 3)) * 1000;
                setTimeout(sendFunc, backoff);
            } else {
                sendFunc();
            }

            req.sends++;

            if (this._conn.xmlOutput !== Strophe.Connection.prototype.xmlOutput) {
                if (req.xmlData.nodeName === this.strip && req.xmlData.childNodes.length) {
                    this._conn.xmlOutput(req.xmlData.childNodes[0]);
                } else {
                    this._conn.xmlOutput(req.xmlData);
                }
            }
            if (this._conn.rawOutput !== Strophe.Connection.prototype.rawOutput) {
                this._conn.rawOutput(req.data);
            }
        } else {
            Strophe.debug("_processRequest: " +
                          (i === 0 ? "first" : "second") +
                          " request has readyState of " +
                          req.xhr.readyState);
        }
    },

    /** PrivateFunction: _removeRequest
     *  _Private_ function to remove a request from the queue.
     *
     *  Parameters:
     *    (Strophe.Request) req - The request to remove.
     */
    _removeRequest: function (req)
    {
        Strophe.debug("removing request");

        var i;
        for (i = this._requests.length - 1; i >= 0; i--) {
            if (req == this._requests[i]) {
                this._requests.splice(i, 1);
            }
        }

        // IE6 fails on setting to null, so set to empty function
        req.xhr.onreadystatechange = function () {};

        this._throttledRequestHandler();
    },

    /** PrivateFunction: _restartRequest
     *  _Private_ function to restart a request that is presumed dead.
     *
     *  Parameters:
     *    (Integer) i - The index of the request in the queue.
     */
    _restartRequest: function (i)
    {
        var req = this._requests[i];
        if (req.dead === null) {
            req.dead = new Date();
        }

        this._processRequest(i);
    },

    /** PrivateFunction: _reqToData
     * _Private_ function to get a stanza out of a request.
     *
     * Tries to extract a stanza out of a Request Object.
     * When this fails the current connection will be disconnected.
     *
     *  Parameters:
     *    (Object) req - The Request.
     *
     *  Returns:
     *    The stanza that was passed.
     */
    _reqToData: function (req)
    {
        try {
            return req.getResponse();
        } catch (e) {
            if (e != "parsererror") { throw e; }
            this._conn.disconnect("strophe-parsererror");
        }
    },

    /** PrivateFunction: _sendTerminate
     *  _Private_ function to send initial disconnect sequence.
     *
     *  This is the first step in a graceful disconnect.  It sends
     *  the BOSH server a terminate body and includes an unavailable
     *  presence if authentication has completed.
     */
    _sendTerminate: function (pres)
    {
        Strophe.info("_sendTerminate was called");
        var body = this._buildBody().attrs({type: "terminate"});

        if (pres) {
            body.cnode(pres.tree());
        }

        var req = new Strophe.Request(body.tree(),
                                      this._onRequestStateChange.bind(
                                          this, this._conn._dataRecv.bind(this._conn)),
                                      body.tree().getAttribute("rid"));

        this._requests.push(req);
        this._throttledRequestHandler();
    },

    /** PrivateFunction: _send
     *  _Private_ part of the Connection.send function for BOSH
     *
     * Just triggers the RequestHandler to send the messages that are in the queue
     */
    _send: function () {
        clearTimeout(this._conn._idleTimeout);
        this._throttledRequestHandler();
        this._conn._idleTimeout = setTimeout(this._conn._onIdle.bind(this._conn), 100);
    },

    /** PrivateFunction: _sendRestart
     *
     *  Send an xmpp:restart stanza.
     */
    _sendRestart: function ()
    {
        this._throttledRequestHandler();
        clearTimeout(this._conn._idleTimeout);
    },

    /** PrivateFunction: _throttledRequestHandler
     *  _Private_ function to throttle requests to the connection window.
     *
     *  This function makes sure we don't send requests so fast that the
     *  request ids overflow the connection window in the case that one
     *  request died.
     */
    _throttledRequestHandler: function ()
    {
        if (!this._requests) {
            Strophe.debug("_throttledRequestHandler called with " +
                          "undefined requests");
        } else {
            Strophe.debug("_throttledRequestHandler called with " +
                          this._requests.length + " requests");
        }

        if (!this._requests || this._requests.length === 0) {
            return;
        }

        if (this._requests.length > 0) {
            this._processRequest(0);
        }

        if (this._requests.length > 1 &&
            Math.abs(this._requests[0].rid -
                     this._requests[1].rid) < this.window) {
            this._processRequest(1);
        }
    }
};
return Strophe;
}));

/*
    This program is distributed under the terms of the MIT license.
    Please see the LICENSE file for details.

    Copyright 2006-2008, OGG, LLC
*/

/* jshint undef: true, unused: true:, noarg: true, latedef: true */
/* global define, window, clearTimeout, WebSocket, DOMParser, Strophe, $build */

(function (root, factory) {
    if (typeof define === 'function' && define.amd) {
        define('strophe-websocket', ['strophe-core'], function (core) {
            return factory(
                core.Strophe,
                core.$build
            );
        });
    } else {
        // Browser globals
        return factory(Strophe, $build);
    }
}(this, function (Strophe, $build) {

/** Class: Strophe.WebSocket
 *  _Private_ helper class that handles WebSocket Connections
 *
 *  The Strophe.WebSocket class is used internally by Strophe.Connection
 *  to encapsulate WebSocket sessions. It is not meant to be used from user's code.
 */

/** File: websocket.js
 *  A JavaScript library to enable XMPP over Websocket in Strophejs.
 *
 *  This file implements XMPP over WebSockets for Strophejs.
 *  If a Connection is established with a Websocket url (ws://...)
 *  Strophe will use WebSockets.
 *  For more information on XMPP-over-WebSocket see RFC 7395:
 *  http://tools.ietf.org/html/rfc7395
 *
 *  WebSocket support implemented by Andreas Guth (andreas.guth@rwth-aachen.de)
 */

/** PrivateConstructor: Strophe.Websocket
 *  Create and initialize a Strophe.WebSocket object.
 *  Currently only sets the connection Object.
 *
 *  Parameters:
 *    (Strophe.Connection) connection - The Strophe.Connection that will use WebSockets.
 *
 *  Returns:
 *    A new Strophe.WebSocket object.
 */
Strophe.Websocket = function(connection) {
    this._conn = connection;
    this.strip = "wrapper";

    var service = connection.service;
    if (service.indexOf("ws:") !== 0 && service.indexOf("wss:") !== 0) {
        // If the service is not an absolute URL, assume it is a path and put the absolute
        // URL together from options, current URL and the path.
        var new_service = "";

        if (connection.options.protocol === "ws" && window.location.protocol !== "https:") {
            new_service += "ws";
        } else {
            new_service += "wss";
        }

        new_service += "://" + window.location.host;

        if (service.indexOf("/") !== 0) {
            new_service += window.location.pathname + service;
        } else {
            new_service += service;
        }

        connection.service = new_service;
    }
};

Strophe.Websocket.prototype = {
    /** PrivateFunction: _buildStream
     *  _Private_ helper function to generate the <stream> start tag for WebSockets
     *
     *  Returns:
     *    A Strophe.Builder with a <stream> element.
     */
    _buildStream: function ()
    {
        return $build("open", {
            "xmlns": Strophe.NS.FRAMING,
            "to": this._conn.domain,
            "version": '1.0'
        });
    },

    /** PrivateFunction: _check_streamerror
     * _Private_ checks a message for stream:error
     *
     *  Parameters:
     *    (Strophe.Request) bodyWrap - The received stanza.
     *    connectstatus - The ConnectStatus that will be set on error.
     *  Returns:
     *     true if there was a streamerror, false otherwise.
     */
    _check_streamerror: function (bodyWrap, connectstatus) {
        var errors = bodyWrap.getElementsByTagNameNS(Strophe.NS.STREAM, "error");
        if (errors.length === 0) {
            return false;
        }
        var error = errors[0];

        var condition = "";
        var text = "";

        var ns = "urn:ietf:params:xml:ns:xmpp-streams";
        for (var i = 0; i < error.childNodes.length; i++) {
            var e = error.childNodes[i];
            if (e.nodeType === 3) {
                text = e.textContent;
            } else if (e.getAttribute("xmlns") !== ns) {
                break;
            } else {
                condition = e.nodeName;
            }
        }

        var errorString = "WebSocket stream error: ";

        if (condition) {
            errorString += condition;
        } else {
            errorString += "unknown";
        }

        if (text) {
            errorString += " - " + condition;
        }

        Strophe.error(errorString);

        // close the connection on stream_error
        this._conn._changeConnectStatus(connectstatus, condition);
        this._conn._doDisconnect();
        return true;
    },

    /** PrivateFunction: _reset
     *  Reset the connection.
     *
     *  This function is called by the reset function of the Strophe Connection.
     *  Is not needed by WebSockets.
     */
    _reset: function ()
    {
        return;
    },

    /** PrivateFunction: _connect
     *  _Private_ function called by Strophe.Connection.connect
     *
     *  Creates a WebSocket for a connection and assigns Callbacks to it.
     *  Does nothing if there already is a WebSocket.
     */
    _connect: function () {
        // Ensure that there is no open WebSocket from a previous Connection.
        this._closeSocket();

        // Create the new WobSocket
        this.socket = new WebSocket(this._conn.service, "xmpp");
        this.socket.onopen = this._onOpen.bind(this);
        this.socket.onerror = this._onError.bind(this);
        this.socket.onclose = this._onClose.bind(this);
        this.socket.onmessage = this._connect_cb_wrapper.bind(this);
    },

    /** PrivateFunction: _connect_cb
     *  _Private_ function called by Strophe.Connection._connect_cb
     *
     * checks for stream:error
     *
     *  Parameters:
     *    (Strophe.Request) bodyWrap - The received stanza.
     */
    _connect_cb: function(bodyWrap) {
        var error = this._check_streamerror(bodyWrap, Strophe.Status.CONNFAIL);
        if (error) {
            return Strophe.Status.CONNFAIL;
        }
    },

    /** PrivateFunction: _handleStreamStart
     * _Private_ function that checks the opening <open /> tag for errors.
     *
     * Disconnects if there is an error and returns false, true otherwise.
     *
     *  Parameters:
     *    (Node) message - Stanza containing the <open /> tag.
     */
    _handleStreamStart: function(message) {
        var error = false;

        // Check for errors in the <open /> tag
        var ns = message.getAttribute("xmlns");
        if (typeof ns !== "string") {
            error = "Missing xmlns in <open />";
        } else if (ns !== Strophe.NS.FRAMING) {
            error = "Wrong xmlns in <open />: " + ns;
        }

        var ver = message.getAttribute("version");
        if (typeof ver !== "string") {
            error = "Missing version in <open />";
        } else if (ver !== "1.0") {
            error = "Wrong version in <open />: " + ver;
        }

        if (error) {
            this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, error);
            this._conn._doDisconnect();
            return false;
        }

        return true;
    },

    /** PrivateFunction: _connect_cb_wrapper
     * _Private_ function that handles the first connection messages.
     *
     * On receiving an opening stream tag this callback replaces itself with the real
     * message handler. On receiving a stream error the connection is terminated.
     */
    _connect_cb_wrapper: function(message) {
        if (message.data.indexOf("<open ") === 0 || message.data.indexOf("<?xml") === 0) {
            // Strip the XML Declaration, if there is one
            var data = message.data.replace(/^(<\?.*?\?>\s*)*/, "");
            if (data === '') return;

            var streamStart = new DOMParser().parseFromString(data, "text/xml").documentElement;
            this._conn.xmlInput(streamStart);
            this._conn.rawInput(message.data);

            //_handleStreamSteart will check for XML errors and disconnect on error
            if (this._handleStreamStart(streamStart)) {
                //_connect_cb will check for stream:error and disconnect on error
                this._connect_cb(streamStart);
            }
        } else if (message.data.indexOf("<close ") === 0) { //'<close xmlns="urn:ietf:params:xml:ns:xmpp-framing />') {
            this._conn.rawInput(message.data);
            this._conn.xmlInput(message);
            var see_uri = message.getAttribute("see-other-uri");
            if (see_uri) {
                this._conn._changeConnectStatus(Strophe.Status.REDIRECT, "Received see-other-uri, resetting connection");
                this._conn.reset();
                this._conn.service = see_uri;
                this._connect();
            } else {
                this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, "Received closing stream");
                this._conn._doDisconnect();
            }
        } else {
            var string = this._streamWrap(message.data);
            var elem = new DOMParser().parseFromString(string, "text/xml").documentElement;
            this.socket.onmessage = this._onMessage.bind(this);
            this._conn._connect_cb(elem, null, message.data);
        }
    },

    /** PrivateFunction: _disconnect
     *  _Private_ function called by Strophe.Connection.disconnect
     *
     *  Disconnects and sends a last stanza if one is given
     *
     *  Parameters:
     *    (Request) pres - This stanza will be sent before disconnecting.
     */
    _disconnect: function (pres)
    {
        if (this.socket && this.socket.readyState !== WebSocket.CLOSED) {
            if (pres) {
                this._conn.send(pres);
            }
            var close = $build("close", { "xmlns": Strophe.NS.FRAMING, });
            this._conn.xmlOutput(close);
            var closeString = Strophe.serialize(close);
            this._conn.rawOutput(closeString);
            try {
                this.socket.send(closeString);
            } catch (e) {
                Strophe.info("Couldn't send <close /> tag.");
            }
        }
        this._conn._doDisconnect();
    },

    /** PrivateFunction: _doDisconnect
     *  _Private_ function to disconnect.
     *
     *  Just closes the Socket for WebSockets
     */
    _doDisconnect: function ()
    {
        Strophe.info("WebSockets _doDisconnect was called");
        this._closeSocket();
    },

    /** PrivateFunction _streamWrap
     *  _Private_ helper function to wrap a stanza in a <stream> tag.
     *  This is used so Strophe can process stanzas from WebSockets like BOSH
     */
    _streamWrap: function (stanza)
    {
        return "<wrapper>" + stanza + '</wrapper>';
    },


    /** PrivateFunction: _closeSocket
     *  _Private_ function to close the WebSocket.
     *
     *  Closes the socket if it is still open and deletes it
     */
    _closeSocket: function ()
    {
        if (this.socket) { try {
            this.socket.close();
        } catch (e) {} }
        this.socket = null;
    },

    /** PrivateFunction: _emptyQueue
     * _Private_ function to check if the message queue is empty.
     *
     *  Returns:
     *    True, because WebSocket messages are send immediately after queueing.
     */
    _emptyQueue: function ()
    {
        return true;
    },

    /** PrivateFunction: _onClose
     * _Private_ function to handle websockets closing.
     *
     * Nothing to do here for WebSockets
     */
    _onClose: function() {
        if(this._conn.connected && !this._conn.disconnecting) {
            Strophe.error("Websocket closed unexcectedly");
            this._conn._doDisconnect();
        } else {
            Strophe.info("Websocket closed");
        }
    },

    /** PrivateFunction: _no_auth_received
     *
     * Called on stream start/restart when no stream:features
     * has been received.
     */
    _no_auth_received: function (_callback)
    {
        Strophe.error("Server did not send any auth methods");
        this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, "Server did not send any auth methods");
        if (_callback) {
            _callback = _callback.bind(this._conn);
            _callback();
        }
        this._conn._doDisconnect();
    },

    /** PrivateFunction: _onDisconnectTimeout
     *  _Private_ timeout handler for handling non-graceful disconnection.
     *
     *  This does nothing for WebSockets
     */
    _onDisconnectTimeout: function () {},

    /** PrivateFunction: _abortAllRequests
     *  _Private_ helper function that makes sure all pending requests are aborted.
     */
    _abortAllRequests: function () {},

    /** PrivateFunction: _onError
     * _Private_ function to handle websockets errors.
     *
     * Parameters:
     * (Object) error - The websocket error.
     */
    _onError: function(error) {
        Strophe.error("Websocket error " + error);
        this._conn._changeConnectStatus(Strophe.Status.CONNFAIL, "The WebSocket connection could not be established was disconnected.");
        this._disconnect();
    },

    /** PrivateFunction: _onIdle
     *  _Private_ function called by Strophe.Connection._onIdle
     *
     *  sends all queued stanzas
     */
    _onIdle: function () {
        var data = this._conn._data;
        if (data.length > 0 && !this._conn.paused) {
            for (var i = 0; i < data.length; i++) {
                if (data[i] !== null) {
                    var stanza, rawStanza;
                    if (data[i] === "restart") {
                        stanza = this._buildStream().tree();
                    } else {
                        stanza = data[i];
                    }
                    rawStanza = Strophe.serialize(stanza);
                    this._conn.xmlOutput(stanza);
                    this._conn.rawOutput(rawStanza);
                    this.socket.send(rawStanza);
                }
            }
            this._conn._data = [];
        }
    },

    /** PrivateFunction: _onMessage
     * _Private_ function to handle websockets messages.
     *
     * This function parses each of the messages as if they are full documents. [TODO : We may actually want to use a SAX Push parser].
     *
     * Since all XMPP traffic starts with "<stream:stream version='1.0' xml:lang='en' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' id='3697395463' from='SERVER'>"
     * The first stanza will always fail to be parsed...
     * Addtionnaly, the seconds stanza will always be a <stream:features> with the stream NS defined in the previous stanza... so we need to 'force' the inclusion of the NS in this stanza!
     *
     * Parameters:
     * (string) message - The websocket message.
     */
    _onMessage: function(message) {
        var elem, data;
        // check for closing stream
        var close = '<close xmlns="urn:ietf:params:xml:ns:xmpp-framing" />';
        if (message.data === close) {
            this._conn.rawInput(close);
            this._conn.xmlInput(message);
            if (!this._conn.disconnecting) {
                this._conn._doDisconnect();
            }
            return;
        } else if (message.data.search("<open ") === 0) {
            // This handles stream restarts
            elem = new DOMParser().parseFromString(message.data, "text/xml").documentElement;

            if (!this._handleStreamStart(elem)) {
                return;
            }
        } else {
            data = this._streamWrap(message.data);
            elem = new DOMParser().parseFromString(data, "text/xml").documentElement;
        }

        if (this._check_streamerror(elem, Strophe.Status.ERROR)) {
            return;
        }

        //handle unavailable presence stanza before disconnecting
        if (this._conn.disconnecting &&
                elem.firstChild.nodeName === "presence" &&
                elem.firstChild.getAttribute("type") === "unavailable") {
            this._conn.xmlInput(elem);
            this._conn.rawInput(Strophe.serialize(elem));
            // if we are already disconnecting we will ignore the unavailable stanza and
            // wait for the </stream:stream> tag before we close the connection
            return;
        }
        this._conn._dataRecv(elem, message.data);
    },

    /** PrivateFunction: _onOpen
     * _Private_ function to handle websockets connection setup.
     *
     * The opening stream tag is sent here.
     */
    _onOpen: function() {
        Strophe.info("Websocket open");
        var start = this._buildStream();
        this._conn.xmlOutput(start.tree());

        var startString = Strophe.serialize(start);
        this._conn.rawOutput(startString);
        this.socket.send(startString);
    },

    /** PrivateFunction: _reqToData
     * _Private_ function to get a stanza out of a request.
     *
     * WebSockets don't use requests, so the passed argument is just returned.
     *
     *  Parameters:
     *    (Object) stanza - The stanza.
     *
     *  Returns:
     *    The stanza that was passed.
     */
    _reqToData: function (stanza)
    {
        return stanza;
    },

    /** PrivateFunction: _send
     *  _Private_ part of the Connection.send function for WebSocket
     *
     * Just flushes the messages that are in the queue
     */
    _send: function () {
        this._conn.flush();
    },

    /** PrivateFunction: _sendRestart
     *
     *  Send an xmpp:restart stanza.
     */
    _sendRestart: function ()
    {
        clearTimeout(this._conn._idleTimeout);
        this._conn._onIdle.bind(this._conn)();
    }
};
return Strophe;
}));

/* jshint ignore:start */
if (callback) {
    return callback(Strophe, $build, $msg, $iq, $pres);
}


})(function (Strophe, build, msg, iq, pres) {
    window.Strophe = Strophe;
    window.$build = build;
    window.$msg = msg;
    window.$iq = iq;
    window.$pres = pres;
});
/* jshint ignore:end */

},{}],37:[function(require,module,exports){
// hacky workaround to Strophe's lack of a decent module system.
var define_old = window.define;
window.define = undefined;
require('strophe.js');
window.define = define_old;

window.Hark = require('hark');
window.SIP = require('sip.js');
},{"hark":1,"sip.js":20,"strophe.js":36}]},{},[37]);



/**
 * @fileoverview Utils
 */

function version_check(rule, version) {
    if (rule===null)    { return true; }
    if (rule==='')      { return true; }
    if (version===null) { return false; }
    if (version==='')   { return false; }
    var gt = (rule.charAt(0)==='>');
    var lt = (rule.charAt(0)==='<');
    var eq = (rule.charAt(0)==='=');
    if (gt || lt || eq) { rule = rule.substr(1); }
    if ( (!eq) && (rule.length>0) ) {
        eq = (rule.charAt(0)==='=');
        if (eq) { rule = rule.substr(1); }
    }
    if (rule==='') { return true; }
    if ( (!gt) && (!lt) && (!eq) ) eq = true;

    var rp = rule.split('.');
    var vp = version.split('.');

    var l = Math.min(rp.length, vp.length);
    var r,v,ri,vi;
    for (var i=0; i<l; i++) {
        r = rp[i]; v = vp[i];
        ri = parseInt(r,10); vi = parseInt(v,10);
        console.log (r + '?' + v);
        if (gt && (ri<vi)) { return true; }
        if (lt && (ri>vi)) { return true; }
        if (lt && (ri<vi)) { return false; }
        if (gt && (ri>vi)) { return false; }
        if (eq && (r!=v))  { return false; }
    }
    if (gt && (rp.length<vp.length) ) { return true; }
    if (lt && (rp.length>vp.length) ) { return true; }
    if (eq && (rp.length==vp.length)) { return true; }

    return false;
}

function browser_and_os() {
    var ret = {os:'', os_version:'', browser:'', browser_version: ''};
    if (window===null) { return ret; }
    if (!('navigator' in window)) { return ret; }

    var nav = window.navigator;

    if (nav === null) { return ret; }
    if (!('userAgent' in nav)) { return ret; }

    var usr = nav.userAgent;
    if (usr===null) { return ret; }

    var test_usr = usr.toLowerCase();

    var test_usr_browser = [
        {br:'edge',     ver: '', test:/edge\/\d+/, ver_get:/.*edge\/([0123456789_\.]*).*/},
        {br:'opera',    ver: '', test:/presto/,   ver_get:/.*version\/([0123456789_\.]*).*/},
        {br:'opera',    ver: '', test:/opera/,    ver_get:/.*opera ([0123456789_\.]*).*/},
        {br:'opera',    ver: '', test:/ opr/,     ver_get:/.*opr\/([0123456789_\.]*).*/},
        {br:'chrome',   ver: '', test:/chrome/,   ver_get:/.*chrome\/([0123456789_\.]*).*/},
        {br:'firefox',  ver: '', test:/firefox/,  ver_get:/.*firefox\/([0123456789_\.]*).*/},
        {br:'safari',   ver: '', test:/safari/,   ver_get:/.*safari\/([0123456789_\.]*).*/},
        {br:'iemobile', ver: '', test:/iemobile/, ver_get:/.*iemobile ([0123456789_\.]*).*/},
        {br:'ie',       ver: '', test:/msie/,     ver_get:/.*msie ([0123456789_\.]*).*/},
        {br:'ie',       ver: '', test:/trident/,  ver_get:/.*rv:([0123456789_\.]*).*/}
    ];

    var test_usr_browser_res = null;
    for (var ndx in test_usr_browser) {
        var entry = test_usr_browser[ndx];
        if (entry.test.test(test_usr)) {
            test_usr_browser_res = entry;
            break;
        }
        if (test_usr_browser_res!==null) { break; }
    }

    if (test_usr_browser_res!==null) {
        ret.browser         = test_usr_browser_res.br;
        ret.browser_version = test_usr_browser_res.ver;
        if ('ver_get' in test_usr_browser_res) {
            var p = test_usr_browser_res.ver_get.exec(test_usr);
            if (p!==null) { if (p.length>=2) { ret.browser_version += p[1].replace(/_/g, '.'); } }
        }
    }

    var test_usr_os = [
        {os:'win',       ver:'3.11',  test:/win16/},
        {os:'win',       ver:'95',    test:/(windows 95|win95|windows_95)/},
        {os:'win',       ver:'me',    test:/(win 9x 4.90|windows me)/},
        {os:'win',       ver:'98',    test:/(windows 98|win98)/},
        {os:'win',       ver:'ce',    test:/windows CE/},
        {os:'win',       ver:'2000',  test:/(windows NT 5.0|windows 2000)/},
        {os:'win',       ver:'xp',    test:/(windows NT 5.1|windows XP)/},
        {os:'win',       ver:'2003',  test:/windows NT 5.2/},
        {os:'win',       ver:'vista', test:/windows NT 6.0/},
        {os:'win',       ver:'7',     test:/(windows 7|windows nt 6.1)/},
        {os:'win',       ver:'8.1',   test:/(windows 8.1|windows nt 6.3)/},
        {os:'win',       ver: '8',    test: /(windows 8|windows NT 6.2)/ },
        {os:'win',       ver:'10',    test:/(windows NT 10|WOW64)/},
        {os:'win',       ver:'nt',    test:/(windows nt 4.0|winnt4.0|winnt|windows nt)/},
        {os:'winmobile', ver:'',      test:/windows phone/, ver_get:/.*windows phone os ([0123456789_\.]*).*/},
        {os:'android',   ver:'',      test:/android/, ver_get:/.*android ([0123456789_\.]*).*/},
        {os:'bsd',       ver:'',      test:/openbsd/},
        {os:'sun',       ver:'',      test:/sunos/},
        {os:'linux',     ver:'',      test:/(linux|x11)/},
        {os:'ios',       ver:'',      test:/(iphone|ipad|ipod)/},
        {os:'macosx',    ver:'',      test:/mac os x/, ver_get:/.*mac os x ([0123456789_\.]*).*/},
        {os:'macos',     ver:'',      test:/(macppc|macintel|mac_powerpc|macintosh)/},
        {os:'qnx',       ver:'',      test:/qnx/},
        {os:'unix',      ver:'',      test:/unix/},
        {os:'beos',      ver:'',      test:/beos/},
        {os:'os/2',      ver:'',      test:/os\/2/}
    ];

    var test_usr_os_res = null;
    for (var ndx2 in test_usr_os) {
        var entry2 = test_usr_os[ndx2];
        if (entry2.test.test(test_usr)) {
            test_usr_os_res = entry2;
            break;
        }
        if (test_usr_os_res!==null) { break; }
    }

    if (test_usr_os_res!==null) {
        ret.os         = test_usr_os_res.os;
        ret.os_version = test_usr_os_res.ver;
        if ('ver_get' in test_usr_os_res) {
            var p2 = test_usr_os_res.ver_get.exec(test_usr);
            if (p2!==null) { if (p2.length>=2) { ret.os_version += p2[1].replace(/_/g, '.'); } }
        }
    }

    return ret;
}


if (!Date.setISO8601) {
    // from http://stackoverflow.com/questions/5249216/javascript-timestamp-from-iso8061
    Date.prototype.setISO8601 = function (dString) {
        var regexp = /(\d\d\d\d)(-)?(\d\d)(-)?(\d\d)(T)?(\d\d)(:)?(\d\d)(:)?(\d\d)(\.\d+)?(Z|([+-])(\d\d)(:)?(\d\d))/;
        if (dString.toString().match(new RegExp(regexp))) {
            var d = dString.match(new RegExp(regexp));
            var offset = 0;
            this.setUTCDate(1);
            this.setUTCFullYear(parseInt(d[1], 10));
            this.setUTCMonth(parseInt(d[3], 10) - 1);
            this.setUTCDate(parseInt(d[5], 10));
            this.setUTCHours(parseInt(d[7], 10));
            this.setUTCMinutes(parseInt(d[9], 10));
            this.setUTCSeconds(parseInt(d[11], 10));
            if (d[12]) {
                this.setUTCMilliseconds(parseFloat(d[12]) * 1000);
            }
            else {
                this.setUTCMilliseconds(0);
            }
            if (d[13] != 'Z') {
                offset = (d[15] * 60) + parseInt(d[17], 10);
                offset *= ((d[14] == '-') ? -1 : 1);
                this.setTime(this.getTime() - offset * 60 * 1000);
            }
        }
        else {
            this.setTime(Date.parse(dString));
        }
        return this;
    };
}

function get_prefixed_property(object, name) {
    if (object == null) {
        return;
    }
    var capitalizedName = name.charAt(0).toUpperCase() + name.slice(1);
    var prefixedNames = [name, 'webkit' + capitalizedName, 'moz' + capitalizedName];
    for (var i in prefixedNames) {
        var property = object[prefixedNames[i]];
        if (property) {
            return property;
        }
    }
}

function xml_node_to_file_desc(node) {
    return {
        id: node.getAttribute('id'),
        created_by: node.getAttribute('created_by'),
        modified_by: node.getAttribute('modified_by'),
        last_modified: node.getAttribute('last_modified'),
        folder_id: node.getAttribute('folder_id'),
        title: node.getAttribute('title'),
        filename: node.getAttribute('filename'),
        file_mimetype: node.getAttribute('file_mimetype'),
        file_size: node.getAttribute('file_size'),
        version: node.getAttribute('version'),
        locked_until: node.getAttribute('locked_until'),
        upload_complete: node.getAttribute('upload_complete'), // it should be always true
        public_link: node.getAttribute('public_link')
    };
}

    /**
     * @fileoverview UCConnect constants declaration
     */

    var SIP_CONFIGURATION_VALUES = {
        connection_recovery_max_interval: 30,
        connection_recovery_min_interval: 2,
        hack_ip_in_contact: false,
        hack_via_tcp: false,
        no_answer_timeout: 60,
        register: true,
        register_expires: 600,
        use_preloaded_route: false
    };

    // TODO: move to the config (at least a base config)
    // TODO: dont commit these changes
    var FLASH_CONFIGURATION = {
        //web_phone_no_ui: "../../../flash/webphone_no_ui/bin-debug/webphone_no_ui.swf",
        web_phone_no_ui: "/appsuite/apps/com.voiceworks/ox-messenger/flash/webphone_no_ui.swf",

        web_phone_no_ui_embed_id: "Flash2SipWraperUA",
        //video_widget: "../../../flash/FlashFailoverStreamer/bin-debug/FlashFailoverStreamer.swf",
        video_widget: "/appsuite/apps/com.voiceworks/ox-messenger/flash/FlashFailoverStreamer.swf",
        video_widget_embed_id: "video_widget",
        player_installation: "./playerProductInstall.swf",
        fms_ip: "",
        initial_width: 640,
        initial_height: 360,
        flash_version: "11.1.0"
    };
    
    var SIP_LOG_LEVELS = {
      debug: "debug", 
      log: "log", 
      warn: "warn", 
      error: "error"  
    };

    var defaultVideoConstraints = {
        mandatory: {
            minWidth: 640,
            maxWidth: 1920,
            minHeight: 360,
            maxHeight: 1080,
            minFrameRate: 15,
            maxFrameRate: 30,
            minAspectRatio: 1.777777778,
            maxAspectRatio: 1.777777778
        }
    };
    
    var UCC_CAPABILITIES_RULES = [
        {os:'android',   browser:'chrome',  os_rule: '>=4.4', browser_rule: '',       result:{chat:true,  audio:true,  video:true, mustFlash: false, hasFlash: false }},
        {os:'android',   browser:'chrome',  os_rule: '<4.4',  browser_rule: '',       result:{chat:true,  audio:false, video:false, mustFlash: false, hasFlash: false}},
        {os:'android',   browser:'',        os_rule: '',      browser_rule: '',       result:{chat:false, audio:false, video:false, mustFlash: false, hasFlash: false}},
        {os:'ios',       browser:'safari',  os_rule: '',      browser_rule: '',       result:{chat:true,  audio:false, video:false, mustFlash: false, hasFlash: false}},
        {os:'winmobile', browser:'ie',      os_rule: '',      browser_rule: '',       result:{chat:true,  audio:false, video:false, mustFlash: false, hasFlash: false}},
        {os:'',          browser:'chrome',  os_rule: '',      browser_rule: '',       result:{chat:true,  audio:true,  video:true, mustFlash: false, hasFlash: false}},
        {os:'',          browser:'firefox', os_rule: '',      browser_rule: '',       result:{chat:true,  audio:true,  video:true, mustFlash: false, hasFlash: false}},
        {os:'win',       browser:'edge',    os_rule: '',      browser_rule: '>=1.0',  result:{chat:true,  audio:true,  video:true, mustFlash: true, hasFlash: false}},
        {os:'win',       browser:'ie',      os_rule: '',      browser_rule: '>=10.0', result:{chat:true,  audio:true,  video:true, mustFlash: true, hasFlash: false}},
        {os:'win',       browser:'ie',      os_rule: '',      browser_rule: '<10.0',  result:{chat:false, audio:false, video:false, mustFlash: false, hasFlash: false}},
        {os:'',          browser:'opera',   os_rule: '',      browser_rule: '',       result:{chat:true,  audio:true, video:true, mustFlash: false, hasFlash: false}},
        {os:'',          browser:'safari',  os_rule: '',      browser_rule: '',       result:{chat:true,  audio:true,  video:true, mustFlash: true, hasFlash: false}}
    ];
/*global console: false*/

/**
 * @name UCConnect
 */

var UCConnect = (function() {
    "use strict";

var
    API_RECONNECT  = 5000,
    XMPP_RECONNECT = 5000,
    SIP_RECONNECT = 5000,
    VERSION = '1.0.0',
    NAME    = 'UCConnect',
    EVENTS = ['parameters',
            'failed',
            'dependency',
            'connecting',
            'connected',
            'disconnected',
            'roster',
            'mystatus',
            'status',
            'subscribe',
            'message',
            'memberlist',
            'invite',
            'groupcallinvite',
            'groupcallaccepted',
            'groupcalldeclined',
            'groupcallready',
            'groupcallcancelled',
            'groupcallstatus',
            'new_call',
            'end_call',
            'call_state',
            'dtmf_sent',
            'dtmf_recv',
            'local_media_requested',
            'local_media_failed',
            'local_media_acquired',
            'autoarchivevalue',
            'archivecollection',
            'conversationdeleted',
            'vcard_updated',
            'chat_state',
            'cdrs',
            'heartbeat',
            'heartbeatError',
            'flashsecurity'
    ],
    UCConnect = (function() {
        var _me             = null;
        var _ucc_parameters = null;
        var _wants_connect  = false;
        var nickname        = '';
        var flashPath       = '';

        //GENERAL LOG EVENT START
        function general_event_log(event) {
            if (!_me.logging.enable) { return; }
            var log = (!(event.proto in _me.logging));
            if (!log) { log = _me.logging[event.proto]; }
            if (!log) { return; }
            var level  = 'debug'; if (event.data!==null) { if ('level'  in event.data) { level  = event.data.level;  } }
            var prefix = '';      if (event.data!==null) { if ('prefix' in event.data) { prefix = event.data.prefix; } }
            var mlvl = _me.logging.level;
            log =
                (level==='error') ||
                ( (level==='info') && ( (mlvl==='debug') || (mlvl==='info') ) ) ||
                ( (level==='debug') && (mlvl==='debug') );
            if (!log) { return; }

            console.log("\nLOG: " + prefix + ' [' + event.proto + '] [' + level + ']');
            console.log(event.data.data);
        }
        //GENERAL LOG EVENT END

        //API START
        var _api       = null;
        var _api_timer = null;

        /**
         * Clears waiting timer and tries API connect again if the library needs to be connected
         */
        function api_connect() {
            clearTimeout(_api_timer);
            if (_api==null) { return; }
            if (!_wants_connect) { return; }
            _me.events.emit('connecting', 'api', {parameters: _ucc_parameters});
            _api.connect(_ucc_parameters);
        }

        /**
         * Clears waiting timer and disconnects if the library was initialized
         */
        function api_disconnect() {
            clearTimeout(_api_timer);
            if (_api==null) { return; }
            _api.disconnect();
        }

        /**
         * Event fired by the API with XMPP parameters
         * @param {Object} event which contains XMPP parameters in the data
         */
        function api_event_xmpp(event) {
            _me.events.emit('parameters', 'xmpp', _api, event.data);
            _xmpp_parameters = event.data;
            xmpp_connect();
        }

        /**
         * Event fired by the API with SIP parameters
         * @param {Object} event which contains SIP parameters in the data
         */
        function api_event_sip(event) {
            _me.events.emit('parameters', 'sip', _api, event.data);
            _sip_parameters = event.data;
            sip_connect();
        }

        /**
         * Event fired by the API if the connect failed. We are setting up a timer to try again.
         * @param {Object} event with possible reason for failure
         */
        function api_event_failed(event) {
            _me.events.emit('failed', 'api', _api, event.data);
            _api_timer = setTimeout(api_connect, API_RECONNECT);
        }

        /**
         * Event fired when Cdrs data are available
         */
        function api_event_cdrs(event) {
            _me.events.emit('cdrs', 'api', _api, event.data);
        }

        /**
         * Event fired when hatrbeat data are available
         */
        function api_event_heartbeat(event) {
            _me.events.emit('heartbeat', 'api', _api, event.data);
        }

        /**
         * Event fired when hatrbeatError data are available
         */
        function api_event_heartbeatError(event) {
            _me.events.emit('heartbeatError', 'api', _api, event.data);
        }
        //API END

        //XMPP START
        var _xmpp_parameters = null;
        var _xmpp            = null;
        var _xmpp_ok         = false;
        var _xmpp_timer      = null;

        /**
         * Clears waiting timer and tries XMPP connect again if the library needs to be connected
         */
        function xmpp_connect() {
            clearTimeout(_xmpp_timer);
            if (_xmpp==null) { return; }
            if (!_xmpp_ok) { return; }
            if (!_wants_connect) { return; }
            _me.events.emit('connecting', 'xmpp', {parameters: _xmpp_parameters});
            _xmpp.connect(_xmpp_parameters);
        }

        /**
         * Clears waiting timer and disconnects if the library was initialized
         */
        function xmpp_disconnect() {
            clearTimeout(_xmpp_timer);
            if (_xmpp==null) { return; }
            _xmpp.disconnect();
        }

        /**
         * Event fired by the XMPP with information about the dependency.
         * @param {Object} event which contains dependency information in the data
         */
        function xmpp_event_dependency(event) {
            _me.events.emit('dependency', 'xmpp', _xmpp, event.data);
            _xmpp_ok = event.data.dependency;
        }

        /**
         * Event fired by the XMPP if the connection failed. We are setting up a timer to retry the connection.
         * @param {Object} event with possible reason for failure (wrong_parameter for instance)
         */
        function xmpp_event_failed(event) {
            _me.events.emit('failed', 'xmpp', _xmpp, event.data);
            _xmpp_timer = setTimeout(xmpp_connect, XMPP_RECONNECT);
        }

        /**
         * Event fired by the XMPP if the connection was successful.
         * @param {Object} event is not used at the moment
         */
        function xmpp_event_connected(event) {
            _me.events.emit('connected', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP if the connection is broken.
         * @param {Object} event is not used at the moment
         */
        function xmpp_event_disconnected(event) {
            _me.events.emit('disconnected', 'xmpp', _xmpp, event.data);
            //_xmpp_timer = setTimeout(xmpp_connect, XMPP_RECONNECT);
        }

        /**
         * Event fired by the XMPP when there is a change in the roster.
         * @param {Object} event with full roster in the data (event.data.roster)
         */
        function xmpp_event_roster(event) {
            _me.events.emit('roster', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP when there is a change in the users own status.
         * @param {Object} event with own status in the data (event.data.status, event.data.username)
         */
        function xmpp_event_mystatus(event) {
            _me.events.emit('mystatus', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP when there is a change in a users status. The event contains the full roster as well.
         * @param {Object} event with status in the data (event.data.status, event.data.username, event.data.roster)
         */
        function xmpp_event_status(event) {
            _me.events.emit('status', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP when there is a pending subscribe request in a users status. The event contains the full roster as well.
         * @param {Object} event with subscribe request in the data (event.data.username, event.data.roster)
         */
        function xmpp_event_subscribe(event) {
            _me.events.emit('subscribe', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP when a message is received. From is a full sender id, username is a bare username.
         * If the chat parameter is true then the message belongs to a longer conversation.
         * For single messages there could be a non empty subject parameter.
         * @param {Object} event with the message in the data (event.data.username, event.data.from, event.data.roster, event.data.chat, event.data.message, event.data.subject)
         */
        function xmpp_event_message(event) {
            _me.events.emit('message', 'xmpp', _xmpp, event.data);
        }
        
        function xmpp_event_memberlist(event) {
            _me.events.emit('memberlist', 'xmpp', _xmpp, event.data);
        }

        /**
         * Event fired by the XMPP when an invite message is received.
         * @param {Object} event with the invite data (event.data.host, event.data.room, event.data.username, event.data.from)
         */
        function xmpp_event_invite(event) {
            _me.events.emit('invite', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcallinvite(event) {
            _me.events.emit('groupcallinvite', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcallready(event) {
            _me.events.emit('groupcallready', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcallaccepted(event) {
            _me.events.emit('groupcallaccepted', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcalldeclined(event) {
            _me.events.emit('groupcalldeclined', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcallcancelled(event) {
            _me.events.emit('groupcallcancelled', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_groupcallstatus(event) {
            _me.events.emit('groupcallstatus', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_autoarchivevalue(event) {
            _me.events.emit('autoarchivevalue', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_archivecollection(event) {
            _me.events.emit('archivecollection', 'xmpp', _xmpp, event.data);
        }

        function xmpp_event_conversationdeleted(event) {
            _me.events.emit('conversationdeleted', 'xmpp', _xmpp, event.data);
        }

        function xmpp_roster_vcard_updated(event) {
            _me.events.emit('vcard_updated', 'xmpp', _xmpp, event.data);
        }

        function xmpp_roster_chat_state(event) {
            _me.events.emit('chat_state', 'xmpp', _xmpp, event.data);
        }

        //XMPP END

        //SIP START
        var _sip_parameters = null;
        var _sip            = null;
        var _sip_ok         = false;
        var _sip_timer      = null;

        function sip_connect() {
            clearTimeout(_sip_timer);
            if (_sip == null) { return; }
            if (!_sip_ok) { return; }
            if (!_wants_connect) { return; }
            _me.events.emit('connecting', 'sip', {parameters: _sip_parameters});
            _sip.connect(_sip_parameters);

        }

        /**
         * Clears waiting timer and disconnects if the library was initialized
         */
        function sip_disconnect() {
            clearTimeout(_sip_timer);
            if (_sip==null) { return; }
            _sip.disconnect();
        }

        /**
         * Event fired by the SIP with information about the dependency.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_dependency(event) {
            _me.events.emit('dependency', 'sip', _sip, event.data);
            _sip_ok = event.data.dependency;
        }

        /**
         * Event fired by the SIP if register fails.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_failed(event) {
            // disabled since JsSIP has it's own reconnect mechanism
            //_me.events.emit('failed', 'sip', _sip, event.data);
            //_sip_timer = setTimeout(sip_connect, SIP_RECONNECT);
        }

        /**
         * Event fired by the SIP if register was successful.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_connected(event) {
            _me.events.emit('connected', 'sip', _sip, event.data);
        }

        /**
         * Event fired by the SIP if unregister was successful.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_disconnected(event) {
            // disconnected since JsSIP has it's own reconnect mechanism
            _me.events.emit('disconnected', 'sip', _sip, event.data);
            //_sip_timer = setTimeout(sip_connect, SIP_RECONNECT);
        }

        /**
         * Event fired by the SIP when call progress gets to ringing.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_ringing(event) {
            //console.log(event);
        }

        /**
         * Event fired by the SIP new outgoing/incoming call.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_new_call(event) {
            //console.log(event);
            _me.events.emit('new_call', 'sip', _sip, event.data);
        }

        /**
         * Event fired by the SIP for call end (failed or otherwise).
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_end_call(event) {
            //console.log(event);
            _me.events.emit('end_call', 'sip', _sip, event.data);
        }

        /**
         * Event fired by the SIP when call state changes.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_call_state(event) {
            //console.log(event);
            _me.events.emit('call_state', 'sip', _sip, event.data);
        }

        /**
         * Event fired by the SIP when DTMF tone was sent successfully.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_dtmf_sent(event) {
            //console.log(event);
            _me.events.emit('dtmf_sent', 'sip', _sip, event.data);
        }

        /**
         * Event fired by the SIP when DTMF tone was received successfully.
         * @param {Object} event which contains dependency information in the data
         */
        function sip_event_dtmf_recv(event) {
            //console.log(event);
            _me.events.emit('dtmf_recv', 'sip', _sip, event.data);
        }

        function sip_event_local_media_requested(event) {
            _me.events.emit('local_media_requested', 'sip', _sip, {});
        }

        function sip_event_local_media_failed(event) {
            _me.events.emit('local_media_failed', 'sip', _sip, {});
        }

        function sip_event_local_media_acquired(event) {
            _me.events.emit('local_media_acquired', 'sip', _sip, {});
        }

        function sip_event_flash_security(event) {
            _me.events.emit('flash_security', 'sip', _sip, event.data);
        }

        //SIP END

        return {
            userMedia: null,
            /**
             * Core function used by help objects to extend their prototypes
             * @param {Object} original prototype
             * @param {Object} extension for the specified original prototype
             */
            extend: function (original, extension) {
                if (original === null) { return; }
                if (extension === null) { return; }
                for (var key in extension) {
                    original[key] = extension[key];
                }
            },

            checkCapabilities: function (flashInstalled) {
                var ver = browser_and_os();
                var rule;
                for (var ri = 0; ri < UCC_CAPABILITIES_RULES.length; ri++) {
                    rule = UCC_CAPABILITIES_RULES[ri];
                    if ((rule.os !== '') && (ver.os != rule.os)) { continue; }
                    if ((rule.browser !== '') && (ver.browser != rule.browser)) { continue; }
                    if ((rule.os_rule !== '') && (!version_check(rule.os_rule, ver.os_version))) { continue; }
                    if ((rule.browser_rule !== '') && (!version_check(rule.browser_rule, ver.browser_version))) { continue; }
                    rule.result.hasFlash = flashInstalled;
                    UCConnect.capabilities = rule.result;
                    return;
                }
            },

            /**
             * Initialize UCCConnect. Logging levels: debug, info, error
             * accepted params: logEnabled (boolean), flashInstalled (boolean)
             */
            init: function (params) {
                _me = this;

                if (params.flashInstalled === undefined) {
                    params.flashInstalled = false;
                }

                if (params.initialPresence === undefined) {
                    UCConnect.initialPresence = 'online';
                } else {
                    UCConnect.initialPresence = params.initialPresence;
                }

                UCConnect.logging = { enable: params.logEnabled, level: 'debug', api: params.logEnabled, xmpp: params.logEnabled, sip: params.logEnabled };

                UCConnect.events = new UCConnect.EventEmitter();
                UCConnect.events.initEvents(EVENTS);

                UCConnect.capabilities = { audio: false, video: false, chat: false, mustFlash: false, hasFlash: params.flashInstalled };
                UCConnect.checkCapabilities(params.flashInstalled);

                _api = new UCConnect.Api();
                _api.on('log', general_event_log);
                _api.on('xmpp', api_event_xmpp);
                _api.on('sip', api_event_sip);
                _api.on('failed', api_event_failed);
                _api.on('cdrs', api_event_cdrs);
                _api.on('heartbeat', api_event_heartbeat);
                _api.on('heartbeatError', api_event_heartbeatError);

                _api.check();

                _xmpp = new UCConnect.Xmpp();
                _xmpp.on('log', general_event_log);
                _xmpp.on('dependency', xmpp_event_dependency);
                _xmpp.on('failed', xmpp_event_failed);
                _xmpp.on('connected', xmpp_event_connected);
                _xmpp.on('disconnected', xmpp_event_disconnected);
                _xmpp.on('roster', xmpp_event_roster);
                _xmpp.on('mystatus', xmpp_event_mystatus);
                _xmpp.on('status', xmpp_event_status);
                _xmpp.on('subscribe', xmpp_event_subscribe);
                _xmpp.on('message', xmpp_event_message);
                _xmpp.on('memberlist', xmpp_event_memberlist);
                _xmpp.on('invite', xmpp_event_invite);
                _xmpp.on('groupcallinvite', xmpp_event_groupcallinvite);
                _xmpp.on('groupcallaccepted', xmpp_event_groupcallaccepted);
                _xmpp.on('groupcalldeclined', xmpp_event_groupcalldeclined);
                _xmpp.on('groupcallcancelled', xmpp_event_groupcallcancelled);
                _xmpp.on('groupcallstatus', xmpp_event_groupcallstatus);
                _xmpp.on('groupcallready', xmpp_event_groupcallready);
                _xmpp.on('autoarchivevalue', xmpp_event_autoarchivevalue);
                _xmpp.on('archivecollection', xmpp_event_archivecollection);
                _xmpp.on('conversationdeleted', xmpp_event_conversationdeleted);
                _xmpp.on('vcard_updated', xmpp_roster_vcard_updated);
                _xmpp.on('chat_state', xmpp_roster_chat_state);
                _xmpp.check();

                var system = browser_and_os();
                console.log(system);
                if (system.browser != "ie" && system.browser != "iemobile" && system.browser !== "safari") {
                    _sip = new UCConnect.SIP();
                    _sip.on('log', general_event_log);
                    _sip.on('dependency', sip_event_dependency);
                    _sip.on('failed', sip_event_failed);
                    _sip.on('connected', sip_event_connected);
                    _sip.on('disconnected', sip_event_disconnected);
                    _sip.on('ringing', sip_event_ringing);
                    _sip.on('new_call', sip_event_new_call);
                    _sip.on('end_call', sip_event_end_call);
                    _sip.on('call_state', sip_event_call_state);
                    _sip.on('dtmf_sent', sip_event_dtmf_sent);
                    _sip.on('local_media_requested', sip_event_local_media_requested);
                    _sip.on('local_media_failed', sip_event_local_media_failed);
                    _sip.on('local_media_acquired', sip_event_local_media_acquired);
                    _sip.check();
                    if (params.logEnabled) {
                        _sip.setLogging(SIP_LOG_LEVELS.debug, true);
                        _sip.enableSipTrace(true);
                    } else {
                        _sip.setLogging(SIP_LOG_LEVELS.error, false);
                        _sip.enableSipTrace(false);
                    }
                    UCConnect.userMedia = get_prefixed_property(window.navigator, 'getUserMedia');
                    UCConnect.userMedia = UCConnect.userMedia.bind(window.navigator);
                }
                //   // FLASH Failover
                    //_sip = new UCConnect.Flash2Sip();
                    //_sip.on('log', general_event_log);
                    //_sip.on('dependency', sip_event_dependency);
                    //_sip.on('failed', sip_event_failed);
                    //_sip.on('connected', sip_event_connected);
                    //_sip.on('disconnected', sip_event_disconnected);
                    //_sip.on('ringing', sip_event_ringing);
                    //_sip.on('new_call', sip_event_new_call);
                    //_sip.on('end_call', sip_event_end_call);
                    //_sip.on('call_state', sip_event_call_state);
                    //_sip.on('dtmf_sent', sip_event_dtmf_sent);
                    //_sip.on('local_media_requested', sip_event_local_media_requested);
                    //_sip.on('local_media_failed', sip_event_local_media_failed);
                    //_sip.on('local_media_acquired', sip_event_local_media_acquired);
                    //_sip.on('flash_security', sip_event_flash_security);
                    //_sip.check();
                //}
            },

            /**
             * Connect to API with credentials and other parameters to retrieve other connection settings.
             * @param {Object} ucc_parameters
             */
            connect: function (ucc_parameters) {
                    _wants_connect = true;
                    _ucc_parameters = ucc_parameters;
                    api_connect();
                },

            /**
             * Disconnect everything
             */
            disconnect: function () {
                    _wants_connect = false;
                    _ucc_parameters = null;
                    xmpp_disconnect();
                    sip_disconnect();
                    api_disconnect();
                },

                /**
             * Deinitialize everything
             */
            deinit: function () {
                    this.disconnect();
                },

                /**
             * Set personal status and message. The status is sent to XMPP, SIP and API so that all systems can adjust it.
             * @param {String} status
             * @param {String} message
             */
            status: function (status, message) {
                    if (_api !== null) { _api.status(status, message); }
                    //set in SIP as well
                    if (_xmpp !== null) { _xmpp.status(status, message); }
                },

            /**
             * Set personal avatar url. The avatar is sent to XMPP by using a vcard.
             * @param {String} avatarUrl
             */
            vcard: function (avatarUrl) {
                if (_xmpp !== null) { _xmpp.vcard(avatarUrl); }
            },

                /**
             * Send message to someone. To can be username or full receiver id received through the status updates and/or message.
             * The best effort is made to send the message (belonging to chat or not) with the specified subject if != null.
             * If the delivery is not possible through XMPP (natural way) then SIP should be tried (NOT IMPLEMENTED).
             * At the end API is used so that, maybe, other channel can be utilized.
             * @param {String} to is a recipient username or full recipient id received through the status updates and/or message
             * @param {Boolean} chat determines if the message is a part of a chat or a single message
             * @param {String} message is actual message to be sent
             * @param {String} subject is sent with the message if != null but it makes the most sense with single messages
             */
            message: function (to, chat, message, subject, fileDesc) {
                    var succ = false;
                    if (_xmpp !== null) { succ = _xmpp.message(to, chat, message, subject, fileDesc); }
                    if (succ) return true;
                    //try SIP
                    if (_api !== null) { succ = _api.message(to, chat, message, subject, fileDesc); }
                    return succ;
                },

                /**
             * Send the chat state per user and chat. To can be username or full receiver id received through the status updates and/or message.
             * If the delivery is not possible through XMPP (natural way) then SIP should be tried (NOT IMPLEMENTED).
             * At the end API is used so that, maybe, other channel can be utilized.
             * @param {String} to is a recipient username or full recipient id received through the status updates and/or message
             * @param {String} message is actual message to be sent
             * @param {String} subject is sent with the message if != null but it makes the most sense with single messages
             */
            chatState: function (to, state, isGroup) {
                var succ = false;
                if (_xmpp !== null) { succ = _xmpp.chatState(to, state, isGroup); }
                if (succ) return true;
                //try SIP
                if (_api !== null) { succ = _api.chatState(to, state, isGroup); }
                return succ;
            },

                /**
             * Set to which groups the user belongs to.
             * @param {String} proto should be 'xmpp'
             * @param {String} user specifies which user is belonging to the list of groups
             * @param {Array} groups is an array of strings representing group names
             */
            rosterUserGroupsSet: function (proto, user, groups) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserGroupsSet(user, groups); }
                        return false;
                    }
                    return false;
                },

                /**
             * Remove user from the roster.
             * @param {String} proto should be 'xmpp'
             * @param {String} user to remove from the roster
             */
            rosterUserRemove: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserRemove(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Add user to the roster.
             * @param {String} proto should be 'xmpp'
             * @param {String} user to add to the roster
             */
            rosterUserAdd: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserAdd(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Subscribe to the user presence.
             * @param {String} proto should be 'xmpp'
             * @param {String} user whose presence we wish to follow
             */
            rosterUserSubscribe: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserSubscribe(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Unsubscribe from the user presence.
             * @param {String} proto should be 'xmpp'
             * @param {String} user whose presence we do not wish to follow anymore
             */
            rosterUserUnsubscribe: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserUnsubscribe(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Authorise subscription from the user
             * @param {String} proto should be 'xmpp'
             * @param {String} user that has sent the subscription
             */
            rosterUserAuthorize: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserAuthorize(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Unauthorise subscription from the user
             * @param {String} proto should be 'xmpp'
             * @param {String} user that has sent the subscription
             */
            rosterUserUnauthorize: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.rosterUserUnauthorize(user); }
                        return false;
                    }
                    return false;
                },

                /**
             * Send a custom feature message to the chat server.
             *
             * @param proto Protocol for feature message
             * @param type The feature type
             * @param to Direct the feature to
             * @param payload JavaScript object describing the payload of the feature
             * @param callback Callback function for the result of the feature
             * @returns
             */
            feature: function (proto, type, to, payload, callback) {
                    if (proto === 'xmpp') {
                        if (_xmpp !== null) { return _xmpp.feature(type, to, payload, callback); }
                        return false;
                    }
                    return false;
                },

                /**
             * Get full roster for the specified protocol.
             * @param proto Get roster for this protocol
             * @returns
             */
            getRoster: function (proto) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return {}; }
                        return _xmpp.roster();
                    }
                    return {};
                },

                /**
             * Get user status for the specified protocol.
             * For XMPP if the user parameter is bare jid then all known statuses for the jid are returned, otherwise
             * the status of the specifed user is returned. <br>
             * @param proto Protocol for status
             * @param user User whose status we need
             * @returns
             */
            getStatus: function (proto, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return {}; }
                        return _xmpp.getStatus(user);
                    }
                    return {};
                },

                /**
             * Create a new room.
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param nick name that you wish to use
             * @returns
             */
            groupCreate: function (proto, host, room, name, nick, isModerated) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupCreate(host, room, name, nick, isModerated);
                    }
                    return false;
                },

                /**
             * Join an existant room or create a new room.
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param nick name that you wish to use
             * @returns
             */
            groupJoin: function (proto, host, room, nick) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupJoin(host, room, nick);
                    }
                    return false;
                },

                /**
             * Leave a room.
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @returns
             */
            groupLeave: function (proto, host, room) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupLeave(host, room);
                    }
                    return false;
                },

                /**
             * Invite some to a room
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param user to invite
             * @returns
             */
            groupInvite: function (proto, host, room, name, user) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupInvite(host, room, name, user);
                    }
                    return false;
                },

                /**
             * Send a message to a group chat.
             * @param proto XMPP
             * @param host Multi user chat host
             * @param room name
             * @param message Text of the message to send
             * @returns
             */
            groupMessage: function (proto, host, room, message, fileDesc) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupMessage(host, room, message, fileDesc);
                    }
                    return false;
                },

                /**
             * Send a subject to a group chat.
             * @param proto XMPP
             * @param host Multi user chat host
             * @param room name
             * @param subject Text of the subjerct to send
             * @returns
             */
            groupSubject: function (proto, host, room, subject) {
                    if (proto === 'xmpp') {
                        if (_xmpp === null) { return false; }
                        return _xmpp.groupSubject(host, room, subject);
                    }
                    return false;
                },

                /**
             * Make SIP call <br>
             * Params:<br>
             * &nbsp; uri - uri of the contact to call (sip:USER_NAME@REGISTRAR) <br>
             * &nbsp; withVideo - make call with/without video <br>
             * @param {String} uri
             * @param {Boolean} withVideo
             */
            makeCall: function (uri, withVideo, extraHeaders, endCallCb) {
                var succ = false;
                if (_sip !== null) {
                    succ = _sip.makeCall(uri, withVideo, extraHeaders, endCallCb);
                }
                return succ;
            },

                /**
             * Invite some to a group call
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param user to invite
             * @param type of call (audio|video)
             * @returns
             */
            groupCallInvite: function (proto, host, room, user, type, userlist) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallInvite(host, room, user, type, userlist);
                }
                return false;
            },

            /**
             * Invite some to a group call
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param user to invite
             * @param type of call (audio|video)
             * @returns
             */
            groupCallAccept: function (proto, host, room, type) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallAccept(host, room, type);
                }
                return false;
            },

            /**
             * Invite some to a group call
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param user to invite
             * @param type of call (audio|video)
             * @returns
             */
            groupCallDecline: function (proto, host, room, type) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallDecline(host, room, type);
                }
                return false;
            },

            /**
             * Invite some to a group call
             * @param proto XMPP
             * @param host multi user chat host
             * @param room name
             * @param user to invite
             * @param type of call (audio|video)
             * @returns
             */
            groupCallReady: function (proto, host, room, type) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallReady(host, room, type);
                }
                return false;
            },

            groupCallCancel: function (proto, host, room, type) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallCancel(host, room, type);
                }
                return false;
            },

            groupCallStatus: function (proto, host, room, status) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.groupCallStatus(host, room, status);
                }
                return false;
            },

                /**
             * Answer incoming SIP call <br>
             * Params:<br>
             * &nbsp; withVideo - answer call enabling video
             *
             * @param {Boolean} withVideo
             */
            answerCall: function(withVideo){
                //Enabled FOR Flash2Sip
                var succ = false;
                if (_sip !== null) {
                    succ = _sip.answerCall(withVideo);
                }
                return succ;
            },

            /**
             * Terminates active SIP call
             */
            terminateCall: function(){
                //Enabled FOR Flash2Sip
                var succ = false;
                if (_sip !== null) {
                    succ = _sip.terminateCall();
                }
                return succ;
            },

            /**
             * Sends DTMF tone using SIP INFO method <br>
             * Params: <br>
             * &nbsp; dtmf - digits, POUND and ASTERISK are allowed
             * @param {String} dtmf
             */
            /*sendDtmf: function(dtmf){
                var succ = false;
                if (_sip !== null) {
                    succ = _sip.sendDtmf(dtmf);
                }
                return succ;
            },*/

            /**
             * Toggles audio mute <br>
             * Returns: Boolean state
             * @return {Boolean} muted
             */
            /*mute: function(){
                var state = false;
                if (_sip !== null) {
                    state = _sip.mute();
                }
                return state;
            },*/

            /**
             * Toggles video mute <br>
             * Returns: Boolean state
             * @return {Boolean} muted
             */
            /*videoMute: function(){
                var state = false;
                if (_sip !== null) {
                    state = _sip.videoMute();
                }
                return state;
            },*/

            /**
             * Get video sources for active call
             * Returns: Object with 'remote' and 'local' fields containing video sources, or null if sip object is not initialized
             * @return {Object} sources
             */
            /*getVideoSources: function(){
                var sources = null;
                if(_sip != null){
                    sources = _sip.getVideoSources();
                }
                return sources;
            },

            /**
             * Sets video constraints.<br>
             * Params: <br>
             * &nbsp; constraints - object with mandatory property containing maxWidth, maxHeight, minWidth, minHeight, minFrameRage
             * @param {Object} constraints
             */
            setVideoConstraints: function (constraints) {
                if (_sip != null) {
                        return _sip.setVideoConstraints(constraints);
                    } else {
                        return false;
                    }
                },

            /**
             * Gets active call session from Session Handler.<br>
             * Params: <br>
             * &nbsp; sessionId - mandatory sessionId which identifies the active call
             * @param {Object} session
             */
            getSession: function (sessionId) {
                return UCConnect.SessionHandler.getSession(sessionId);
            },

            setRole: function (proto, host, room, jid, role) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.setRole(host, room, jid, role);
                }
                return false;
            },
            setNickname: function (nickname) {
                this.nickname = nickname;
            },
            getNickname: function () {
                return this.nickname;
            },
            fetchHistory: function (proto, jid, limit) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.fetchHistory(jid, null);
                }
                return false;
            },
            setAutoArchiving: function (proto, value) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.setAutoArchiving(value);
                }
                return false;
            },
            getAutoArchiving: function (proto) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.getAutoArchiving();
                }
                return false;
            },
            deleteConversation: function (proto, jid, startDate) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.deleteConversation(jid, startDate);
                }
                return false;
            },
            discoverRoomInfo: function (proto, host, room) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.discoverRoomInfo(host, room);
                }
                return false;
            },
            storePrivateXml: function (proto, ns, data, callback) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.storePrivateXml(ns, data, callback);
                }
                return false;
            },
            fetchPrivateXml: function (proto, ns, callback) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.fetchPrivateXml(ns, callback);
                }
                return false;
            },
            getCdrs: function (filter) {
                _api.getCdrs(filter);

                return false;
            },
            heartbeat: function () {
                _api.heartbeat();

                return false;
            },
            heartbeatError: function () {
                _api.heartbeatError();

                return false;
            },
            discoverOffline: function (proto) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.discoverOffline();
                }
                return false;
            },
            getOfflineMessages: function (proto, deleteAfterReceiving) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.getOfflineMessages(deleteAfterReceiving);
                }
                return false;
            },
            deleteOfflineMessages: function (proto) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.getOfflineMessages();
                }
                return false;
            },
            tmpFixRoomLength: function (proto, host, room) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.tmpFixRoomLength(host, room);
                }
                return false;
            },
            fetchMemberList: function (proto, host, room) {
                if (proto === 'xmpp') {
                    if (_xmpp === null) { return false; }
                    return _xmpp.fetchMemberList(host, room);
                }
                return false;
            },
            getConnection: function () {
                return this._connection;
            }
        };
    })();

Object.defineProperties(UCConnect, {
    version: {
        get: function(){ return VERSION; }
    },
    name: {
        get: function(){ return NAME; }
    }
});

return UCConnect;

})();

/**
 * @fileoverview EventEmitter
 */

/**
 * @augments UCConnect
 * @class Class creating an event emitter.
 */
(function (UCConnect) {
    var EventEmitter, 
        Event, 
        LOG_PREFIX = UCConnect.name + ' | ' + 'EVENT EMITTER' + ' | ';

    EventEmitter = function () { this.log_enabled = false; };
    EventEmitter.prototype = {
        /**
         * Initialize events dictionary.
         * @param {Array} events
         */
        initEvents: function (events) {
            var i = events.length;
            
            this.events = {};
            this.onceNotFired = []; // Array containing events with _once_ defined that didn't fire yet.
            
            while (i--) {
                if (this.log_enabled) console.log(LOG_PREFIX + 'adding event ' + events[i]);
                this.events[events[i]] = [];
            }
        },

        /**
         * Check whether an event exists or not.
         * @param {String} event
         * @returns {Boolean}
         */
        checkEvent: function (event) {
            if (!this.events[event]) {
                if (this.log_enabled) console.error(LOG_PREFIX + 'no event named ' + event);
                return false;
            } else {
                return true;
            }
        },

        /**
         * Add a listener to the end of the listeners array for the specified event.
         * @param {String} event
         * @param {Function} listener
         */
        addListener: function (event, listener) {
            if (!this.checkEvent(event)) {
                return;
            }
            
            this.events[event].push(listener);
        },

        on: function (event, listener) {
            this.addListener(event, listener);
        },

        /**
         * Add a one time listener for the event.
         * The listener is invoked only the first time the event is fired, after which it is removed.
         * @param {String} event
         * @param {Function} listener
         *
         * TODO this doesnt even work, once should be defined per event-listener relation, not
         * just an event
         */
        once: function (event, listener) {
            this.events[event].unshift(listener);
            this.onceNotFired.push(event);
        },

        /**
         * Remove a listener from the listener array for the specified event.
         * Caution: changes array indices in the listener array behind the listener.
         * @param {String} event
         * @param {Function} listener
         */
        removeListener: function (event, listener) {
            if (!this.checkEvent(event)) {
                return;
            }

            var array = this.events[event],
                i = 0,
                length = array.length;

            while (i < length) {
                if (array[i] && array[i].toString() === listener.toString()) {
                    array.splice(i, 1);
                } else {
                    i++;
                }
            }
        },

        /**
         * Remove all listeners from the listener array for the specified event.
         * @param {String} event
         */
        removeAllListener: function (event) {
            if (!this.checkEvent(event)) return;
            this.events[event] = [];
        },

        /**
         * Get the listeners for a specific event.
         * @param {String} event
         * @returns {Array}  Array of listeners for the specified event.
         */
        listeners: function (event) {
            return this.events[event];
        },

        /**
         * Execute each of the listeners in order with the supplied arguments.
         * @param {String} event
         * @param {Object} sender
         * @param {Object} data
         */
        emit: function (event, proto, sender, data) {
            var listeners, length, emitter = this;

            if (!this.checkEvent(event)) {
                return;
            }

            if (this.log_enabled) { console.log(LOG_PREFIX + 'emitting event ' + event + '[' + proto + ']'); }
            
            listeners = this.events[event];
            length = listeners.length;
            
            var e = new UCConnect.Event(event, proto, sender, data);

            // TODO: rewrite - no async, remove single listeners immediately
            window.setTimeout(
                function () {
                    var idx = 0;
                    for (idx; idx < length; idx++) {
                        listeners[idx].call(null, e);
                    }
                    // Check whether _once_ was defined for the event
                    while ((idx = emitter.onceNotFired.indexOf(event))>=0) {
                        emitter.onceNotFired.splice(idx, 1);
                        emitter.events[event].shift();
                    }
                },
            0);
        },

        logEvents: function() {
            if (!this.log_enabled) { return; }
            
            console.log(LOG_PREFIX + ' events:');
            console.log(this.events);
            console.log(this.onceNotFired);
        }
    };

    Event = function (type, proto, sender, data) {
        this.type   = type;
        this.proto  = proto;
        this.sender = sender;
        this.data   = data;
    };

    UCConnect.EventEmitter = EventEmitter;
    UCConnect.Event = Event;
})(UCConnect);
/**
 * @fileoverview Api
 */

/**
 * @augments UCConnect
 * @class Api
 */
(function(UCConnect) {

    var LOG_PREFIX = UCConnect.name + ' | ' + 'Api',
            EVENTS = ['log', 'xmpp', 'sip', 'failed', 'cdrs', 'heartbeat', 'heartbeatError'],
            Api = function() {
                this.init();
            };

    Api.prototype = new UCConnect.EventEmitter();
    UCConnect.extend(Api.prototype,
            (function() {
                var _me = null;
                var _ucc_parameters = null;

                window.getCdrsCb = function(data) {

                    if ((typeof data.error) === 'undefined') {
                        _me.emit('cdrs', 'api', _me, data);
                    }
                    else {
                        _me.emit('cdrs', 'api', _me, data);
                    }
                };

                window.errorHeartbeatCb = function () {
                  _me.emit('heartbeatError', 'api', _me, 0);
                };

                window.heartbeatCb = function(data) {
                    if ((typeof data.error) === 'undefined') {
                        var interval = parseInt(data.response.ht, 10);
                        if (interval !== 0) {
                            _me.emit('heartbeat', 'api', _me, interval);
                            return;
                        }
                    }

                    _me.emit('heartbeatError', 'api', _me, 0);
                };

                window.startSessionCb = function(data) {

                    var config = data.response.config;
                    var gateways = [];
                    var turnServers = [];
                    var stunServers = [];
                    var username = '';
                    var token = '';
                    var firstname = '';
                    var lastname = '';
                    var expires = false;
                    var guestSession = true;

                    // Check if we are in guest session
                    if ((typeof data.response.username) === 'undefined') {
                        guestSession = false;
                    }

                    if (!guestSession) {
                        username = _ucc_parameters.user;
                        token = _ucc_parameters.token;

                    }
                    else {
                        username = data.response.username;
                        firstname = data.response.first_name;
                        lastname = data.response.last_name;
                        expires = data.response.expires;
                        token = _ucc_parameters.guestPasswordToken;

                        //var nick = firstname+" "+lastname;
                        //if (nick.trim() != '') UCConnect.setNickname(firstname+" "+lastname);
                        //else UCConnect.setNickname(username);
                    }

                    for (var i in config.gateway) {
                        gateways.push("wss://" + config.gateway[i].ip + ":" + config.gateway[i].port);
                    }
                    stunServers.push("stun:" + config.TURN[0].ip + ":" + config.TURN[0].port);
                    for (var j in config.TURN) {
                        turnServers.push({
                            "server": "turn:" + config.TURN[j].ip + ":" + config.TURN[j].port,
                            "username": username.replace("@", "_at_"),
                            "password": token
                        });
                    }

                    var tmpParameters = new UCConnect.XmppParameters('wss://' + config.XMPP[0].ip + ":" + config.XMPP[0].port, username, token);

                    if (guestSession) {
                        tmpParameters.firstname = firstname;
                        tmpParameters.lastname = lastname;
                        tmpParameters.expires = expires;
                    }

                    _me.emit('xmpp', 'api', _me, tmpParameters);
                    /*
                     * Shouldn't here video_remote and video_local be empty????
                     */
                    var sipSettings = new UCConnect.SipParameters(
                            gateways,
                            'sip:' + username,
                            token,
                            'holder_remote',
                            'holder_locale',
                            stunServers,
                            turnServers
                    );
                    sipSettings.fms = config.FMS[0].ip; //FLASH_CONFIGURATION.fms_ip;

                    _me.emit('sip', 'api', _me, sipSettings);

                    var sip_user_data = username.split("@");
                    var realm = "*";
                };

                function JSONpCall(url, method, params, callbackFn, errorCallbackFn) {
                    var head = document.head;
                    var previous = document.getElementById('jsonp-' + method);
                    if (previous) {
                        head.removeChild(previous);
                    }
                    var script = document.createElement("script");
                    if (typeof errorCallbackFn !== 'undefined') {
                        script.onerror = function () {
                            window[errorCallbackFn]();
                        };
                    }
                    script.setAttribute("type", "text/javascript");
                    head.appendChild(script);
                    script.setAttribute("async", true);
                    script.setAttribute("defer", "defer");
                    script.setAttribute("id", 'jsonp-' + method);

                    var reqUri = "?callback=" + callbackFn + "&method=" + method;
                    for (var namedParam in params) {
                        reqUri += "&params[" + namedParam + "]=" + params[namedParam];
                    }

                    script.setAttribute("src", url + reqUri);
                    //head.removeChild(script);
                }

                return {
                    init: function() {
                        _me = this;
                        _me.initEvents(EVENTS);
                    },

                    check: function() {
                        //check dependency, other stuff... fire event dependency for instance
                    },

                    connect: function(ucc_parameters) {
                        _me.emit('log', 'api', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Api connect request'});
                        _ucc_parameters = ucc_parameters;
                        if (_ucc_parameters === null) return false;

                        var apiCommand = '';
                        var apiParams = {};

                        if ((typeof ucc_parameters.guestUrlToken) === 'undefined') {

                            apiCommand = 'client.startSession';
                            apiParams = {
                                apiKey: _ucc_parameters.apiKey,
                                applicationUserId: _ucc_parameters.userId,
                                applicationTenantId: _ucc_parameters.tenantId,
                                applicationSessionId: _ucc_parameters.sessionId,
                                token: _ucc_parameters.token
                            };

                        }
                        else {

                            apiCommand = 'client.startGuestSession';
                            apiParams = {
                                token: _ucc_parameters.guestUrlToken,
                                guestSessionId: _ucc_parameters.guestSessionId
                            };

                        }

                        JSONpCall(_ucc_parameters.apiLocation, apiCommand, apiParams, "startSessionCb");

                        return true;
                    },

                    getCdrs: function(filters) {

                        _me.emit('log', 'api', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Api getCdrs request'});

                        if (_ucc_parameters === null) return false;

                        var apiCommand = '';
                        var apiParams = {};

                        if ((typeof _ucc_parameters.guestUrlToken) === 'undefined') {
                            return false;
                        }

                        var sessionId = '';
                        var mode;

                        if ((typeof _ucc_parameters.guestSessionId) !== 'undefined') {
                            sessionId = _ucc_parameters.guestSessionId;
                            mode = 'guest';
                        }
                        else {
                            sessionId = _ucc_parameters.sessionId;
                            mode = 'member';
                        }

                        apiParams = [];
                        apiParams['sessionId'] = sessionId;

                        for (var paramName in filters) {
                            apiParams[paramName] = filters[paramName];
                        }

                        if (typeof apiParams['targetDomain'] === 'undefined') {
                            apiParams['targetDomain'] = '';
                        }
                        if (typeof apiParams['targetUser'] === 'undefined') {
                            apiParams['targetUser'] = '';
                        }
                        if (typeof apiParams['offset'] === 'undefined') {
                            apiParams['offset'] = 0;
                        }
                        if (typeof apiParams['limit'] === 'undefined') {
                            apiParams['limit'] = 1000;
                        }

                        apiParams['mode'] = mode;

                        var parCallback = 'getCdrsCb';

                        apiCommand = 'client.getCdrs';

                        JSONpCall(_ucc_parameters.apiLocation, apiCommand, apiParams, parCallback);

                        return true;
                    },

                    disconnect: function() {

                    },

                    status: function(status, message) {

                    },

                    message: function(to, chat, message, subject, fileDesc) {
                        return false;
                    },

                    chatState: function(to, state, isGroup) {
                        return false;
                    },

                    getUccParameters: function() {
                        return _ucc_parameters;
                    },

                    heartbeat: function() {

                        _me.emit('log', 'api', _me, {prefix: LOG_PREFIX, level: 'info', data: 'NEW Api heartbeat request'});

                        var apiCommand = '';
                        var apiParams = {};
                        var sessionId = '';

                        if ((typeof _ucc_parameters.guestSessionId) !== 'undefined') {
                            sessionId = _ucc_parameters.guestSessionId;
                        }
                        else {
                            sessionId = _ucc_parameters.sessionId;
                        }

                        apiCommand = 'client.heartbeat';
                        apiParams = {sessionId: _ucc_parameters.guestSessionId};

                        JSONpCall(_ucc_parameters.apiLocation, apiCommand, apiParams, "heartbeatCb", "errorHeartbeatCb");
                    }
                };
            })()
    );

    UCConnect.Api = Api;
})(UCConnect);

/**
 * @fileoverview Xmpp
 */

/**
 * @augments UCConnect
 * @class Xmpp
 */
(function(UCConnect) {

// Load Strophe as dependency

var LOG_PREFIX = UCConnect.name +' | '+ 'Xmpp',
    EVENTS = ['log',
        'dependency', 
        'failed', 
        'connected',
        'disconnected', 
        'roster', 
        'status', 
        'mystatus', 
        'message', 
        'memberlist',
        'invite', 
        'groupcallinvite', 
        'groupcallready', 
        'groupcallaccepted', 
        'groupcalldeclined',
        'groupcallcancelled', 
        'groupcallstatus',
        'subscribe',
        'autoarchivevalue',
        'archivecollection',
        'conversationdeleted',
        'vcard_updated',
        'chat_state'
    ],
    XmppParameters = function(host, username, password) { this.host = host; this.username = username; this.password = password; },
    Xmpp =  function() { this.init(); };

XmppParameters.prototype = {
    check: function() {
        if (this.host===null) { return 'host'; }
        if (this.host==='') { return 'host'; }
        if (this.username===null) { return 'username'; }
        if (this.username==='') { return 'username'; }
        if (this.password===null) { return 'password'; }
        return '';
    }
};

Xmpp.prototype = new UCConnect.EventEmitter();

UCConnect.extend(Xmpp.prototype,
    (function() {
        var _me              = null;
        var _dependency      = false;
        var _xmpp_parameters = null;

        var _connection = null;
        var _connected  = false;

        var _roster     = {};
        var _statuses   = {};

        var _pingInterval = null;

        function rawInput(data) {
            _me.emit('log', 'xmpp', _me, {prefix: LOG_PREFIX, level: 'debug',
                data: "RECV:\n" + Strophe.xmlunescape(data)});
        }

        function rawOutput(data) {
			_me.emit('log', 'xmpp', _me, {prefix: LOG_PREFIX, level: 'debug',
                data: "SENT:\n" + Strophe.xmlunescape(data)});
        }
		
        function checkDependencies() {
			_dependency = (typeof(Strophe)!=='undefined');
			if (!_dependency) { _me.emit('dependency', 'xmpp', _me, {dependency:_dependency, name: 'Strophe', version:'', error:'Strophe not found'}); return; }
			
			_dependency = ('roster' in Strophe._connectionPlugins);
			if (!_dependency) { _me.emit('dependency', 'xmpp', _me, {dependency:_dependency, name: 'Strophe', version:'', error:'Strophe roster plugin not found'}); return; }
			
			_dependency = ('muc' in Strophe._connectionPlugins);
			if (!_dependency) { _me.emit('dependency', 'xmpp', _me, {dependency:_dependency, name: 'Strophe', version:'', error:'Strophe muc plugin not found'}); return; }
			
			_dependency = ('feature' in Strophe._connectionPlugins);
            if (!_dependency) { _me.emit('dependency', 'xmpp', _me, { dependency: _dependency, name: 'Strophe', version: '', error: 'Strophe feature plugin not found' }); return; }
            
            _dependency = ('archive' in Strophe._connectionPlugins);
            if (!_dependency) { _me.emit('dependency', 'xmpp', _me, { dependency: _dependency, name: 'Strophe', version: '', error: 'Strophe archive plugin not found' }); return; }

            _dependency = ('private' in Strophe._connectionPlugins);
            if (!_dependency) { _me.emit('dependency', 'xmpp', _me, { dependency: _dependency, name: 'Strophe', version: '', error: 'Strophe private XML plugin not found' }); return; }

            _dependency = ('ping' in Strophe._connectionPlugins);
            if (!_dependency) { _me.emit('dependency', 'xmpp', _me, { dependency: _dependency, name: 'Strophe', version: '', error: 'Strophe ping plugin not found' }); return; }

            _dependency = ('offline' in Strophe._connectionPlugins);
            if (!_dependency) { _me.emit('dependency', 'xmpp', _me, { dependency: _dependency, name: 'Strophe', version: '', error: 'Strophe offline message retrieval plugin not found' }); return; }
			
			_me.emit('dependency', 'xmpp', _me, {dependency:_dependency, name: 'Strophe', version:Strophe.VERSION, error:''});
        }

        function connect() {
            disconnect();
            _connection = new Strophe.Connection(_xmpp_parameters.host);
            UCConnect._connection = _connection;

            _connection.roster.registerCallback(roster_callback);
            _connection.roster.registerRequestCallback(roster_request_callback);
            _connection.roster.registerMessageCallback(roster_message_callback);
            _connection.roster.registerVcardCallback(roster_vcard_callback);

            _connection.muc.registerCallbackError(muc_error_callback);
            _connection.muc.registerCallbackStatus(muc_status_callback);
            _connection.muc.registerCallbackInvite(muc_invite_callback);
            _connection.muc.registerCallbackGroupCallInvite(muc_groupcallinvite_callback);
            _connection.muc.registerCallbackGroupCallReady(muc_groupcallready_callback);
            _connection.muc.registerCallbackGroupCallAccepted(muc_groupcallaccepted_callback);
            _connection.muc.registerCallbackGroupCallDeclined(muc_groupcalldeclined_callback);
            _connection.muc.registerCallbackGroupCallCancelled(muc_groupcallcancelled_callback);
            _connection.muc.registerCallbackGroupCallStatus(muc_groupcallstatus_callback);
            _connection.muc.registerCallbackMessage(muc_message_callback);
            _connection.muc.registerCallbackMemberList(muc_memberlist_callback);
            _connection.muc.registerCallbackChatState(muc_chat_state_callback);

            _connection.rawInput  = rawInput;
            _connection.rawOutput = rawOutput;

            _connection.connect(_xmpp_parameters.username + "/oxmessenger", _xmpp_parameters.password, strophe_event_connect);
        }

        function disconnect() {
            if (_connection===null) { return; }
            _connection.disconnect();
            _connection = null;
        }

        function strophe_event_connect(status) {
            switch (status) {
            case Strophe.Status.CONNFAIL:
                _me.emit('log', 'xmpp', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Xmpp connection failed'});

                _connected  = false;
                _roster     = {};
                _statuses   = {};
                _connection = null;
                _me.emit('failed', 'xmpp', _me, {});
                break;
			case Strophe.Status.CONNECTED:
				_me.emit('log', 'xmpp', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Xmpp connected'});

				_roster    = {};
				_statuses  = {};
				_connected = true;
				_connection.roster.get(roster_initial, null, null);
                _pingInterval = window.setInterval(function () {
                    _connection.ping.ping(_connection.jid, null, null, 60);
                }, 60*2*1000); // send a ping request to the server ever 2 minutes
				break;
			case Strophe.Status.DISCONNECTED:
				_me.emit('log', 'xmpp', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Xmpp disconnected'});

				_connected  = false;
				_roster     = {};
				_statuses   = {};
				_connection = null;
				_me.emit('disconnected', 'xmpp', _me, {});
                window.clearInterval(_pingInterval);
				break;
			}
		}
		
		function roster_callback(items, item) {
      var eventObj;

      _roster = items;

      // Roster event
      if (typeof(item)==='undefined') {
        _me.emit('roster', 'xmpp', _me, {roster:_roster});
      }
      // MyStatus Event
      else if (item.jid===_xmpp_parameters.username) {
        var _status = item.statuses[item.fullJid];

        if (_status) {
          eventObj = { username: item.fullJid, status: _status };
          _me.emit('mystatus', 'xmpp', _me, eventObj);
        }
      }
      // Status event
      else{
          eventObj = {
              username: item.fullJid || item.jid,
              status: _roster[item.jid].statuses,
              roster: _roster
          };
          _me.emit('status', 'xmpp', _me, eventObj);
      }
		}
		
		function roster_initial(items) {
            // moved setting of initial online status to the roster_initial callback since it introduced a race condition where presence is received before the roster was populated
            _connection.roster.status(UCConnect.initialPresence, '', {chat:UCConnect.capabilities.chat,audio:UCConnect.capabilities.audio,video:UCConnect.capabilities.video,mustFlash:UCConnect.capabilities.mustFlash, hasFlash: UCConnect.capabilities.hasFlash}, '1', UCConnect.getNickname());
            _connection.feature.feature('set', null, {enable: {'attrs': {'xmlns': 'urn:xmpp:carbons:2'}}}, null);
            _me.emit('connected', 'xmpp', _me, {});
		}

        function roster_additional(items) {
        }
		
		function roster_request_callback(user) {
			_me.emit('subscribe', 'xmpp', _me, {username:user, roster: _roster});
		}
		
		
		function roster_message_callback(user, from, chat, message, subject, stamp, isOfflineMessage, isCarbonCopy, carbonTo, fileDesc) {
			_me.emit('message', 'xmpp', _me, {username:user, from:from, chat:chat, message: message, subject: subject, stamp:stamp, isOfflineMessage: isOfflineMessage, isCarbonCopy: isCarbonCopy, carbonTo: carbonTo, fileDesc: fileDesc});
		}

    function roster_vcard_callback(from, vcard) {
        _me.emit('vcard_updated', 'xmpp', _me, {username: from, vcard: vcard});
    }
		
		function muc_error_callback(room) {
			_me.emit('status', 'xmpp', _me, {muc: true, host:room.host, roomId:room.room, nick:room.nick, error: true});
		}
		
		function muc_status_callback(user, room, affiliation) {
			var st = ''; if (user in room.statuses) st = room.statuses[user];
			_me.emit('status', 'xmpp', _me, {muc:true, host:room.host, roomId:room.room, nick:user, username:user, status:st, roster: room.statuses, affiliation: affiliation});
		}
		
		function muc_invite_callback(host, room, name, username, from) {
			_me.emit('invite', 'xmpp', _me, {muc:true, host:host, roomId:room, roomName:name, username:username, from:from});
		}
		
		function muc_message_callback(user, from, message, subject, stamp, room, fileDesc) {
			_me.emit('message', 'xmpp', _me, {muc:true, host:room.host, roomId:room.room, nick:room.nick, username:user, from:from, message: message, subject: subject, stamp:stamp, fileDesc: fileDesc});
        }
        
        function muc_memberlist_callback(room, memberList) {
            _me.emit('memberlist', 'xmpp', _me, {room: room, memberList: memberList});
        }

        function muc_chat_state_callback(from, state, isGroup) {
            _me.emit('chat_state', 'xmpp', _me, {from: from, state: state, isGroup: isGroup});
        }
        
        function muc_groupcallinvite_callback(host, room, username, from, type, participantlist) {
            _me.emit('groupcallinvite', 'xmpp', _me, { muc: true, host: host, roomId: room, username: username, from: from, type: type, participantlist: participantlist });
        }
        
        function muc_groupcallready_callback(host, room, username, from, type) {
            _me.emit('groupcallready', 'xmpp', _me, { muc: true, host: host, roomId: room, username: username, from: from, type: type });
        }
        
        function muc_groupcallaccepted_callback(host, room, username, from, type) {
            _me.emit('groupcallaccepted', 'xmpp', _me, { muc: true, host: host, roomId: room, username: username, from: from, type: type });
        }
        
        function muc_groupcalldeclined_callback(host, room, username, from, type) {
            _me.emit('groupcalldeclined', 'xmpp', _me, { muc: true, host: host, roomId: room, username: username, from: from, type: type });
        }
        
        function muc_groupcallcancelled_callback(host, room, username, from, type) { 
            _me.emit('groupcallcancelled', 'xmpp', _me, { muc: true, host: host, roomId: room, username: username, from: from, type: type });
        }

        function muc_groupcallstatus_callback(host, room, from, status) {
            _me.emit('groupcallstatus', 'xmpp', _me, { muc: true, host: host, roomId: room, from: from, status: status});
        }
        
        function archive_getautoarchive_callback(value) {
            _me.emit('autoarchivevalue', 'xmpp', _me, { autoArchive: value });
        }
        
        function archive_fetch_callback(collection, rsm) {
            _me.emit('archivecollection', 'xmpp', _me, { archive: collection, rsm: rsm });
        }
        
        function conversation_deleted_callback(result) {
            _me.emit('conversationdeleted', 'xmpp', _me, { jid: result.jid, success: result.success });
        }

		return {
            init: function () {
                _me = this;
                _me.initEvents(EVENTS);
            },
            
            check: function () {
                checkDependencies();
            },
            
            connect: function (xmpp_parameters) {
                _me.emit('log', 'xmpp', _me, { prefix: LOG_PREFIX, level: 'info', data: 'Xmpp connect request' });
                
                _xmpp_parameters = xmpp_parameters;
                if (_xmpp_parameters === null) { return false; }
                if (!_dependency) { return false; }
                
                var wrong_parameter = _xmpp_parameters.check();
                if (wrong_parameter !== '') {
                    _me.emit('failed', 'xmpp', _me, { wrong_parameter: wrong_parameter });
                    return false;
                }
                
                connect();
                
                return true;
            },
            
            disconnect: function () {
                disconnect();
            },
            
            status: function (status, message) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                return _connection.roster.status(status, message, { chat: UCConnect.capabilities.chat, audio: UCConnect.capabilities.audio, video: UCConnect.capabilities.video, mustFlash: UCConnect.capabilities.mustFlash, hasFlash: UCConnect.capabilities.hasFlash }, '2');
            },

            vcard: function (avatarUrl) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                return _connection.roster.vcard(avatarUrl);
            },
            
            message: function (to, chat, message, subject, fileDesc) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                return _connection.roster.message(to, chat, message, subject, fileDesc);
            },

            chatState: function (to, state, isGroup) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                return _connection.roster.chatState(to, state, isGroup);
            },
            
            roster: function () {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.get(roster_additional, null, null);
                //return _roster; // commented because the call above triggers a roster event
            },
            
            getStatus: function (user) {
                if (user === null) { return {}; }
                var jid = Strophe.getBareJidFromJid(user);
                if (jid === _xmpp_parameters.username) {
                    if (jid === user) { return _statuses; }
                    if (!(user in _statuses)) { return {}; }
                    return _statuses[user];
                }
                if (!(jid in _roster)) { return {}; }
                if (jid === user) { return _roster[jid]; }
                if (!(user in _roster[jid].statuses)) { return {}; }
                return _roster[jid].statuses[user];
            },
            
            rosterUserGroupsSet: function (user, groups) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                var ret = _connection.roster.update(user, groups);
                return (ret !== null);
            },
            
            rosterUserRemove: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                var ret = _connection.roster.remove(user);
                return (ret !== null);
            },
            
            rosterUserAdd: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.add(user, []);
                return true;
            },
            
            rosterUserSubscribe: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.subscribe(user, null, null);
                return true;
            },
            
            rosterUserUnsubscribe: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.unsubscribe(user, null);
                return true;
            },
            
            rosterUserAuthorize: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.authorize(user, null);
                return true;
            },
            
            rosterUserUnauthorize: function (user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.roster.unauthorize(user, null);
                return true;
            },
            
            groupCreate: function (host, room, name, nick, isModerated) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.create(host, room, name, nick, isModerated);
                return true;
            },
            
            groupJoin: function (host, room, nick) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.join(host, room, nick);
                return true;
            },
            
            groupLeave: function (host, room) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.leave(host, room);
                return true;
            },
            
            groupInvite: function (host, room, name, user) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.invite(host, room, name, user);
                return true;
            },
            
            groupMessage: function (host, room, message, fileDesc) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.message(host, room, message, fileDesc);
                return true;
            },
            
            groupSubject: function (host, room, subject) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.subject(host, room, subject);
                return true;
            },
            
            feature: function (type, to, payload, callback) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.feature.feature(type, to, payload, callback);
                return true;
            },
            
            groupCallInvite: function (host, room, user, type, userlist) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallInvite(host, room, user, type, userlist);
                return true;
            },
            
            groupCallReady: function (host, room, type) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallReady(host, room, type);
                return true;
            },
            
            groupCallAccept: function (host, room, type) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallAccept(host, room, type);
                return true;
            },
            
            groupCallDecline: function (host, room, type) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallDecline(host, room, type);
                return true;
            },
            
            groupCallCancel: function (host, room, type) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallCancel(host, room, type);
                return true;
            },

            groupCallStatus: function (host, room, status) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.groupCallStatus(host, room, status);
                return true;
            },
            
            setRole: function (host, room, jid, role) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.setRole(host, room, jid, role);
                return true;
            },
            
            fetchHistory: function (jid, limit) {
                var rsm;
                if (_connection === null) { return false; }
                if (!_connected) { return false; }

                if (limit === null) {
                    rsm = null;
                } else if (typeof limit === 'object') {
                    rsm = limit.next();
                } else {
                    rsm = new Strophe.RSM({max: limit});
                }
                _connection.archive.listCollections(jid, rsm, archive_fetch_callback);
                return true;
            },
            
            setAutoArchiving: function (value) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.archive.setAutoArchiving(value);
                return true;
            },
            
            getAutoArchiving: function () {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.archive.getAutoArchiving(archive_getautoarchive_callback);
                return true;
            },
            
            deleteConversation: function (jid, startDate) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.archive.removeCollection(jid, startDate, conversation_deleted_callback);
                return true;
            },

            discoverRoomInfo: function (host, room) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.discover(host, room);
                return true;
            },
            storePrivateXml: function (ns, data, callback) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.private.set('storage', ns, data, callback);
                return true;
            },
            fetchPrivateXml: function (ns, callback) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.private.get('storage', ns, callback);
                return true;
            },
            discoverOffline: function () {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.offline.discover();
            },
            getOfflineMessages: function (deleteAfterReceiving) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.offline.getMessages(deleteAfterReceiving);
            },
            tmpFixRoomLength: function (host, room) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.tmpFixRoomLength(host, room);
            },
            fetchMemberList: function (host, room) {
                if (_connection === null) { return false; }
                if (!_connected) { return false; }
                _connection.muc.fetchMemberList(host, room);
            }
        };
    })()
);

UCConnect.XmppParameters = XmppParameters;
UCConnect.Xmpp = Xmpp;
}(UCConnect));
/**
 * @fileoverview SIP
 */

/**
 * @augments UCConnect
 * @class SIP
 */
(function(UCConnect) {


    var SIPWrapper = function() {
		this.init();
	},
    _me = null,
    LOG_PREFIX = UCConnect.name +' | '+ 'SIP' +' | ',
    EVENTS = ['log',
        'dependency',
        'new_call',
        'end_call',
        'call_state',
        'failed',
        'connected',
        'disconnected',
        'ringing',
        'dtmf_sent',
        'dtmf_recv',
        'local_media_requested',
        'local_media_failed',
        'local_media_acquired',
        'flash_security'
    ],
    SipParameters = function(wsServers, uri, password, videoRemote, videoLocal, stunServers, turnServers) {
        this.wsServers = wsServers;
        this.uri = uri;
        this.password = password;
        this.videoRemote = videoRemote;
        this.videoLocal = videoLocal;
        this.stunServers = stunServers;
        this.turnServers = turnServers;
    };

    SipParameters.prototype = {
        wsServers: "",
        uri: "",
        password: "",
        videoRemote: "",
        videoLocal: "",
        stunServers: "",
        turnServers: "",
        fms: "",
        check: function() {
            if (this.wsServers === null) { return 'wsServers'; }
            if (this.username === null) { return 'username'; }
            if (this.username === '') { return 'username'; }
            if (this.password === null) { return 'password'; }
            if (this.password === '') { return 'password'; }
            if (this.videoRemote === null) { return 'videoRemote'; }
            if (this.videoRemote === '') { return 'videoRemote'; }
            if (this.videoLocal === null) { return 'videoLocal'; }
            if (this.videoLocal === '') { return 'videoLocal'; }
            if (this.stunServers === null) { return  'stunServers'; }
            if (this.turnServers === null) { return 'turnServers'; }

            return '';
        }
    };

    var Session = function (id, call, display_name, sip_uri, options, configuration) {
        var self = this;
        this.id = id;
        this.call = call;
        this.status = '';
        this.display_name = display_name;
        this.sip_uri = sip_uri;
        this.options = options;
        this.configuration = configuration;
        this.attachFlashTimeout = 0;
        this.makeFlashVideoInstance = function (callParams) {
            var SWF_FILE = configuration.swf_file;
            var swfVersionStr = configuration.swfVersionStr;
            var xiSwfUrlStr = configuration.expressInst;
            
            var c = document.getElementById(callParams.id);

            if(c == null){
                if (self.attachFlashTimeout < 5) {
                    window.setTimeout(function(){
                        self.attachFlashTimeout++;
                        console.log("=================================makeFlashVideoInstance timeout");
                        self.makeFlashVideoInstance(callParams);
                    }, 1000);
                    return;
                }else{
                    self.terminateCall();
                }
            }

            self.attachFlashTimeout = 0;

            self.WIDTH = c.getAttribute("width");
            self.HEIGHT = c.getAttribute("height");

            console.log("c.dim: %s:%s", c.offsetWidth, c.offsetHeight);
            if( c.offsetWidth < 1 || c.offsetHeigh < 1){
                console.error("Parent dimensions are unsatisfied: x:%s y:%s", c.offsetWidth, c.offsetHeight);
            }

            self.flashElementId = c.id;

            var flashvars = {
                fmsServer: "rtmp://" + configuration.fms + "/bcast/",
                upStreamName: callParams.upStream,
                downStreamName: callParams.downStream,
                js_onLogFunction: 'onFlashLog',
                js_onMediaState: 'onVideoInstaceStatus',
                initialHeight: (self.options.media.video) ? self.options.media.video.mandatory.minHeight : self.HEIGHT,
                initialWidth: (self.options.media.video) ? self.options.media.video.mandatory.minWidth : self.WIDTH,
                cameraActive: callParams.cameraActive,
                js_FlashBridge: "UCConnect.JFlashBridge"
            };
            var params = {
                wmode: "transparent",
                backgroundColor: "#ffffff",
                allowFullScreen: "true"
            };
            var attributes = {};
            attributes.id = this.flashElementId;
            UCConnect.SwfObject.embedSWF(SWF_FILE, self.flashElementId, self.WIDTH, self.HEIGHT, swfVersionStr, xiSwfUrlStr, flashvars, params);
            UCConnect.JFlashBridge.bind(self.flashElementId, self.VideoFlash2JsProxy);
        };

        this.VideoFlash2JsProxy = {
            onInit: function () {
                self.VideoWidget = UCConnect.SwfObject.getObjectById(self.flashElementId);
                if (self.VideoWidget != null) {
                    var eventListener = function (event) {
                        self.VideoWidget.removeEventListener("DOMNodeInserted", arguments.callee);
                        self.flashElementId = self.VideoWidget.id;
                        self.makeFlashVideoInstance({
                            'upStream': self.call.mediaHandler.peerConnection.flashParams.localStream,
                            'downStream': self.call.mediaHandler.peerConnection.flashParams.remoteStream,
                            'cameraActive': ((self.call.mediaHandler.peerConnection.flashParams.withWideo === "0") ? false : true),
                            'debug': false,
                            'id': self.flashElementId,
                            publishSuccess: function () { },
                            publishFail: function () { }
                        });
                    };
                    //self.VideoWidget.addEventListener("DOMNodeInserted", eventListener, false);

                    var eventRemoveListener = function (event) {
                        self.VideoWidget.removeEventListener("DOMNodeRemoved", arguments.callee);
                        //self.VideoWidget.mediaStopPublishing();
                        self.VideoWidget.terminate();
                    };
                    //self.VideoWidget.addEventListener("DOMNodeRemoved", eventRemoveListener, false);

                    self.VideoWidget.initMedia();
                    self.call.mediaHandler.VideoWidget = self.VideoWidget;
                }
            },
            onSecurity: function (event) {
                try {
                    self.f2s.emit('flash_security', 'sip', self.f2s, event);
                    if (event.panel === "visible" && (self.f2s.VideoWidget.offsetHeight < 160 || self.f2s.VideoWidget.offsetWidth < 240)) {
                        self.VideoWidget.setAttribute("width", "240");
                        self.VideoWidget.setAttribute("height", "160");
                    } else {
                        self.VideoWidget.setAttribute("width", self.WIDTH);
                        self.VideoWidget.setAttribute("height", self.HEIGHT);
                    }
                    console.log("videoWidget: x:%s y:%s", self.VideoWidget.offsetWidth, self.VideoWidget.offsetHeight);
                } catch (e) {
                    console.log(e);
                }

            },
            onFlashLog: function (msg) {
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: { FLASH_LOG_onFlashLog: msg } });
                if (msg == "NetStream.Play.UnpublishNotify") {
                    //      setCallState("ended", "");
                    //      resetSession();
                    //      removeMessengerVideo();
                }

            },
            onVideoInstaceStatus: function (status) { },
            onMediaState: function (state) {
                console.log("OnMediastate: %o", state);
            },
            onSWFLoaded: function () { },
            isJSReady: function () { },
            onMediaInitialized: function () { },
            onMetaData: function (event) {
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: { FLASH_LOG_onMetadata: event } });
                //self.VideoWidget.setAttribute("style", "width:" + event.width + "px; " + "height:" + event.height + "px");
            }
        };
    };

    Session.prototype = {
        answerCall: function (withVideo) {
            //this.options.RTCOfferConstraints = { mandatory: { offerToReceiveAudio: true } };
            this.options.media = { constraints: { audio: true, video: (withVideo) ? defaultVideoConstraints : false }, render: { remote: { video: document.getElementById('remoteVideo') }, local: { video: document.getElementById('localVideo') } } };
            if (this.call.mediaHandler.flashFailover) {
                this.options['extraHeaders'] = ["X-Uc-Ims: " + "1 1 " + this.call.mediaHandler.peerConnection.flashParams.remoteStream + " " + this.call.mediaHandler.peerConnection.flashParams.localStream];
            }

            this.call.accept(this.options);
            return true;
        },
        terminateCall: function () {
            this.call.terminate();
            return true;
        },
        sendDTMF: function (dtmf) {
            if (this.status == 'answered') {
                this.call.dtmf(dtmf);
                return true;
            }
            return false;
        },
        toggleAudioMute: function () {
            if(this.call.audioMuted){
                this.call.unmute({audio: true, video: false});
            }else{
                this.call.mute({audio: true, video: false});
            }
            return this.call.audioMuted;
            /*
            var at = this.call.rtcMediaHandler.localMedia.getAudioTracks();
            if (at != null) {
                if (at.length > 0) {
                    at[0].enabled = !at[0].enabled;
                    return at[0].enabled;
                }
            }
            return false;
            */
        },
        toggleVideoMute: function () {
            if(this.call.mediaHandler.videoMuted){
                this.call.mediaHandler.unmute({ audio: false, video: true });
            }else{
                this.call.mediaHandler.mute({ audio: false, video: true });
            }
            return this.call.mediaHandler.videoMuted;
            /*
            var vt = this.call.rtcMediaHandler.localMedia.getVideoTracks();
            if (vt != null) {
                if (vt.length > 0) {
                    vt[0].enabled = !vt[0].enabled;
                    return vt[0].enabled;
                }
            }
            return false;
            */
        },
        getMediaCanvas: function () {
            var videoLocal = null;
            var videoRemote = document.createElement("video");

            if (this.call !== undefined) {
                if (this.call.mediaHandler.flashFailover) {
                    videoRemote = document.createElement("div");
                    var self = this;
                    var eventListener = function (event) {
                        videoRemote.removeEventListener("DOMNodeInserted", arguments.callee);
                        self.makeFlashVideoInstance({
                            'upStream': self.call.mediaHandler.peerConnection.flashParams.localStream,
                            'downStream': self.call.mediaHandler.peerConnection.flashParams.remoteStream,
                            'cameraActive': ((self.call.mediaHandler.peerConnection.flashParams.withWideo === "0") ? false : true),
                            'debug': false,
                            'id': videoRemote.id,
                            publishSuccess: function () { },
                            publishFail: function () { }
                        });
                    };

                    videoRemote.addEventListener("DOMNodeInserted", eventListener, false);

                } else {
                    var localStream = this.call.getLocalStreams();
                    videoLocal = document.createElement("video");
                    if (localStream.length) {
                        videoLocal.src = window.URL.createObjectURL(localStream[0]);
                    }
                    videoLocal.muted = true;
                    videoLocal.autoplay = true;

                    var remoteStream = this.call.getRemoteStreams();
                    if (remoteStream.length) {
                        videoRemote.src = window.URL.createObjectURL(remoteStream[0]);
                    }
                    videoRemote.autoplay = true;
                }
                return { local: videoLocal, remote: videoRemote };
            }
        }
    };

    var SessionHandler = {
        sessions: [],
        check: function (sessionId) {
            console.log(this.sessions);
        },
        push: function (session) {
            this.sessions.push(session);
        },
        getSession: function (sessionId) {
            if (this.sessions.length > 0) {
                for (var i in this.sessions) {
                    if (this.sessions[i].id === sessionId) {
                        return this.sessions[i];
                    }
                }
            }
            return false;
        },
        destroySession: function (sessionId) {
            if (this.sessions.length > 0) {
                for (var i in this.sessions) {
                    if (this.sessions[i].id === sessionId) {
                        this.sessions.splice(i, 1);
                    }
                }
            }
        },
        terminateAll: function () {
            for (var i in this.sessions) {
                this.sessions[i].terminateCall();
            }
        }
    };

    SIPWrapper.prototype = new UCConnect.EventEmitter();

    UCConnect.extend(SIPWrapper.prototype,
        (function() {
            var _me                 = null;
            var _dependency         = false;
            var _connection         = null;
            var _connected          = false;
            var _registered         = false;
            var _UA                 = null;
            var _video_remote       = null;
            var _video_local        = null;
            var _video_remote_src   = '';
            var _video_local_src    = '';

            var _configuration = {
              wsServers:                       '',
              uri:                              '',
              password:                         '',
              stunServers:                     [],
              turnServers:                     [],
              /*'registrar_server':             '',*/
              traceSip:                        false,
              log:                              {level: SIP_LOG_LEVELS.error, builtinEnabled: false},
              connectionRecoveryMaxInterval:    SIP_CONFIGURATION_VALUES.connection_recovery_max_interval,
              connectionRecoveryMinInterval:    SIP_CONFIGURATION_VALUES.connection_recovery_min_interval,
              hackIpInContact:                  SIP_CONFIGURATION_VALUES.hack_ip_in_contact,
              hackViaTcp:                       SIP_CONFIGURATION_VALUES.hack_via_tcp,
              noAnswerTimeout:                  SIP_CONFIGURATION_VALUES.no_answer_timeout,
              register:                         SIP_CONFIGURATION_VALUES.register,
              registerExpires:                  SIP_CONFIGURATION_VALUES.register_expires,
              usePreloadedRoute:                SIP_CONFIGURATION_VALUES.use_preloaded_route,

              //FLASH
              fms: "",
              swf_file: FLASH_CONFIGURATION.video_widget,
              swfVersionStr: "11.1.0",
              xiSwfUrlStr: FLASH_CONFIGURATION.player_installation,
              expressInst: FLASH_CONFIGURATION.player_installation,
              initialHeight: FLASH_CONFIGURATION.initial_height,
              initialWidth: FLASH_CONFIGURATION.initial_width

            };

            var _videoConstraints = defaultVideoConstraints;

            var _options = {
              extraHeaders: [],
              media: { 'audio': true, 'video': _videoConstraints, render: { 'video': null } }
            };


            function processFlashFailOverEvent(e){
                //console.info(e);
                var session = UCConnect.getSession(e.data.session.id);
                if (session !== false) {
                    session.call = e.data.session;
                    if (session.call.request && session.call.request.body) {
                        session.call.callType = (session.call.request.body.match('m=video') !== null) ? 'video' : 'audio';
                    }
                    if (session.call.request && session.call.ucXHeader) {
                        session.call.callType = (session.call.ucXHeader.cameraActive === '1') ? 'video' : 'audio';
                    }
                    setCallOnEvents(session.call);
                }
            }

            function newSession(e, direction) {
                var status,
                    request = e.request,
                    uri = e.remoteIdentity.uri,

                display_name = e.remoteIdentity.display_name || e.remoteIdentity.uri.user,
                sip_uri = e.remoteIdentity.uri.user + '@' + e.remoteIdentity.uri.host;
                status = (direction === 'incoming') ? "incoming" : "trying";

                if (!e.callType && request.body) {
                    if (e.mediaHandler.flashFailover) {
                        e.callType = (e.mediaHandler.peerConnection.flashParams.withWideo === '1') ? 'video' : 'audio';
                    } else {
                        e.callType = (request.body.match('m=video') !== null) ? 'video' : 'audio';
                    }
                }

                // If the session exists with active call reject it.
                /*if (_session != null && call.direction === 'incoming') {
                    _me.emit('end_call', 'sip', _me, {type: 'call', id: call.id, call: call, status: 'failed', cause: 'denied', from: sip_uri, session: _session});
                    call.terminate();
                    _session = null;
                    return false;
                }*/

                if (e.mediaHandler.flashFailover) {
                    e.mediaHandler.peerConnection.fms = _configuration.fms;
                }

                var session = UCConnect.getSession(e.id);

                if (!session) {
                    _options.extraHeaders = [];
                    var a = _configuration;
                    session = new Session(e.id, e, display_name, sip_uri, _options, _configuration);
                    UCConnect.SessionHandler.push(session);
                }
                session.status = setCallSessionStatus(status, null, session);
                setCallOnEvents(e);
                return session;
            }

            function setCallOnEvents(call) {
                
                if (call instanceof SIP.InviteServerContext) {
                    call.direction = 'inbound';
                } else {
                    call.direction = 'outbound';
                }

                // Progress
                call.on('progress',function(e) {
                    var session = UCConnect.getSession(call.id);
                    if (call instanceof SIP.InviteServerContext) {
                        session.status = setCallSessionStatus('in-progress', null, session);
                    }
                    call.audioMuted = false;
                    call.videoMuted = false;
                });

                // Started
                call.on('accepted',function(e) {
                    //Attach the streams to the views if it exists.
                    var session = UCConnect.getSession(call.id);
                    session.status = setCallSessionStatus('answered', null, session);

                    //console.log("CALL: %o", session.call);
                });
                
                call.on('muted', function (e) {
                    if (e.audio) {
                        call.audioMuted = true;
                    }
                    if (e.video) {
                        call.videoMuted = true;
                    }
                });
                
                call.on('unmuted', function (e) {
                    if (e.audio) {
                        call.audioMuted = false;
                    }
                    if (e.video) {
                        call.videoMuted = false;
                    }
                });

                // Failed
                call.on('failed', function (e, d) {
                    var session = UCConnect.getSession(call.id),
                        cause;
                    
                    /*if (e != null) {
                        var cause = e.reason_phrase,
                        response = e.data.response;

                        if (cause.match("SIP;cause=200", "i")) {
                            cause = 'answered_elsewhere';
                        } else if (cause.match("Canceled", "i")) {
                            cause = "missed";
                        } else if (cause.match("Rejected", "i")) {
                            cause = "rejected";
                        }

                    } else {
                        cause = "unknown";
                    }

                    var calltype = session.call.callType;
                    var uri = session.sip_uri;
                    session.status = setCallSessionStatus('failed', cause, session);
                    //session = null;
                    UCConnect.SessionHandler.destroySession(call.id);

                    if (e != null) {
                        if (e.data.indexOf('INCOMPATIBLE_DESTINATION') != -1) {
                            cause = "incompatible destination";
                        }
                    }*/
                    
                     switch(d) {
                        case 'Unavailable':
                            cause = 'rejected';
                            break;
                        case 'Cancelled':
                            cause = 'missed';
                            break;
                        default:
                            cause = 'rejected';
                    }

                    session.status = setCallSessionStatus('failed', cause, session);
                    UCConnect.SessionHandler.destroySession(session.id);
                });

                call.on('dtmf', function (e) {
                    var session = UCConnect.getSession(call.id);
                    if (e.data.originator === 'remote') {
                        _me.emit('dtmf_recv', 'sip', _me, {type: 'call', id: session.id, dtmf: e.data.dtmf.tone});
                    } else {
                        _me.emit('dtmf_sent', 'sip', _me, {type: 'call', id: session.id, dtmf: e.data.dtmf.tone});
                    }
               });

                // Ended
                call.on('bye', function (e) {
                    var tmpCause = e.getHeader('reason'),
                        session = UCConnect.getSession(call.id),
                        cause;

                    if (tmpCause) {
                        tmpCause = tmpCause.split(';');
                        cause = tmpCause[tmpCause.length-1].split('=')[1];
                        cause = cause.replace(/"/g,'');
                    }

                    if (e instanceof SIP.OutgoingRequest) {
                        if (e.statusCode === undefined) {
                            cause = 'NORMAL_CLEARING';
                        }
                    }

                    if (session) {
                        session.status = setCallSessionStatus('ended', cause, session);
                        UCConnect.SessionHandler.destroySession(session.id);
                    }
                });
            }


            function setCallSessionStatus(status, cause, session) {
                var event = '';

                // PATCH_actpass: 'answered' status set only once
                if(status === 'answered' && session.status === status)
                    return status;

                switch(status) {
                    case 'failed' :
                    case 'ended' :
                        event = 'end_call';
                        break;

                    case 'incoming' :
                        event = 'new_call';
                        break;

                    //case 'trying':
                    default:
                        event = 'call_state';

                }

                var data = {type: 'call',
                            id: session.id,
                            cause: cause,
                            from: session.uri,
                            status: status,
                            startTime: new Date(),
                            endTime: new Date(),
                            session: session,
                            call: session.call
                        };

                if (session.call && session.call.hasOwnProperty('startTime')) {
                    data.startTime = session.call.startTime;
                }

                if (session.call && session.call.hasOwnProperty('endTime')) {
                    if (session.call.endTime != null) {
                        data.endTime = session.call.endTime;
                    }
                }

                _me.emit(event, 'sip', _me, data);

                return status;
            }

            function onConnected(e) {
                _connected = true;
               // _me.emit('connected', 'sip', _me, {});
                //_me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'WS connection successful'});

            }

            function onDisconnected(e) {
                _connected = false;
                _me.emit('disconnected', 'sip', _me, {status: 'disconnected'});
                //_me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'WS connection failed'});
            }

            function onRegistered(e) {
                _registered = true;
                _me.emit('connected', 'sip', _me, {status: 'connected'});
                _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'SIP registration successful'});
            }

            function onUnregistered(e) {
                _registered = false;
                //_me.emit('disconnected', 'sip', _me, {status: 'disconnected'});
                //_me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'SIP registration failed'});
            }

            function checkDependencies() {
                _dependency = (typeof(SIP) !== 'undefined');
                var version = '';
                if (_dependency) {
                    version = SIP.version;
                }
                _me.emit('dependency', 'sip', _me, {dependency:_dependency, name: 'SIP', version:version});
            }

            function sipConnect(sip_parameters) {
                _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Sip register request'});

                if (!_dependency) {
                    return false;
                }

                var wrong_parameter = sip_parameters.check();
                if (wrong_parameter!=='') {
                    _me.emit('failed', 'sip', _me, {wrong_parameter:wrong_parameter});
                    return false;
                }

                _video_remote = sip_parameters.videoRemote;
                _video_local = sip_parameters.videoLocal;

                _configuration.wsServers = sip_parameters.wsServers;
                _configuration.uri = sip_parameters.uri;
                _configuration.password = sip_parameters.password;
                _configuration.stunServers = sip_parameters.stunServers;
                _configuration.turnServers = sip_parameters.turnServers;
                _configuration.fms = sip_parameters.fms;
                _configuration.mediaHandlerFactory = UCConnect.MediaHandler.defaultFactory;

                try {
                    _UA = new SIP.UA(_configuration);
                    _UA.on('invite', function(e) {
                        newSession(e, 'incoming');
                    });

                    /*_UA.on('flashFailOver', function(e) {
                        processFlashFailOverEvent(e);
                    });*/

                    _UA.on('connected', function(e) {
                        onConnected(e);
                    });

                    _UA.on('disconnected', function(e) {
                        onDisconnected(e);
                    });

                    _UA.on('registered', function(e) {
                        onRegistered(e);
                    });

                    _UA.on('unregistered', function(e) {
                        onUnregistered(e);
                    });
                    //TODO: add methods to SipJS
                    /*_UA.on('localMediaRequested', function (e) {
                        _me.emit('local_media_requested', 'sip', _me, {});
                    });
                    _UA.on('localMediaFailed', function (e) {
                        _me.emit('local_media_failed', 'sip', _me, {});
                    });
                    _UA.on('localMediaAcquired', function (e) {
                        _me.emit('local_media_acquired', 'sip', _me, {});
                    });
                    _UA.on('flash_security', function(event){
                        _me.emit('flash_security', 'sip', _me, event);
                        //console.log("=========================== flash security: %o", event);
                    });*/

                    _UA.start();
                } catch(e) {
                    return false;
                }
                return true;
            }

            function sipDisconnect() {
                if (_UA != null) {
                    _UA.stop();
                }
            }

            function makeCall(uri, video, extraHeaders, endCallCb) {
                _options.extraHeaders = [];
                _options.media = {
                    constraints: {
                        audio: true,
                        video: video
                    }
                };
                
                _options.endCallCb = endCallCb;
                if(_UA == null) {
                    return false;
                }
                if (_UA.isConnected() && _UA.isRegistered()) {
                    if(video) {
                        if (uri === 'recv' || uri === 'send') {
                           if (window.mozRTCPeerConnection !== undefined) {
                                _options.media.constraints.video = {
                                    width: { min: 640, max: 1920},
                                    height: { min: 360, max: 1080},
                                    frameRate: { min: 15, max: 30}
                                };
                            } else {
                                _options.media.constraints.video = {
                                    mandatory: {
                                        minWidth: 640,
                                        maxWidth: 1920,
                                        minHeight: 360,
                                        maxHeight: 1080,
                                        minFrameRate: 15,
                                        maxFrameRate: 30,
                                        minAspectRatio: 1.777777777777778,
                                        maxAspectRatio: 1.777777777777778
                                    }
                                };
                            }
                        } else {
                            _options.media.constraints.video = _videoConstraints;
                        }
                    } else {
                        _options.media.constraints.video = false;
                    }

                    //remove when  capabilities set in extraHeaders (format flashFailover:true)
                    //if (UCConnect.forceFlash == true) {
                    var rosterItem = UCConnect._connection.roster.findItem(uri);
                    if (rosterItem) {
                        for (var i in rosterItem.statuses) {
                            if (rosterItem.statuses[i].capabilities.mustFlash === true) {
                                if (extraHeaders === undefined) {
                                    extraHeaders = [];
                                }
                                extraHeaders.push("flashFailover:true");
                            }
                            break;
                        }
                    }

                    if (extraHeaders) {
                        for (var j in extraHeaders) {
                            var elem = extraHeaders[j];
                            if (elem.indexOf('flashFailover') != -1) {
                                var params = elem.split(":");
                                if (params[1] == "true") {
                                    _options.extraHeaders.push(makeFlashFailoverHeader(video));
                                }
                            } else {
                                _options.extraHeaders.push(elem);
                            }
                        }
                    }
                    try {
                        //var call = _UA.invite(uri, _options),
                        var call = _UA.invite(uri, _options),
                            session;

                        if (!UCConnect.getSession(call.id)) {
                            call.callType = (video) ? 'video' : 'audio';
                            session = newSession(call, 'outgoing');
                            //session = new Session(call.id, call, call.remoteIdentity.uri.user, call.remoteIdentity.uri.user + '@' + call.remoteIdentity.uri.host, _options);
                            //UCConnect.SessionHandler.push(session);
                        } else {
                            session = UCConnect.getSession(call.id);
                        }
                        //console.info(session);
                        //session = new Session(call.id, call, call.remoteIdentity.uri.user, call.remoteIdentity.uri.user + '@' + call.remoteIdentity.uri.host, _options);
                        return session;
                    } catch (e) {
                        return false;
                    }
                    //return true;
                }
                return false;
            }

            function makeFlashFailoverHeader(withVideo){
                var streams = createStreamNames();
                return 'X-Uc-Ims: 1' + ((withVideo === false) ? " 0 " : " 1 ") + streams[0] + " " + streams[1];
            }

            function createStreamNames(){
                var chars = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
                var result = [];
                for (var x = 0; x < 2; x++){
                    var stream = '';
                    for (var i = 12; i > 0; --i){
                        stream += chars[Math.round(Math.random() * (chars.length - 1))];
                    }
                    result.push(stream);
                }
                return result;
            }

            /*function answerCall(video) {
                if (_session != null) {
                    if(video) {
                        _options.mediaConstraints.video = _videoConstraints;
                    } else {
                        _options.mediaConstraints.video = false;
                    }
                    _session.call.answer(_options);
                    return true;
                }
                return false;
            }

            function terminateCall() {
                if (_session != null) {
                    _session.call.terminate();
                    return true;
                }
                return false;
            }

            function sendDtmf(dtmf) {
                if (_session != null) {
                    if (_session.status == 'answered') {
                        _session.call.sendDTMF(dtmf);
                        return true;
                    }
                }
                return false;
            }

            function muteCall() {
                if (_session != null) {
                    var at = _session.call.rtcMediaHandler.localMedia.getAudioTracks();
                    if (at != null) {
                        if(at.length > 0) {
                            at[0].enabled = !at[0].enabled;
                            return at[0].enabled;
                        }
                    }
                    result.push(stream);
                }
                return false;
            }

            function muteVideo() {
                if (_session != null) {
                    var at = _session.call.rtcMediaHandler.localMedia.getVideoTracks();
                    if (at != null) {
                        if(at.length > 0) {
                            at[0].enabled = !at[0].enabled;
                            return at[0].enabled;
                        }
                    }
                }
                return false;
            }

            function getVideoSrcs() {
                if (_session != null) {
                    return {remote: _video_remote_src, local: _video_local_src};
                }
            }*/

            function setVideoConstraints(constraints) {
                if(constraints.hasOwnProperty('mandatory')) {
                    _videoConstraints = constraints;
                    return true;
                } else {
                    return false;
                }
            }

            return {
                init: function() {
                    _me = this;
                    _me.initEvents(EVENTS);
                },
                check: function() {
                    checkDependencies();
                },
                connect: function(sip_parameters) {
                    sipConnect(sip_parameters);
                },
                disconnect: function() {
                    sipDisconnect();
                },
                makeCall: function(uri, video, extraHeaders, endCallCb) {
                    return makeCall(uri, video, extraHeaders, endCallCb);
                },
                /*
                answerCall: function(video) {
                    return answerCall(video);
                },
                terminateCall: function() {
                    return terminateCall();
                },
                sendDtmf: function(dtmf) {
                    return sendDtmf(dtmf);
                },
                mute: function() {
                    return muteCall();
                },
                videoMute: function() {
                    return muteVideo();
                },
                getVideoSources: function(){
                    return getVideoSrcs();
                },*/
                setVideoConstraints: function(constraints){
                    return setVideoConstraints(constraints);
                },
                enableSipTrace: function(enabled) {
                    _configuration.traceSip = enabled;
                },
                setLogging: function(level, enabled) {
                    _configuration.log.level = level;
                    _configuration.log.builtinEnabled = enabled;
                }
            };
        })()
    );


UCConnect.SipParameters = SipParameters;
UCConnect.SIP = SIPWrapper;
UCConnect.SessionHandler = SessionHandler;
}(UCConnect));
/**
 * @fileoverview Flash2SipWraper
 */

/**
 * @augments UCConnect
 * @class Flash2SipWrapper
 */
(function(UCConnect) {

    var Flash2SipWrapper = function () {
        this.init();
    },
    _me = null,
    LOG_PREFIX = UCConnect.name + ' | ' + 'Flas2Sip' + ' | ',
    EVENTS = [
        'log',
        'dependency',
        'new_call',
        'end_call',
        'call_state',
        'failed',
        'connected',
        'disconnected',
        'ringing',
        'dtmf_sent',
        'dtmf_recv',
        'local_media_requested',
        'local_media_failed',
        'local_media_acquired',
        'flash_security'
    ],
    Flash2SipParameters = function (uri, password, fms, proxy, realm, outboundProxy) {
            this.fms = fms; 
            this.uri = uri; 
            this.password = password;
            this.proxy = proxy;
            this.realm = realm;
            this.outboundProxy = outboundProxy;
    };

    Flash2SipParameters.prototype = {
        check: function() { 
            if (this.fms === null) { return 'fms'; }
            if (this.username === null) { return 'username'; }
            if (this.username === '') { return 'username'; }
            if (this.password === null) { return 'password'; }
            if (this.password === '') { return 'password'; }

            return '';
        } 
    };

    var JFlashBridge = {
        items: {},

        bind: function(id, klass) {
            //console.log('JFlashBridge: Bind: ', id, klass);
            this.items[id] = klass;
        },

        unbind: function(id) {
            //console.log('JFlashBridge: Unbind: ', id);
            delete this.items[id];
        },

        call: function() {
            //console.log('JFlashBridge: Call: ', arguments);
            var klass = this.items[arguments[0]];
                if (klass) {
                    var method = klass[arguments[1]];
                    if (method){
                        method.apply(klass, Array.prototype.slice.call(arguments, 2));
                    }else{
                        //console.log('JFlashBridge: No method: ', arguments[1]);
                    }
                } else {
                    //console.log('JFlashBridge: No binding: ', arguments);
                }
            },

            getSWF: function(movieName) {
                if (navigator.appName.indexOf("Microsoft") != -1){
                    return window[movieName];
                }
                return document[movieName];
            }
    };

    var Session = function (id, UA, flash2SipInstance, configuration, videoConstraints) {
        this.id = id;
        this.flashId = null;
        this.active = false;
        this.call = null;
        this.status = '';
        this.display_name = '';
        this.uri = '';
        this.UA = UA;
        this.f2s = flash2SipInstance;
        this.VideoWidget = null;
        this.sipAudioCall = false;
        this.audioMuted = false;
        this.cameraActive = true;
        this.attachFlashTimeout = 0;
        this.mediaElementId = '';
        var self = this;
        this.WIDTH = "100%";
        this.HEIGHT = "100%";
        this.FLASH_VERSION = "11.1.0";
        this.configuration = configuration;
        this.videoConstraints = videoConstraints;
        this.streams = null;
        this.makeVideoInstance = function () {
            var SWF_FILE = FLASH_CONFIGURATION.video_widget;
            var swfVersionStr = self.FLASH_VERSION;
            var xiSwfUrlStr = FLASH_CONFIGURATION.player_installation;

            var c = document.getElementById(self.mediaElementId);

            if (c == null) {
                if (self.attachFlashTimeout < 5) {
                    window.setTimeout(function () {
                        self.attachFlashTimeout++;
                        console.log("=================================makeVideoInstance timeout");
                        self.makeVideoInstance();
                    }, 1000);
                    return;
                } else {
                    self.terminateCall();
                }
            }

            self.attachFlashTimeout = 0;

            self.WIDTH = c.getAttribute("width");
            self.HEIGHT = c.getAttribute("height");

            console.log("c.dim: %s:%s", c.offsetWidth, c.offsetHeight);
            if (c.offsetWidth < 1 || c.offsetHeigh < 1) {
                console.error("Parent dimensions are unsatisfied: x:%s y:%s", c.offsetWidth, c.offsetHeight);
            }

            self.flashElementId = c.id;

            var flashvars = {
                fmsServer: "rtmp://" + self.configuration.fms + "/bcast/",
                upStreamName: self.streams.up,
                downStreamName: self.streams.down,
                //js_onLogFunction: 'onFlashLog',
                js_onMediaState: 'onVideoInstaceStatus',
                initialHeight: self.videoConstraints.mandatory.minHeight,
                initialWidth: self.videoConstraints.mandatory.minWidth,
                cameraActive: self.cameraActive,
                js_FlashBridge: "UCConnect.JFlashBridge"
            };
            var params = {
                wmode: "transparent",
                backgroundColor: "#ffffff",
                allowFullScreen: "true"
            };
            var attributes = {};
            attributes.id = self.flashElementId;
            UCConnect.SwfObject.embedSWF(SWF_FILE, self.flashElementId, self.WIDTH, self.HEIGHT, swfVersionStr, xiSwfUrlStr, flashvars, params);
            UCConnect.JFlashBridge.bind(self.flashElementId, self.VideoFlas2JsProxy);

        };

        this.removeMessengerVideo = function () {
            if (this.VideoWidget != null) {
                var id = this.VideoWidget.id;
                try {
                    this.VideoWidget.terminate();
                } catch (ex) {
                    // console.error(ex);
                }
                UCConnect.SwfObject.removeSWF(id);
                UCConnect.JFlashBridge.unbind(id);
                this.VideoWidget = null;
            }
        };

        this.VideoFlas2JsProxy = {
            onInit: function () {
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: "onInit()" });

                self.VideoWidget = UCConnect.SwfObject.getObjectById(self.mediaElementId);
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: { FLASH_LOG_UA: self.VideoWidget } });
                if (self.VideoWidget != null) {
                    var eventListener = function (event) {
                        self.VideoWidget.removeEventListener("DOMNodeInserted", arguments.callee);
                        self.mediaElementId = self.VideoWidget.id;
                        self.makeVideoInstance();
                    };
                    self.VideoWidget.addEventListener("DOMNodeInserted", eventListener, false);

                    var eventRemoveListener = function (event) {
                        self.VideoWidget.removeEventListener("DOMNodeRemoved", arguments.callee);
                        //self.VideoWidget.mediaStopPublishing();
                        self.VideoWidget.terminate();
                    };
                    self.VideoWidget.addEventListener("DOMNodeRemoved", eventRemoveListener, false);
                    self.VideoWidget.initMedia();
                }
            },
            onSecurity: function (event) {
                try {
                    self.f2s.emit('flash_security', 'sip', self.f2s, event);
                    if (event.panel === "visible" && (self.f2s.VideoWidget.offsetHeight < 160 || self.f2s.VideoWidget.offsetWidth < 240)) {
                        self.VideoWidget.setAttribute("width", "240");
                        self.VideoWidget.setAttribute("height", "160");
                    } else {
                        self.VideoWidget.setAttribute("width", self.WIDTH);
                        self.VideoWidget.setAttribute("height", self.HEIGHT);
                    }
                    console.log("videoWidget: x:%s y:%s", self.VideoWidget.offsetWidth, self.VideoWidget.offsetHeight);
                } catch (e) {
                    console.log(e);
                }

            },
            onFlashLog: function (msg) {
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: { FLASH_LOG_onFlashLog: msg } });
                if (msg == "NetStream.Play.UnpublishNotify") {
                    //      setCallState("ended", "");
                    //      resetSession();
                    //      removeMessengerVideo();
                }

            },
            onVideoInstaceStatus: function (status) {
            },
            onMediaState: function (state) {
                console.log("OnMediastate: %o", state);
            },
            onSWFLoaded: function () {
            },
            isJSReady: function () {

            },
            onMediaInitialized: function () {

            },
            onMetaData: function (event) {
                self.f2s.emit('log', 'sip', self.f2s, { prefix: LOG_PREFIX, level: 'debug', data: { FLASH_LOG_onMetadata: event } });
                //self.VideoWidget.setAttribute("style", "width:" + event.width + "px; " + "height:" + event.height + "px");

            }
        };
    };

    Session.prototype = {
        answerCall: function (withVideo) {
            if (this.UA != null && this.active) {
                this.UA.handleMedia(this.flashId, this.sipAudioCall);
                this.UA.answer(true, this.flashId);
                return true;
            }
            return false;
        },

        terminateCall: function () {
            if (this.UA != null && this.active) {
                if (this.status === 'answered') {
                    if (this.VideoWidget != null) {
                        this.removeMessengerVideo();
                    }
                    this.UA.hangup(this.flashId);
                } else {
                    if (this.call.direction === 'incoming') {
                        this.UA.answer(false, this.flashId);
                    } else {
                        this.UA.hangup(this.flashId);
                    }
                }
                return true;
            }
            return false;
        },
        sendDTMF: function (dtmf) {
            if (this.UA != null && this.active) {
                this.UA.dtmf(dtmf, this.flashId);
                return true;
            }
            return false;
        },
        toggleAudioMute: function () {
            if (!this.sipAudioCall && this.VideoWidget != null) {
                this.audioMuted = this.VideoWidget.toggleAudio();
                return !this.audioMuted;
            } else {
                if (this.audioMuted) {
                    this.UA.attachAudio(this.flashId);
                    this.audioMuted = false;
                } else {
                    this.UA.deattachAudio(this.flashId);
                    this.audioMuted = true;
                }
            }
            return this.audioMuted;
        },
        toggleVideoMute: function () {
            if (!this.sipAudioCall && this.VideoWidget != null) {
                return !this.VideoWidget.toggleVideo();
            }
            return false;
        },
        getMediaCanvas: function () {

            if (this.sipAudioCall) {
                return { local: null, remote: null };
            } else {
                var child = null;
                if (this.VideoWidget != null) {
                    child = this.VideoWidget;
                } else {
                    var self = this;
                    child = document.createElement("div");
                    var eventListener = function (event) {
                        child.removeEventListener("DOMNodeInserted", arguments.callee);
                        self.mediaElementId = child.id;
                        self.makeVideoInstance();
                    };

                    child.addEventListener("DOMNodeInserted", eventListener, false);
                }
                return { local: null, remote: child };
            }
        }
    };


    Flash2SipWrapper.prototype = new UCConnect.EventEmitter();

    UCConnect.extend(Flash2SipWrapper.prototype,
            (function() {
                
                var _FLASH_VERSION = FLASH_CONFIGURATION.flash_version;
                var _me                 = null;
                var _dependency         = false;
                var _connection         = null;
                var _connected          = false;
                var _registered         = false;
                var _UA                 = null;
                var _OBJECTID           = FLASH_CONFIGURATION.web_phone_no_ui_embed_id;
                var _configuration      = {
                    uri:            '',
                    password:       '',
                    fms:            '',
                    proxy:          '',
                    realm:          '',
                    outboundProxy:  ''
                };
                var _videoConstraints   = defaultVideoConstraints;

                window.addEventListener('unload', function(e){
                    sipDisconnect();
                    removeFlashInstance();
                }, false);
                var _pendingSessions = {
                    sessions: {},
                    getSessionId: function (caller) {
                        var sessionId = this.sessions[caller];
                        delete this.sessions[caller];
                        console.log("pending sessions: %o", this.sessions);
                        return sessionId;
                    },
                    addSessionId: function (caller, sessionId) {
                        this.sessions[caller] = sessionId;
                        console.log("pending sessions: %o", this.sessions);
                    }
                };

                function checkDependencies() {
                    _dependency = UCConnect.SwfObject.hasFlashPlayerVersion(_FLASH_VERSION);
                    _me.emit('dependency', 'sip', _me, {dependency:_dependency, name: 'Flash2Sip', version:_FLASH_VERSION});
                }

                function sipConnect(sip_parameters) {
                    _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'Flash2Sip register request'});

                    if (!_dependency) {
                        return false;
                    }

                    var flash2sip_parameters = normalizeParameters(sip_parameters);
                    var wrong_parameter = flash2sip_parameters.check();
                    if (wrong_parameter!=='') {
                        _me.emit('failed', 'sip', _me, {wrong_parameter:wrong_parameter});
                        return false;
                    }

                    _configuration.fms = flash2sip_parameters.fms;
                    _configuration.uri = flash2sip_parameters.uri;
                    _configuration.password = flash2sip_parameters.password;
                    _configuration.proxy = flash2sip_parameters.proxy;
                    _configuration.realm = flash2sip_parameters.realm;
                    _configuration.outboundProxy = flash2sip_parameters.outboundProxy;

                    window.OBJECTID = FLASH_CONFIGURATION.web_phone_no_ui_embed_id;

                    var WIDTH = 1;
                    var HEIGHT = 1;
                    var SWF_FILE = FLASH_CONFIGURATION.web_phone_no_ui;
                    var swfVersionStr = _FLASH_VERSION;
                    var xiSwfUrlStr = FLASH_CONFIGURATION.player_installation;
                    var flashvars = {
                            key: _OBJECTID
                    };
                    var params = {};
                    var attributes = {};
                    attributes.id = _OBJECTID;
                    // TODO extract the UI logic to a separate method
                    var d = document.getElementById(_OBJECTID);
                    if(d == null){
                        d = document.createElement("div");
                        d.setAttribute("id", _OBJECTID);
                        var pageHost = ((document.location.protocol == "https:") ? "https://" : "http://"); 
                        d.innerHTML= "<a href='http://www.adobe.com/go/getflashplayer'><img src='" + pageHost + "www.adobe.com/images/shared/download_buttons/get_flash_player.gif' alt='Get Adobe Flash player' /></a>";
                    }
                    document.body.appendChild(d);
                    UCConnect.SwfObject.embedSWF(SWF_FILE, _OBJECTID, WIDTH, HEIGHT, swfVersionStr, xiSwfUrlStr, flashvars, params, attributes);
                    JFlashBridge.bind(_OBJECTID, Flash2JsProxy);

                }

                function normalizeParameters(sip_parameters){
                    var sipOutboundProxy = '';
                    for (var i in sip_parameters.wsServers) {
                        sipOutboundProxy = getHostName(sip_parameters.wsServers[i]) + ":" + "5060" ;
                        break;
                    }

                    var sip_user_data = sip_parameters.uri.split("@");
                    var realm = "*";

                    return new Flash2SipParameters(sip_user_data[0].replace("sip:", ""), sip_parameters.password, 
                            sip_parameters.fms, sip_user_data[1], realm, sipOutboundProxy);

                }

                function getHostName(url) {
                    var match = url.match(/:\/\/(www[0-9]?\.)?(.[^/:]+)/i);
                    if (match != null && match.length > 2 &&
                            typeof match[2] === 'string' && match[2].length > 0) {
                        return match[2];
                    }
                    else {
                        return null;
                    }
                }

                function hasExtraHeader(headers, name){
                    for (var i in headers) {
                        if((headers[i].indexOf(name) != -1)){
                            if(headers[i].indexOf(":") != -1){
                                return true;
                            }else{
                                return false;
                            }
                        }
                    }
                    return false;
                }

                function getExtraHeader(headers, name){
                    var ret = '';
                    for (var i in headers) {
                        if((headers[i].indexOf(name) != -1)){

                            ret = headers[i].split(":")[1].trim();
                        }

                    }
                    return ret;
                }

                function newSession(e) {
                    var status,
                        direction,
                        request = e.callObject,
                        call = e.callObject,
                        sip_uri = call.remote,
                        //uri = ""sip_uri.split(' ')[1]"",
                        //display_name = sip_uri.split(' ')[0];
                        uri = '',
                        display_name = '';

                    //incoming incomingVideo
                    status = (call.type === 'incoming' || call.type === 'incomingVideo') ? "incoming" : "trying";
                    direction = (status === 'incoming') ? 'incoming' : 'outgoing';

                    if(status === 'incoming'){
                        uri = sip_uri.split(' ')[1];
                        display_name = sip_uri.split(' ')[0];
                        uri = uri.replace('<', '');
                        uri = uri.replace('>', '');
                        uri = uri.replace('"', '');
                        uri = uri.replace('sip:', '');
                    }else{
                        uri = sip_uri;
                        uri = uri.replace('sip:', '');
                        uri = uri.replace('<', '');
                        uri = uri.replace('>', '');
                        uri = uri.replace('"', '');
                        display_name = sip_uri.split('@')[0];
                    }

                    display_name = display_name.replace('\\', '');

                    // If the session exists with active call reject it.

                    var localIdentity = {
                        uri: {
                            user: _configuration.uri,
                            host: _configuration.proxy
                        }
                    };

                    var remoteIdentity = {
                        uri: {
                            user: uri.split('@')[0],
                            host: uri.split('@')[1]
                        }
                    };

                    var session;

                    if (direction === 'incoming') {
                        session = new Session("session-" + Math.random(), _UA, _me, _configuration, _videoConstraints);
                        UCConnect.SessionHandler.push(session);
                    } else {
                        var sessionId = _pendingSessions.getSessionId(uri, sessionId);
                        session = UCConnect.SessionHandler.getSession(sessionId);
                    }

                    if (!session) {
                        return;
                    }
                    if (session.active && call.type === 'incoming') {
                        _me.emit('end_call', 'sip', _me, { type: 'call', id: call.id, call: call, status: 'failed', cause: 'denied', from: sip_uri });
                        return false;
                    }

                    // If this is a new session create it
                    if (!session.active) {
                        session.flashId = "" + call.callId;
                        session.call = call;
                        session.call.direction = direction;
                        session.call.request = {};
                        session.call.localIdentity = localIdentity;
                        session.call.remoteIdentity = remoteIdentity;
                        session.call.callType = ((call.type == 'incomingVideo' || call.type == 'outgoingVideo') && call.cameraActive) ? "video" : "audio";
                        session.call.startTime = new Date();
                        //_session.call.request.body = (call.type == 'incomingVideo' || call.type == 'outgoingVideo') ? "m=video" : "";
                        session.uri = uri;
                        session.sip_uri = uri;
                        session.active = true;
                        session.display_name = display_name;
                        session.sipAudioCall = (call.type == 'incomingVideo' || call.type == 'outgoingVideo') ? false : true;
                        session.handleMedia = session.sipAudioCall;
                        session.cameraActive = call.cameraActive;
                        session.type = call.type;
                    }

                    setCallState(status, "", session);

                }

                function setCallState(status, cause, session){
                    var event = '';
                    session.status = status;
                    
                    switch(status) {
                    case 'failed' :
                    case 'ended' :
                        event = 'end_call';
                        session.call.endTime = new Date();
                        break;
                    case 'incoming':
                        event = 'new_call';
                        break;
                    //case 'trying':
                    default:
                        event = 'call_state';
                    }

                    var data = {type: 'call', 
                        id: session.id, 
                        cause: cause, 
                        from: session.display_name, 
                        status: status,
                        startTime: '',
                        endTime: '',
                        session: session,
                        call: session.call
                    };

                    if (session.call.hasOwnProperty('startTime')) {
                        data.startTime = session.call.startTime;
                    }

                    if (session.call.hasOwnProperty('endTime')) {
                        data.endTime = session.call.endTime;
                    }
                    //console.log("CallState data: %o", data);
                    _me.emit(event, 'sip', _me, data);

                }

                function sipDisconnect(){
                    UCConnect.SessionHandler.terminateAll();
                    if (_UA != null) {
                        _UA.logOut();
                    }
                }

                function makeCall(uri, withVideo, extraHeaders, endCallCb) {
                    if (uri.indexOf('@pstn') !== -1) {
                        if (!extraHeaders) {
                            extraHeaders = [];
                        }
                        extraHeaders.push('sipAudioCall: true');
                    }

                    if(uri.indexOf('sip:') === -1) {
                        uri = 'sip:' + uri;
                    }

                    var sipAudioCall = false;
                    if (extraHeaders) {
                        for (var i in extraHeaders) {
                            if(hasExtraHeader(extraHeaders, "sipAudioCall")){
                                sipAudioCall = (getExtraHeader(extraHeaders, "sipAudioCall") == "true") ? true : false;
                            }
                        }
                    }

                    var ret = null;
                    if(_UA != null){
                        if(!sipAudioCall) {
                            _UA.videoDial(uri, withVideo, "DD");
                        }else{
                            _UA.dial(uri, true);
                        }
                        var session = new Session("session-" + Math.random(), _UA, _me, _configuration, _videoConstraints);
                        _pendingSessions.addSessionId(uri.replace("sip:", ""), session.id);
                        UCConnect.SessionHandler.push(session);

                        ret = session;
                    }

                    return ret;
                }

                function removeFlashInstance(){
                    if(_UA != null) {
                        UCConnect.JFlashBridge.unbind(_OBJECTID);
                        UCConnect.SwfObject.removeSWF(_OBJECTID);
                        _UA = null;
                    }
                }

                function setDisconnectedState(){
                    removeFlashInstance();
                    _registered = false;
                    _connected = false;
                    UCConnect.SessionHandler.terminateAll();
                    _me.emit('disconnected', 'sip', _me, { status: 'disconnected' });
                }

                function setConnectedState(){
                    _registered = true;
                    _me.emit('connected', 'sip', _me, {status: 'connected'});
                }

                function setVideoConstraints(constraints) {
                    if(constraints.hasOwnProperty('mandatory')) {
                        _videoConstraints = constraints;
                        return true;
                    } else {
                        return false;    
                    }
                }

                function startVideoStreams(callId){
                    if(_UA != null){
                        var streams = _UA.getStreamNames(callId);
                        if(streams != null) {
                            //_streams = streams;
                            //_callId = callId;
                            //makeVideoInstance(streams, callId);
                        }
                        _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {Streams: streams}});
                    }
                }

                function attachDevices(session){
                    if(_UA != null && session.active){
                        _UA.attachAudio(session.flashId);
                    }
                }

                var Flash2JsProxy = {
                        onLoadFunction: function(msg){
                            _UA = UCConnect.SwfObject.getObjectById(_OBJECTID);
                            _UA.init(0);
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_LOG_UA: _UA}});
                            logIn();
                        },
                        onException: function(msg){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onException: msg}});
                        },
                        onAuthenticationError: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onAuthenticationError: event}});
                            setDisconnectedState();
                        },
                        onConnectionError: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onConnectionError: event}});
                            setDisconnectedState();
                        },
                        onLogIn: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onLogIn: event}});
                            if(event.type == "loggedIn"){
                                setConnectedState();
                                _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'info', data: 'SIP registration successful'});
                            }else{
                                setDisconnectedState();
                            }
                        },
                        onLogOut: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onLogOut: event}});
                            setDisconnectedState();
                        },
                        // on call
                        onTerminated: function(callId){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onTerminated: callId}});
                            var session = findSession(callId);
                            if (session) {
                                setCallState("ended", "", session);
                                UCConnect.SessionHandler.destroySession(session.id);
                            }
                        },
                        onDialingError: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onDialingError: event}});
                            var session = findSession(event.callObject.callId);
                            if (session) {
                                UCConnect.SessionHandler.destroySession(session.id);
                            }
                        },
                        onIncoming: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onIncoming: event}});
                            newSession(event);
                        },
                        onDialing: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onDialing: event}});
                            newSession(event);

                        },
                        onVideoDialing: function(event){
                            event.callObject.type = "outgoingVideo";
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onVideoDialing: event}});
                            newSession(event);

                        },
                        onTransfer: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onTransfer: event}});

                        },
                        onMediaState: function(callId, state){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onMediaState: {callId: callId, state: state}}});
                            var session = findSession(callId);
                            if (session) {
                                if (state == 'create stream') {
                                    if (session.sipAudioCall) {
                                        attachDevices(session);
                                    } else {
                                        session.streams = _UA.getStreamNames(callId);
                                    }
                                }
                            }
                        },
                        onCallState: function(callId, state){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onCallState: {callId: callId, state: state}}});
                            var session = findSession(callId);
                            if (!session) {
                                return;
                            }

                            switch (state) {
                            case "connected":
                                setCallState("answered", "", session);
                                break;
                            case 'ringing':
                                setCallState('in-progress', '', session);
                                break;
                            case "disconnected":
                                session.terminateCall();
                                setCallState("ended", "", session);
                                UCConnect.SessionHandler.destroySession(session.id);
                                break;
                            case "rejected":
                                session.terminateCall();
                                setCallState("failed", "Rejected", session);
                                UCConnect.SessionHandler.destroySession(session.id);
                                break;
                            case "wrong number":
                                session.terminateCall();
                                setCallState("failed", "Wrong number");
                                UCConnect.SessionHandler.destroySession(session.id);
                                break;
                            }
                        },
                        onDialNotReceived: function(number){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onDialNotReceived: number}});
                        },
                        onCallUpdateEvent: function(updateType, data, data2, id){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onCallUpdateEvent: {updateType: updateType, data: data, data2: data2, id:id}}});
                        },
                        onDebugInfo: function(msg){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onDebugInfo: msg}});
                        },
                        onWindowClose: function(event){
                            _me.emit('log', 'sip', _me, {prefix: LOG_PREFIX, level: 'debug', data: {FLASH_onWindowClose: event}});
                        }
                };

                function findSession(flashId) {
                    if (UCConnect.SessionHandler.sessions.length > 0) {
                        for (var i in UCConnect.SessionHandler.sessions) {
                            if (UCConnect.SessionHandler.sessions[i].hasOwnProperty('flashId')) {
                                if (UCConnect.SessionHandler.sessions[i].flashId === flashId) {
                                    return UCConnect.SessionHandler.sessions[i];
                                }
                            }
                        }
                    }
                    return false;

                }

                function logIn() {
                    if(_UA != null){
                        _UA.logIn("rtmp://" + _configuration.fms + "/sip_gateway", _configuration.uri, _configuration.password, _configuration.proxy, _configuration.realm, _configuration.outboundProxy);
                    }
                }

                return {
                    init: function() {
                        _me = this;
                        _me.initEvents(EVENTS);
                    },
                    check: function() {
                        checkDependencies();
                    },
                    connect: function(flash2sip_parameters) {
                        sipConnect(flash2sip_parameters);
                    },
                    disconnect: function() {
                        sipDisconnect();
                    },
                    makeCall: function(uri, video, extraHeaders, endCallCb) {
                        return makeCall(uri, video, extraHeaders, endCallCb);
                    },
                    setVideoConstraints: function(constraints){
                        return setVideoConstraints(constraints);
                    },
                    enableSipTrace: function(enabled) {
                        _configuration.trace_sip = enabled;
                    },
                    setLogging: function(level, enabled) {
                        _configuration.log.level = level;
                        _configuration.log.builtinEnabled = enabled;
                    }

                };
            })()
    );

UCConnect.Flash2SipParameters = Flash2SipParameters;
UCConnect.Flash2Sip = Flash2SipWrapper;  
UCConnect.JFlashBridge = JFlashBridge;
})(UCConnect);

/* jshint -W018 */

/*!	SWFObject v2.2 <http://code.google.com/p/swfobject/> 
	is released under the MIT License <http://www.opensource.org/licenses/mit-license.php> 
*/
(function(UCConnect) {

var swfobject = function() {
	/* Main function
		- Will preferably execute onDomLoad, otherwise onload (as a fallback)
	*/
	function main() { 
		if (plugin) {
			testPlayerVersion();
		}
		else {
			matchVersions();
		}
	}

	var UNDEF = "undefined",
		OBJECT = "object",
		SHOCKWAVE_FLASH = "Shockwave Flash",
		SHOCKWAVE_FLASH_AX = "ShockwaveFlash.ShockwaveFlash",
		FLASH_MIME_TYPE = "application/x-shockwave-flash",
		EXPRESS_INSTALL_ID = "SWFObjectExprInst",
		ON_READY_STATE_CHANGE = "onreadystatechange",
		
		win = window,
		doc = document,
		nav = navigator,
		
		plugin = false,
		domLoadFnArr = [main],
		regObjArr = [],
		objIdArr = [],
		listenersArr = [],
		storedAltContent,
		storedAltContentId,
		storedCallbackFn,
		storedCallbackObj,
		isDomLoaded = false,
		isExpressInstallActive = false,
		dynamicStylesheet,
		dynamicStylesheetMedia,
		autoHideShow = true,
	
	/* Centralized function for browser feature detection
		- User agent string detection is only used when no good alternative is possible
		- Is executed directly for optimal performance
	*/	
	ua = function() {
		var w3cdom = typeof doc.getElementById !== UNDEF && typeof doc.getElementsByTagName !== UNDEF && typeof doc.createElement != UNDEF,
			u = nav.userAgent.toLowerCase(),
			p = nav.platform.toLowerCase(),
			windows = p ? /win/.test(p) : /win/.test(u),
			mac = p ? /mac/.test(p) : /mac/.test(u),
			webkit = /webkit/.test(u) ? parseFloat(u.replace(/^.*webkit\/(\d+(\.\d+)?).*$/, "$1")) : false, // returns either the webkit version or false if not webkit
			ie = !+"\v1", // feature detection based on Andrea Giammarchi's solution: http://webreflection.blogspot.com/2009/01/32-bytes-to-know-if-your-browser-is-ie.html
			playerVersion = [0,0,0],
			d = null;
		if (typeof nav.plugins !== UNDEF && typeof nav.plugins[SHOCKWAVE_FLASH] == OBJECT) {
			d = nav.plugins[SHOCKWAVE_FLASH].description;
			if (d && !(typeof nav.mimeTypes != UNDEF && nav.mimeTypes[FLASH_MIME_TYPE] && !nav.mimeTypes[FLASH_MIME_TYPE].enabledPlugin)) { // navigator.mimeTypes["application/x-shockwave-flash"].enabledPlugin indicates whether plug-ins are enabled or disabled in Safari 3+
				plugin = true;
				ie = false; // cascaded feature detection for Internet Explorer
				d = d.replace(/^.*\s+(\S+\s+\S+$)/, "$1");
				playerVersion[0] = parseInt(d.replace(/^(.*)\..*$/, "$1"), 10);
				playerVersion[1] = parseInt(d.replace(/^.*\.(.*)\s.*$/, "$1"), 10);
				playerVersion[2] = /[a-zA-Z]/.test(d) ? parseInt(d.replace(/^.*[a-zA-Z]+(.*)$/, "$1"), 10) : 0;
			}
		}
		else if (typeof win.ActiveXObject !== UNDEF) {
			try {
				var a = new ActiveXObject(SHOCKWAVE_FLASH_AX);
				if (a) { // a will return null when ActiveX is disabled
					d = a.GetVariable("$version");
					if (d) {
						ie = true; // cascaded feature detection for Internet Explorer
						d = d.split(" ")[1].split(",");
						playerVersion = [parseInt(d[0], 10), parseInt(d[1], 10), parseInt(d[2], 10)];
					}
				}
			}
			catch(e) {}
		}
		return { w3:w3cdom, pv:playerVersion, wk:webkit, ie:ie, win:windows, mac:mac };
	}(),
	
	/* Cross-browser onDomLoad
		- Will fire an event as soon as the DOM of a web page is loaded
		- Internet Explorer workaround based on Diego Perini's solution: http://javascript.nwbox.com/IEContentLoaded/
		- Regular onload serves as fallback
	*/ 
	onDomLoad = function() {
		if (!ua.w3) { return; }
		if ((typeof doc.readyState !== UNDEF && doc.readyState == "complete") || (typeof doc.readyState === UNDEF && (doc.getElementsByTagName("body")[0] || doc.body))) { // function is fired after onload, e.g. when script is inserted dynamically 
			callDomLoadFunctions();
		}
		if (!isDomLoaded) {
			if (typeof doc.addEventListener !== UNDEF) {
				doc.addEventListener("DOMContentLoaded", callDomLoadFunctions, false);
			}		
			if (ua.ie && ua.win) {
				doc.attachEvent(ON_READY_STATE_CHANGE, function() {
					if (doc.readyState == "complete") {
						doc.detachEvent(ON_READY_STATE_CHANGE, arguments.callee);
						callDomLoadFunctions();
					}
				});
				if (win == top) { // if not inside an iframe
					(function(){
						if (isDomLoaded) { return; }
						try {
							doc.documentElement.doScroll("left");
						}
						catch(e) {
							setTimeout(arguments.callee, 0);
							return;
						}
						callDomLoadFunctions();
					})();
				}
			}
			if (ua.wk) {
				(function(){
					if (isDomLoaded) { return; }
					if (!/loaded|complete/.test(doc.readyState)) {
						setTimeout(arguments.callee, 0);
						return;
					}
					callDomLoadFunctions();
				})();
			}
			addLoadEvent(callDomLoadFunctions);
		}
	}();
	
	function callDomLoadFunctions() {
		if (isDomLoaded) { return; }
		try { // test if we can really add/remove elements to/from the DOM; we don't want to fire it too early
			var t = doc.getElementsByTagName("body")[0].appendChild(createElement("span"));
			t.parentNode.removeChild(t);
		}
		catch (e) { return; }
		isDomLoaded = true;
		var dl = domLoadFnArr.length;
		for (var i = 0; i < dl; i++) {
			domLoadFnArr[i]();
		}
	}
	
	function addDomLoadEvent(fn) {
		if (isDomLoaded) {
			fn();
		}
		else { 
			domLoadFnArr[domLoadFnArr.length] = fn; // Array.push() is only available in IE5.5+
		}
	}
	
	/* Cross-browser onload
		- Based on James Edwards' solution: http://brothercake.com/site/resources/scripts/onload/
		- Will fire an event as soon as a web page including all of its assets are loaded 
	 */
	function addLoadEvent(fn) {
		if (typeof win.addEventListener !== UNDEF) {
			win.addEventListener("load", fn, false);
		}
		else if (typeof doc.addEventListener != UNDEF) {
			doc.addEventListener("load", fn, false);
		}
		else if (typeof win.attachEvent !== UNDEF) {
			addListener(win, "onload", fn);
		}
		else if (typeof win.onload == "function") {
			var fnOld = win.onload;
			win.onload = function() {
				fnOld();
				fn();
			};
		}
		else {
			win.onload = fn;
		}
	}
	
	/* Detect the Flash Player version for non-Internet Explorer browsers
        - Detecting the plug-in version via the object element is more precise than using the plugins collection item's description:
            a. Both release and build numbers can be detected
            b. Avoid wrong descriptions by corrupt installers provided by Adobe
            c. Avoid wrong descriptions by multiple Flash Player entries in the plugin Array, caused by incorrect browser imports
        - Disadvantage of this method is that it depends on the availability of the DOM, while the plugins collection is immediately available
	*/
	function testPlayerVersion() {
		var b = doc.getElementsByTagName("body")[0];
		var o = createElement(OBJECT);
		o.setAttribute("type", FLASH_MIME_TYPE);
		var t = b.appendChild(o);
		if (t) {
			var counter = 0;
			(function(){
				if (typeof t.GetVariable != UNDEF) {
					var d = t.GetVariable("$version");
					if (d) {
						d = d.split(" ")[1].split(",");
						ua.pv = [parseInt(d[0], 10), parseInt(d[1], 10), parseInt(d[2], 10)];
					}
				}
				else if (counter < 10) {
					counter++;
					setTimeout(arguments.callee, 10);
					return;
				}
				b.removeChild(o);
				t = null;
				matchVersions();
			})();
		}
		else {
			matchVersions();
		}
	}
	
	/* Perform Flash Player and SWF version matching; static publishing only
	*/
	function matchVersions() {
		var rl = regObjArr.length;
		if (rl > 0) {
			for (var i = 0; i < rl; i++) { // for each registered object element
				var id = regObjArr[i].id;
				var cb = regObjArr[i].callbackFn;
				var cbObj = {success:false, id:id};
				if (ua.pv[0] > 0) {
					var obj = getElementById(id);
					if (obj) {
						if (hasPlayerVersion(regObjArr[i].swfVersion) && !(ua.wk && ua.wk < 312)) { // Flash Player version >= published SWF version: Houston, we have a match!
							setVisibility(id, true);
							if (cb) {
								cbObj.success = true;
								cbObj.ref = getObjectById(id);
								cb(cbObj);
							}
						}
						else if (regObjArr[i].expressInstall && canExpressInstall()) { // show the Adobe Express Install dialog if set by the web page author and if supported
							var att = {};
							att.data = regObjArr[i].expressInstall;
							att.width = obj.getAttribute("width") || "0";
							att.height = obj.getAttribute("height") || "0";
							if (obj.getAttribute("class")) { att.styleclass = obj.getAttribute("class"); }
							if (obj.getAttribute("align")) { att.align = obj.getAttribute("align"); }
							// parse HTML object param element's name-value pairs
							var par = {};
							var p = obj.getElementsByTagName("param");
							var pl = p.length;
							for (var j = 0; j < pl; j++) {
								if (p[j].getAttribute("name").toLowerCase() != "movie") {
									par[p[j].getAttribute("name")] = p[j].getAttribute("value");
								}
							}
							showExpressInstall(att, par, id, cb);
						}
						else { // Flash Player and SWF version mismatch or an older Webkit engine that ignores the HTML object element's nested param elements: display alternative content instead of SWF
							displayAltContent(obj);
							if (cb) { cb(cbObj); }
						}
					}
				}
				else {	// if no Flash Player is installed or the fp version cannot be detected we let the HTML object element do its job (either show a SWF or alternative content)
					setVisibility(id, true);
					if (cb) {
						var o = getObjectById(id); // test whether there is an HTML object element or not
						if (o && typeof o.SetVariable != UNDEF) { 
							cbObj.success = true;
							cbObj.ref = o;
						}
						cb(cbObj);
					}
				}
			}
		}
	}
	
	function getObjectById(objectIdStr) {
		var r = null;
		var o = getElementById(objectIdStr);
		if (o && o.nodeName == "OBJECT") {
			if (typeof o.SetVariable != UNDEF) {
				r = o;
			}
			else {
				var n = o.getElementsByTagName(OBJECT)[0];
				if (n) {
					r = n;
				}
			}
		}
		return r;
	}
	
	/* Requirements for Adobe Express Install
		- only one instance can be active at a time
		- fp 6.0.65 or higher
		- Win/Mac OS only
		- no Webkit engines older than version 312
	*/
	function canExpressInstall() {
		return !isExpressInstallActive && hasPlayerVersion("6.0.65") && (ua.win || ua.mac) && !(ua.wk && ua.wk < 312);
	}
	
	/* Show the Adobe Express Install dialog
		- Reference: http://www.adobe.com/cfusion/knowledgebase/index.cfm?id=6a253b75
	*/
	function showExpressInstall(att, par, replaceElemIdStr, callbackFn) {
		isExpressInstallActive = true;
		storedCallbackFn = callbackFn || null;
		storedCallbackObj = {success:false, id:replaceElemIdStr};
		var obj = getElementById(replaceElemIdStr);
		if (obj) {
			if (obj.nodeName == "OBJECT") { // static publishing
				storedAltContent = abstractAltContent(obj);
				storedAltContentId = null;
			}
			else { // dynamic publishing
				storedAltContent = obj;
				storedAltContentId = replaceElemIdStr;
			}
			att.id = EXPRESS_INSTALL_ID;
			if (typeof att.width === UNDEF || (!/%$/.test(att.width) && parseInt(att.width, 10) < 310)) { att.width = "310"; }
			if (typeof att.height === UNDEF || (!/%$/.test(att.height) && parseInt(att.height, 10) < 137)) { att.height = "137"; }
			doc.title = doc.title.slice(0, 47) + " - Flash Player Installation";
			var pt = ua.ie && ua.win ? "ActiveX" : "PlugIn",
				fv = "MMredirectURL=" + encodeURI(window.location).toString().replace(/&/g,"%26") + "&MMplayerType=" + pt + "&MMdoctitle=" + doc.title;
			if (typeof par.flashvars != UNDEF) {
				par.flashvars += "&" + fv;
			}
			else {
				par.flashvars = fv;
			}
			// IE only: when a SWF is loading (AND: not available in cache) wait for the readyState of the object element to become 4 before removing it,
			// because you cannot properly cancel a loading SWF file without breaking browser load references, also obj.onreadystatechange doesn't work
			if (ua.ie && ua.win && obj.readyState != 4) {
				var newObj = createElement("div");
				replaceElemIdStr += "SWFObjectNew";
				newObj.setAttribute("id", replaceElemIdStr);
				obj.parentNode.insertBefore(newObj, obj); // insert placeholder div that will be replaced by the object element that loads expressinstall.swf
				obj.style.display = "none";
				(function(){
					if (obj.readyState === 4) {
						obj.parentNode.removeChild(obj);
					}
					else {
						setTimeout(arguments.callee, 10);
					}
				})();
			}
			createSWF(att, par, replaceElemIdStr);
		}
	}
	
	/* Functions to abstract and display alternative content
	*/
	function displayAltContent(obj) {
		if (ua.ie && ua.win && obj.readyState !== 4) {
			// IE only: when a SWF is loading (AND: not available in cache) wait for the readyState of the object element to become 4 before removing it,
			// because you cannot properly cancel a loading SWF file without breaking browser load references, also obj.onreadystatechange doesn't work
			var el = createElement("div");
			obj.parentNode.insertBefore(el, obj); // insert placeholder div that will be replaced by the alternative content
			el.parentNode.replaceChild(abstractAltContent(obj), el);
			obj.style.display = "none";
			(function(){
				if (obj.readyState === 4) {
					obj.parentNode.removeChild(obj);
				}
				else {
					setTimeout(arguments.callee, 10);
				}
			})();
		}
		else {
			obj.parentNode.replaceChild(abstractAltContent(obj), obj);
		}
	} 

	function abstractAltContent(obj) {
		var ac = createElement("div");
		if (ua.win && ua.ie) {
			ac.innerHTML = obj.innerHTML;
		}
		else {
			var nestedObj = obj.getElementsByTagName(OBJECT)[0];
			if (nestedObj) {
				var c = nestedObj.childNodes;
				if (c) {
					var cl = c.length;
					for (var i = 0; i < cl; i++) {
						if (!(c[i].nodeType === 1 && c[i].nodeName === "PARAM") && (c[i].nodeType !== 8)) {
							ac.appendChild(c[i].cloneNode(true));
						}
					}
				}
			}
		}
		return ac;
	}
	
	/* Cross-browser dynamic SWF creation
	*/
	function createSWF(attObj, parObj, id) {
		var r, el = getElementById(id);
		if (ua.wk && ua.wk < 312) { return r; }
		if (el) {
			if (typeof attObj.id === UNDEF) { // if no 'id' is defined for the object element, it will inherit the 'id' from the alternative content
				attObj.id = id;
			}
			if (ua.ie && ua.win) { // Internet Explorer + the HTML object element + W3C DOM methods do not combine: fall back to outerHTML
				var att = "";
				for (var i in attObj) {
					if (attObj[i] !== Object.prototype[i]) { // filter out prototype additions from other potential libraries
						if (i.toLowerCase() === "data") {
							parObj.movie = attObj[i];
						}
						else if (i.toLowerCase() === "styleclass") { // 'class' is an ECMA4 reserved keyword
							att += ' class="' + attObj[i] + '"';
						}
						else if (i.toLowerCase() !== "classid") {
							att += ' ' + i + '="' + attObj[i] + '"';
						}
					}
				}
				var par = "";
				for (var j in parObj) {
					if (parObj[j] !== Object.prototype[j]) { // filter out prototype additions from other potential libraries
						par += '<param name="' + j + '" value="' + parObj[j] + '" />';
					}
				}
				el.outerHTML = '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"' + att + '>' + par + '</object>';
				objIdArr[objIdArr.length] = attObj.id; // stored to fix object 'leaks' on unload (dynamic publishing only)
				r = getElementById(attObj.id);	
			}
			else { // well-behaving browsers
				var o = createElement(OBJECT);
				o.setAttribute("type", FLASH_MIME_TYPE);
				for (var m in attObj) {
					if (attObj[m] !== Object.prototype[m]) { // filter out prototype additions from other potential libraries
						if (m.toLowerCase() === "styleclass") { // 'class' is an ECMA4 reserved keyword
							o.setAttribute("class", attObj[m]);
						}
						else if (m.toLowerCase() !== "classid") { // filter out IE specific attribute
							o.setAttribute(m, attObj[m]);
						}
					}
				}
				for (var n in parObj) {
					if (parObj[n] !== Object.prototype[n] && n.toLowerCase() !== "movie") { // filter out prototype additions from other potential libraries and IE specific param element
						createObjParam(o, n, parObj[n]);
					}
				}
				el.parentNode.replaceChild(o, el);
				r = o;
			}
		}
		return r;
	}
	
	function createObjParam(el, pName, pValue) {
		var p = createElement("param");
		p.setAttribute("name", pName);	
		p.setAttribute("value", pValue);
		el.appendChild(p);
	}
	
	/* Cross-browser SWF removal
		- Especially needed to safely and completely remove a SWF in Internet Explorer
	*/
	function removeSWF(id) {
		var obj = getElementById(id);
		if (obj && obj.nodeName === "OBJECT") {
			if (ua.ie && ua.win) {
				obj.style.display = "none";
				(function(){
					if (obj.readyState === 4) {
						removeObjectInIE(id);
					}
					else {
						setTimeout(arguments.callee, 10);
					}
				})();
			}
			else {
				obj.parentNode.removeChild(obj);
			}
		}
	}
	
	function removeObjectInIE(id) {
		var obj = getElementById(id);
		if (obj) {
			for (var i in obj) {
				if (typeof obj[i] === "function") {
					obj[i] = null;
				}
			}
			obj.parentNode.removeChild(obj);
		}
	}
	
	/* Functions to optimize JavaScript compression
	*/
	function getElementById(id) {
		var el = null;
		try {
			el = doc.getElementById(id);
		}
		catch (e) {}
		return el;
	}
	
	function createElement(el) {
		return doc.createElement(el);
	}
	
	/* Updated attachEvent function for Internet Explorer
		- Stores attachEvent information in an Array, so on unload the detachEvent functions can be called to avoid memory leaks
	*/	
	function addListener(target, eventType, fn) {
		target.attachEvent(eventType, fn);
		listenersArr[listenersArr.length] = [target, eventType, fn];
	}
	
	/* Flash Player and SWF content version matching
	*/
	function hasPlayerVersion(rv) {
		var pv = ua.pv, v = rv.split(".");
		v[0] = parseInt(v[0], 10);
		v[1] = parseInt(v[1], 10) || 0; // supports short notation, e.g. "9" instead of "9.0.0"
		v[2] = parseInt(v[2], 10) || 0;
		return (pv[0] > v[0] || (pv[0] === v[0] && pv[1] > v[1]) || (pv[0] === v[0] && pv[1] === v[1] && pv[2] >= v[2])) ? true : false;
	}
	
	/* Cross-browser dynamic CSS creation
		- Based on Bobby van der Sluis' solution: http://www.bobbyvandersluis.com/articles/dynamicCSS.php
	*/	
	function createCSS(sel, decl, media, newStyle) {
		if (ua.ie && ua.mac) { return; }
		var h = doc.getElementsByTagName("head")[0];
		if (!h) { return; } // to also support badly authored HTML pages that lack a head element
		var m = (media && typeof media === "string") ? media : "screen";
		if (newStyle) {
			dynamicStylesheet = null;
			dynamicStylesheetMedia = null;
		}
		if (!dynamicStylesheet || dynamicStylesheetMedia !== m) { 
			// create dynamic stylesheet + get a global reference to it
			var s = createElement("style");
			s.setAttribute("type", "text/css");
			s.setAttribute("media", m);
			dynamicStylesheet = h.appendChild(s);
			if (ua.ie && ua.win && typeof doc.styleSheets !== UNDEF && doc.styleSheets.length > 0) {
				dynamicStylesheet = doc.styleSheets[doc.styleSheets.length - 1];
			}
			dynamicStylesheetMedia = m;
		}
		// add style rule
		if (ua.ie && ua.win) {
			if (dynamicStylesheet && typeof dynamicStylesheet.addRule === OBJECT) {
				dynamicStylesheet.addRule(sel, decl);
			}
		}
		else {
			if (dynamicStylesheet && typeof doc.createTextNode !== UNDEF) {
				dynamicStylesheet.appendChild(doc.createTextNode(sel + " {" + decl + "}"));
			}
		}
	}
	
	function setVisibility(id, isVisible) {
		if (!autoHideShow) { return; }
		var v = isVisible ? "visible" : "hidden";
		if (isDomLoaded && getElementById(id)) {
			getElementById(id).style.visibility = v;
		}
		else {
			createCSS("#" + id, "visibility:" + v);
		}
	}

	/* Filter to avoid XSS attacks
	*/
	function urlEncodeIfNecessary(s) {
		var regex = /[\\\"<>\.;]/;
		var hasBadChars = regex.exec(s) != null;
		return hasBadChars && typeof encodeURIComponent !== UNDEF ? encodeURIComponent(s) : s;
	}
	
	/* Release memory to avoid memory leaks caused by closures, fix hanging audio/video threads and force open sockets/NetConnections to disconnect (Internet Explorer only)
	*/
	var cleanup = function() {
		if (ua.ie && ua.win) {
			window.attachEvent("onunload", function() {
				// remove listeners to avoid memory leaks
				var ll = listenersArr.length;
				for (var i = 0; i < ll; i++) {
					listenersArr[i][0].detachEvent(listenersArr[i][1], listenersArr[i][2]);
				}
				// cleanup dynamically embedded objects to fix audio/video threads and force open sockets and NetConnections to disconnect
				var il = objIdArr.length;
				for (var j = 0; j < il; j++) {
					removeSWF(objIdArr[j]);
				}
				// cleanup library's main closures to avoid memory leaks
				for (var k in ua) {
					ua[k] = null;
				}
				ua = null;
				for (var l in swfobject) {
					swfobject[l] = null;
				}
				swfobject = null;
			});
		}
	}();
	
	return {
		/* Public API
			- Reference: http://code.google.com/p/swfobject/wiki/documentation
		*/ 
		registerObject: function(objectIdStr, swfVersionStr, xiSwfUrlStr, callbackFn) {
			if (ua.w3 && objectIdStr && swfVersionStr) {
				var regObj = {};
				regObj.id = objectIdStr;
				regObj.swfVersion = swfVersionStr;
				regObj.expressInstall = xiSwfUrlStr;
				regObj.callbackFn = callbackFn;
				regObjArr[regObjArr.length] = regObj;
				setVisibility(objectIdStr, false);
			}
			else if (callbackFn) {
				callbackFn({success:false, id:objectIdStr});
			}
		},
		
		getObjectById: function(objectIdStr) {
			if (ua.w3) {
				return getObjectById(objectIdStr);
			}
		},
		
		embedSWF: function(swfUrlStr, replaceElemIdStr, widthStr, heightStr, swfVersionStr, xiSwfUrlStr, flashvarsObj, parObj, attObj, callbackFn) {
			var callbackObj = {success:false, id:replaceElemIdStr};
			if (ua.w3 && !(ua.wk && ua.wk < 312) && swfUrlStr && replaceElemIdStr && widthStr && heightStr && swfVersionStr) {
				setVisibility(replaceElemIdStr, false);
				addDomLoadEvent(function() {
					widthStr += ""; // auto-convert to string
					heightStr += "";
					var att = {};
					if (attObj && typeof attObj === OBJECT) {
						for (var i in attObj) { // copy object to avoid the use of references, because web authors often reuse attObj for multiple SWFs
							att[i] = attObj[i];
						}
					}
					att.data = swfUrlStr;
					att.width = widthStr;
					att.height = heightStr;
					var par = {}; 
					if (parObj && typeof parObj === OBJECT) {
						for (var j in parObj) { // copy object to avoid the use of references, because web authors often reuse parObj for multiple SWFs
							par[j] = parObj[j];
						}
					}
					if (flashvarsObj && typeof flashvarsObj === OBJECT) {
						for (var k in flashvarsObj) { // copy object to avoid the use of references, because web authors often reuse flashvarsObj for multiple SWFs
							if (typeof par.flashvars !== UNDEF) {
								par.flashvars += "&" + k + "=" + flashvarsObj[k];
							}
							else {
								par.flashvars = k + "=" + flashvarsObj[k];
							}
						}
					}
					if (hasPlayerVersion(swfVersionStr)) { // create SWF
						var obj = createSWF(att, par, replaceElemIdStr);
						if (att.id === replaceElemIdStr) {
							setVisibility(replaceElemIdStr, true);
						}
						callbackObj.success = true;
						callbackObj.ref = obj;
					}
					else if (xiSwfUrlStr && canExpressInstall()) { // show Adobe Express Install
						att.data = xiSwfUrlStr;
						showExpressInstall(att, par, replaceElemIdStr, callbackFn);
						return;
					}
					else { // show alternative content
						setVisibility(replaceElemIdStr, true);
					}
					if (callbackFn) { callbackFn(callbackObj); }
				});
			}
			else if (callbackFn) { callbackFn(callbackObj);	}
		},
		
		switchOffAutoHideShow: function() {
			autoHideShow = false;
		},
		
		ua: ua,
		
		getFlashPlayerVersion: function() {
			return { major:ua.pv[0], minor:ua.pv[1], release:ua.pv[2] };
		},
		
		hasFlashPlayerVersion: hasPlayerVersion,
		
		createSWF: function(attObj, parObj, replaceElemIdStr) {
			if (ua.w3) {
				return createSWF(attObj, parObj, replaceElemIdStr);
			}
			else {
				return undefined;
			}
		},
		
		showExpressInstall: function(att, par, replaceElemIdStr, callbackFn) {
			if (ua.w3 && canExpressInstall()) {
				showExpressInstall(att, par, replaceElemIdStr, callbackFn);
			}
		},
		
		removeSWF: function(objElemIdStr) {
			if (ua.w3) {
				removeSWF(objElemIdStr);
			}
		},
		
		createCSS: function(selStr, declStr, mediaStr, newStyleBoolean) {
			if (ua.w3) {
				createCSS(selStr, declStr, mediaStr, newStyleBoolean);
			}
		},
		
		addDomLoadEvent: addDomLoadEvent,
		
		addLoadEvent: addLoadEvent,
		
		getQueryParamValue: function(param) {
			var q = doc.location.search || doc.location.hash;
			if (q) {
				if (/\?/.test(q)) { q = q.split("?")[1]; } // strip question mark
				if (param == null) {
					return urlEncodeIfNecessary(q);
				}
				var pairs = q.split("&");
				for (var i = 0; i < pairs.length; i++) {
					if (pairs[i].substring(0, pairs[i].indexOf("=")) == param) {
						return urlEncodeIfNecessary(pairs[i].substring((pairs[i].indexOf("=") + 1)));
					}
				}
			}
			return "";
		},
		
		// For internal usage only
		expressInstallCallback: function() {
			if (isExpressInstallActive) {
				var obj = getElementById(EXPRESS_INSTALL_ID);
				if (obj && storedAltContent) {
					obj.parentNode.replaceChild(storedAltContent, obj);
					if (storedAltContentId) {
						setVisibility(storedAltContentId, true);
						if (ua.ie && ua.win) { storedAltContent.style.display = "block"; }
					}
					if (storedCallbackFn) { storedCallbackFn(storedCallbackObj); }
				}
				isExpressInstallActive = false;
			} 
		}
	};
}();

UCConnect.SwfObject = swfobject;
}(UCConnect));

(function (UCConnect) {
    var MediaHandler = function (session, options) {
        var events = [
          'userMediaRequest',
          'userMedia',
          'userMediaFailed',
          'iceGathering',
          'iceCandidate',
          'iceComplete',
          'iceGatheringComplete',
          'iceFailed',
          'getDescription',
          'setDescription',
          'dataChannel',
          'addStream',
          'speaking'
        ];
        options = options || {};



        this.logger = session.ua.getLogger('sip.invitecontext.mediahandler', session.id);
        this.session = session;
        this.localMedia = null;
        this.ready = true;
        this.mediaStreamManager = options.mediaStreamManager || new SIP.WebRTC.MediaStreamManager(this.logger);
        this.audioMuted = false;
        this.videoMuted = false;
        this.servers = [];
        this.VideoWidget = null;
        // old init() from here on
        var idx, length, server,
          self = this,
          servers = [],
          stunServers = options.stunServers || null,
          turnServers = options.turnServers || null,
          config = this.session.ua.configuration;
        this.RTCConstraints = options.RTCConstraints || {};

        if (!stunServers) {
            stunServers = config.stunServers;
        }

        if (!turnServers) {
            turnServers = config.turnServers;
        }
        
        /* Change 'url' to 'urls' whenever this issue is solved:
         * https://code.google.com/p/webrtc/issues/detail?id=2096
         */
        [].concat(stunServers).forEach(function (server) {
            servers.push({ 'urls': server });
        });

        length = turnServers.length;
        for (idx = 0; idx < length; idx++) {
            server = turnServers[idx];
            servers.push({
                'urls': server.urls,
                'username': server.username,
                'credential': server.password
            });
        }
        this.servers = servers;
        ////////////////////////////////////////////// FLASH FAILOVER ///////////////////////////////////////////////
        this.checkFlashFailover = function () {
            var flashParams, raw;

            if (session.request.headers['X-Uc-Ims']) {
                this.flashFailover = true;
                raw = session.request.getHeaders('X-Uc-Ims')[0].split(" ");
                flashParams = { "supportIms": raw[0], "withWideo": raw[1], "remoteStream": raw[2], "localStream": raw[3] };
                this.flashFailover = true;
            }

            if (session.request.extraHeaders) {
                for (var x = 0; x < session.request.extraHeaders.length; x++) {
                    if (session.request.extraHeaders[x].indexOf('X-Uc-Ims') != -1) {
                        raw = session.request.extraHeaders[0].split(" ");
                        flashParams = { "supportIms": raw[1], "withWideo": raw[2], "remoteStream": raw[4], "localStream": raw[3] };
                        this.flashFailover = true;
                    }
                }
            }
            return flashParams;
        };

        this.flashFailover = false;
        var flashParams = this.checkFlashFailover();

        SIP.WebRTC.getUserMedia = function (constraints, successCallback, errorCallback) {
            if (self.flashFailover) {
                window.setTimeout(function () {
                    if (UCConnect.SwfObject.hasFlashPlayerVersion(FLASH_CONFIGURATION.flash_version)) {
                        successCallback(new UCConnect.MediaStream(), false);
                    } else {
                        errorCallback(new Error('Flash is not supported'));
                    }
                }, 200);
            } else {
                if (UCConnect.userMedia != null) {
                    UCConnect.userMedia(constraints, function (stream) { successCallback(stream); }, function (err) { errorCallback(err); });
                } else {
                    errorCallback(Error("No user media function in UCConnect"));
                }
            }
        };
        if (this.flashFailover) {

            this.peerConnection = new UCConnect.RTCPeerConnection({ 'iceServers': servers }, this.RTCConstraints);
            this.peerConnection.flashParams = flashParams;
            self.logger.log("================================== FLASH SESSION ===================================");
        } else {
            if (SIP.WebRTC.isSupported()) {
                this.peerConnection = new SIP.WebRTC.RTCPeerConnection({ 'iceServers': servers }, this.RTCConstraints);
                self.logger.log("================================== WebRTC SESSION ===================================");
            }
        }

        this.peerConnection.onaddstream = function (e) {
            self.logger.log('stream added: ' + e.stream.id);
            self.render();
            self.emit('addStream', e);
        };

        this.peerConnection.onremovestream = function (e) {
            self.logger.log('stream removed: ' + e.stream.id);
            self.emit('removeStream', e);
        };

        this.peerConnection.onicecandidate = function (e) {
            self.emit('iceCandidate', e);
            if (e.candidate) {
                self.logger.log('ICE candidate received: ' + (e.candidate.candidate === null ? null : e.candidate.candidate.trim()));
                if (!self.iceCheckingTimer) {
                    self.iceCheckingTimer = SIP.Timers.setTimeout(function() {
                        self.logger.log('RTCIceChecking Timeout Triggered after '+2000+' milliseconds');
                        //self.emit('iceComplete', self.peerConnection);
                        if (self.onIceCompleted !== undefined) {
                            self.onIceCompleted(this);
                        } else {
                            self.callOnIceCompleted = true;
                        }
                        if (self.iceCheckingTimer) {
                            SIP.Timers.clearTimeout(self.iceCheckingTimer);
                            self.iceCheckingTimer = null;
                        }
                    }.bind(this), 2000);
                }
            } else if (self.onIceCompleted !== undefined) {
                self.onIceCompleted(this);
            } else {
                self.callOnIceCompleted = true;
            }
        };

        this.peerConnection.onicegatheringstatechange = function () {
            self.logger.log('RTCIceGatheringState changed: ' + this.iceGatheringState);
            if (this.iceGatheringState === 'gathering') {
                self.emit('iceGathering', this);
            }
            if (this.iceGatheringState === 'complete') {
                if (self.onIceCompleted !== undefined) {
                    self.onIceCompleted(this);
                } else {
                    self.callOnIceCompleted = true;
                }
            }
        };

        this.peerConnection.oniceconnectionstatechange = function () {  //need e for commented out case
            self.logger.log('ICE connection state changed to "' + this.iceConnectionState + '"');

            if (this.iceConnectionState === 'checking' && !self.iceCheckingTimer) {
                self.iceCheckingTimer = SIP.Timers.setTimeout(function () {
                    self.logger.log('RTCIceChecking Timeout Triggered after ' + 2000 + ' micro seconds');
                    if (self.onIceCompleted !== undefined) {
                        self.onIceCompleted(this);
                    } else {
                        self.callOnIceCompleted = true;
                    }
                    if (self.iceCheckingTimer) {
                        SIP.Timers.clearTimeout(self.iceCheckingTimer);
                        self.iceCheckingTimer = null;
                    }
                }.bind(this), 2000);
            }

            if (this.iceConnectionState === 'failed') {
                self.emit('iceFailed', this);
            }

            //Bria state changes are always connected -> disconnected -> connected on accept, so session gets terminated
            //normal calls switch from failed to connected in some cases, so checking for failed and terminated
            /*if (this.iceConnectionState === 'failed') {
              self.session.terminate({
                cause: SIP.C.causes.RTP_TIMEOUT,
                status_code: 200,
                reason_phrase: SIP.C.causes.RTP_TIMEOUT
              });
            } else if (e.currentTarget.iceGatheringState === 'complete' && this.iceConnectionState !== 'closed') {
              self.onIceCompleted(this);
            }*/
        };

        this.peerConnection.onstatechange = function () {
            self.logger.log('PeerConnection state changed to "' + this.readyState + '"');
        };

        this.initEvents(events);

        function selfEmit(mh, event) {
            if (mh.mediaStreamManager.on &&
                mh.mediaStreamManager.checkEvent &&
                mh.mediaStreamManager.checkEvent(event)) {
                mh.mediaStreamManager.on(event, function () {
                    mh.emit.apply(mh, [event].concat(Array.prototype.slice.call(arguments)));
                });
            }
        }

        selfEmit(this, 'userMediaRequest');
        selfEmit(this, 'userMedia');
        selfEmit(this, 'userMediaFailed');
    };

    MediaHandler.defaultFactory = function defaultFactory(session, options) {
        options.RTCConstraints = {'optional': [{'googIPv6': 'false'}]};
        return new MediaHandler(session, options);
    };
    MediaHandler.defaultFactory.isSupported = function () {
        return SIP.WebRTC.isSupported();
    };

    MediaHandler.prototype = Object.create(SIP.MediaHandler.prototype, {
        //MediaHandler.prototype = {
        // Functions the session can use
        dragan: {
            writable: true, value: 'dragan'
        },
        isReady: {
            writable: true, value: function isReady() {
                return this.ready;
            }
        },

        close: {
            writable: true, value: function close() {
                this.logger.log('closing PeerConnection');
                // have to check signalingState since this.close() gets called multiple times
                // TODO figure out why that happens
                if (this.peerConnection && this.peerConnection.signalingState !== 'closed') {
                    this.peerConnection.close();

                    if (this.localMedia) {
                        this.mediaStreamManager.release(this.localMedia);
                    }
                }
            }
        },

        /**
         * @param {Function} onSuccess
         * @param {Function} onFailure
         * @param {SIP.WebRTC.MediaStream | (getUserMedia constraints)} [mediaHint]
         *        the MediaStream (or the constraints describing it) to be used for the session
         */
        getDescription: {
            writable: true, value: function getDescription(onSuccess, onFailure, mediaHint) {
                var self = this;
                mediaHint = mediaHint || {};
                if (mediaHint.dataChannel === true) {
                    mediaHint.dataChannel = {};
                }
                this.mediaHint = mediaHint;

                /*
                 * 1. acquire stream (skip if MediaStream passed in)
                 * 2. addStream
                 * 3. createOffer/createAnswer
                 * 4. call onSuccess()
                 */

                /* Last functions first, to quiet JSLint */
                function streamAdditionSucceeded() {
                    if (self.hasOffer('remote')) {
                        self.peerConnection.ondatachannel = function (evt) {
                            self.dataChannel = evt.channel;
                            self.emit('dataChannel', self.dataChannel);
                        };
                    } else if (mediaHint.dataChannel &&
                               self.peerConnection.createDataChannel) {
                        self.dataChannel = self.peerConnection.createDataChannel(
                          'sipjs',
                          mediaHint.dataChannel
                        );
                        self.emit('dataChannel', self.dataChannel);
                    }

                    self.render();
                    self.createOfferOrAnswer(onSuccess, onFailure, self.RTCConstraints);
                }

                function acquireSucceeded(stream) {
                    self.logger.log('acquired local media stream');
                    self.localMedia = stream;
                    self.session.connecting();
                    self.addStream(
                      stream,
                      streamAdditionSucceeded,
                      onFailure
                    );
                }

                if (self.localMedia) {
                    self.logger.log('already have local media');
                    streamAdditionSucceeded();
                    return;
                }

                self.logger.log('acquiring local media');
                self.mediaStreamManager.acquire(
                  acquireSucceeded,
                  function acquireFailed(err) {
                      self.logger.error('unable to acquire stream');
                      self.logger.error(err);
                      self.session.connecting();
                      onFailure(err);
                  },
                  mediaHint
                );
            }
        },

        /**
        * Message reception.
        * @param {String} type
        * @param {String} sdp
        * @param {Function} onSuccess
        * @param {Function} onFailure
        */
        setDescription: {
            writable: true, value: function setDescription(sdp, onSuccess, onFailure) {
                var rawDescription = {
                    type: this.hasOffer('local') ? 'answer' : 'offer',
                    sdp: sdp
                };

                this.emit('setDescription', rawDescription);

                var description = new SIP.WebRTC.RTCSessionDescription(rawDescription);
                var regxp = new RegExp("a=sendrecv", "g");
                if (this.session.remoteIdentity.uri.user === 'send') {
                    description.sdp = description.sdp.replace(regxp, "a=recvonly");
                } else if (this.session.remoteIdentity.uri.user === 'recv') {
                    description.sdp = description.sdp.replace(regxp, "a=sendonly");
                }
                this.peerConnection.setRemoteDescription(description, onSuccess, onFailure);
            }
        },

        // Functions the session can use, but only because it's convenient for the application
        isMuted: {
            writable: true, value: function isMuted() {
                return {
                    audio: this.audioMuted,
                    video: this.videoMuted
                };
            }
        },

        mute: {
            writable: true, value: function mute(options) {
                if (this.getLocalStreams().length === 0) {
                    return;
                }

                options = options || {
                    audio: this.getLocalStreams()[0].getAudioTracks().length > 0,
                    video: this.getLocalStreams()[0].getVideoTracks().length > 0
                };

                var audioMuted = false,
                    videoMuted = false;

                if (options.audio && !this.audioMuted) {
                    audioMuted = true;
                    this.audioMuted = true;
                    this.toggleMuteAudio(true);
                }

                if (options.video && !this.videoMuted) {
                    videoMuted = true;
                    this.videoMuted = true;
                    this.toggleMuteVideo(true);
                }

                //REVISIT
                if (audioMuted || videoMuted) {
                    return {
                        audio: audioMuted,
                        video: videoMuted
                    };
                    /*this.session.onmute({
                      audio: audioMuted,
                      video: videoMuted
                    });*/
                }
            }
        },

        unmute: {
            writable: true, value: function unmute(options) {
                if (this.getLocalStreams().length === 0) {
                    return;
                }

                options = options || {
                    audio: this.getLocalStreams()[0].getAudioTracks().length > 0,
                    video: this.getLocalStreams()[0].getVideoTracks().length > 0
                };

                var audioUnMuted = false,
                    videoUnMuted = false;

                if (options.audio && this.audioMuted) {
                    audioUnMuted = true;
                    this.audioMuted = false;
                    this.toggleMuteAudio(false);
                }

                if (options.video && this.videoMuted) {
                    videoUnMuted = true;
                    this.videoMuted = false;
                    this.toggleMuteVideo(false);
                }

                //REVISIT
                if (audioUnMuted || videoUnMuted) {
                    return {
                        audio: audioUnMuted,
                        video: videoUnMuted
                    };
                    /*this.session.onunmute({
                      audio: audioUnMuted,
                      video: videoUnMuted
                    });*/
                }
            }
        },

        hold: {
            writable: true, value: function hold() {
                this.toggleMuteAudio(true);
                this.toggleMuteVideo(true);
            }
        },

        unhold: {
            writable: true, value: function unhold() {
                if (!this.audioMuted) {
                    this.toggleMuteAudio(false);
                }

                if (!this.videoMuted) {
                    this.toggleMuteVideo(false);
                }
            }
        },

        // Functions the application can use, but not the session
        getLocalStreams: {
            writable: true, value: function getLocalStreams() {
                var pc = this.peerConnection;
                if (pc && pc.signalingState === 'closed') {
                    this.logger.warn('peerConnection is closed, getLocalStreams returning []');
                    return [];
                }
                return (pc.getLocalStreams && pc.getLocalStreams()) ||
                  pc.localStreams || [];
            }
        },

        getRemoteStreams: {
            writable: true, value: function getRemoteStreams() {
                var pc = this.peerConnection;
                if (pc && pc.signalingState === 'closed') {
                    this.logger.warn('peerConnection is closed, getRemoteStreams returning []');
                    return [];
                }
                return (pc.getRemoteStreams && pc.getRemoteStreams()) ||
                  pc.remoteStreams || [];
            }
        },

        render: {
            writable: true, value: function render(renderHint) {
                renderHint = renderHint || (this.mediaHint && this.mediaHint.render);
                if (!renderHint) {
                    return false;
                }
                var streamGetters = {
                    local: 'getLocalStreams',
                    remote: 'getRemoteStreams'
                };
                Object.keys(streamGetters).forEach(function (loc) {
                    var streamGetter = streamGetters[loc];
                    var streams = this[streamGetter]();
                    if (streams.length) {
                        SIP.WebRTC.MediaStreamManager.render(streams[0], renderHint[loc]);
                    }
                }.bind(this));
            }
        },

        // Internal functions
        hasOffer: {
            writable: true, value: function hasOffer(where) {
                var offerState = 'have-' + where + '-offer';
                //console.log("=============================================== this.peerConnection.signalingState: %o", this.peerConnection.signalingState);
                return this.peerConnection.signalingState === offerState;
                // TODO consider signalingStates with 'pranswer'?
            }
        },

        createOfferOrAnswer: {
            writable: true, value: function createOfferOrAnswer(onSuccess, onFailure, constraints) {
                var self = this;
                var methodName;

                function readySuccess() {
                    var sdp = self.peerConnection.localDescription.sdp;

                    sdp = SIP.Hacks.Chrome.needsExplicitlyInactiveSDP(sdp);
                    sdp = SIP.Hacks.AllBrowsers.unmaskDtls(sdp);
                    sdp = SIP.Hacks.Firefox.hasIncompatibleCLineWithSomeSIPEndpoints(sdp);

                    var sdpWrapper = {
                        type: methodName === 'createOffer' ? 'offer' : 'answer',
                        sdp: sdp
                    };

                    self.emit('getDescription', sdpWrapper);

                    self.ready = true;
                    onSuccess(sdpWrapper.sdp);
                }

                function onSetLocalDescriptionSuccess() {
                    //console.log("=============================================== self.peerConnection.iceGatheringState: %o : %o", self.peerConnection.iceConnectionState, self.peerConnection.iceConnectionState);

                    if (self.peerConnection.iceGatheringState === 'complete' && (self.peerConnection.iceConnectionState === 'connected' || self.peerConnection.iceConnectionState === 'completed')) {
                        readySuccess();
                        if (self.iceCheckingTimer) {
                            SIP.Timers.clearTimeout(self.iceCheckingTimer);
                            self.iceCheckingTimer = null;
                        }
                    } else {
                        var pc = self.peerConnection;
                        self.onIceCompleted = function (pc) {
                            if (self.iceCheckingTimer) {
                                SIP.Timers.clearTimeout(self.iceCheckingTimer);
                                self.iceCheckingTimer = null;
                            }
                            self.logger.log('ICE Gathering Completed');
                            self.onIceCompleted = undefined;
                            self.emit('iceComplete', self.peerconnection);
                            readySuccess();
                        };
                        if (self.callOnIceCompleted) {
                            self.onIceCompleted();
                        }
                    }
                }

                function methodFailed(methodName, e) {
                    self.logger.error('peerConnection.' + methodName + ' failed');
                    self.logger.error(e);
                    self.ready = true;
                    onFailure(e);
                }

                self.ready = false;

                methodName = self.hasOffer('remote') ? 'createAnswer' : 'createOffer';

                self.peerConnection[methodName](
                    function (sessionDescription) {
                      var regxp = new RegExp("a=sendrecv", "g");
                      if (self.session.remoteIdentity.uri.user === 'send') {
                          sessionDescription.sdp = sessionDescription.sdp.replace(regxp, "a=sendonly");
                      } else if (self.session.remoteIdentity.uri.user === 'recv') {
                          sessionDescription.sdp = sessionDescription.sdp.replace(regxp, "a=recvonly");
                      }
                      self.peerConnection.setLocalDescription(
                        sessionDescription,
                        onSetLocalDescriptionSuccess,
                        methodFailed.bind(null, 'setLocalDescription')
                      );
                  },
                  methodFailed.bind(null, methodName),
                  constraints
                );
            }
        },

        addStream: {
            writable: true, value: function addStream(stream, onSuccess, onFailure) {
                try {
                    this.peerConnection.addStream(stream);
                    if (!this.flashFailover) {
                        var hark = window.Hark(stream);
                        hark.on('speaking', this.emit.bind(this, 'speaking', true));
                        hark.on('stopped_speaking', this.emit.bind(this, 'speaking', false));
                        // TODO should be handled by the removeStream event
                        //this.on('removeStream', function() {
                        stream.onended = function () {
                            hark.off('speaking');
                            hark.off('stopped_speaking');
                        };
                    }
                } catch (e) {
                    this.logger.error('error adding stream');
                    this.logger.error(e);
                    onFailure(e);
                    return;
                }

                onSuccess();
            }
        },

        toggleMuteHelper: {
            writable: true, value: function toggleMuteHelper(trackGetter, mute) {
                this.getLocalStreams().forEach(function (stream) {
                    stream[trackGetter]().forEach(function (track) {
                        track.enabled = !mute;
                    });
                });
            }
        },
        toggleMuteFlashHelper:{
            writable: true, value: function toggleMuteHelper(trackGetter, mute) {
                if (this.VideoWidget != null) {
                    if (trackGetter == 'getAudioTracks') {
                        this.VideoWidget.toggleAudio();
                    } else {
                        this.VideoWidget.toggleVideo();
                    }
                }
            }

        },
        toggleMuteAudio: {
            writable: true, value: function toggleMuteAudio(mute) {
                if (this.flashFailover) {
                    this.toggleMuteFlashHelper('getAudioTracks', mute);
                } else {
                    this.toggleMuteHelper('getAudioTracks', mute);
                }
            }
        },

        toggleMuteVideo: {
            writable: true, value: function toggleMuteVideo(mute) {
                if (this.flashFailover) {
                    this.toggleMuteFlashHelper('getVideoTracks', mute);
                } else {
                    this.toggleMuteHelper('getVideoTracks', mute);
                }
            }
        }
        //   };
    });
    UCConnect.MediaHandler = MediaHandler;

})(UCConnect);

/**
 * @fileoverview RTCPeerConnection
 */

/**
 * @augments UCConnect
 * @class RTCPeerConnection
 */

(function (UCConnect) {
    var RTCPeerConnection = navigator.RTCPeerConnection = function (configuration, constraints) {
        var self = this, timer;
        this.virtual = true;
        this.flashParams = null;
        this.state = null;
        this.localDescription = null;
        this.onaddstream = null;
        this.ondatachannel = null;
        this.onicecandidate = null;
        this.onidentityresult = null;
        this.onidpassertionerror = null;
        this.onidpvalidationerror = null;
        this.onnegotiationneeded = null;
        this.onpeeridentity = null;
        this.onremovestream = null;
        this.peerIdentity = null;
        this.remoteDescription = null;
        this.fms = '';
        //   this.onicegatheringstatechange = null;
        //    this.oniceconnectionstatechange = null;
        //    this.onstatechange = null;

        this.addStream = function (stream) {
            //console.log("=============================================== addStream: %o", stream);
            //onSuccess();
        };

        this.onaddstream = function (o) {
            //console.log("=============================================== onaddstream: %o", o);
        };

        this.close = function () {
            //console.log("=============================================== close ");
        };

        this.getIdentityAssertion = function () {
            //console.log("=============================================== getIdentityAssertion ");
        };

        this.getLocalStreams = function () {
            var streams = new MediaStream();
            //console.log("=============================================== getLocalStreams %o", streams);
            return [streams];
        };

        this.getRemoteStreams = function () {
            var streams = new MediaStream();
            //console.log("=============================================== getRemoteStreams %o", streams);
            return [streams];
        };

        this.getStreamById = function () {
            //console.log("=============================================== getStreamById ");
        };

        this.removeStream = function () {
            //console.log("=============================================== removeStream ");
        };

        this.setIdentityProvider = function () {
            //console.log("=============================================== setIdentityProvider ");
        };

        this.setRemoteDescription = function (description, onSuccess, onFailure) {
            //console.log("=============================================== setRemoteDescription : %o", description);
            this.remoteDescription = new RTCSessionDescription();
            this.remoteDescription.sdp = description;
            if (this.signalingState != "have-remote-offer") {
                this.remoteDescription.type = "offer";
            } else {
                this.remoteDescription.type = "answer";
            }
            this.signalingState = "have-remote-offer";
            window.setTimeout(onSuccess, 0); // WHY
            //onSucces();
        };

        this.getRemoteDescription = function () {
            //console.log("=============================================== getRemoteDescription ");
            return this.remoteDescription;
        };

        this.setLocalDescription = function (description, onSuccess, onFailure) {
            //console.log("=============================================== setLocalDescription : %o", description);
            this.localDescription = new RTCSessionDescription();
            this.localDescription.sdp = description;
            if (this.signalingState == "have-remote-offer") {
                this.localDescription.type = "answer";
            } else {
                this.localDescription.type = "offer";
            }
            this.signalingState = "have-local-offer";
            window.setTimeout(onSuccess, 0); // WHY
        };

        this.getLocalDescription = function () {
            //console.log("=============================================== getLocalDescription ");
            return this.localDescription;
        };

        this.createOffer = function (onSuccess, onFailure, constraints) {
            //console.log("=============================================== createOffer ");

            var videoString = 'm=video 21110 RTP/AVP 98\r\na=rtpmap:98 H264/90000\r\n';

            var offer = "v=0\r\n" +
            "o=- 3622959174 3622959174 IN IP4 " + this.fms + "\r\n" +
            "s=uccmedia\r\n" +
            //X-Uc-Ims data: [ims support] [with video] [remoteStream] [localStream]
            "i=X-Uc-Ims: " + "1 " + this.flashParams.withWideo + " " + this.flashParams.remoteStream + " " + this.flashParams.localStream + "\r\n" +
            //////////////////////////////
            "t=0 0\r\n" +
            "a=X-nat:0\r\n" +
            "m=audio 4026 RTP/AVP 0 8 96\r\n" +
            "c=IN IP4 " + this.fms + "\r\n" +
            "a=rtpmap:0 PCMU/8000\r\n" +
            "a=rtpmap:8 PCMA/8000\r\n" +
            "a=rtpmap:96 telephone-event/8000\r\n" +
            "a=fmtp:96 0-16\r\n" +
            "a=rtcp:4027 IN IP4 " + this.fms + "\r\n";

            onSuccess(offer);
        };

        this.createAnswer = function (onSuccess, onFailure) {
            console.log("=============================================== createAnswer ");

            var videoString = 'm=video 21110 RTP/AVP 98\r\na=rtpmap:98 H264/90000\r\n';

            var offer = "v=0\r\n" +
            "o=- 3622959174 3622959174 IN IP4 " + this.fms + "\r\n" +
            "s=uccmedia\r\n" +
            ////X-Uc-Ims data: [ims support] [with video] [remoteStream] [localStream]
            "i=X-Uc-Ims: " + "1 " + this.flashParams.withWideo + " " + this.flashParams.remoteStream + " " + this.flashParams.localStream + "\r\n" +
            //////////////////////////////
            "t=0 0\r\n" +
            "a=X-nat:0\r\n" +
            "m=audio 4026 RTP/AVP 0 8 96\r\n" +
            "c=IN IP4 " + this.fms + "\r\n" +
            "a=rtpmap:0 PCMU/8000\r\n" +
            "a=rtpmap:8 PCMA/8000\r\n" +
            "a=rtpmap:96 telephone-event/8000\r\n" +
            "a=fmtp:96 0-16\r\n" +
            "a=rtcp:4027 IN IP4 " + this.fms + "\r\n";

            onSuccess(offer);
        };
    };

    RTCPeerConnection.prototype = {
        signalingState: "stable",
        iceConnectionState: "connected",
        iceGatheringState: "complete"
    };


    var MediaStream = function () {
        this.ended = false;
        this.id = "streamId";
        this.label = "streamLabel";
        this.onaddtrack = null;
        this.onended = null;
        this.onremovetrack = null;

        this.addTrack = function () {};

        this.clone = function () {};

        this.getAudioTracks = function () {
            var track = new MediaStreamTrack();
            track.kind = "audio";
            return [track];
        };

        this.getTrackById = function () {};

        this.getTracks = function () {};

        this.getVideoTracks = function () {
            var track = new MediaStreamTrack();
            track.kind = "video";
            return [track];
        };

        this.removeTrack = function () { };
        
        this.stop = function () {};

        this.onaddtrack = function () {};

        this.onended = function () {};

        this.onremovetrack = function () {};

    };

    var MediaStreamTrack = function () {
        this.enabled = true;
        this.id = "trackAudio";
        this.kind = "audio";
        this.label = "Default Audio";
        this.muted = false;
        this.onended = null;
        this.onmute = null;
        this.onunmute = null;
        this.readyState = "live";

        this.getConstraints = function () {};

        this.applyConstraints = function () {};

        this.getSettings = function () {};

        this.getCapabilities = function () {};

        this.clone = function () {};

        this.stop = function () {};
    };


    var RTCSessionDescription = function () {
        this.sdp = null;
        this.type = "offer";
    };

    UCConnect.MediaStream = MediaStream;
    UCConnect.RTCPeerConnection = RTCPeerConnection;

})(UCConnect);

Strophe.addConnectionPlugin('feature',
{
    init: function(conn) {
        this._connection = conn;
    },
    
    feature: function (type, to, payload, callback) {
        var id    = this._connection.getUniqueId();
        var attrs = {id:id};
        if (type!==null)  { attrs.type = type; }
        if (to!==null)    { attrs.to   = to; }
        var iq = $iq(attrs);
        var cname = null, cattrs, cvalue, cpayload;
if (payload!==null) {
            for (cname in payload) {
                cattrs   = null; if ('attrs'   in payload[cname]) { cattrs   = payload[cname].attrs; }
                cvalue   = null; if ('value'   in payload[cname]) { cvalue   = payload[cname].value; }
                cpayload = null; if ('payload' in payload[cname]) { cpayload = payload[cname].payload; }
                this._add_payload(iq, cname, cattrs, cvalue, cpayload);
            }
        }
        this._connection.sendIQ(iq, this._onFeatureSuccess.bind(this, callback));
    },
    
   _add_payload: function (iq, name, attrs, value, payload) {
        var val = (value!==null);
        if (attrs===null) { attrs = {}; }
        if (val) {
            iq.c(name, attrs, value);
        }
        else {
            iq.c(name, attrs);
            var cname = null, cvalue, cattrs, cpayload;
            if (payload!==null) {
                for (cname in payload) {
                    cvalue   = null; if ('value'   in payload[cname]) { cvalue   = payload[cname].value; }
                    cattrs   = null; if ('attrs'   in payload[cname]) { cattrs   = payload[cname].attrs; }
                    cpayload = null; if ('payload' in payload[cname]) { cpayload = payload[cname].payload; }
                    this._add_payload(iq, cname, cattrs, cvalue, cpayload);
                }
            }
            iq.up();
        }
    },
    
   _onFeatureSuccess: function(callback, stanza) {
       if (callback===null) return;
       callback(stanza);
   }
});
Strophe.addConnectionPlugin('muc',
{
    init: function(conn) {
        this._connection = conn;
        
        this._rooms             = {};
        this._callbacks_error   = [];
        this._callbacks_status  = [];
        this._callbacks_invite  = [];
        this._callbacks_groupcallinvite = [];
        this._callbacks_groupcallready = [];
        this._callbacks_groupcallaccepted = [];
        this._callbacks_groupcalldeclined = [];
        this._callbacks_groupcallcancelled = [];
        this._callbacks_groupcallstatus = [];
        this._callbacks_message = [];
        this._callbacks_memberlist = [];
        this._callbacks_chat_state = [];
        
        Strophe.addNamespace('CONFERENCE', 'jabber:x:conference');
        Strophe.addNamespace('DISCOVER', 'http://jabber.org/protocol/disco#items');
        Strophe.addNamespace('MEMBERLIST', 'urn:ietf:params:xml:ns:vw-room:member-list');
        
        var oldCallback = null, muc = this, _connect = conn.connect, _attach = conn.attach;
        var newCallback = function(status) {
            if (status == Strophe.Status.ATTACHED || status == Strophe.Status.CONNECTED) {
                try {
                    conn.addHandler(muc._onReceivePresence.bind(muc), null, 'presence', null, null, null);
                    conn.addHandler(muc._onReceiveMessage.bind(muc), null, 'message', null, null, null);
                    conn.addHandler(muc._onReceiveMemberlist.bind(muc), Strophe.NS.MEMBERLIST, 'iq', null, null, null);
                }
                catch (e) {
                    Strophe.error(e);
                }
            }
            if (oldCallback !== null)
                oldCallback.apply(this, arguments);
        };
        conn.connect = function(jid, pass, callback, wait, hold, route) {
            oldCallback = callback;
            if (typeof(jid)=='undefined') { jid  = null; }
            if (typeof(pass)=='undefined') { pass = null; }
            callback = newCallback;
            _connect.apply(conn, [jid, pass, callback, wait, hold, route]);
        };
        conn.attach = function(jid, sid, rid, callback, wait, hold, wind) {
            oldCallback = callback;
            if (typeof(jid)=='undefined') { jid = null; }
            if (typeof(sid)=='undefined') { sid = null; }
            if (typeof(rid)=='undefined') { rid = null; }
            callback = newCallback;
            _attach.apply(conn, [jid, sid, rid, callback, wait, hold, wind]);
        };
    },
    registerCallbackError: function(callback) {
        this._callbacks_error.push(callback);
    },
    registerCallbackStatus: function(callback) {
        this._callbacks_status.push(callback);
    },
    registerCallbackInvite: function(callback) {
        this._callbacks_invite.push(callback);
    },
    registerCallbackGroupCallInvite: function (callback) {
        this._callbacks_groupcallinvite.push(callback);
    },
    registerCallbackGroupCallReady: function (callback) {
        this._callbacks_groupcallready.push(callback);
    },
    registerCallbackGroupCallAccepted: function (callback) {
        this._callbacks_groupcallaccepted.push(callback);
    },
    registerCallbackGroupCallDeclined: function (callback) {
        this._callbacks_groupcalldeclined.push(callback);
    },
    registerCallbackGroupCallCancelled: function (callback) {
        this._callbacks_groupcallcancelled.push(callback);    
    },
    registerCallbackGroupCallStatus: function (callback) {
        this._callbacks_groupcallstatus.push(callback);
    },
    registerCallbackMessage: function (callback) {
        this._callbacks_message.push(callback);
    },
    registerCallbackMemberList: function (callback) {
        this._callbacks_memberlist.push(callback);
    },
    registerCallbackChatState: function (callback) {
        this._callbacks_chat_state.push(callback);
    },
    create: function (host, room, name, nick, isModerated) {
        var roomjid = '';
        var self = this;
        if (room!==null) { roomjid = room; }
        if (host!==null) {
            if (roomjid.length>0) { roomjid += '@'; }
            roomjid += host;
        }
        if (nick===null) nick = Strophe.getNodeFromJid(this._connection.authzid);
        var jid = roomjid + '/' + nick.replace('/', '#');
        if (!(roomjid in this._rooms)) { this._rooms[roomjid] = {host:host, room:room, nick:nick, jid:jid, name:name, statuses: {}, myRoom: true, isModerated: (isModerated === undefined) ? false : isModerated}; }
        this._connection.send($pres({ to: jid }).c('x', { xmlns: Strophe.NS.MUC }).up().c('x', { xmlns: 'urn:ietf:params:xml:ns:vw-room' }, name).up().tree());
        setTimeout(function () {
            self._connection.send($iq({ type: 'set', to: jid })
                .c('query', { xmlns: 'http://jabber.org/protocol/muc#owner' })
                    .c('x', { xmlns: 'jabber:x:data', type: 'submit' })
                        .c('field', { 'var': 'FORM_TYPE' })
                            .c('value').t('http://jabber.org/protocol/muc#roomconfig')
                            .up()
                        .up()
                        .c('field', { 'var': 'muc#roomconfig_moderatedroom' })
                            .c('value').t('0')
                            .up()
                        .up()
                        .c('field', {'var': 'muc#maxhistoryfetch' })
                            .c('value').t('1000000')
                            .up()
                        .up()
                    .up()
                .tree()
            );
        }, 10);
        return true;
    },
    join: function (host, room, nick) {
        var roomjid = '';
        if (room!==null) { roomjid = room; }
        if (host!==null) {
            if (roomjid.length>0) { roomjid += '@'; }
            roomjid += host;
        }
        if (nick===null) nick = Strophe.getNodeFromJid(this._connection.authzid);
        var jid = roomjid + '/' + nick.replace('/', '#');
        if (!(roomjid in this._rooms)) { this._rooms[roomjid] = {host:host, room:room, nick: nick, jid: jid, statuses: {}, myRoom: false}; }
        this._connection.send($pres({to:jid}).c('x', {xmlns: Strophe.NS.MUC}).up().tree());
        return true;
    },
    leave: function (host, room) {
        var roomjid = '';
        if (room!==null) { roomjid = room; }
        if (host!==null) {
            if (roomjid.length>0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var nick = this._connection.authzid;
        var jid = roomjid + '/' + nick.replace('/', '#');
        delete this._rooms[roomjid];
        this._connection.send($iq({ type: 'set', to: jid, id: this._connection.getUniqueId('leave')}).c('leave', { xmlns: 'urn:ietf:params:xml:ns:vw-room:leave' }).tree());
        return true;
    },
    invite: function (host, room, name, user) {
        var roomjid = '';
        if (room!==null) { roomjid = room; }
        if (host!==null) {
            if (roomjid.length>0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var attrs = {to: user};
        var msg = $msg(attrs).c('x', { xmlns: Strophe.NS.CONFERENCE, jid: roomjid }).up().c('x', { xmlns: 'urn:ietf:params:xml:ns:vw-room' }, name).up();
        this._connection.send(msg.tree());
        return true;
    },
    groupCallInvite: function (host, room, user, type, userlist) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var attrs = { to: user };
        var ns = (type === "audio") ? "urn:ietf:params:xml:ns:vw-audiocall" : "urn:ietf:params:xml:ns:vw-videocall";
        var msg = $msg(attrs).c('x', { xmlns: Strophe.NS.CONFERENCE, jid: roomjid }).up().c('x', { xmlns: ns }, null).up().c('active-participants', null, null).t(userlist === undefined ? null : userlist).up();
        this._connection.send(msg.tree());
        return true;
    },
    groupCallReady: function (host, room, type) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var ns = (type === "audio") ? "urn:ietf:params:xml:ns:vw-audiocall-ready" : "urn:ietf:params:xml:ns:vw-videocall-ready";
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('x', { xmlns: ns });
        this._connection.send(msg.tree());
        return true;
    },
    groupCallAccept: function (host, room, type) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var ns = (type === "audio") ? "urn:ietf:params:xml:ns:vw-audiocall-accept" : "urn:ietf:params:xml:ns:vw-videocall-accept";
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('x', { xmlns: ns });
        this._connection.send(msg.tree());
        return true;
    },
    groupCallDecline: function (host, room, type) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var ns = (type === "audio") ? "urn:ietf:params:xml:ns:vw-audiocall-decline" : "urn:ietf:params:xml:ns:vw-videocall-decline";
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('x', { xmlns: ns });
        this._connection.send(msg.tree());
        return true;
    },
    groupCallCancel: function (host, room, type) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var ns = (type === "audio") ? "urn:ietf:params:xml:ns:vw-audiocall-cancel" : "urn:ietf:params:xml:ns:vw-videocall-cancel";
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('x', { xmlns: ns });
        this._connection.send(msg.tree());
        return true;
    },
    groupCallStatus: function (host, room, status) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var ns = "urn:ietf:params:xml:ns:vw-groupcall-status";
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('x', { xmlns: ns }, null).up().c('status', null, null).t(status).up();
        this._connection.send(msg.tree());
        return true;
    },
    message: function (host, room, message, fileDesc) {
        var roomjid = '';
        if (room!==null) { roomjid = room; }
        if (host!==null) {
            if (roomjid.length>0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var msg = $msg({to:roomjid, type:'groupchat'}).c('body', null, message);
        if(fileDesc){
            var xNode = Strophe.xmlElement('x', {xmlns: Strophe.NS.OOB, save: true});

            // TODO: url and description should be provided
            // Create a standard <url> node with the file public url
            if(fileDesc.url) {
                xNode.appendChild(Strophe.xmlElement('url', null, fileDesc.url));
            }
            if(fileDesc.description) {
                xNode.appendChild(Strophe.xmlElement('desc', null, fileDesc.description));
            }
            xNode.appendChild(Strophe.xmlElement('filedesc', null, fileDesc));
            msg.node.appendChild(xNode);
        }
        msg.c('active', {xmlns: Strophe.NS.CHAT_STATES});
        this._connection.send(msg.tree());
        return true;
    },
    subject: function (host, room, subject) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        var msg = $msg({ from: this._connection.authzid, to: roomjid, type: 'groupchat' }).c('subject', null, subject);
        this._connection.send(msg.tree());
        return true;
    },
    setRole: function (host, room, jid, role) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        if (this._rooms[roomjid].myRoom === false) { return false; }
        if (role !== "participant" && role !== "moderator" && role !== "visitor") { return false; }
        this._connection.send($iq({ type: 'set', to: roomjid }).c('query', { xmlns: 'http://jabber.org/protocol/muc#admin' }).c('item', { nick: jid, role: role }).up().tree());
    },
    discover: function (host, room) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        var xml = $iq({type: 'get', from: this._connection.authzid, to: roomjid, id: this._connection.getUniqueId('discover')}).c('query', {xmlns: Strophe.NS.DISCOVER});
        this._connection.send(xml, function (stanza) {
            //console.info(stanza);
        });
    },
    fetchMemberList: function (host, room) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        var xml = $iq({type: 'get', from: this._connection.authzid, to: roomjid, id: this._connection.getUniqueId('memberlist')}).c('query', {xmlns: Strophe.NS.MEMBERLIST}).up().tree();
        this._connection.send(xml);
    },
    tmpFixRoomLength: function (host, room) {
        var roomjid = '';
        if (room !== null) { roomjid = room; }
        if (host !== null) {
            if (roomjid.length > 0) { roomjid += '@'; }
            roomjid += host;
        }
        if (!(roomjid in this._rooms)) { return false; }
        
        this._connection.send($iq({ type: 'set', to: roomjid })
            .c('query', { xmlns: 'http://jabber.org/protocol/muc#owner' })
            .c('x', {xmlns: 'jabber:x:data', type: 'submit'})
            .c('field', {'var': 'FORM_TYPE'}).c('value', null, 'http://jabber.org/protocol/muc#roomconfig').up().up()
            .c('field', {'var': 'muc#maxfetchhistory'}).c('value', null, '1000000').up().up().up().tree());
    },
    _callbacksError: function (room) {
        for (var i = 0; i < this._callbacks_error.length; i++) {
            this._callbacks_error[i](room);
        }
    },
    _callbacksStatus: function (user, room, affiliation) {
        for (var i = 0; i < this._callbacks_status.length; i++) {
            this._callbacks_status[i](user, room, affiliation);
        }
    },
    _callbacksInvite: function (host, room, name, username, from) {
        for (var i = 0; i < this._callbacks_invite.length; i++) {
            this._callbacks_invite[i](host, room, name, username, from);
        }
    },
    _callbacksGroupCallInvite: function (host, room, username, from, type, participantlist) {
        for (var i = 0; i < this._callbacks_groupcallinvite.length; i++) {
            this._callbacks_groupcallinvite[i](host, room, username, from, type, participantlist);
        }
    },
    _callbacksGroupCallReady: function (host, room, username, from, type) {
        for (var i = 0; i < this._callbacks_groupcallready.length; i++) {
            this._callbacks_groupcallready[i](host, room, username, from, type);
        }
    },
    _callbacksGroupCallAccepted: function (host, room, username, from, type) {
        for (var i = 0; i < this._callbacks_groupcallaccepted.length; i++) {
            this._callbacks_groupcallaccepted[i](host, room, username, from, type);
        }
    },
    _callbacksGroupCallDeclined: function (host, room, username, from, type) {
        for (var i = 0; i < this._callbacks_groupcalldeclined.length; i++) {
            this._callbacks_groupcalldeclined[i](host, room, username, from, type);
        }
    },
    _callbacksGroupCallCancelled: function (host, room, username, from, type) {
        for (var i = 0; i < this._callbacks_groupcalldeclined.length; i++) {
            this._callbacks_groupcallcancelled[i](host, room, username, from, type);
        }
    },
    _callbacksGroupCallStatus: function (host, room, from, status) {
        for (var i = 0; i < this._callbacks_groupcallstatus.length; i++) {
            this._callbacks_groupcallstatus[i](host, room, from, status);
        }
    },
    _callbacksMessage: function (user, from, message, subject, stamp, room, fileDesc) {
        for (var i = 0; i < this._callbacks_message.length; i++) {
            this._callbacks_message[i](user, from, message, subject, stamp, room, fileDesc);
        }
    },
    _callbacksChatState: function (from, state, groupchat) {
        for (var i = 0; i < this._callbacks_chat_state.length; i++) {
            this._callbacks_chat_state[i](from, state, groupchat);
        }
    },
    _callbacksMemberList: function (room, memberList) {
        for (var i = 0; i < this._callbacks_memberlist.length; i++) {
            this._callbacks_memberlist[i](room, memberList);
        }
    },
    _onReceivePresence : function (presence) {
        var that = this;
        var from = presence.getAttribute('from');
        var jid = Strophe.getBareJidFromJid(from);
        var xNodes = presence.getElementsByTagName("x");
        var item = presence.getElementsByTagName('item');
        var affiliation = null;

        if (!(jid in this._rooms)) { return true; }
        
        var logout  = (presence.getAttribute('type')==='unavailable');
        var error   = (presence.getAttribute('type')==='error');

        var status  = this._get_child_value(presence, 'show',   null);
        var message = this._get_child_value(presence, 'status', null);

        if (item[0]) {
            affiliation = item[0].getAttribute('affiliation');
        }

        if (status.length===0 && !logout) status = 'online';
        if (status.length===0 && logout) status = 'offline';

        var room = this._rooms[jid];
        if (error) {
            this._callbacksError(room);
            delete this._rooms[jid];
            return true;
        }
        
        if (room.statuses === undefined) {
            room.statuses = [];
        }
        
        var nick = Strophe.getResourceFromJid(from).replace('#', '/');
        if (!(nick in room.statuses)) { room.statuses[nick] = {status:'', message: ''}; }
        if (logout) {
            delete room.statuses[nick];
        } else {
            room.statuses[nick].status  = status;
            room.statuses[nick].message = message;
        }
        this._callbacksStatus(nick, room, affiliation);
        return true;
    },
    _onReceiveMessage: function (message) {
        var groupchat = (message.getAttribute('type')==='groupchat');
        var xmlns     = this._get_child_value(message, 'x', 'xmlns');

        var from     = message.getAttribute('from');
        var jid      = Strophe.getBareJidFromJid(from);
        var room_jid = this._get_child_value(message, 'x', 'jid');
        var host, room, name, nick, participantlist, status;

        if (xmlns!==Strophe.NS.CONFERENCE) room_jid = '';
        var xNodes = message.getElementsByTagName("x");
        var composingNodes = message.getElementsByTagName('composing');
        var pausedNodes = message.getElementsByTagName('paused');
        var activeNodes = message.getElementsByTagName('active');

        // Check if contains a chat state
        if(composingNodes.length > 0){
            this._callbacksChatState(from, 'composing', groupchat);
            return true;
        } else if(pausedNodes.length > 0){
            this._callbacksChatState(from, 'paused', groupchat);
            return true;
        } else if(activeNodes.length > 0) {
            this._callbacksChatState(from, 'active', groupchat);
            // No return. When user creates a message node '<active>' is pressent
        }

        nick = Strophe.getResourceFromJid(from);
        if (nick) {
            nick = nick.replace('#', '/');
        }

        if (room_jid !== '') {
            for (var i = 0; i < xNodes.length; i++) {
                if (xNodes[i].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-room') {
                    name = xNodes[i].childNodes[0].nodeValue;
                    
                    room = Strophe.getNodeFromJid(room_jid);
                    host = Strophe.getDomainFromJid(room_jid);
                    
                    if (!(room_jid in this._rooms)) { this._rooms[room_jid] = {host:host, room:room, nick: nick, name: name, jid: jid, statuses: {}, myRoom: false}; }

                    this._callbacksInvite(host, room, name, jid, from);
                    return true;
                }
                if (xNodes[i].getAttribute('xmlns') === 'http://jabber.org/protocol/muc#user') {
                    name = message.getElementsByTagName('name')[0].nodeValue;
                    
                    room = Strophe.getNodeFromJid(room_jid);
                    host = Strophe.getDomainFromJid(room_jid);
                    
                    if (!(room_jid in this._rooms)) { this._rooms[room_jid] = {host:host, room:room, nick: nick, name: name, jid: jid, statuses: {}, myRoom: false}; }

                    this._callbacksInvite(host, room, name, jid, from);
                    return true;
                }
                if (xNodes[i].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-audiocall') {
                    room = Strophe.getNodeFromJid(room_jid);
                    host = Strophe.getDomainFromJid(room_jid);
                    participantlist = this._get_child_value(message, 'active-participants', null);
                    this._callbacksGroupCallInvite(host, room, jid, from, "audio", participantlist === null ? {} : JSON.parse(participantlist));
                    return true;
                }
                if (xNodes[i].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-videocall') {
                    room = Strophe.getNodeFromJid(room_jid);
                    host = Strophe.getDomainFromJid(room_jid);
                    participantlist = this._get_child_value(message, 'active-participants', null);
                    this._callbacksGroupCallInvite(host, room, jid, from, "video", participantlist === null ? {} : JSON.parse(participantlist));
                    return true;
                }
            }
        }
        if (!groupchat) { return true; }
        
        if (!this._rooms[jid]) { return true; }

        var body     = this._get_child_value(message, 'body',    null);
        var subject  = this._get_child_value(message, 'subject', null);
        var stamp    = this._get_child_value(message, 'delay',   'stamp');
        var fileDesc;
        
        room = this._rooms[jid];

        // TODO: Condition to be discussed. An OOB <x> node might contain a <body>
        if ((body === '') && (subject === '')) {
            for (var j = 0; j < xNodes.length; j++) {
                var tmpRoom = from.split("/")[0];
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-audiocall-ready') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallReady(host, room.room, jid, nick, "audio");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-videocall-ready') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallReady(host, room.room, jid, nick, "video");
                    return true;
                }

                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-audiocall-accept') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallAccepted(host, room.room, jid, nick, "audio");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-videocall-accept') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallAccepted(host, room.room, jid, nick, "video");
                    return true;
                }

                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-audiocall-decline') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallDeclined(host, room.room, jid, nick, "audio");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-videocall-decline') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallDeclined(host, room.room, jid, nick, "video");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-audiocall-cancel') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallCancelled(host, room.room, jid, nick, "audio");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-videocall-cancel') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    this._callbacksGroupCallCancelled(host, room.room, jid, nick, "video");
                    return true;
                }
                if (xNodes[j].getAttribute('xmlns') === 'urn:ietf:params:xml:ns:vw-groupcall-status') {
                    host = Strophe.getDomainFromJid(tmpRoom);
                    status = this._get_child_value(message, 'status', null);
                    this._callbacksGroupCallStatus(host, room.room, nick, status);
                    return true;
                }
            }
        }

        if (body) {
            var tmpBody = document.createElement('div');
            tmpBody.innerHTML = body;
            body = tmpBody.firstChild.nodeValue;
            tmpBody = null;
        }

        if (subject) {
            var tmpSubject= document.createElement('div');
            tmpSubject.innerHTML = subject;
            subject = tmpSubject.firstChild.nodeValue;
            tmpSubject = null;
        }

        // Support for a single OOB x node
        if (xmlns === Strophe.NS.OOB) {
            var fileDescNodes = message.getElementsByTagName('filedesc');

            if(fileDescNodes.length > 0)
                fileDesc = xml_node_to_file_desc(fileDescNodes[0]);

            // TODO: Handle the <url> node
        }

        if (body || subject || fileDesc) {
            this._callbacksMessage(nick, from, body, subject, stamp, room, fileDesc);
        }
        return true;
    },
    _onReceiveMemberlist: function (iq) {
        var room = iq.getAttribute('from');
        var memberList = [];
        var query = iq.getElementsByTagName('query'); 

        if (query.length) {
            var items = query[0].getElementsByTagName("item");
            if (items.length) {
                for (var i = 0; i < items.length; i++) {
                    var jid = items[i].getAttribute('nick');
                    memberList.push(jid.replace('#', '/'));
                }
            }
        }
        this._callbacksMemberList(room, memberList);
        return true;
    },
    _get_child_value: function (element, child, attribute) {
        if (element===null) { return ''; }
        var e = element.getElementsByTagName(child);
        if (e.length===0) { return ''; }
        e = e[0];
        if (attribute===null) {
            if (e.childNodes.length===0) { return ''; }
            return e.childNodes[0].nodeValue;
        }
        e = e.getAttribute(attribute);
        if (e===null) return '';
        return e;
    }
});

Strophe.addConnectionPlugin('roster',
{
    /** Function: init
     * Plugin init
     *
     * Parameters:
     *   (Strophe.Connection) conn - Strophe connection
     */
    init: function(conn) {
        this._connection = conn;
        
        this._callbacks         = [];
        this._callbacks_request = [];
        this._callbacks_message = [];
        this._callbacks_vcard   = [];

        this.items       = {};
        this.my_statuses = {};
        
              /** Property: ver
               * current roster revision
               * always null if server doesn't support xep 237
               */
        var ver = null;
        // Override the connect and attach methods to always add presence and roster handlers.
        // They are removed when the connection disconnects, so must be added on connection.
        var oldCallback = null, roster = this, _connect = conn.connect, _attach = conn.attach;
        var newCallback = function(status) {
            if (status == Strophe.Status.ATTACHED || status == Strophe.Status.CONNECTED) {
                try {
                    // Presence subscription
                    conn.addHandler(roster._onReceivePresence.bind(roster), null, 'presence', null, null, null);
                    conn.addHandler(roster._onReceiveIQ.bind(roster), Strophe.NS.ROSTER, 'iq', "set", null, null);
                    conn.addHandler(roster._onReceiveMessage.bind(roster), null, 'message', null, null, null);
                }
                catch (e) {
                    Strophe.error(e);
                }
            }
            if (oldCallback !== null)
                oldCallback.apply(this, arguments);
        };
        conn.connect = function(jid, pass, callback, wait, hold, route) {
            oldCallback = callback;
            if (typeof(jid)=='undefined') { jid  = null; }
            if (typeof(pass)=='undefined') { pass = null; }
            callback = newCallback;
            _connect.apply(conn, [jid, pass, callback, wait, hold, route]);
        };
        conn.attach = function(jid, sid, rid, callback, wait, hold, wind) {
            oldCallback = callback;
            if (typeof(jid)=='undefined') { jid = null; }
            if (typeof(sid)=='undefined') { sid = null; }
            if (typeof(rid)=='undefined') { rid = null; }
            callback = newCallback;
            _attach.apply(conn, [jid, sid, rid, callback, wait, hold, wind]);
        };
        
        Strophe.addNamespace('ROSTER_VER',   'urn:xmpp:features:rosterver');
        Strophe.addNamespace('NICK',         'http://jabber.org/protocol/nick');
        Strophe.addNamespace('CAPABILITIES', 'urn:ietf:params:xml:ns:vw-capabilities');
        Strophe.addNamespace('CONFERENCE',   'jabber:x:conference');
        Strophe.addNamespace('VCARD',        'vcard-temp:x:update');
        Strophe.addNamespace('CHAT_STATES',  'http://jabber.org/protocol/chatstates');
        Strophe.addNamespace('OOB',          'jabber:x:oob');
    },
    /** Function: supportVersioning
     * return true if roster versioning is enabled on server
     */
    supportVersioning: function() {
        return (this._connection.features && this._connection.features.getElementsByTagName('ver').length > 0);
    },
    /** Function: get
     * Get Roster on server
     *
     * Parameters:
     *   (Function) userCallback - callback on roster result
     *   (String) ver - current rev of roster
     *      (only used if roster versioning is enabled)
     *   (Array) items - initial items of ver
     *      (only used if roster versioning is enabled)
     *     In browser context you can use sessionStorage
     *     to store your roster in json (JSON.stringify())
     */
    get: function(userCallback, ver, items) {
        var attrs = {xmlns: Strophe.NS.ROSTER};
        this.items = {};
        if (this.supportVersioning()) {
            // empty rev because i want an rev attribute in the result
            attrs.ver = ver || '';
            this.items = items || {};
        }
        var iq = $iq({type: 'get',  'id' : this._connection.getUniqueId('roster')}).c('query', attrs);
        return this._connection.sendIQ(iq,
            this._onReceiveRosterSuccess.bind(this, userCallback),
            this._onReceiveRosterError.bind(this, userCallback)
        );
    },
    status: function(status, message, capabilities, priority, nickname) {
        var p = $pres();
        p.c('show', null, status); if (!status) p.up();
        p.c('status', null, message); if (!message) p.up();
        p.c('priority', null, priority); if (!priority) p.up();
        if (nickname) {
            p.c('nick', { xmlns: 'http://jabber.org/protocol/nick' }, nickname);
        }
        p.c('x', { xmlns: Strophe.NS.CAPABILITIES }).c('capabilities', { value: this._packed_capabilities(capabilities) });
        this._connection.send(p.tree());
        return true;
    },
    vcard: function(avatarUrl) {
        var p = $pres();

        p.c('x', { xmlns: Strophe.NS.VCARD })
          .c('avatar_url', { value: encodeURIComponent(avatarUrl) });

        this._connection.send(p.tree());
        return true;
    },
    /** Function: registerCallback
     * register callback on roster (presence and iq)
     *
     * Parameters:
     *   (Function) call_back
     */
    registerCallback: function(call_back) {
        this._callbacks.push(call_back);
    },

    registerRequestCallback: function (call_back) {
        this._callbacks_request.push(call_back);
    },
    
    registerMessageCallback: function (call_back) {
        this._callbacks_message.push(call_back);
    },

    registerVcardCallback: function (call_back) {
        this._callbacks_vcard.push(call_back);
    },
    
    /** Function: findItem
     * Find item by JID
     *
     * Parameters:
     *     (String) jid
     */
    findItem : function(jid) {
        for (var jidi in this.items) {
            if (jidi==jid) { return this.items[jidi]; }
        }
        return false;
    },
    /** Function: removeItem
     * Remove item by JID
     *
     * Parameters:
     *     (String) jid
     */
    removeItem : function(jid) {
        if (!(jid in this.items)) { return false; }
        delete this.items[jid];
        return true;
    },
    /** Function: subscribe
     * Subscribe presence
     *
     * Parameters:
     *     (String) jid
     *     (String) message (optional)
     *     (String) nick  (optional)
     */
    subscribe: function(jid, message, nick) {
        var pres = $pres({to: jid, type: "subscribe"});
        if (message && message !== "") {
            pres.c("status").t(message).up();
        }
        if (nick && nick !== "") {
            pres.c('nick', {'xmlns': Strophe.NS.NICK}).t(nick).up();
        }
        this._connection.send(pres);
    },
    /** Function: unsubscribe
     * Unsubscribe presence
     *
     * Parameters:
     *     (String) jid
     *     (String) message
     */
    unsubscribe: function(jid, message) {
        var pres = $pres({to: jid, type: "unsubscribe"});
        if (message && message !== "") { pres.c("status").t(message); }
        this._connection.send(pres);
    },
    /** Function: authorize
     * Authorize presence subscription
     *
     * Parameters:
     *     (String) jid
     *     (String) message
     */
    authorize: function(jid, message) {
        var pres = $pres({to: jid, type: "subscribed"});
        if (message && message !== "") { pres.c("status").t(message); }
        this._connection.send(pres);
    },
    /** Function: unauthorize
     * Unauthorize presence subscription
     *
     * Parameters:
     *     (String) jid
     *     (String) message
     */
    unauthorize: function(jid, message) {
        var pres = $pres({to: jid, type: "unsubscribed"});
        if (message && message !== "") { pres.c("status").t(message); }
        this._connection.send(pres);
    },
    /** Function: add
     * Add roster item
     *
     * Parameters:
     *   (String) jid - item jid
     *   (Array) groups
     *   (Function) call_back
     */
    add: function(jid, groups) {
        var iq = $iq({type: 'set'}).c('query', {xmlns: Strophe.NS.ROSTER}).c('item', {jid: jid});
        for (var i in groups) {
            iq.c('group', null, groups[i]);
        }
        this._connection.sendIQ(iq);
    },
    /** Function: update
     * Update roster item
     *
     * Parameters:
     *   (String) jid - item jid
     *   (Array) groups
     *   (Function) call_back
     */
    update: function(jid, groups) {
        var item = this.findItem(jid);
        if (!item) { return null; }
        
        var newGroups = groups || item.groups;
        var iq = $iq({type: 'set'}).c('query', {xmlns: Strophe.NS.ROSTER}).c('item', {jid: item.jid});
        for (var i in newGroups) {
            iq.c('group', null, newGroups[i]);
        }
        
        return this._connection.sendIQ(iq);
    },
    /** Function: remove
     * Remove roster item
     *
     * Parameters:
     *   (String) jid - item jid
     *   (Function) call_back
     */
    remove: function(jid) {
        var item = this.findItem(jid);
        if (!item) { return null; }
        var iq = $iq({type: 'set'}).c('query', {xmlns: Strophe.NS.ROSTER}).c('item', {jid: item.jid, subscription: "remove"});
        return this._connection.sendIQ(iq);
    },
    message: function(to, chat, message, subject, fileDesc) {
        var attrs = {to: to};
        if (chat) { attrs.type = 'chat'; }
        var msg = $msg(attrs);
        msg.c('body', null, message);
        if (subject && subject !== null)
            msg.c('subject', null, subject);
        if(fileDesc)
        {
            var xNode = Strophe.xmlElement('x', {xmlns: Strophe.NS.OOB, save: true});

            // TODO: url and description should be provided
            // Create a standard <url> node with the file public url
            if (fileDesc.url) {
                xNode.appendChild(Strophe.xmlElement('url', null, fileDesc.url));
            }
            if(fileDesc.description) {
                xNode.appendChild(Strophe.xmlElement('desc', null, fileDesc.description));
            }
            xNode.appendChild(Strophe.xmlElement('filedesc', null, fileDesc));
            msg.node.appendChild(xNode);
        }
        msg.c('active', {xmlns: Strophe.NS.CHAT_STATES});
        this._connection.send(msg.tree());
        return true;
    },
    chatState: function(to, state, isGroup) {
        var attrs = {to: to, type: (isGroup?'groupchat':'chat')};
        var msg = $msg(attrs);
        msg.c(state, {xmlns: Strophe.NS.CHAT_STATES});
        this._connection.send(msg.tree());
        return true;
    },
    /** PrivateFunction: _onReceiveRosterSuccess
     *
     */
    _onReceiveRosterSuccess: function(userCallback, stanza) {
        this._updateItems(stanza);
        userCallback(this.items);
        return true;
    },
    /** PrivateFunction: _onReceiveRosterError
     *
     */
    _onReceiveRosterError: function(userCallback, stanza) {
        userCallback(this.items);
        return true;
    },
    /** PrivateFunction: _onReceivePresence
     * Handle presence
     */
    _onReceivePresence: function (presence) {
        var that = this;
        var me = this._connection.authzid;
        var from = presence.getAttribute('from');
        var jid  = Strophe.getBareJidFromJid(from);
        var item = this.findItem(jid);
        var type = presence.getAttribute('type');

        if (type === 'subscribe') {
            this._call_backs_request(jid);
            return true;
        }

        var logout  = (presence.getAttribute('type')==='unavailable');

        var status   = this._get_child_value(presence, 'show',   null);
        var message  = this._get_child_value(presence, 'status', null);
        var priority = this._get_child_value(presence, 'priority', null);
        var nickname = this._get_child_value(presence, 'nick', null);

        if (status.length===0 && !logout) status = 'online';
        if (status.length===0 && logout)  status = 'offline';

        var capabilities = '';
        var xmlns = this._get_child_value(presence, 'x', 'xmlns');
        if (xmlns===Strophe.NS.CAPABILITIES) {
            capabilities = presence.getElementsByTagName('x');
            if (capabilities.length>0) {
                capabilities = capabilities[0];
                capabilities = this._get_child_value(capabilities, 'capabilities', 'value');
                if (capabilities.length === 3) {
                    capabilities = capabilities + '00';
                }
            }
        }
        var vcard, vcardObj;
        if (xmlns===Strophe.NS.VCARD) {
            vcard = presence.getElementsByTagName('x');
            if (vcard.length > 0) {
                vcardObj = {
                    avatarUrl: decodeURIComponent(this._get_child_value(vcard[0], 'avatar_url', 'value'))
                };
                this._vcard_callbacks(from, vcardObj);
            }
            return true;
        }
        capabilities = this._unpacked_capabilities(capabilities);

        if (!item) {
            if (jid==me) {
                var callbackObj;

                if (logout) {
                    if (this.my_statuses[from]) delete this.my_statuses[from];
                } else {
                    this.my_statuses[from] = {
                        status       : status,
                        message      : message,
                        nickname     : nickname,
                        priority     : priority,
                        capabilities : capabilities
                    };
                }

                callbackObj = {jid: me, fullJid: from, statuses: this.my_statuses};
                this._call_backs(this.items, callbackObj);
                return true;
            }
            return true;
        }

        //if (logout) {
        //    if (from in item.statuses) delete item.statuses[from];
        //}
        if (!type || type === 'unavailable') {
            item.statuses[from] = {
                status       : status,
                message      : message,
                nickname     : nickname,
                priority     : priority,
                capabilities : capabilities
            };
        }
        else if(type === 'unsubscribed') {
            for (var i in item.statuses) {
                delete item.statuses[i];
            }
            item.statuses[from] = { // temporary force to offline, later on the server will handle this correct...
                status       : 'offline',
                message      : '',
                nickname     : '',
                priority     : '',
                capabilities : this._unpacked_capabilities('00000')
            };
        }
        else {
            // Stanza is not a presence notification. (It's probably a subscription type stanza.)
            return true;
        }
        if(vcardObj) item.vcard = vcardObj;
        this._call_backs(this.items, item);
        return true;
    },
    /** PrivateFunction: _get_child_value
     * get a value or an attribute from the structure
     */
    _get_child_value: function(element, child, attribute) {
        if (element===null) { return ''; }
        var e = element.getElementsByTagName(child);
        if (e.length===0) { return ''; }
        e = e[0];
        if (attribute===null) {
            if (e.childNodes.length===0) { return ''; }
            return e.childNodes[0].nodeValue;
        }
        e = e.getAttribute(attribute);
        if (e===null) return '';
        return e;
    },
    /** PrivateFunction: _unpacked_capabilities
     * get a capabilities object from string
     */
    _unpacked_capabilities: function(value) {
        var ret = {chat: false, audio: false, video: false};
        if (value===null) return ret;
        if (value.length>0) ret.chat  = (value.charAt(0)==='1');
        if (value.length>1) ret.audio = (value.charAt(1)==='1');
        if (value.length>2) ret.video = (value.charAt(2)==='1');
        if (value.length>3) ret.mustFlash = (value.charAt(3)==='1');
        if (value.length>4) ret.hasFlash = (value.charAt(4)==='1');
        return ret;
    },
    /** PrivateFunction: _packed_capabilities
     * get a string from a capabilities object
     */
    _packed_capabilities: function(capabilities) {
        var ret = '';
        if (capabilities===null) return ret;
        ret += (capabilities.chat?'1':'0');
        ret += (capabilities.audio?'1':'0');
        ret += (capabilities.video?'1':'0');
        ret += (capabilities.mustFlash?'1':'0');
        ret += (capabilities.hasFlash?'1':'0');
        return ret;
    },
    /** PrivateFunction: _call_backs_request
     * call all the callbacks waiting for 'friend request' presences
     */
    _call_backs_request : function(from) {
        for (var i = 0; i < this._callbacks_request.length; i++) {
            this._callbacks_request[i](from);
        }
    },

    /** PrivateFunction: _call_backs
     *
     */
    _call_backs : function(items, item) {
        for (var i = 0; i < this._callbacks.length; i++) {
            this._callbacks[i](items, item);
        }
    },
    
    _call_backs_message: function(user, from, chat, message, subject, stamp, isOfflineMessage, isCarbonCopy, carbonTo, fileDesc) {
        for (var i = 0; i < this._callbacks.length; i++) {
            this._callbacks_message[i](user, from, chat, message, subject, stamp, isOfflineMessage, isCarbonCopy, carbonTo, fileDesc);
        }
    },

    _vcard_callbacks: function (from, vcard) {
        for (var i = 0; i < this._callbacks_vcard.length; i++) {
            this._callbacks_vcard[i](from, vcard);
        }
    },
    
    _onReceiveMessage: function (message) {
        var chat      = (message.getAttribute('type')=='chat');
        var groupchat = (message.getAttribute('type')=='groupchat');
        if (groupchat) { return true; }
        var xmlns     = this._get_child_value(message, 'x', 'xmlns');
        if (xmlns===Strophe.NS.CONFERENCE) { return true; }

        var me = this._connection.authzid;
        var from     = message.getAttribute('from');
        var jid      = Strophe.getBareJidFromJid(from);
        var body     = this._get_child_value(message, 'body',    null);
        var subject  = this._get_child_value(message, 'subject', null);
        var stamp    = this._get_child_value(message, 'delay',   'stamp');
        var offline  = this._get_child_value(message, 'item', 'node');
        var carbonSent = this._get_child_value(message, 'sent', 'xmlns');
        var carbonReceived = this._get_child_value(message, 'receive', 'xmlns');
        var forwarded = message.getElementsByTagName('forwarded');
        var isOfflineMessage = false;
        var isCarbon = false;
        var carbonTo = null;
        var fileDesc = null;

        if (offline) {
            stamp = offline;
            isOfflineMessage = true;
        }

        if (carbonSent) {
            isCarbon = true;
            carbonTo = Strophe.getBareJidFromJid(this._get_child_value(forwarded[0], 'message', 'to'));
        }

        if (carbonReceived) {
            isCarbon = true;
            carbonTo = Strophe.getBareJidFromJid(this._get_child_value(forwarded[0], 'message', 'from'));
            jid = from = carbonTo;
        }

        var item = this.findItem(jid);
        if (!item && jid !== me) {
            // don't throw event when user is not in roster.
            return true;
        }

        if ( (body==='') && (subject==='') ) { return true; }

        if (body !== '') {
            var tmpBody = document.createElement('div');
            tmpBody.innerHTML = body;
            body = tmpBody.firstChild.nodeValue;
            tmpBody = null;
        }

        // Support for a single OOB x node
        if(xmlns === Strophe.NS.OOB) {
            var fileDescNodes = message.getElementsByTagName('filedesc');

            // 'filedesc node'
            if(fileDescNodes.length > 0)
                fileDesc = xml_node_to_file_desc(fileDescNodes[0]);

            // TODO: Handle the <url> node
        }

        this._call_backs_message(jid, from, chat, body, subject, stamp, isOfflineMessage, isCarbon, carbonTo, fileDesc);
        return true;
    },

    /** PrivateFunction: _onReceiveIQ
     * Handle roster push.
     */
    _onReceiveIQ : function(iq) {
        var id   = iq.getAttribute('id');
        var from = iq.getAttribute('from');
        // Receiving client MUST ignore stanza unless it has no from or from = user's JID.
        if (from && from !== "" && from != this._connection.jid && from != Strophe.getBareJidFromJid(this._connection.jid))
            return true;
        var iqresult = $iq({type: 'result', id: id, from: this._connection.jid});
        this._connection.send(iqresult);
        this._updateItems(iq);
        return true;
    },
    /** PrivateFunction: _updateItems
     * Update items from iq
     */
    _updateItems : function(iq) {
        var query = iq.getElementsByTagName('query');
        if (query.length !== 0) {
            this.ver = query.item(0).getAttribute('ver');
            var self = this;
            Strophe.forEachChild(query.item(0), 'item',
                function (item) {
                    self._updateItem(item);
                }
           );
        }
        this._call_backs(this.items);
    },
    /** PrivateFunction: _updateItem
     * Update internal representation of roster item
     */
    _updateItem : function(item) {
        var jid           = item.getAttribute("jid");
        var subscription  = item.getAttribute("subscription");
        var ask           = item.getAttribute("ask");
        var groups        = [];
        
        Strophe.forEachChild(item, 'group',
            function(group) {
                groups.push(Strophe.getText(group));
            }
        );

        if (subscription == "remove") {
            this.removeItem(jid);
            return;
        }
        
        item = this.findItem(jid);
        if (!item) {
            this.items[jid] = {
                jid          : jid,
                subscription : subscription,
                ask          : ask,
                groups       : groups,
                statuses     : {}
            };
        }
        else {
            item.subscription = subscription;
            item.ask          = ask;
            item.groups       = groups;
        }
    }
});

Strophe.addNamespace('RSM', 'http://jabber.org/protocol/rsm');

Strophe.RSM = function(options) {
    this.attribs = ['max', 'first', 'last', 'after', 'before', 'index', 'count'];

    if (typeof options.xml != 'undefined') {
        this.fromXMLElement(options.xml);
    } else {
        for (var ii = 0; ii < this.attribs.length; ii++) {
            var attrib = this.attribs[ii];
            this[attrib] = options[attrib];
        }
    }
};

Strophe.RSM.prototype = {
    toXML: function() {
        var xml = $build('set', {xmlns: Strophe.NS.RSM});
        for (var ii = 0; ii < this.attribs.length; ii++) {
            var attrib = this.attribs[ii];
            if (typeof this[attrib] != 'undefined') {
                xml = xml.c(attrib).t(this[attrib].toString()).up();
            }
        }
        return xml.tree();
    },

    next: function(max) {
        var newSet = new Strophe.RSM({max: max, after: this.last});
        return newSet;
    },

    previous: function(max) {
        var newSet = new Strophe.RSM({max: max, before: this.first});
        return newSet;
    },

    fromXMLElement: function(xmlElement) {
        for (var ii = 0; ii < this.attribs.length; ii++) {
            var attrib = this.attribs[ii];
            var elem = xmlElement.getElementsByTagName(attrib)[0];
            if (typeof elem != 'undefined' && elem !== null) {
                this[attrib] = Strophe.getText(elem);
                if (attrib == 'first') {
                    this.index = elem.getAttribute('index');
                }
            }
        }
    }
};

UCConnect.RSM = Strophe.RSM;
// http://xmpp.org/extensions/xep-0136.html
Strophe.addConnectionPlugin('archive', {
    _connection: null,
    
    init: function (connection) {
        this._connection = connection;
        Strophe.addNamespace('DELAY', 'jabber:x:delay');
        Strophe.addNamespace('ARCHIVE', 'urn:xmpp:archive');
    },
    
    listCollections: function (jid, rsm, callback) {
        var xml = $iq({ type: 'get', id: this._connection.getUniqueId('list') }).c('list', { xmlns: Strophe.NS.ARCHIVE, 'with': jid });
        if (rsm) { xml = xml.cnode(rsm.toXML()); }
        this._connection.sendIQ(xml, this._handleListConnectionResponse.bind(this, callback));
    },
    
    _handleListConnectionResponse: function (callback, stanza) {
        var collections = [];
        var chats = stanza.getElementsByTagName('chat');
        for (var ii = 0; ii < chats.length; ii++) {
            var jid = chats[ii].getAttribute('with');
            var start = chats[ii].getAttribute('start');
            collections.push(new Strophe.ArchivedCollection(this._connection, jid, start));
        }
        var responseRsm = new Strophe.RSM({xml: stanza.getElementsByTagName('set')[0]});
        callback(collections, responseRsm);
    },

    removeCollection: function (jid, startDate, callback) {
        var xml = $iq({ type: 'set', id: this._connection.getUniqueId('list') }).c('remove', { xmlns: Strophe.NS.ARCHIVE, 'with': jid, 'start': startDate.toJSON() });
        this._connection.sendIQ(xml, this._handleCollectionRemoveResponse.bind(this, callback, jid));
    },
    
    _handleCollectionRemoveResponse: function (callback, jid, stanza) {
        var result = true;
        if (stanza.getElementsByTagName('error').length > 0) {
            result = false;
        }
        callback({jid: jid, success: result});
    },
    
    getAutoArchiving: function (callback) {
        var xml = $iq({ type: 'get', id: this._connection.getUniqueId('pref') }).c('pref', { xmlns: Strophe.NS.ARCHIVE });
        this._connection.sendIQ(xml, this._handleGetPreferencesResponse.bind(this, callback));
    },
    
    _handleGetPreferencesResponse: function (callback, stanza) {
        var auto = false;
        Strophe.forEachChild(stanza.children[0], 'auto', function (child) {
            auto = child.attributes.save.value == "true";
        });
        callback(auto);
    },
    
    setAutoArchiving: function (save, success, error, timeout) {
        var xml = $iq({ type: 'set', id: this._connection.getUniqueId('auto') }).c('auto', { xmlns: Strophe.NS.ARCHIVE, save: save });
        this._connection.sendIQ(xml, success, error, timeout);
    }
});

Strophe.ArchivedCollection = function (connection, jid, start) {
    this.connection = connection;
    this.jid = jid;
    this.start = start;
    this.startDate = (new Date()).setISO8601(start);
};

Strophe.ArchivedCollection.prototype = {
    retrieveMessages: function (rsm, callback) {
        var builder = $iq({ type: 'get', id: this.connection.getUniqueId('retrieve') }).c('retrieve', { xmlns: Strophe.NS.ARCHIVE, 'with': this.jid, start: this.start });
        if (rsm) { builder = builder.cnode(rsm.toXML()); }
        this.connection.sendIQ(builder, function (stanza) {
            var messages = [];
            var myJid = Strophe.getBareJidFromJid(this.connection.jid);
            var responseRsm;
            var timestamp = this.startDate;
            var msgTimestamp = this.startDate;
            var chat = stanza.getElementsByTagName('chat')[0];
            var element = chat.firstChild;
            var body;
            var fileDescNode;
            var fileDesc;

            while (element) {
                body = Strophe.getText(element.getElementsByTagName('body')[0]);
                fileDescNode = element.getElementsByTagName('filedesc')[0];
                if (body) {
                    var tmpBody = document.createElement('div');
                    tmpBody.innerHTML = body;
                    body = tmpBody.firstChild.nodeValue;
                    tmpBody = null;
                }
                if (fileDescNode) {
                    fileDesc = xml_node_to_file_desc(fileDescNode);
                }else {
                    fileDesc = null;
                }

                switch (element.tagName) {
                    case 'to':
                        if (element.getAttribute('utc')) {
                            msgTimestamp = new Date().setISO8601(element.getAttribute('utc'));
                        } else {
                            msgTimestamp = this._incrementTimestampForMessage(timestamp, element);
                            timestamp = msgTimestamp;
                        }
                        messages.push(new Strophe.ArchivedMessage(msgTimestamp, myJid, this.jid, body, fileDesc));
                        break;
                    case 'from':
                        if (element.getAttribute('utc')) {
                            msgTimestamp = new Date().setISO8601(element.getAttribute('utc'));
                        } else {
                            msgTimestamp = this._incrementTimestampForMessage(timestamp, element);
                            timestamp = msgTimestamp;
                        }
                        messages.push(new Strophe.ArchivedMessage(msgTimestamp, this.jid, myJid, body, fileDesc));
                        break;
                    case 'set':
                        responseRsm = new Strophe.RSM({xml: element});
                        break;
                    default:
                        break;
                }
                element = element.nextSibling;
            }

            callback(messages, responseRsm);
        }.bind(this));
    },
    
    _incrementTimestampForMessage: function (timestamp, element) {
        var secs = element.getAttribute('secs');
        var newTimestamp = new Date();
        newTimestamp.setTime(timestamp.getTime() + Number(secs) * 1000);
        return newTimestamp;
    }
};

Strophe.ArchivedMessage = function (timestamp, from, to, body, fileDesc) {
    this.timestamp = timestamp;
    this.from = from;
    this.to = to;
    this.body = body;
    this.fileDesc = fileDesc;
};

Strophe.ArchivedMessage.prototype = {};
/**
 * This plugin is distributed under the terms of the MIT licence.
 * Please see the LICENCE file for details.
 * Copyright (c) Markus Kohlhase, 2011
 */

/**
* File: strophe.private.js
* A Strophe plugin for XMPP Private XML Storage ( http://xmpp.org/extensions/xep-0049.html )
*/

Strophe.addConnectionPlugin('private',
{
    _connection: null,

    // called by the Strophe.Connection constructor

    init: function (conn) {
        this._connection = conn;
        Strophe.addNamespace( 'PRIVATE', "jabber:iq:private" );
    },

    /**
     * Function: set
     *
     * Parameters:
     * (String) tag - the tag name
     * (String) ns  - the namespace
     * (XML) data   - the data you want to save
     * (Function) success - Callback function on success
     * (Function) error - Callback function on error
     **/

    set: function (tag, ns, data, success, error) {
        var id = this._connection.getUniqueId('saveXML');
        
        var iq = $iq({type: 'set',id: id})
            .c('query', {xmlns: Strophe.NS.PRIVATE})
            .c(tag, {xmlns: ns});

        var d = this._transformData(data);

        if (d){
            iq.cnode(d);
        }

        this._connection.sendIQ(iq, success, error);
    },

    /**
     * Function: get
     *
     * Parameters:
     * (String) tag - the tag name
     * (String) ns  - the namespace
     * (Function) success - Callback function on success
     * (Function) error - Callback function on error
    **/

    get: function (tag, ns, success, error) {
        var id = this._connection.getUniqueId('loadXML');

        var iq = $iq({type: 'get', id: id})
            .c('query', {xmlns: Strophe.NS.PRIVATE})
            .c(tag, {xmlns: ns});

        this._connection.sendIQ(iq, function (iq){
            var data = iq;

            for (var i=0; i<3; i++){
                data = data.childNodes[0];
                if (!data){
                    break;
                }
            }
            success(data, iq);
        }, error);
    },

    /**
     * PrivateFunction: _transformData
     **/
    _transformData: function (c){

        switch(typeof (c)){

        case "number":
        case "boolean":
            return Strophe.xmlTextNode(c + '');
        case "string":
            var dom = this._textToXml(c);
        
            if (dom !== null){
                return dom;
            } else {
                return Strophe.xmlTextNode(c + '');
            }
            break;
        case "object":
            if (this._isNode(c) || this._isElement(c)){
                return c;
            }
        }
    return null;
  },

    /**
     * PrivateFunction: _textToXml
     *
     * Parameters:
     * (String) text  - XML String
     *
     * Returns:
     * (Object) dom - DOM Object
     **/
    
    _textToXml: function (text){
        var doc = null;

        if (window.DOMParser) {
          var parser = new DOMParser();
          doc = parser.parseFromString( text, 'text/xml');
        } else if (window.ActiveXObject) {
          doc = new ActiveXObject("MSXML2.DOMDocument");
          doc.async = false;
          doc.loadXML(text);
        } else {
            throw {
                type: 'Parse error',
                message: "No DOM parser object found."
            };
        }

        var error = doc.getElementsByTagName("parsererror");
        if (error.length > 0){
            return null;
        }

        var node = document.importNode(doc.documentElement, true);
        return node;
    },

    /**
     * PrivateFunction: _isNode
     *
     * Parameters:
     * ( Object ) obj - The object to test
     *
     * Returns:
     * True if it is a DOM node
     **/

    _isNode: function (obj) {

        if (typeof (Node) === "object") {
            return (obj instanceof Node);
        } else {
            return (typeof (obj) === "object" && typeof (obj.nodeType) === "number" && typeof (obj.nodeName) === "string");
        }
    },

    /**
     * PrivateFunction: _isElement
     *
     * Parameters:
     * ( Object ) obj - The object to test
     *
     * Returns:
     * True if it is a DOM element.
     **/

    _isElement: function (obj) {

        if (typeof (HTMLElement) === "object") {
            return (obj instanceof HTMLElement); //DOM2
        } else {
            return (typeof (obj) === "object" && obj.nodeType === 1 && typeof (obj.nodeName) === "string");
        }
    }

});
/*
 * This plugin is distributed under the terms of the MIT licence.
 * Please see the LICENCE file for details.
 *
 * Copyright (c) Markus Kohlhase, 2010
 * Refactored by Pavel Lang, 2011
 */

/**
 * File: strophe.ping.js
 * A Strophe plugin for XMPP Ping ( http://xmpp.org/extensions/xep-0199.html )
 */

Strophe.addConnectionPlugin('ping', {
    _c: null,

    // called by the Strophe.Connection constructor
    init: function(conn)
    {
        this._c = conn;
        Strophe.addNamespace('PING', "urn:xmpp:ping");
    },

    /**
     * Function: ping
     *
     * Parameters:
     * (String) to - The JID you want to ping
     * (Function) success - Callback function on success
     * (Function) error - Callback function on error
     * (Integer) timeout - Timeout in milliseconds
     */
    ping: function(jid, success, error, timeout)
    {
        var id = this._c.getUniqueId('ping');
        var iq = $iq({type: 'get', to: jid, id: id}).c('ping', {xmlns: Strophe.NS.PING});
        this._c.sendIQ(iq, success, error, timeout);
    },

    /**
     * Function: pong
     *
     * Parameters:
     * (Object) ping - The ping stanza from the server 
     */
    pong: function(ping)
    {
        var from = ping.getAttribute('from');
        var id = ping.getAttribute('id');
        var iq = $iq({type: 'result', to: from,	id: id});
        this._c.sendIQ(iq);
    },

    /**
     * Function: addPingHandler
     *
     * Parameters:
     * (Function) handler - Ping handler
     *
     * Returns:
     * A reference to the handler that can be used to remove it.
     */
    addPingHandler: function(handler)
    {
        return this._c.addHandler(handler, Strophe.NS.PING, "iq", "get");
    }
});
/**
 * This plugin is distributed under the terms of the MIT licence.
 * Please see the LICENCE file for details.
 * Copyright (c) Roland Andriese, 2014
 */

/**
* File: strophe.offline.js
* A Strophe plugin for XMPP Flexible Offline Message Retrieval ( http://xmpp.org/extensions/xep-0013.html )
*/

Strophe.addConnectionPlugin('offline',
{
  _connection: null,

  // called by the Strophe.Connection constructor

  init: function( conn ){

    this._connection = conn;
    Strophe.addNamespace( 'OFFLINE', "http://jabber.org/protocol/offline" );
  },

  /**
   * Function: discover
   *
   * Returns: boolean showing support for Offline Message Retrieval
   */

  discover: function( ){
    var self = this;
    var id = this._connection.getUniqueId('query');

    var iq = $iq({ type:'get', id: id })
      .c('query', { xmlns: 'http://jabber.org/protocol/disco#info' } );

    this._connection.sendIQ( iq, function( iq ){

      console.info(self._connection.features);
      console.info(iq);

    });

  },

  getMessages: function (deleteAfterReceiving) {
      var self = this;
      var id = this._connection.getUniqueId('fetch');

      var iq = $iq({ type: 'get', id: id})
        .c('offline', {xmlns: Strophe.NS.OFFLINE})
        .c('fetch');

      this._connection.sendIQ( iq, function (iq) {
          if (deleteAfterReceiving) {
            self.deleteAllMessages();
          }
      });
  },

  deleteAllMessages: function () {
      var self = this;
      var id = this._connection.getUniqueId('purge');

      var iq = $iq({ type: 'get', id: id})
        .c('offline', {xmlns: Strophe.NS.OFFLINE})
        .c('purge');

      this._connection.sendIQ( iq, null, null);
  }

});


window.UCConnect = UCConnect;
